﻿var movePositionUI = {
	oldCamera :   [1, 2, 1, 1, 1, 2, 0, 1, 2, 0], 
	oldRecorder : [1, 2, 0, 0, 2, 0, 1, 1, 2, 0],
	newCamera :   [1, 2, 1, 0, 1, 2, 0, 1, 1, 0],  
	newRecorder : [1, 2, 0, 0, 2, 0, 1, 1, 2, 0]
}

var movePosition = {
	oldCamera :   [1, 1, 1, 1, 1, 2, 0, 1, 0, 0], 
	oldRecorder : [1, 3, 0, 0, 2, 0, 1, 1, 0, 0],
	newCamera :   [1, 1, 2, 0, 1, 2, 0, 1, 0, 0], 
	newRecorder : [1, 3, 0, 0, 2, 0, 1, 1, 0, 0]
};

var cameraNameRule =  ['Series', 'Type', 'Appearance', 'Series', 'Sensor', 'Lens', 0, 'Version', 'Feature', 0];
var recorderNameRule = ['Series', 'Type', 0, 0, 'Channel / Recording Encode Rate(64CH)', 0, 'Encode Rate / Platform Version', 'Version', 'Backup / Option'];
var newCameraNameRule = ['Series', 'Type', 'Shape', 'Series', 'Sensor', 'Lens', 0, 'Version', 'Feature', 0];
var newRecorderNameRule = ['Series', 'Type', 0, 0, 'Channel / Recording Encode Rate(32CH Above)', 0, 'Performance Version', 'Version', 'Backup / Function'];

var searchNameData = {
	'Type1':{
		'N':'Network Camera',
		'C':'Analog Camera',
		'U':'UTP Camera',
		'RN':'NVR',
		'RD':'DVR',
		'RM':'NVR / Mobile'
	},
	'Type2':{
		'N':'Network Camera',
		'A':'Analog Camera',
		'RN':'NVR',
		'RD':'DVR',
	},
	'Series' : {
		'S':'Smart',
		'P':'Preminum',
		'X':'Versatile',
		'Q':'Quality',
		'H':'Advanced',
		'T':'Vertical'
	},
	'S': {
		'N': {
			'Appearance': {
				'B':'Box', 
				'D':'Dome', 
				'F':'Fisheye', 
				'O':'One body box', 
				'P':'PTZ', 
				'T':'Thermal', 
				'U':'P/T United', 
				'V':'Vandal', 
				'Z':'Zoom',
			},
			'Series' : {
				'O': 'Other Series',
				'L':'LiteNet'
			},
			'Sensor' : {
				'1':'VGA CMOS',
				'2':'BLC CCD',
				'3':'WDR CCD',
				'4':'SVGA',
				'5':'1.3 Mega',
				'6':'2 Mega',
				'7':'3 Mega',
				'8':'4~7 Mega',
				'9':'4K',
			}, 
			'Lens' : {
				'00':'No Lens',
				'01':'3mm Fixed',
				'02':'3~4mm Fixed',
				'03':'4~6mm Fixed',
				'04':'6~10mm Fixed',
				'05':'10mm Fixed',
				'06':'2x V/F',
				'08':'2~9x V/F',
				'09':'10x V/F',
				'12':'12x',
				'20':'20x',
				'30':'30x',
				'32':'32x',
				'37':'37x',
				'43':'43x'
			},
			'Zoom Ratio':{
				'12':'12x',
				'20':'20x',
				'30':'30x',
				'32':'32x',
				'37':'37x',
				'43':'43x',
			},
			'Version':{
				'0':'Version 0',
				'1':'Version 1',
				'2':'Version 2',
				'3':'Version 3',
				'4':'Version 4',
				'5':'Version 5',
				'6':'Version 6',
				'7':'Version 7',
				'8':'Version 8',
				'9':'Version 9',
			},
			'Feature':{
				'B':'Black',
				'C':'Counting',
				'CF':'Counting+Flush',
				'F':'Flush',
				'H':'Housing',
				'R':'IR',
				'RF':'IR+Flush',
				'TH':'Tracking+Housing',
				'VH':'Vandal+Housing',
				'B': 'Box(Thermal)',
				'D': 'Dome(Thermal)',
				'P': 'PTZ(Thermal)',
			}
		},
		'C':{
			'Appearance': {
				'B':'Box', 
				'D':'Dome', 
				'D':'Fisheye', 
				'O':'One body box', 
				'P':'PTZ', 
				'T':'Thermal', 
				'U':'P/T United', 
				'V':'Vandal', 
				'Z':'Zoom',
			},
			'Sensor' : {
				'1':'VGA CMOS',
				'2':'BLC CCD',
				'3':'WDR CCD',
				'4':'1/2',
				'5':'1.3 Mega',
				'6':'2 Mega',
				'7':'3 Mega',
				'8':'4~7 Mega',
				'9':'4K'
			}, 
			'Lens' : {
				'00':'No Lens',
				'01':'3mm Fixed',
				'02':'3~4mm Fixed',
				'03':'4~6mm Fixed',
				'04':'6~10mm Fixed',
				'05':'10mm Fixed',
				'06':'2x V/F',
				'08':'2~9x V/F',
				'09':'10x V/F',
				'12':'12x',
				'20':'20x',
				'30':'30x',
				'32':'32x',
				'37':'37x',
				'43':'43x'
			},
			'Version':{
				'0':'Version 0',
				'1':'Version 1',
				'2':'Version 2',
				'3':'Version 3',
				'4':'Version 4',
				'5':'Version 5',
				'6':'Version 6',
				'7':'Version 7',
				'8':'Version 8',
				'9':'Version 9',
			},
			'Feature':{
				'B':'Black',
				'C':'Counting',
				'F':'Flush',
				'H':'Housing',
				'R':'IR',
				'T':'Tracking',
				'V':'Vandal',
				'HE':'Heater',
				'B': 'Box(Thermal)',
				'D': 'Dome(Thermal)',
				'P': 'PTZ(Thermal)',
			}
		},	
		'R':  {
			'Backup Type': {
				'D':'DVR',
				'N':'NVR',
				'S':'S/W'
			},
			'Channel / Recording Encode Rate(64CH)': {
				'4':'4 CH',
				'8':'8 CH',
				'16':'16 CH',
				'10':'100~199Mbps',
				'20':'200~299Mbps',
				'30':'300~299Mbps',
				'40':'400~499Mbps',
			},
			'Encode Rate / Platform Version' : {
				'0':'Version 0',
				'1':'CIF 7.5fps (NTSC), Version 1',
				'2':'Version 2',
				'3':'CIF 15fps(NTSC), CIF 12.5fps(PAL), Version 3',
				'4':'Version 4',
				'5':'CIF real time, Version 5',
				'6':'Version 6',
				'7':'4CIF real time, Version 7',
				'8':'HD level(720p) real time, Version 8',
				'9':'Full HD level(1080p) real time, Version 9',
			},
			'Version':{
				'0':'Version 0',
				'1':'Version 1',
				'2':'Version 2',
				'3':'Version 3',
				'4':'Version 4',
				'5':'Version 5',
				'6':'Version 6',
				'7':'Version 7',
				'8':'Version 8',
				'9':'Version 9',
			},
			'Backup / Option':{
				'D': 'DVD',
				'DC': 'DVD, Coaxial',
				'DU': 'DVD, UTP',
				'S': 'PoE Switch'
			}
		}	
	},
	'Other': {
		'N': {
			'Shape': {
				'B':'Box', 
				'O':'Bullet', 
				'D':'Dome', 
				'V':'Vandal', 
				'P':'PTZ', 
				'F':'Fisheye', 
				'U':'Positioning', 
				'Z':'Zoom Box',
			},
			'Sensor' : {
				'1':'VGA CMOS',
				'2':'BLC CCD',
				'3':'WDR CCD',
				'4':'SVGA',
				'5':'1.3 Mega',
				'6':'2 Mega',
				'7':'3 Mega',
				'8':'4~7 Mega',
				'9':'4K',
			}, 
			'Lens' : {
				'00':'No Lens',
				'01':'~3mm Fixed',
				'02':'3.1~4mm Fixed',
				'03':'4.1~6mm Fixed',
				'04':'6.1~9.9mm Fixed',
				'05':'10mm~ Fixed',
				'06':'2x V/F',
				'07':'2x~9X V/F',
				'08':'2X~9x M-V/F',
				'09':'10x~ V/F',
				'12':'12x',
				'20':'20x',
				'30':'30x',
				'32':'32x',
				'37':'37x',
				'43':'43x'
			},
			'Version':{
				'0':'Version 0',
				'1':'Version 1',
				'2':'Version 2',
				'3':'Version 3',
				'4':'Version 4',
				'5':'Version 5',
				'6':'Version 6',
				'7':'Version 7',
				'8':'Version 8',
				'9':'Version 9',
			},
			'Feature':{
				'R':'IR',
				'L':'Laser',
				'D':'HDMI',
				'C':'Counting',
				'H': 'Housing',
				'T': 'Thermal',
				'M': 'Mobile',
				'E': 'Expolosion Proof',
			}
		},	
		'R':  {
			'Backup Type': {
				'D':'DVR',
				'N':'NVR',
				'S':'S/W'
			},
			'Channel / Recording Encode Rate(32CH Above)': {
				'4':'4 CH',
				'8':'8 CH',
				'16':'16 CH',
				'10':'100~199Mbps',
				'20':'200~299Mbps',
				'30':'300~299Mbps',
				'40':'400~499Mbps',
				'50':'500~599Mbps',
			},
			'Performance Version' : {
				'0':'Version 0',
				'1':'CIF 7.5fps (NTSC), Version 1',
				'2':'Version 2',
				'3':'CIF 15fps(NTSC), CIF 12.5fps(PAL), Version 3',
				'4':'Version 4',
				'5':'CIF real time, Version 5',
				'6':'Version 6',
				'7':'4CIF real time, Version 7',
				'8':'HD level(720p) real time, Version 8',
				'9':'Full HD level(1080p) real time, Version 9',
			},
			'Major Version':{
				'0':'Version 0',
				'1':'Version 1',
				'2':'Version 2',
				'3':'Version 3',
				'4':'Version 4',
				'5':'Version 5',
				'6':'Version 6',
				'7':'Version 7',
				'8':'Version 8',
				'9':'Version 9',
			},
			'Version':{
				'0':'Version 0',
				'1':'Version 1',
				'2':'Version 2',
				'3':'Version 3',
				'4':'Version 4',
				'5':'Version 5',
				'6':'Version 6',
				'7':'Version 7',
				'8':'Version 8',
				'9':'Version 9',
			},
			'Backup / Function':{
				'D': 'DVD',
				'DC': 'DVD, Coaxial',
				'DU': 'DVD, UTP',
				'S': 'PoE Switch'
			}
		}			
	}	
};