var network_camera_options = {
    "Fundamental Options": [
        {
            "key": "CameraType",
            "label": "CameraType",
            "items": [
                "Box",
                "Bullet",
                "Dome",
                "PTZ",
                "Fisheye",
                "Multi"
            ]
        },
        {
            "key": "NETWORK",
            "label": "Max. Resolution",
            "items": [
                "1.3MP",
                "3MP",
                "2MP",
                "4CIF",
                "VGA",
                "HD(720p)",
                "5MP",
                "12M",
                "4MP",
                "7MP",
                "8MP",
                "8MP (2M x 4ea)",
                "20MP (5M x 4ea)",
                "6M"
            ]
        },
        {
            "key": "NETWORK",
            "label": "Video Compression",
            "items": [
                "H.264",
                "M-JPEG",
                "MPEG-4",
                "H.265"
            ]
        },
        {
            "key": "NETWORK",
            "label": "WiseStream",
            "items": [
                "No",
                "Yes"
            ]
        },
        {
            "key": "OPERATIONAL",
            "label": "Day\/Night",
            "items": [
                "IR Cut Filter",
                "No",
                "Software"
            ]
        },
        {
            "key": "OPERATIONAL",
            "label": "WDR",
            "items": [
                "No",
                "Yes"
            ]
        },
        {
            "key": "MECHANICAL",
            "label": "Outdoor Use",
            "items": [
                "Indoor",
                "IP66",
                "NEMA 4X",
                "IP67",
                "IP51"
            ]
        },
        {
            "key": "MECHANICAL",
            "label": "IK10",
            "items": [
                "No",
                "Yes",
                "Yes (IK08)"
            ]
        },
        {
            "key": "NETWORK",
            "label": "Bi-directional Audio",
            "items": [
                "Yes",
                "No",
                "Yes (2-way)",
                "Bi-dierctional (2-way)"
            ]
        }
    ],
    "Hardware Options": [
        {
            "key": "OPERATIONAL",
            "label": "Built-in IR LED",
            "items": [
                "No",
                "Yes"
            ]
        },
        {
            "key": "VIDEO",
            "label": "Analog Video Output (For Installation)",
            "items": [
                "Yes",
                "No"
            ]
        },
        {
            "key": "OPERATIONAL",
            "label": "RS-485 Support",
            "items": [
                "No",
                "Yes"
            ]
        },
        {
            "key": "OPERATIONAL",
            "label": "Local Storage(SD memory slot)",
            "items": [
                "Yes",
                "No"
            ]
        },
        {
            "key": "OPERATIONAL",
            "label": "Alarm Input",
            "items": [
                "1",
                "No",
                "4",
                "2"
            ]
        },
        {
            "key": "OPERATIONAL",
            "label": "Alarm Output",
            "items": [
                "1",
                "No",
                "2",
                "3"
            ]
        },
        {
            "key": "ELECTRICAL",
            "label": "Power Supply",
            "items": [
                "POE",
                "12V DC",
                "24V AC",
                "POE+",
                "HPoE"
            ]
        }
    ],
    "Lens\/Imaging Options": [
        {
            "key": "VIDEO",
            "label": "Imaging Sensor Size",
            "items": [
                "1\/3\"",
                "1\/2.8\"",
                "1\/4\"",
                "1\/1.8\"",
                "1\/2.9\"",
                "1\/1.9\"",
                "1\/2.3\"",
                "1\/1.7\"",
                "1\/2.5\"",
                "1\/2\""
            ]
        },
        {
            "key": "LENS",
            "label": "Lens Type",
            "items": [
                "DC Auto Iris",
                "Manual Iris",
                "Fixed Iris",
                "P-Iris"
            ]
        },
        {
            "key": "LENS",
            "label": "Focus Type",
            "items": [
                "No",
                "Varifocal Lens",
                "Motorized Varifocal Lens",
                "Fixed Lens",
                "Autofocus Zoom Lens"
            ]
        },
        {
            "key": "LENS",
            "label": "Focus Control",
            "items": [
                "No",
                "Manual Focus",
                "Auto Focus",
                "Simple Focus"
            ]
        },
        {
            "key": "LENS",
            "label": "Zoom Ratio",
            "items": [
                "No",
                "20x",
                "3.6x",
                "2.8x",
                "12x",
                "37x",
                "3.9x",
                "3.5x",
                "30x",
                "32x",
                "2.8X",
                "43x",
                "2.6x",
                "4.3x",
                "23x",
                "2.4x",
                "2.3x",
                "2.2x",
                "16x",
                "4x",
                "8x",
                "3.1x"
            ]
        }
    ],
    "System Options": [
        {
            "key": "NETWORK",
            "label": "ONVIF Conformance",
            "items": [
                "Yes",
                "No"
            ]
        },
        {
            "key": "NETWORK",
            "label": "Crop Encoding",
            "items": [
                "No",
                "Yes"
            ]
        },
        {
            "key": "OPERATIONAL",
            "label": "Tampering Detection",
            "items": [
                "Yes",
                "No",
                "No"
            ]
        },
        {
            "key": "OPERATIONAL",
            "label": "Face Detection",
            "items": [
                "No",
                "Yes"
            ]
        },
        {
            "key": "OPERATIONAL",
            "label": "Audio Detection",
            "items": [
                "No",
                "Yes"
            ]
        },
        {
            "key": "OPERATIONAL",
            "label": "Defog",
            "items": [
                "No",
                "Yes",
                "# : XNB-6001"
            ]
        }
    ]
};var network_camera_properties_group = [
    "VIDEO",
    "LENS",
    "PAN \/ TILT \/ ROTATE",
    "OPERATIONAL",
    "NETWORK",
    "ENVIRONMENTAL",
    "ELECTRICAL",
    "MECHANICAL"
];var network_camera_properties = {
    "VIDEO": [
        "Imaging Sensor Size",
        "Megapixel Sensor",
        "Sensor size in Megapixel",
        "Min. Illumination (Color)",
        "Min. Illumination (B\/W)",
        "Analog Video Output (For Installation)"
    ],
    "LENS": [
        "Lens Type",
        "Focus Type",
        "Focus Control",
        "Focal Length",
        "Zoom Ratio",
        "Max. Aperture Ratio",
        "Angular Field of View",
        "Min. Object Distance"
    ],
    "PAN \/ TILT \/ ROTATE": [
        "Pan Range",
        "Pan Speed (Preset)",
        "Pan Speed (Manual)",
        "Tilt Range",
        "Tilt Speed (Preset)",
        "Tilt Speed (Manual)",
        "Number of Presets"
    ],
    "OPERATIONAL": [
        "Digital Zoom Ratio",
        "Day\/Night",
        "WDR",
        "Built-in IR LED",
        "Tampering Detection",
        "Face Detection",
        "Audio Detection",
        "Local Storage(SD memory slot)",
        "Defog",
        "Alarm Input",
        "Alarm Output",
        "RS-485 Support"
    ],
    "NETWORK": [
        "Max. Resolution",
        "Video Compression",
        "WiseStream",
        "Max. Streaming Capability",
        "Crop Encoding",
        "Bi-directional Audio",
        "Audio Compression",
        "Max. User Access",
        "HTTPS(SSL) Authentication",
        "Digest Authentication",
        "IP Address Filtering",
        "IEEE 802.1x Authentication",
        "User Access Log",
        "ONVIF Conformance",
        "IPv6 Support",
        "SmartViewer4.0 Compatible"
    ],
    "ENVIRONMENTAL": [
        "Operating Temperature",
        "Operating Humidity",
        "IP Rating"
    ],
    "ELECTRICAL": [
        "Power Supply",
        "Power over Ethernet",
        "Power Consumption"
    ],
    "MECHANICAL": [
        "Outdoor Use",
        "IK10"
    ]
};var g_network_cameras_data = [
    {
        "ModelName": "SNB-5000",
        "ImgUrl": "images\/network_camera\/SNB-5000.jpg",
        "Type": "Box",
        "Year": "2010",
        "Series": "WiseNET",
        "Discontinued": 1,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/3\"",
                "Yes",
                "1.3M",
                "0.3Lux(F1.2, 50IRE), 0.005Lux(Sens-up 60x)",
                "0.01Lux(F1.2, 50IRE), 0.0002Lux(Sens-up 60x)",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris,Manual Iris",
                "No",
                "No",
                "No",
                "No",
                "No",
                "No",
                "No"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "No",
                "No",
                "No",
                "No",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "IR Cut Filter",
                "No",
                "No",
                "Yes",
                "No",
                "No",
                "Yes",
                "No",
                "1",
                "1",
                "No"
            ],
            "NETWORK": [
                "1.3MP",
                "H.264,M-JPEG,MPEG-4",
                "No",
                "10 profiles",
                "No",
                "Yes",
                "G.711 u-law",
                "10",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-10\u00b0C ~ +50\u00b0C",
                "20% ~ 80% RH",
                "No"
            ],
            "ELECTRICAL": [
                "POE,12V DC,24V AC",
                "PoE (IEEE802.3af)",
                "6W"
            ],
            "MECHANICAL": [
                "Indoor",
                "No"
            ]
        },
        "accessory": {
            "TYPE": [],
            "IMAGE": []
        },
        "Info": "2010 Year, WiseNET Series, Box"
    },
    {
        "ModelName": "SNB-7000",
        "ImgUrl": "images\/network_camera\/SNB-7000.jpg",
        "Type": "Box",
        "Year": "2011",
        "Series": "WiseNET2",
        "Discontinued": 1,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/2.8\"",
                "Yes",
                "3M",
                "1Lux(F1.2, 50IRE), 0.017Lux(Sens-up 60x)",
                "0.08Lux(F1.2, 50IRE), 0.001Lux(Sens-up 60x)",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris,Manual Iris",
                "No",
                "No",
                "No",
                "No",
                "No",
                "No",
                "No"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "No",
                "No",
                "No",
                "No",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "IR Cut Filter",
                "Yes",
                "No",
                "Yes",
                "No",
                "No",
                "Yes",
                "No",
                "1",
                "1",
                "Yes"
            ],
            "NETWORK": [
                "3MP",
                "H.264,M-JPEG",
                "No",
                "10 profiles",
                "No",
                "Yes",
                "G.711 u-law",
                "10",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-10\u00b0C ~ +50\u00b0C",
                "20% ~ 80% RH",
                "No"
            ],
            "ELECTRICAL": [
                "POE,12V DC,24V AC",
                "PoE (IEEE802.3af)",
                "AC : 7W, DC : 6W, PoE : 7W"
            ],
            "MECHANICAL": [
                "Indoor",
                "No"
            ]
        },
        "accessory": {
            "TYPE": [],
            "IMAGE": []
        },
        "Info": "2011 Year, WiseNET2 Series, Box"
    },
    {
        "ModelName": "SNZ-5200",
        "ImgUrl": "images\/network_camera\/SNZ-5200.jpg",
        "Type": "Box",
        "Year": "2011",
        "Series": "WiseNET",
        "Discontinued": 1,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/3\"",
                "Yes",
                "1.3M",
                "0.7Lux(F1.2, 50IRE), 0.01Lux(Sens-up 60x, 50IRE)",
                "0.08Lux(F1.6, 50IRE), 0.001Lux(Sens-up 60x, 50IRE)",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris",
                "Varifocal Lens",
                "Manual Focus,Auto Focus",
                "4.45 ~ 89mm",
                "20x",
                "F1.6(Wide) \/ F2.9(Tele)",
                "H : 56.56\u00b0 (Wide) ~ 3.10\u00b0 (Tele) \/ V : 43.32\u00b0 (Wide) ~ 2.34\u00b0 (T",
                "1m (3.28ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "No",
                "No",
                "No",
                "No",
                "No",
                "No",
                "128"
            ],
            "OPERATIONAL": [
                "16x",
                "IR Cut Filter",
                "No",
                "No",
                "Yes",
                "No",
                "No",
                "Yes",
                "No",
                "1",
                "1",
                "Yes"
            ],
            "NETWORK": [
                "1.3MP",
                "H.264,M-JPEG,MPEG-4",
                "No",
                "10 profiles",
                "No",
                "Yes",
                "G.711 u-law",
                "10",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-10\u00b0C ~ +50\u00b0C",
                "20% ~ 80% RH",
                "No"
            ],
            "ELECTRICAL": [
                "POE,12V DC",
                "PoE (IEEE802.3af)",
                "DC : 8W, PoE : 7.5W"
            ],
            "MECHANICAL": [
                "Indoor",
                "No"
            ]
        },
        "accessory": {
            "TYPE": [],
            "IMAGE": []
        },
        "Info": "2011 Year, WiseNET Series, Box"
    },
    {
        "ModelName": "SNO-5080R",
        "ImgUrl": "images\/network_camera\/SNO-5080R.jpg",
        "Type": "Bullet",
        "Year": "2010",
        "Series": "WiseNET",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/3\"",
                "Yes",
                "1.3M",
                "0.3Lux(F1.2, 50IRE), 0.005Lux(Sens-up 60x)",
                "0Lux(F1.2, 50IRE, IR LED ON)",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris",
                "Varifocal Lens",
                "Manual Focus",
                "2.8 ~ 10mm",
                "3.6x",
                "F1.2",
                "H : 94.6\u00b0 (Wide) ~ 28.8\u00b0 (Tele) \/ V : 68.4\u00b0 (Wide) ~ 21.6\u00b0 (Tel",
                "No"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "No",
                "No",
                "No",
                "No",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "IR Cut Filter",
                "No",
                "Yes",
                "Yes",
                "No",
                "No",
                "No",
                "No",
                "1",
                "1",
                "No"
            ],
            "NETWORK": [
                "1.3MP",
                "H.264,M-JPEG,MPEG-4",
                "No",
                "10 profiles",
                "No",
                "No",
                "No",
                "10",
                "Yes",
                "Yes",
                "Yes",
                "No",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-10\u00b0C ~ +50\u00b0C",
                "20% ~ 80% RH",
                "IP66"
            ],
            "ELECTRICAL": [
                "POE,12V DC,24V AC",
                "PoE (IEEE802.3af)",
                "11W"
            ],
            "MECHANICAL": [
                "IP66",
                "No"
            ]
        },
        "accessory": {
            "TYPE": [],
            "IMAGE": []
        },
        "Info": "2010 Year, WiseNET Series, Bullet"
    },
    {
        "ModelName": "SND-7080",
        "ImgUrl": "images\/network_camera\/SND-7080.jpg",
        "Type": "Dome",
        "Year": "2011",
        "Series": "WiseNET2",
        "Discontinued": 1,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/2.8\"",
                "Yes",
                "3M",
                "1Lux(F1.2, 50IRE), 0.017Lux(Sens-up 60x)",
                "0.08Lux(F1.2, 50IRE), 0.001Lux(Sens-up 60x)",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris",
                "Motorized Varifocal Lens,Motorized Varifocal Lens",
                "No",
                "3 ~ 8.5mm, Motorized variN\/Afocal lens",
                "2.8x",
                "F1.2",
                "H : 100\u00b0 (Wide) ~ 35.3\u00b0 (Tele) \/ V : 74.6\u00b0 (Wide) ~ 26\u00b0 (Tele)",
                "0.5m(1.64ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "0\u00b0 ~ 355\u00b0",
                "No",
                "No",
                "0\u00b0 ~ 90\u00b0",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "IR Cut Filter",
                "Yes",
                "No",
                "Yes",
                "No",
                "No",
                "Yes",
                "No",
                "1",
                "1",
                "No"
            ],
            "NETWORK": [
                "3MP",
                "H.264,M-JPEG",
                "No",
                "10 profiles",
                "No",
                "Yes",
                "G.711 u-law",
                "10",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-10\u00b0C ~ +50\u00b0C",
                "20% ~ 80% RH",
                "No"
            ],
            "ELECTRICAL": [
                "POE,12V DC,24V AC",
                "PoE (IEEE802.3af)",
                "AC : 7W, DC : 6W, PoE : 7W"
            ],
            "MECHANICAL": [
                "Indoor",
                "No"
            ]
        },
        "accessory": {
            "TYPE": [],
            "IMAGE": []
        },
        "Info": "2011 Year, WiseNET2 Series, Dome"
    },
    {
        "ModelName": "SND-7080F",
        "ImgUrl": "images\/network_camera\/SND-7080F.jpg",
        "Type": "Dome",
        "Year": "2011",
        "Series": "WiseNET2",
        "Discontinued": 1,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/2.8\"",
                "Yes",
                "3M",
                "1Lux(F1.2, 50IRE), 0.017Lux(Sens-up 60x)",
                "0.08Lux(F1.2, 50IRE), 0.001Lux(Sens-up 60x)",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris",
                "Motorized Varifocal Lens,Motorized Varifocal Lens",
                "No",
                "3 ~ 8.5mm, Motorized variN\/Afocal lens",
                "2.8x",
                "F1.2",
                "H : 100\u00b0 (Wide) ~ 35.3\u00b0 (Tele) \/ V : 74.6\u00b0 (Wide) ~ 26\u00b0 (Tele)",
                "0.5m(1.64ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "0\u00b0 ~ 355\u00b0",
                "No",
                "No",
                "0\u00b0 ~ 90\u00b0",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "IR Cut Filter",
                "Yes",
                "No",
                "Yes",
                "No",
                "No",
                "Yes",
                "No",
                "1",
                "1",
                "No"
            ],
            "NETWORK": [
                "3MP",
                "H.264,M-JPEG",
                "No",
                "10 profiles",
                "No",
                "Yes",
                "G.711 u-law",
                "10",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-10\u00b0C ~ +50\u00b0C",
                "20% ~ 80% RH",
                "No"
            ],
            "ELECTRICAL": [
                "POE,12V DC,24V AC",
                "PoE (IEEE802.3af)",
                " AC : 7W, DC : 6W, PoE : 7W"
            ],
            "MECHANICAL": [
                "Indoor",
                "No"
            ]
        },
        "accessory": {
            "TYPE": [],
            "IMAGE": []
        },
        "Info": "2011 Year, WiseNET2 Series, Dome"
    },
    {
        "ModelName": "SND-5080",
        "ImgUrl": "images\/network_camera\/SND-5080.jpg",
        "Type": "Dome",
        "Year": "2010",
        "Series": "WiseNET",
        "Discontinued": 1,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/3\"",
                "Yes",
                "1.3M",
                "0.3Lux(F1.2, 50IRE), 0.005Lux(Sens-up 60x)",
                "0.01Lux(F1.2, 50IRE), 0.0002Lux(Sens-up 60x)",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris",
                "Varifocal Lens",
                "No",
                "2.8 ~ 10mm",
                "3.6x",
                "F1.2",
                "H : 94.6\u00b0 (Wide) ~ 28.8\u00b0 (Tele) \/ V : 68.4\u00b0 (Wide) ~ 21.6\u00b0 (Tele)",
                "No"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "0\u00b0 ~ 355\u00b0",
                "No",
                "No",
                "0\u00b0 ~ 90\u00b0",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "IR Cut Filter",
                "No",
                "No",
                "Yes",
                "No",
                "No",
                "Yes",
                "No",
                "1",
                "1",
                "No"
            ],
            "NETWORK": [
                "1.3MP",
                "H.264,M-JPEG,MPEG-4",
                "No",
                "10 profiles",
                "No",
                "Yes",
                "G.711 u-law",
                "10",
                "Yes",
                "Yes",
                "Yes",
                "No",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-10\u00b0C ~ +50\u00b0C",
                "20% ~ 80% RH",
                "No"
            ],
            "ELECTRICAL": [
                "POE,12V DC,24V AC",
                "PoE (IEEE802.3af)",
                "7W"
            ],
            "MECHANICAL": [
                "Indoor",
                "No"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-301HM2_Parapet Mount.jpg",
                "images\/accessory\/SBP-301HM2_Ceiling Mount.jpg",
                "images\/accessory\/SBP-301HM2_Wall Mount.jpg",
                "images\/accessory\/SBP-301HM2_Wall Mount(Curved neck).jpg"
            ]
        },
        "Info": "2010 Year, WiseNET Series, Dome"
    },
    {
        "ModelName": "SND-5080F",
        "ImgUrl": "images\/network_camera\/SND-5080F.jpg",
        "Type": "Dome",
        "Year": "2010",
        "Series": "WiseNET",
        "Discontinued": 1,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/3\"",
                "Yes",
                "1.3M",
                "0.3Lux(F1.2, 50IRE), 0.005Lux(Sens-up 60x)",
                "0.01Lux(F1.2, 50IRE), 0.0002Lux(Sens-up 60x)",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris",
                "Varifocal Lens",
                "No",
                "2.8 ~ 10mm",
                "3.6x",
                "F1.2",
                "H : 94.6\u00b0 (Wide) ~ 28.8\u00b0 (Tele) \/ V : 68.4\u00b0 (Wide) ~ 21.6\u00b0 (Tele)",
                "No"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "0\u00b0 ~ 355\u00b0",
                "No",
                "No",
                "0\u00b0 ~ 90\u00b0",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "IR Cut Filter",
                "No",
                "No",
                "Yes",
                "No",
                "No",
                "Yes",
                "No",
                "1",
                "1",
                "No"
            ],
            "NETWORK": [
                "1.3MP",
                "H.264,M-JPEG,MPEG-4",
                "No",
                "10 profiles",
                "No",
                "Yes",
                "G.711 u-law",
                "10",
                "Yes",
                "Yes",
                "Yes",
                "No",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-10\u00b0C ~ +50\u00b0C",
                "20% ~ 80% RH",
                "No"
            ],
            "ELECTRICAL": [
                "POE,12V DC,24V AC",
                "PoE (IEEE802.3af)",
                "7W"
            ],
            "MECHANICAL": [
                "Indoor",
                "No"
            ]
        },
        "accessory": {
            "TYPE": [],
            "IMAGE": []
        },
        "Info": "2010 Year, WiseNET Series, Dome"
    },
    {
        "ModelName": "SNV-7080",
        "ImgUrl": "images\/network_camera\/SNV-7080.jpg",
        "Type": "Dome",
        "Year": "2011",
        "Series": "WiseNET2",
        "Discontinued": 1,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/2.8\"",
                "Yes",
                "3M",
                "1Lux(F1.2, 50IRE), 0.017Lux(Sens-up 60x)",
                "0.08Lux(F1.2, 50IRE), 0.001Lux(Sens-up 60x)",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris",
                "Motorized Varifocal Lens,Motorized Varifocal Lens",
                "No",
                "3 ~ 8.5mm, Motorized variN\/Afocal lens",
                "2.8x",
                "F1.2",
                "H : 100\u00b0 (Wide) ~ 35.3\u00b0 (Tele) \/ V : 74.6\u00b0 (Wide) ~ 26\u00b0 (Tele)",
                "0.5m(1.64ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "0\u00b0 ~ 355\u00b0",
                "No",
                "No",
                "0\u00b0 ~ 90\u00b0",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "IR Cut Filter",
                "Yes",
                "No",
                "Yes",
                "No",
                "No",
                "Yes",
                "No",
                "1",
                "1",
                "No"
            ],
            "NETWORK": [
                "3MP",
                "H.264,M-JPEG",
                "No",
                "10 profiles",
                "No",
                "Yes",
                "G.711 u-law",
                "10",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-40\u00b0C~ +50\u00b0C",
                "Less than 90% RH",
                "IP66"
            ],
            "ELECTRICAL": [
                "POE,12V DC,24V AC",
                "PoE (IEEE802.3af)",
                "AC : 11W, DC : 6W, PoE : 7W"
            ],
            "MECHANICAL": [
                "IP66",
                "Yes"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-301HM3_Parapet Mount.jpg",
                "images\/accessory\/SBP-301HM3_Ceiling Mount.jpg",
                "images\/accessory\/SBP-301HM3_Wall Mount.jpg",
                "images\/accessory\/SBP-301HM3_Wall Mount(Curved neck).jpg"
            ]
        },
        "Info": "2011 Year, WiseNET2 Series, Dome"
    },
    {
        "ModelName": "SNV-6084R",
        "ImgUrl": "images\/network_camera\/SNV-6084R.jpg",
        "Type": "Dome",
        "Year": "2014",
        "Series": "WiseNET3",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/2.8\"",
                "Yes",
                "2.38M",
                "0.1Lux(1\/30sec, F1.2, 50IRE), 0.0017Lux(2sec, F1.2, 50IRE)",
                "0Lux(IR LED ON)",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris",
                "Motorized Varifocal Lens",
                "Simple Focus,Manual Focus",
                "3 ~ 8.5mm",
                "2.8x",
                "F1.2",
                "H : 105.5\u00b0 (Wide) ~ 37.1\u00b0 (Tele) \/ V : 57.5\u00b0 (Wide) ~ 21.0\u00b0 (Tele)",
                "0.5m(1.64ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "0\u00b0 ~ 354\u00b0",
                "No",
                "No",
                "0\u00b0 ~ 67\u00b0",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "IR Cut Filter",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "1",
                "1",
                "No"
            ],
            "NETWORK": [
                "2MP",
                "H.264,M-JPEG",
                "No",
                "10 profiles",
                "Yes",
                "Yes",
                "G.711 u-law \/G.726 selectable, G.726(ADPCM) 8KHz, G.711 8KHz\r\nG.726 : 16Kbps, 24kbps, 32kbps, 40kbps",
                "15",
                "Yes",
                "Yes",
                "Yes",
                "No",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "12V DC, PoE : -20\u00b0C~ +55\u00b0C(-22\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "IP66"
            ],
            "ELECTRICAL": [
                "POE,12V DC,24V AC",
                "PoE (IEEE802.3af)",
                "9.5W, AC : 13.5W(Heater on)"
            ],
            "MECHANICAL": [
                "IP66",
                "Yes"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)",
                "Dome Flush Mount",
                "Tinted Dome Cover",
                "BackBox"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-300HM6_Parapet Mount.jpg",
                "images\/accessory\/SBP-300HM6_Ceiling Mount.jpg",
                "images\/accessory\/SBP-300HM6_Wall Mount.jpg",
                "images\/accessory\/SBP-300HM6_Wall Mount(Curved neck).jpg",
                "images\/accessory\/SHD-3000F1_Dome Flush Mount.jpg",
                "images\/accessory\/SPB-VAN3_Tinted Dome Cover.jpg",
                "images\/accessory\/SBV-158G_BackBox.jpg"
            ]
        },
        "Info": "2014 Year, WiseNET3 Series, Dome"
    },
    {
        "ModelName": "SNV-5010",
        "ImgUrl": "images\/network_camera\/SNV-5010.jpg",
        "Type": "Dome",
        "Year": "2010",
        "Series": "WiseNET",
        "Discontinued": 1,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/3\"",
                "Yes",
                "1.3M",
                "1Lux(F1.8, 50IRE), 0.016Lux(Sens-up 60x)",
                "No",
                "Yes"
            ],
            "LENS": [
                "Fixed Iris",
                "Fixed Lens",
                "No",
                "3mm",
                "No",
                "F1.8",
                "H : 91.2\u00b0  \/ V : 72.3\u00b0 ",
                "No"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "-10\u00b0 ~ 10\u00b0",
                "No",
                "No",
                "0\u00b0 ~ 90\u00b0",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "No",
                "No",
                "No",
                "Yes",
                "No",
                "No",
                "No",
                "No",
                "1,N\/A",
                "1,N\/A",
                "No"
            ],
            "NETWORK": [
                "1.3MP",
                "H.264,M-JPEG,MPEG-4",
                "No",
                "10 profiles",
                "No",
                "No",
                "No",
                "10",
                "Yes",
                "Yes",
                "Yes",
                "No",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-10\u00b0C ~ +50\u00b0C",
                "Less than 90% RH",
                "IP66"
            ],
            "ELECTRICAL": [
                "POE,12V DC",
                "PoE (IEEE802.3af)",
                "6W"
            ],
            "MECHANICAL": [
                "IP66",
                "Yes"
            ]
        },
        "accessory": {
            "TYPE": [],
            "IMAGE": []
        },
        "Info": "2010 Year, WiseNET Series, Dome"
    },
    {
        "ModelName": "SNV-3120",
        "ImgUrl": "images\/network_camera\/SNV-3120.jpg",
        "Type": "Dome",
        "Year": "2010",
        "Series": "A1",
        "Discontinued": 1,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/4\"",
                "No",
                "No",
                "0.7Lux(F1.65, 50IRE), 0.001Lux(Sens-up 512x)",
                "0.07Lux(F1.65, 50IRE), 0.0001Lux(Sens-up 512x)",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris",
                "Varifocal Lens",
                "No",
                "3.69 ~ 44.32mm",
                "12x",
                "F1.65(Wide) \/ F2.01(Tele)",
                "H : 54.44\u00b0 (Wide) ~ 4.64\u00b0 (Tele) \/ V : 41.42\u00b0 (Wide) ~ 3.52\u00b0 (Tele)",
                "0.2m(Wide) \/ 0.8m(Tele)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "0\u00b0 ~ 355\u00b0",
                "No",
                "No",
                "0\u00b0 ~ 90\u00b0",
                "No",
                "No",
                "12"
            ],
            "OPERATIONAL": [
                "16x",
                "IR Cut Filter",
                "Yes",
                "No",
                "No",
                "No",
                "No",
                "Yes",
                "No",
                "1",
                "1",
                "No"
            ],
            "NETWORK": [
                "4CIF",
                "H.264,M-JPEG,MPEG-4",
                "No",
                "10 profiles",
                "No",
                "Yes",
                "G.711 u-law",
                "10",
                "Yes",
                "Yes",
                "Yes",
                "No",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-40\u00b0C~ +50\u00b0C",
                "Less than 90% RH",
                "IP66"
            ],
            "ELECTRICAL": [
                "POE,12V DC,24V AC",
                "PoE (IEEE802.3af)",
                "8W, AC : 11W(Heater on)"
            ],
            "MECHANICAL": [
                "IP66",
                "Yes"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-301HM3_Parapet Mount.jpg",
                "images\/accessory\/SBP-301HM3_Ceiling Mount.jpg",
                "images\/accessory\/SBP-301HM3_Wall Mount.jpg",
                "images\/accessory\/SBP-301HM3_Wall Mount(Curved neck).jpg"
            ]
        },
        "Info": "2010 Year, A1 Series, Dome"
    },
    {
        "ModelName": "SNP-5200",
        "ImgUrl": "images\/network_camera\/SNP-5200.jpg",
        "Type": "PTZ",
        "Year": "2010",
        "Series": "WiseNET",
        "Discontinued": 1,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/3\"",
                "Yes",
                "1.3M",
                "0.7Lux(F1.6, 50IRE), 0.01Lux(Sens-up 60x, 50IRE)",
                "0.08Lux(F1.6, 50IRE), 0.001Lux(Sens-up 60x, 50IRE)",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris",
                "Autofocus Zoom Lens",
                "Auto Focus,Manual Focus",
                "4.45 ~ 89mm",
                "20x",
                "F1.6(Wide) \/ F2.9(Tele)",
                "H : 56.56\u00b0 (Wide) ~ 3.10\u00b0 (Tele) \/ V : 43.32\u00b0 (Wide) ~ 2.34\u00b0 (Tele)",
                "1m(3.28ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "360\u00b0 Endles",
                "500\u00b0\/sec",
                "0.024\u00b0\/sec ~ 120\u00b0\/sec",
                "190\u00b0 (-5\u00b0 ~ 185\u00b0)",
                "500\u00b0\/sec",
                "0.024\u00b0\/sec ~ 120\u00b0\/sec",
                "255"
            ],
            "OPERATIONAL": [
                "16x",
                "IR Cut Filter",
                "No",
                "No",
                "Yes",
                "No",
                "No",
                "Yes",
                "No",
                "4",
                "2",
                "Yes"
            ],
            "NETWORK": [
                "1.3MP",
                "H.264,M-JPEG,MPEG-4",
                "No",
                "10 profiles",
                "No",
                "Yes",
                "G.711 u-law",
                "10",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-10\u00b0C ~ +50\u00b0C",
                "20% ~ 80% RH",
                "No"
            ],
            "ELECTRICAL": [
                "POE+,24V AC",
                "PoE+ (IEEE802.3at)",
                "21W"
            ],
            "MECHANICAL": [
                "Indoor",
                "No"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)",
                "Indoor Flush Mount",
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-300HM1_Parapet Mount.jpg",
                "images\/accessory\/SBP-300HM1_Ceiling Mount.jpg",
                "images\/accessory\/SBP-300HM1_Wall Mount.jpg",
                "images\/accessory\/SBP-300HM1_Wall Mount(Curved neck).jpg",
                "images\/accessory\/SHP-3701F_Indoor Flush Mount.jpg",
                "images\/accessory\/SHP-3701H_Parapet Mount.jpg",
                "images\/accessory\/SHP-3701H_Ceiling Mount.jpg",
                "images\/accessory\/SHP-3701H_Wall Mount.jpg",
                "images\/accessory\/SHP-3701H_Wall Mount(Curved neck).jpg"
            ]
        },
        "Info": "2010 Year, WiseNET Series, PTZ"
    },
    {
        "ModelName": "SNP-5200H",
        "ImgUrl": "images\/network_camera\/SNP-5200H.jpg",
        "Type": "PTZ",
        "Year": "2010",
        "Series": "WiseNET",
        "Discontinued": 1,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/3\"",
                "Yes",
                "1.3M",
                "0.7Lux(F1.6, 50IRE), 0.01Lux(Sens-up 60x, 50IRE)",
                "0.08Lux(F1.6, 50IRE), 0.001Lux(Sens-up 60x, 50IRE)",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris",
                "Autofocus Zoom Lens",
                "Auto Focus,Manual Focus",
                "4.45 ~ 89mm",
                "20x",
                "F1.6(Wide) \/ F2.9(Tele)",
                "H : 56.56\u00b0 (Wide) ~ 3.10\u00b0 (Tele) \/ V : 43.32\u00b0 (Wide) ~ 2.34\u00b0 (Tele)",
                "1m(3.28ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "360\u00b0 Endles",
                "500\u00b0\/sec",
                "0.024\u00b0\/sec ~ 120\u00b0\/sec",
                "190\u00b0 (-5\u00b0 ~ 185\u00b0)",
                "500\u00b0\/sec",
                "0.024\u00b0\/sec ~ 120\u00b0\/sec",
                "255"
            ],
            "OPERATIONAL": [
                "16x",
                "IR Cut Filter",
                "No",
                "No",
                "Yes",
                "No",
                "No",
                "Yes",
                "No",
                "4",
                "2",
                "Yes"
            ],
            "NETWORK": [
                "1.3MP",
                "H.264,M-JPEG,MPEG-4",
                "No",
                "10 profiles",
                "No",
                "Yes",
                "G.711 u-law",
                "10",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-50\u00b0C~ +50\u00b0C",
                "Less than 90% RH",
                "IP66"
            ],
            "ELECTRICAL": [
                "POE+,24V AC",
                "PoE+ (IEEE802.3at) * Heater works at AC input only",
                "25W"
            ],
            "MECHANICAL": [
                "IP66",
                "No"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-300HM1_Parapet Mount.jpg",
                "images\/accessory\/SBP-300HM1_Ceiling Mount.jpg",
                "images\/accessory\/SBP-300HM1_Wall Mount.jpg",
                "images\/accessory\/SBP-300HM1_Wall Mount(Curved neck).jpg"
            ]
        },
        "Info": "2010 Year, WiseNET Series, PTZ"
    },
    {
        "ModelName": "SNP-3371TH",
        "ImgUrl": "images\/network_camera\/SNP-3371TH.jpg",
        "Type": "PTZ",
        "Year": "2011",
        "Series": "SV5",
        "Discontinued": 1,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/4\"",
                "No",
                "No",
                "0.7Lux(F1.6, 50IRE), 0.0027Lux(Sens-up 256x)",
                "0.03Lux(F1.6, 50IRE), 0.0001Lux(Sens-up 256x)",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris",
                "Autofocus Zoom Lens",
                "Auto Focus,Manual Focus",
                "3.5 ~ 129.5mm",
                "37x",
                "F1.6(Wide) \/ F3.9(Tele)",
                "H : 55.5\u00b0 (Wide) ~ 1.59\u00b0 (Tele) \/ V : 42.5\u00b0 (Wide) ~ 1.19\u00b0 (Tele)",
                "1.8m(5.91ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "360\u00b0 Endles",
                "500\u00b0\/sec",
                "0.024\u00b0\/sec ~ 120\u00b0\/sec",
                "190\u00b0 (-5\u00b0 ~ 185\u00b0)",
                "500\u00b0\/sec",
                "0.024\u00b0\/sec ~ 120\u00b0\/sec",
                "255"
            ],
            "OPERATIONAL": [
                "16x",
                "IR Cut Filter",
                "Yes",
                "No",
                "No",
                "No",
                "No",
                "Yes",
                "No",
                "4",
                "2",
                "Yes"
            ],
            "NETWORK": [
                "4CIF",
                "H.264,M-JPEG,MPEG-4",
                "No",
                "10 profiles",
                "No",
                "Yes",
                "G.711 u-law",
                "10",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-50\u00b0C~ +50\u00b0C",
                "Less than 90% RH",
                "IP66"
            ],
            "ELECTRICAL": [
                "POE+,24V AC",
                "PoE+ (IEEE802.3at) * Heater works at AC input only",
                "25W, AC : 60W(Heater on)"
            ],
            "MECHANICAL": [
                "IP66",
                "No"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)"
            ],
            "IMAGE": [
                "images\/accessory\/_Parapet Mount.jpg",
                "images\/accessory\/_Ceiling Mount.jpg",
                "images\/accessory\/_Wall Mount.jpg",
                "images\/accessory\/_Wall Mount(Curved neck).jpg"
            ]
        },
        "Info": "2011 Year, SV5 Series, PTZ"
    },
    {
        "ModelName": "SNP-3371",
        "ImgUrl": "images\/network_camera\/SNP-3371.jpg",
        "Type": "PTZ",
        "Year": "2011",
        "Series": "SV5",
        "Discontinued": 1,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/4\"",
                "No",
                "No",
                "0.7Lux(F1.6, 50IRE), 0.001Lux(Sens-up 512x)",
                "0.07Lux(F1.6, 50IRE), 0.0001Lux(Sens-up 512x)",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris",
                "Autofocus Zoom Lens",
                "Auto Focus,Manual Focus",
                "3.5 ~ 129.5mm",
                "37x",
                "F1.6(Wide) \/ F3.9(Tele)",
                "H : 55.5\u00b0 (Wide) ~ 1.59\u00b0 (Tele) \/ V : 42.5\u00b0 (Wide) ~ 1.19\u00b0 (Tele)",
                "1.8m(5.91ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "360\u00b0 Endles",
                "500\u00b0\/sec",
                "0.024\u00b0\/sec ~ 120\u00b0\/sec",
                "190\u00b0 (-5\u00b0 ~ 185\u00b0)",
                "500\u00b0\/sec",
                "0.024\u00b0\/sec ~ 120\u00b0\/sec",
                "255"
            ],
            "OPERATIONAL": [
                "16x",
                "IR Cut Filter",
                "Yes",
                "No",
                "No",
                "No",
                "No",
                "Yes",
                "No",
                "4",
                "2",
                "Yes"
            ],
            "NETWORK": [
                "4CIF",
                "H.264,M-JPEG,MPEG-4",
                "No",
                "10 profiles",
                "No",
                "Yes",
                "G.711 u-law",
                "10",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "No",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-10\u00b0C ~ +50\u00b0C",
                "20% ~ 80% RH",
                "No"
            ],
            "ELECTRICAL": [
                "24V AC",
                "PoE+ (IEEE802.3at)",
                "21W"
            ],
            "MECHANICAL": [
                "Indoor",
                "No"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)",
                "Indoor Flush Mount",
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-300HM1_Parapet Mount.jpg",
                "images\/accessory\/SBP-300HM1_Ceiling Mount.jpg",
                "images\/accessory\/SBP-300HM1_Wall Mount.jpg",
                "images\/accessory\/SBP-300HM1_Wall Mount(Curved neck).jpg",
                "images\/accessory\/SHP-3701F_Indoor Flush Mount.jpg",
                "images\/accessory\/SHP-3701H_Parapet Mount.jpg",
                "images\/accessory\/SHP-3701H_Ceiling Mount.jpg",
                "images\/accessory\/SHP-3701H_Wall Mount.jpg",
                "images\/accessory\/SHP-3701H_Wall Mount(Curved neck).jpg"
            ]
        },
        "Info": "2011 Year, SV5 Series, PTZ"
    },
    {
        "ModelName": "SNP-3120",
        "ImgUrl": "images\/network_camera\/SNP-3120.jpg",
        "Type": "PTZ",
        "Year": "2010",
        "Series": "A1",
        "Discontinued": 1,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/4\"",
                "No",
                "No",
                "0.7Lux(F1.65, 50IRE), 0.001Lux(Sens-up 512x)",
                "0.07Lux(F1.65, 50IRE), 0.0001Lux(Sens-up 512x)",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris",
                "Autofocus Zoom Lens",
                "Auto Focus,Manual Focus",
                "3.69 ~ 44.32mm",
                "12x",
                "F1.65(Wide) \/ F2.01(Tele)",
                "H : 54.44\u00b0 (Wide) ~ 4.62\u00b0 (Tele) \/ V : 42.32\u00b0 (Wide) ~ 3.58\u00b0 (Tele)",
                "0.2m(Wide) \/ 0.8m(Tele)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "360\u00b0 Endles",
                "650\u00b0\/sec",
                "0.05\u00b0\/sec ~ 120\u00b0\/sec (Turbo : 200\u00b0\/sec)",
                "190\u00b0 (-5\u00b0 ~ 185\u00b0)",
                "650\u00b0\/sec",
                "0.05\u00b0\/sec ~ 120\u00b0\/sec",
                "255"
            ],
            "OPERATIONAL": [
                "16x",
                "IR Cut Filter",
                "Yes",
                "No",
                "No",
                "No",
                "No",
                "Yes",
                "No",
                "2",
                "2",
                "Yes"
            ],
            "NETWORK": [
                "4CIF",
                "H.264,M-JPEG,MPEG-4",
                "No",
                "10 profiles",
                "No",
                "Yes",
                "G.711 u-law",
                "10",
                "Yes",
                "Yes",
                "Yes",
                "No",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-10\u00b0C ~ +50\u00b0C",
                "20% ~ 80% RH",
                "No"
            ],
            "ELECTRICAL": [
                "POE+,24V AC",
                "PoE+ (IEEE802.3at)",
                "15W"
            ],
            "MECHANICAL": [
                "Indoor",
                "No"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-300HM1_Parapet Mount.jpg",
                "images\/accessory\/SBP-300HM1_Ceiling Mount.jpg",
                "images\/accessory\/SBP-300HM1_Wall Mount.jpg",
                "images\/accessory\/SBP-300HM1_Wall Mount(Curved neck).jpg"
            ]
        },
        "Info": "2010 Year, A1 Series, PTZ"
    },
    {
        "ModelName": "SNP-3120VH",
        "ImgUrl": "images\/network_camera\/SNP-3120VH.jpg",
        "Type": "PTZ",
        "Year": "2010",
        "Series": "A1",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/4\"",
                "No",
                "No",
                "0.7Lux(F1.65, 50IRE), 0.001Lux(Sens-up 512x)",
                "0.07Lux(F1.65, 50IRE), 0.0001Lux(Sens-up 512x)",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris",
                "Autofocus Zoom Lens",
                "Auto Focus,Manual Focus",
                "3.69 ~ 44.32mm",
                "12x",
                "F1.65(Wide) \/ F2.01(Tele)",
                "H : 54.44\u00b0 (Wide) ~ 4.62\u00b0 (Tele) \/ V : 42.32\u00b0 (Wide) ~ 3.58\u00b0 (Tele)",
                "11"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "360\u00b0 Endles",
                "650\u00b0\/sec",
                "0.05\u00b0\/sec ~ 120\u00b0\/sec (Turbo : 200\u00b0\/sec)",
                "190\u00b0 (-5\u00b0 ~ 185\u00b0)",
                "650\u00b0\/sec",
                "0.05\u00b0\/sec ~ 120\u00b0\/sec",
                "255"
            ],
            "OPERATIONAL": [
                "16x",
                "IR Cut Filter",
                "Yes",
                "No",
                "No",
                "No",
                "No",
                "Yes",
                "No",
                "2",
                "2",
                "Yes"
            ],
            "NETWORK": [
                "4CIF",
                "H.264,M-JPEG,MPEG-4",
                "No",
                "10 profiles",
                "No",
                "Yes",
                "G.711 u-law",
                "10",
                "Yes",
                "Yes",
                "Yes",
                "No",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-50\u00b0C~ +50\u00b0C",
                "Less than 90% RH",
                "IP66"
            ],
            "ELECTRICAL": [
                "POE+,24V AC",
                "PoE+ (IEEE802.3at) * Heater works at AC input only",
                "AC : 45W, PoE+ : 15W"
            ],
            "MECHANICAL": [
                "IP66",
                "Yes"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)"
            ],
            "IMAGE": [
                "images\/accessory\/_Parapet Mount.jpg",
                "images\/accessory\/_Ceiling Mount.jpg",
                "images\/accessory\/_Wall Mount.jpg",
                "images\/accessory\/_Wall Mount(Curved neck).jpg"
            ]
        },
        "Info": "2010 Year, A1 Series, PTZ"
    },
    {
        "ModelName": "SNB-3002",
        "ImgUrl": "images\/network_camera\/SNB-3002.jpg",
        "Type": "Box",
        "Year": "2011",
        "Series": "A1",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/3\"",
                "No",
                "No",
                "0.4Lux(F1.2, 50IRE), 0.001Lux(Sens-up 512x)",
                "0.04Lux(F1.2, 50IRE), 0.0001Lux(Sens-up 512x)",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris,Manual Iris",
                "No",
                "No",
                "No",
                "No",
                "No",
                "No",
                "No"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "No",
                "No",
                "No",
                "No",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "IR Cut Filter",
                "Yes",
                "No",
                "Yes",
                "No",
                "No",
                "Yes",
                "No",
                "1",
                "1",
                "Yes"
            ],
            "NETWORK": [
                "4CIF",
                "H.264,M-JPEG,MPEG-4",
                "No",
                "10 profiles",
                "No",
                "Yes",
                "G.711 u-law",
                "10",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-10\u00b0C ~ +50\u00b0C",
                "20% ~ 80% RH",
                "No"
            ],
            "ELECTRICAL": [
                "POE,12V DC,24V AC",
                "PoE (IEEE802.3af)",
                "6W"
            ],
            "MECHANICAL": [
                "Indoor",
                "No"
            ]
        },
        "accessory": {
            "TYPE": [],
            "IMAGE": []
        },
        "Info": "2011 Year, A1 Series, Box"
    },
    {
        "ModelName": "SNB-1001",
        "ImgUrl": "images\/network_camera\/SNB-1001.jpg",
        "Type": "Box",
        "Year": "2011",
        "Series": "WiseNETS",
        "Discontinued": 1,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/4\"",
                "No",
                "No",
                "0.7Lux(F1.2)",
                "0.7Lux(F1.2)",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris,Manual Iris",
                "No",
                "No",
                "No",
                "No",
                "F1.2",
                "No",
                "No"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "No",
                "No",
                "No",
                "No",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "Software",
                "No",
                "No",
                "No",
                "Yes",
                "No",
                "Yes",
                "No",
                "1",
                "No",
                "No"
            ],
            "NETWORK": [
                "VGA",
                "H.264,M-JPEG",
                "No",
                "10 profiles",
                "No",
                "Yes",
                "G.711 u-law",
                "10",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-10\u00b0C ~ +50\u00b0C",
                "20% ~ 80% RH",
                "No"
            ],
            "ELECTRICAL": [
                "POE,12V DC",
                "PoE (IEEE802.3af)",
                "DC : 3.4W, PoE : 4W"
            ],
            "MECHANICAL": [
                "Indoor",
                "No"
            ]
        },
        "accessory": {
            "TYPE": [],
            "IMAGE": []
        },
        "Info": "2011 Year, WiseNETS Series, Box"
    },
    {
        "ModelName": "SNO-1080R",
        "ImgUrl": "images\/network_camera\/SNO-1080R.jpg",
        "Type": "Bullet",
        "Year": "2011",
        "Series": "WiseNETS",
        "Discontinued": 1,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/4\"",
                "No",
                "No",
                "0.7Lux(F1.2)",
                "0.7Lux(F1.2)",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris",
                "Varifocal Lens",
                "No",
                "2.3 ~ 7.9mm",
                "No",
                "F1.2",
                "H : 94\u00b0 (Wide) ~ 26.5\u00b0 (Tele) \/ V : 70\u00b0 (Wide) ~ 20\u00b0 (Tele)",
                "0.5m (1.64ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "No",
                "No",
                "No",
                "No",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "IR Cut Filter",
                "No",
                "Yes",
                "No",
                "Yes",
                "No",
                "No",
                "No",
                "1",
                "No",
                "No"
            ],
            "NETWORK": [
                "VGA",
                "H.264,M-JPEG",
                "No",
                "10 profiles",
                "No",
                "No",
                "No",
                "10",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-10\u00b0C ~ +50\u00b0C",
                "20% ~ 80% RH",
                "IP66"
            ],
            "ELECTRICAL": [
                "POE,12V DC",
                "PoE (IEEE802.3af)",
                "DC : 5.6W, PoE : 5.6W"
            ],
            "MECHANICAL": [
                "IP66",
                "No"
            ]
        },
        "accessory": {
            "TYPE": [],
            "IMAGE": []
        },
        "Info": "2011 Year, WiseNETS Series, Bullet"
    },
    {
        "ModelName": "SND-3082",
        "ImgUrl": "images\/network_camera\/SND-3082.jpg",
        "Type": "Dome",
        "Year": "2011",
        "Series": "A1",
        "Discontinued": 1,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/3\"",
                "No",
                "No",
                "0.4Lux(F1.2, 50IRE), 0.001Lux(Sens-up 512x)",
                "0.04Lux(F1.2, 50IRE), 0.0001Lux(Sens-up 512x)",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris",
                "Varifocal Lens",
                "No",
                "2.8 ~ 11mm",
                "3.9x",
                "F1.2",
                "H : 94.6\u00b0 (Wide) ~ 28.8\u00b0 (Tele) \/ V : 68.4\u00b0 (Wide) ~ 21.6\u00b0 (Tele)",
                "No"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "0\u00b0 ~ 355\u00b0",
                "No",
                "No",
                "0\u00b0 ~ 90\u00b0",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "Software",
                "Yes",
                "No",
                "Yes",
                "No",
                "No",
                "Yes",
                "No",
                "1",
                "1",
                "No"
            ],
            "NETWORK": [
                "4CIF",
                "H.264,M-JPEG,MPEG-4",
                "No",
                "10 profiles",
                "No",
                "Yes",
                "G.711 u-law",
                "10",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-10\u00b0C ~ +50\u00b0C",
                "20% ~ 80% RH",
                "No"
            ],
            "ELECTRICAL": [
                "POE,12V DC,24V AC",
                "PoE (IEEE802.3af)",
                "6W"
            ],
            "MECHANICAL": [
                "Indoor",
                "No"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-301HM2_Parapet Mount.jpg",
                "images\/accessory\/SBP-301HM2_Ceiling Mount.jpg",
                "images\/accessory\/SBP-301HM2_Wall Mount.jpg",
                "images\/accessory\/SBP-301HM2_Wall Mount(Curved neck).jpg"
            ]
        },
        "Info": "2011 Year, A1 Series, Dome"
    },
    {
        "ModelName": "SND-3082F",
        "ImgUrl": "images\/network_camera\/SND-3082F.jpg",
        "Type": "Dome",
        "Year": "2011",
        "Series": "A1",
        "Discontinued": 1,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/3\"",
                "No",
                "No",
                "0.4Lux(F1.2, 50IRE), 0.001Lux(Sens-up 512x)",
                "0.04Lux(F1.2, 50IRE), 0.0001Lux(Sens-up 512x)",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris",
                "Varifocal Lens",
                "No",
                "2.8 ~ 11mm",
                "3.9x",
                "F1.2",
                "H : 94.6\u00b0 (Wide) ~ 28.8\u00b0 (Tele) \/ V : 68.4\u00b0 (Wide) ~ 21.6\u00b0 (Tele)",
                "No"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "0\u00b0 ~ 355\u00b0",
                "No",
                "No",
                "0\u00b0 ~ 90\u00b0",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "Software",
                "Yes",
                "No",
                "Yes",
                "No",
                "No",
                "Yes",
                "No",
                "1",
                "1",
                "No"
            ],
            "NETWORK": [
                "4CIF",
                "H.264,M-JPEG,MPEG-4",
                "No",
                "Dual streaming (H.264+MJPEG or MPEG-4+MJPEG)",
                "No",
                "Yes",
                "G.711 u-law",
                "10",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-10\u00b0C ~ +50\u00b0C",
                "20% ~ 80% RH",
                "No"
            ],
            "ELECTRICAL": [
                "POE,12V DC,24V AC",
                "PoE (IEEE802.3af)",
                "6W"
            ],
            "MECHANICAL": [
                "Indoor",
                "No"
            ]
        },
        "accessory": {
            "TYPE": [],
            "IMAGE": []
        },
        "Info": "2011 Year, A1 Series, Dome"
    },
    {
        "ModelName": "SND-1080",
        "ImgUrl": "images\/network_camera\/SND-1080.jpg",
        "Type": "Dome",
        "Year": "2011",
        "Series": "WiseNETS",
        "Discontinued": 1,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/4\"",
                "No",
                "No",
                "0.7Lux(F1.2)",
                "0.7Lux(F1.2)",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris",
                "Varifocal Lens",
                "No",
                "2.2 ~ 7.7mm",
                "3.5x",
                "F1.2",
                "H : 94\u00b0 (Wide) ~ 26.5\u00b0 (Tele) \/ V : 70\u00b0 (Wide) ~ 20\u00b0 (Tele)",
                "0.5m (1.64ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "0\u00b0 ~ 355\u00b0",
                "No",
                "No",
                "0\u00b0 ~ 90\u00b0",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "Software",
                "No",
                "No",
                "No",
                "Yes",
                "No",
                "Yes",
                "No",
                "1",
                "No",
                "No"
            ],
            "NETWORK": [
                "VGA",
                "H.264,M-JPEG",
                "No",
                "10 profiles",
                "No",
                "Yes",
                "G.711 u-law",
                "10",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-10\u00b0C ~ +50\u00b0C",
                "20% ~ 80% RH",
                "No"
            ],
            "ELECTRICAL": [
                "POE,12V DC",
                "PoE (IEEE802.3af)",
                "DC : 3.4W, PoE : 4W"
            ],
            "MECHANICAL": [
                "Indoor",
                "No"
            ]
        },
        "accessory": {
            "TYPE": [
                "Wall Mount"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-300WM0_Wall Mount.jpg"
            ]
        },
        "Info": "2011 Year, WiseNETS Series, Dome"
    },
    {
        "ModelName": "SND-1011",
        "ImgUrl": "images\/network_camera\/SND-1011.jpg",
        "Type": "Dome",
        "Year": "2011",
        "Series": "WiseNETS",
        "Discontinued": 1,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/4\"",
                "No",
                "No",
                "0.7Lux(F1.2)",
                "0.7Lux(F1.2)",
                "Yes"
            ],
            "LENS": [
                "Fixed Iris",
                "Fixed Lens",
                "No",
                "3mm",
                "No",
                "F1.2",
                "H : 70\u00b0  \/ V : 50\u00b0 ",
                "No"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "0\u00b0 ~ 355\u00b0",
                "No",
                "No",
                "0\u00b0 ~ 90\u00b0",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "Software",
                "No",
                "No",
                "No",
                "Yes",
                "No",
                "Yes",
                "No",
                "1",
                "No",
                "No"
            ],
            "NETWORK": [
                "VGA",
                "H.264,M-JPEG",
                "No",
                "10 profiles",
                "No",
                "No",
                "No",
                "10",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-10\u00b0C ~ +50\u00b0C",
                "20% ~ 80% RH",
                "No"
            ],
            "ELECTRICAL": [
                "POE,12V DC",
                "PoE (IEEE802.3af)",
                "DC : 3.4W, PoE : 4W"
            ],
            "MECHANICAL": [
                "Indoor",
                "No"
            ]
        },
        "accessory": {
            "TYPE": [
                "Wall Mount"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-300WM0_Wall Mount.jpg"
            ]
        },
        "Info": "2011 Year, WiseNETS Series, Dome"
    },
    {
        "ModelName": "SNV-3082",
        "ImgUrl": "images\/network_camera\/SNV-3082.jpg",
        "Type": "Dome",
        "Year": "2011",
        "Series": "A1",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/3\"",
                "No",
                "No",
                "0.4Lux(F1.2, 50IRE), 0.001Lux(Sens-up 512x)",
                "0.04Lux(F1.2, 50IRE), 0.0001Lux(Sens-up 512x)",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris",
                "Varifocal Lens",
                "No",
                "2.8 ~ 11mm",
                "3.9x",
                "F1.2",
                "H : 94.6\u00b0 (Wide) ~ 28.8\u00b0 (Tele) \/ V : 68.4\u00b0 (Wide) ~ 21.6\u00b0 (Tele)",
                "No"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "0\u00b0 ~ 355\u00b0",
                "No",
                "No",
                "0\u00b0 ~ 90\u00b0",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "IR Cut Filter",
                "Yes",
                "No",
                "Yes",
                "No",
                "No",
                "Yes",
                "No",
                "1",
                "1",
                "No"
            ],
            "NETWORK": [
                "4CIF",
                "H.264,M-JPEG,MPEG-4",
                "No",
                "10 profiles",
                "No",
                "Yes",
                "G.711 u-law",
                "10",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-40\u00b0C~ +50\u00b0C",
                "Less than 90% RH",
                "IP66"
            ],
            "ELECTRICAL": [
                "POE,12V DC,24V AC",
                "PoE (IEEE802.3af)",
                "6W, AC : 11W(Heater on)"
            ],
            "MECHANICAL": [
                "IP66",
                "Yes"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-301HM3_Parapet Mount.jpg",
                "images\/accessory\/SBP-301HM3_Ceiling Mount.jpg",
                "images\/accessory\/SBP-301HM3_Wall Mount.jpg",
                "images\/accessory\/SBP-301HM3_Wall Mount(Curved neck).jpg"
            ]
        },
        "Info": "2011 Year, A1 Series, Dome"
    },
    {
        "ModelName": "SNV-1080",
        "ImgUrl": "images\/network_camera\/SNV-1080.jpg",
        "Type": "Dome",
        "Year": "2011",
        "Series": "WiseNETS",
        "Discontinued": 1,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/4\"",
                "No",
                "No",
                "0.7Lux(F1.2)",
                "0.7Lux(F1.2)",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris",
                "Varifocal Lens",
                "No",
                "2.2 ~ 7.7mm",
                "3.5x",
                "F1.2",
                "H : 94\u00b0 (Wide) ~ 26.5\u00b0 (Tele) \/ V : 70\u00b0 (Wide) ~ 20\u00b0 (Tele)",
                "0.5m (1.64ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "0\u00b0 ~ 355\u00b0",
                "No",
                "No",
                "0\u00b0 ~ 90\u00b0",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "IR Cut Filter",
                "No",
                "No",
                "No",
                "Yes",
                "No",
                "Yes",
                "No",
                "1",
                "No",
                "No"
            ],
            "NETWORK": [
                "VGA",
                "H.264,M-JPEG",
                "No",
                "10 profiles",
                "No",
                "Yes",
                "G.711 u-law",
                "10",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-10\u00b0C ~ +50\u00b0C",
                "20% ~ 80% RH",
                "IP66"
            ],
            "ELECTRICAL": [
                "POE,12V DC",
                "PoE (IEEE802.3af)",
                "DC : 3.4W, PoE : 4W"
            ],
            "MECHANICAL": [
                "IP66",
                "Yes"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-301HM2_Parapet Mount.jpg",
                "images\/accessory\/SBP-301HM2_Ceiling Mount.jpg",
                "images\/accessory\/SBP-301HM2_Wall Mount.jpg",
                "images\/accessory\/SBP-301HM2_Wall Mount(Curved neck).jpg"
            ]
        },
        "Info": "2011 Year, WiseNETS Series, Dome"
    },
    {
        "ModelName": "SNV-7080R",
        "ImgUrl": "images\/network_camera\/SNV-7080R.jpg",
        "Type": "Dome",
        "Year": "2011",
        "Series": "WiseNET2",
        "Discontinued": 1,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/2.8\"",
                "Yes",
                "3M",
                "1Lux(F1.2, 50IRE), 0.017Lux(Sens-up 60x)",
                "0Lux(F1.2, 50IRE, IR LED ON)",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris",
                "Motorized Varifocal Lens",
                "No",
                "3 ~ 8.5mm, Motorized variN\/Afocal lens",
                "2.8x",
                "F1.2",
                "H : 100\u00b0 (Wide) ~ 35.3\u00b0 (Tele) \/ V : 74.6\u00b0 (Wide) ~ 26\u00b0 (Tele)",
                "No"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "0\u00b0 ~ 355\u00b0",
                "No",
                "No",
                "0\u00b0 ~ 90\u00b0",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "IR Cut Filter",
                "Yes",
                "Yes",
                "Yes",
                "No",
                "No",
                "Yes",
                "No",
                "1",
                "1",
                "No"
            ],
            "NETWORK": [
                "3MP",
                "H.264,M-JPEG",
                "No",
                "6 profiles",
                "No",
                "Yes",
                "G.711 u-law",
                "10",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-10\u00b0C ~ +50\u00b0C",
                "Less than 90% RH",
                "IP66"
            ],
            "ELECTRICAL": [
                "POE,12V DC,24V AC",
                "PoE (IEEE802.3af)",
                "9W, AC : 13W(Heater on)"
            ],
            "MECHANICAL": [
                "IP66",
                "Yes"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-301HM3_Parapet Mount.jpg",
                "images\/accessory\/SBP-301HM3_Ceiling Mount.jpg",
                "images\/accessory\/SBP-301HM3_Wall Mount.jpg",
                "images\/accessory\/SBP-301HM3_Wall Mount(Curved neck).jpg"
            ]
        },
        "Info": "2011 Year, WiseNET2 Series, Dome"
    },
    {
        "ModelName": "SNV-5080R",
        "ImgUrl": "images\/network_camera\/SNV-5080R.jpg",
        "Type": "Dome",
        "Year": "2011",
        "Series": "WiseNET",
        "Discontinued": 1,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/3\"",
                "Yes",
                "1.3M",
                "0.3Lux(F1.2, 50IRE), 0.005Lux(Sens-up 60x)",
                "0Lux(F1.2, 50IRE, IR LED ON)",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris",
                "Motorized Varifocal Lens,Autofocus Zoom Lens",
                "No",
                "3 ~ 8.5mm",
                "2.8x",
                "F1.2",
                "H : 91.0\u00b0 (Wide) ~ 32.1\u00b0 (Tele) \/ V : 72.2\u00b0 (Wide) ~ 25.7\u00b0 (Tele)",
                "No"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "0\u00b0 ~ 355\u00b0",
                "No",
                "No",
                "0\u00b0 ~ 90\u00b0",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "IR Cut Filter",
                "No",
                "Yes",
                "Yes",
                "No",
                "No",
                "Yes",
                "No",
                "1",
                "1",
                "No"
            ],
            "NETWORK": [
                "1.3MP",
                "H.264,M-JPEG,MPEG-4",
                "No",
                "10 profiles",
                "No",
                "Yes",
                "G.711 u-law",
                "10",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-10\u00b0C ~ +50\u00b0C",
                "Less than 90% RH",
                "IP66"
            ],
            "ELECTRICAL": [
                "POE,12V DC,24V AC",
                "PoE (IEEE802.3af)",
                "9W, AC : 13W(Heater on)"
            ],
            "MECHANICAL": [
                "IP66",
                "Yes"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-301HM3_Parapet Mount.jpg",
                "images\/accessory\/SBP-301HM3_Ceiling Mount.jpg",
                "images\/accessory\/SBP-301HM3_Wall Mount.jpg",
                "images\/accessory\/SBP-301HM3_Wall Mount(Curved neck).jpg"
            ]
        },
        "Info": "2011 Year, WiseNET Series, Dome"
    },
    {
        "ModelName": "SNP-3371H",
        "ImgUrl": "images\/network_camera\/SNP-3371H.jpg",
        "Type": "PTZ",
        "Year": "2011",
        "Series": "SV5",
        "Discontinued": 1,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/4\"",
                "No",
                "No",
                "0.7Lux(F1.6, 50IRE), 0.007Lux(Sens-up 256x)",
                "0.03Lux(F1.6, 50IRE), 0.0001Lux(Sens-up 256x)",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris",
                "Autofocus Zoom Lens",
                "Auto Focus",
                "3.5 ~ 129.5mm",
                "37x",
                "F1.6(Wide) \/ F3.9(Tele)",
                "H : 55.5\u00b0 (Wide) ~ 1.59\u00b0 (Tele) \/ V : 42.5\u00b0 (Wide) ~ 1.19\u00b0 (Tele)",
                "1.8m(5.91ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "360\u00b0 Endles",
                "500\u00b0\/sec",
                "0.024\u00b0\/sec ~ 120\u00b0\/sec",
                "190\u00b0 (-5\u00b0 ~ 185\u00b0)",
                "500\u00b0\/sec",
                "0.024\u00b0\/sec ~ 120\u00b0\/sec",
                "255"
            ],
            "OPERATIONAL": [
                "16x",
                "IR Cut Filter",
                "Yes",
                "No",
                "No",
                "No",
                "No",
                "Yes",
                "No",
                "4",
                "2",
                "Yes"
            ],
            "NETWORK": [
                "4CIF",
                "H.264,M-JPEG,MPEG-4",
                "No",
                "10 profiles",
                "No",
                "Yes",
                "G.711 u-law",
                "10",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-10\u00b0C ~ +50\u00b0C",
                "20% ~ 80% RH",
                "IP66"
            ],
            "ELECTRICAL": [
                "POE+,24V AC",
                "PoE+ (IEEE802.3at) * Heater works at AC input only",
                "AC : 60W, PoE+ : 25W"
            ],
            "MECHANICAL": [
                "IP66",
                "No"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)"
            ],
            "IMAGE": [
                "images\/accessory\/_Parapet Mount.jpg",
                "images\/accessory\/_Ceiling Mount.jpg",
                "images\/accessory\/_Wall Mount.jpg",
                "images\/accessory\/_Wall Mount(Curved neck).jpg"
            ]
        },
        "Info": "2011 Year, SV5 Series, PTZ"
    },
    {
        "ModelName": "SNP-3302",
        "ImgUrl": "images\/network_camera\/SNP-3302.jpg",
        "Type": "PTZ",
        "Year": "2011",
        "Series": "SV5",
        "Discontinued": 1,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/4\"",
                "No",
                "No",
                "0.7Lux(F1.6, 50IRE), 0.001Lux(Sens-up 256x)",
                "0.07Lux(F1.6, 50IRE), 0.0001Lux(Sens-up 256x)",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris",
                "Autofocus Zoom Lens",
                "Auto Focus,Manual Focus",
                "3.5 ~ 105.3mm",
                "30x",
                "F1.6(Wide) \/ F3.6(Tele)",
                "H : 55.5\u00b0 (Wide) ~ 1.77\u00b0 (Tele) \/ V : 42.5\u00b0 (Wide) ~ 1.33\u00b0 (Tele)",
                "1.8m(5.91ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "360\u00b0 Endles",
                "500\u00b0\/sec",
                "0.024\u00b0\/sec ~ 120\u00b0\/sec",
                "190\u00b0 (-5\u00b0 ~ 185\u00b0)",
                "500\u00b0\/sec",
                "0.024\u00b0\/sec ~ 120\u00b0\/sec",
                "255"
            ],
            "OPERATIONAL": [
                "16x",
                "IR Cut Filter",
                "Yes",
                "No",
                "No",
                "No",
                "No",
                "Yes",
                "No",
                "4",
                "2",
                "Yes"
            ],
            "NETWORK": [
                "4CIF",
                "H.264,M-JPEG,MPEG-4",
                "No",
                "10 profiles",
                "No",
                "Yes",
                "G.711 u-law",
                "10",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-10\u00b0C ~ +50\u00b0C",
                "20% ~ 80% RH",
                "No"
            ],
            "ELECTRICAL": [
                "POE+,24V AC",
                "PoE+ (IEEE802.3at)",
                "21W"
            ],
            "MECHANICAL": [
                "Indoor",
                "No"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)",
                "Indoor Flush Mount",
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-300HM1_Parapet Mount.jpg",
                "images\/accessory\/SBP-300HM1_Ceiling Mount.jpg",
                "images\/accessory\/SBP-300HM1_Wall Mount.jpg",
                "images\/accessory\/SBP-300HM1_Wall Mount(Curved neck).jpg",
                "images\/accessory\/SHP-3701F_Indoor Flush Mount.jpg",
                "images\/accessory\/SHP-3701H_Parapet Mount.jpg",
                "images\/accessory\/SHP-3701H_Ceiling Mount.jpg",
                "images\/accessory\/SHP-3701H_Wall Mount.jpg",
                "images\/accessory\/SHP-3701H_Wall Mount(Curved neck).jpg"
            ]
        },
        "Info": "2011 Year, SV5 Series, PTZ"
    },
    {
        "ModelName": "SNP-3302H",
        "ImgUrl": "images\/network_camera\/SNP-3302H.jpg",
        "Type": "PTZ",
        "Year": "2011",
        "Series": "SV5",
        "Discontinued": 1,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/4\"",
                "No",
                "No",
                "0.7Lux(F1.6, 50IRE), 0.001Lux(Sens-up 256x)",
                "0.07Lux(F1.6, 50IRE), 0.0001Lux(Sens-up 256x)",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris",
                "Autofocus Zoom Lens",
                "Auto Focus,Manual Focus",
                "3.5 ~ 105.3mm",
                "30x",
                "F1.6(Wide) \/ F3.6(Tele)",
                "H : 55.5\u00b0 (Wide) ~ 1.77\u00b0 (Tele) \/ V : 42.5\u00b0 (Wide) ~ 1.33\u00b0 (Tele)",
                "1.8m(5.91ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "360\u00b0 Endles",
                "500\u00b0\/sec",
                "0.024\u00b0\/sec ~ 120\u00b0\/sec",
                "190\u00b0 (-5\u00b0 ~ 185\u00b0)",
                "500\u00b0\/sec",
                "0.024\u00b0\/sec ~ 120\u00b0\/sec",
                "255"
            ],
            "OPERATIONAL": [
                "16x",
                "IR Cut Filter",
                "Yes",
                "No",
                "No",
                "No",
                "No",
                "Yes",
                "No",
                "4",
                "2",
                "Yes"
            ],
            "NETWORK": [
                "4CIF",
                "H.264,M-JPEG,MPEG-4",
                "No",
                "10 profiles",
                "No",
                "Yes",
                "G.711 u-law",
                "10",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-50\u00b0C~ +50\u00b0C",
                "Less than 90% RH",
                "IP66"
            ],
            "ELECTRICAL": [
                "POE+,24V AC",
                "PoE+ (IEEE802.3at)",
                "25W, AC : 60W(Heater on)"
            ],
            "MECHANICAL": [
                "IP66",
                "No"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)"
            ],
            "IMAGE": [
                "images\/accessory\/_Parapet Mount.jpg",
                "images\/accessory\/_Ceiling Mount.jpg",
                "images\/accessory\/_Wall Mount.jpg",
                "images\/accessory\/_Wall Mount(Curved neck).jpg"
            ]
        },
        "Info": "2011 Year, SV5 Series, PTZ"
    },
    {
        "ModelName": "SNV-1080R",
        "ImgUrl": "images\/network_camera\/SNV-1080R.jpg",
        "Type": "Dome",
        "Year": "2012",
        "Series": "WiseNETS",
        "Discontinued": 1,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/4\"",
                "No",
                "No",
                "0.7Lux(F1.2) (F1.2, 50IRE)",
                "0Lux(F1.2, 50IRE, IR LED ON)",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris",
                "Varifocal Lens",
                "No",
                "2.2 ~ 7.7mm",
                "3.5x",
                "F1.2",
                "H : 94\u00b0 (Wide) ~ 26.5\u00b0 (Tele) \/ V : 70\u00b0 (Wide) ~ 20\u00b0 (Tele)",
                "0.5m (1.64ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "0\u00b0 ~ 352\u00b0",
                "No",
                "No",
                "17\u00b0 ~ 90\u00b0",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "Software",
                "No",
                "Yes",
                "No",
                "Yes",
                "No",
                "Yes",
                "No",
                "1",
                "No",
                "No"
            ],
            "NETWORK": [
                "VGA",
                "H.264,M-JPEG",
                "No",
                "10 profiles",
                "No",
                "Yes",
                "G.711 u-law",
                "10",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-10\u00b0C ~ +50\u00b0C",
                "20% ~ 80% RH",
                "IP66"
            ],
            "ELECTRICAL": [
                "POE,12V DC",
                "PoE+ (IEEE802.3af)",
                "AC : 11W, DC : 5.9W, PoE+ : 6.2W"
            ],
            "MECHANICAL": [
                "IP66",
                "Yes"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-301HM2_Parapet Mount.jpg",
                "images\/accessory\/SBP-301HM2_Ceiling Mount.jpg",
                "images\/accessory\/SBP-301HM2_Wall Mount.jpg",
                "images\/accessory\/SBP-301HM2_Wall Mount(Curved neck).jpg"
            ]
        },
        "Info": "2012 Year, WiseNETS Series, Dome"
    },
    {
        "ModelName": "SNP-5300",
        "ImgUrl": "images\/network_camera\/SNP-5300.jpg",
        "Type": "PTZ",
        "Year": "2013",
        "Series": "WiseNET2",
        "Discontinued": 1,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/4\"",
                "Yes",
                "1.3M",
                "0.5Lux(50IRE), 0.2Lux(50IRE), F1.35",
                "0.03Lux(50IRE), 0.009Lux(30IRE), F1.35",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris",
                "Autofocus Zoom Lens",
                "Manual Focus,Auto Focus",
                "3.5 ~ 105mm",
                "30x",
                "F1.35(Wide) \/ F3.7(Tele)",
                "H : 54.85\u00b0 (Wide) ~ 2.00\u00b0 (Tele) \/ V : 44.61\u00b0 (Wide) ~ 1.6\u00b0 (Tele)",
                "1.8m(5.90ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "360\u00b0 Endles",
                "500\u00b0\/sec",
                "0.024\u00b0\/sec ~ 120\u00b0\/sec",
                "210\u00b0 (-15\u00b0 ~ 195\u00b0)",
                "500\u00b0\/sec",
                "0.024\u00b0\/sec ~ 120\u00b0\/sec",
                "255"
            ],
            "OPERATIONAL": [
                "12x",
                "IR Cut Filter",
                "Yes",
                "No",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "No",
                "4",
                "2",
                "No"
            ],
            "NETWORK": [
                "1.3MP",
                "H.264,M-JPEG",
                "No",
                "10 profiles",
                "No",
                "Yes",
                "G.711 u-law",
                "10",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-10\u00b0C ~ +55\u00b0C",
                "20% ~ 80% RH",
                "No"
            ],
            "ELECTRICAL": [
                "POE",
                "PoE+ (IEEE802.3at)",
                "AC : 15W, PoE+ : 13W"
            ],
            "MECHANICAL": [
                "Indoor",
                "No"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)",
                "Indoor Flush Mount",
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-301HM3_Parapet Mount.jpg",
                "images\/accessory\/SBP-301HM3_Ceiling Mount.jpg",
                "images\/accessory\/SBP-301HM3_Wall Mount.jpg",
                "images\/accessory\/SBP-301HM3_Wall Mount(Curved neck).jpg",
                "images\/accessory\/SHP-3701F_Indoor Flush Mount.jpg",
                "images\/accessory\/SHP-3701H_Parapet Mount.jpg",
                "images\/accessory\/SHP-3701H_Ceiling Mount.jpg",
                "images\/accessory\/SHP-3701H_Wall Mount.jpg",
                "images\/accessory\/SHP-3701H_Wall Mount(Curved neck).jpg"
            ]
        },
        "Info": "2013 Year, WiseNET2 Series, PTZ"
    },
    {
        "ModelName": "SNP-6200H",
        "ImgUrl": "images\/network_camera\/SNP-6200H.jpg",
        "Type": "PTZ",
        "Year": "2012",
        "Series": "WiseNET2",
        "Discontinued": 1,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/3\"",
                "Yes",
                "2M",
                "1.5Lux(F1.6, 50IRE), 0.02Lux(Sens-up 60x, 50IRE)",
                "0.1Lux(F1.6, 50IRE), 0.001Lux(Sens-up 60x, 50IRE)",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris",
                "Autofocus Zoom Lens",
                "Auto Focus,Manual Focus",
                "4.45 ~ 89mm",
                "20x",
                "F1.6(Wide) \/ F2.9(Tele)",
                "H : 56.56\u00b0 (Wide) ~ 3.10\u00b0 (Tele) \/ V : 43.32\u00b0 (Wide) ~ 2.34\u00b0 (Tele)",
                "1m(3.28ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "360\u00b0 Endles",
                "500\u00b0\/sec",
                "0.024\u00b0\/sec ~ 120\u00b0\/sec",
                "190\u00b0 (-5\u00b0 ~ 185\u00b0)",
                "500\u00b0\/sec",
                "0.024\u00b0\/sec ~ 120\u00b0\/sec",
                "255"
            ],
            "OPERATIONAL": [
                "8x",
                "IR Cut Filter",
                "Yes",
                "No",
                "Yes",
                "No",
                "No",
                "Yes",
                "No",
                "4",
                "2",
                "Yes"
            ],
            "NETWORK": [
                "2MP",
                "H.264,M-JPEG",
                "No",
                "10 profiles",
                "No",
                "Yes",
                "G.711 u-law",
                "10",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-50\u00b0C~ +50\u00b0C",
                "Less than 90% RH",
                "IP66"
            ],
            "ELECTRICAL": [
                "POE+,24V AC",
                "PoE+ (IEEE802.3at)",
                "AC : 60W, PoE+ : 25W"
            ],
            "MECHANICAL": [
                "IP66",
                "No"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)"
            ],
            "IMAGE": [
                "images\/accessory\/_Parapet Mount.jpg",
                "images\/accessory\/_Ceiling Mount.jpg",
                "images\/accessory\/_Wall Mount.jpg",
                "images\/accessory\/_Wall Mount(Curved neck).jpg"
            ]
        },
        "Info": "2012 Year, WiseNET2 Series, PTZ"
    },
    {
        "ModelName": "SNB-5001",
        "ImgUrl": "images\/network_camera\/SNB-5001.jpg",
        "Type": "Box",
        "Year": "2012",
        "Series": "LiteNET",
        "Discontinued": 1,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/3\"",
                "Yes",
                "1.3M",
                "0.7Lux(F1.2, 50IRE), 0.011Lux(Sens-up 60x)",
                "0.7Lux(F1.2, 50IRE), 0.011Lux(Sens-up 60x)",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris,Manual Iris",
                "No",
                "No",
                "No",
                "No",
                "No",
                "No",
                "No"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "No",
                "No",
                "No",
                "No",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "Software",
                "No",
                "No",
                "Yes",
                "No",
                "No",
                "No",
                "No",
                "1",
                "No",
                "No"
            ],
            "NETWORK": [
                "1.3MP",
                "H.264,M-JPEG",
                "No",
                "10 profiles",
                "No",
                "No",
                "No",
                "10",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-10\u00b0C ~ +55\u00b0C",
                "Less than 90% RH",
                "No"
            ],
            "ELECTRICAL": [
                "POE,12V DC",
                "PoE (IEEE802.3af)",
                "DC : 3.7W, PoE : 4.3W"
            ],
            "MECHANICAL": [
                "Indoor",
                "No"
            ]
        },
        "accessory": {
            "TYPE": [],
            "IMAGE": []
        },
        "Info": "2012 Year, LiteNET Series, Box"
    },
    {
        "ModelName": "SNB-7001",
        "ImgUrl": "images\/network_camera\/SNB-7001.jpg",
        "Type": "Box",
        "Year": "2012",
        "Series": "LiteNET",
        "Discontinued": 1,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/2.8\"",
                "Yes",
                "3M",
                "0.4Lux(F1.2, 50IRE), 0.007Lux(Sens-up 60x)",
                "0.4Lux(F1.2, 50IRE), 0.007Lux(Sens-up 60x)",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris,Manual Iris",
                "No",
                "Simple Focus,Manual Focus",
                "No",
                "No",
                "No",
                "No",
                "No"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "No",
                "No",
                "No",
                "No",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "Software",
                "No",
                "No",
                "Yes",
                "No",
                "No",
                "No",
                "No",
                "1",
                "No",
                "No"
            ],
            "NETWORK": [
                "3MP",
                "H.264,M-JPEG",
                "No",
                "5 profiles",
                "No",
                "No",
                "No",
                "10",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-10\u00b0C ~ +55\u00b0C",
                "Less than 90% RH",
                "No"
            ],
            "ELECTRICAL": [
                "POE,12V DC",
                "PoE (IEEE802.3af)",
                "DC : 3.7W, PoE : 4.3W"
            ],
            "MECHANICAL": [
                "Indoor",
                "No"
            ]
        },
        "accessory": {
            "TYPE": [],
            "IMAGE": []
        },
        "Info": "2012 Year, LiteNET Series, Box"
    },
    {
        "ModelName": "SNB-7002",
        "ImgUrl": "images\/network_camera\/SNB-7002.jpg",
        "Type": "Box",
        "Year": "2012",
        "Series": "WiseNET2",
        "Discontinued": 1,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/3\"",
                "Yes",
                "3M",
                "0.7Lux(F1.2, 50IRE), 0.011Lux(Sens-up 60x)",
                "0.07Lux(F1.2, 50IRE), 0.001Lux(Sens-up 60x)",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris,Manual Iris",
                "No",
                "No",
                "No",
                "No",
                "No",
                "No",
                "No"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "No",
                "No",
                "No",
                "No",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "IR Cut Filter",
                "Yes",
                "No",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "No",
                "1",
                "1",
                "No"
            ],
            "NETWORK": [
                "3MP",
                "H.264,M-JPEG",
                "No",
                "6 profiles",
                "No",
                "Yes",
                "G.711 u-law, G.726",
                "10",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-10\u00b0C ~ +55\u00b0C",
                "Less than 90% RH",
                "No"
            ],
            "ELECTRICAL": [
                "POE,12V DC",
                "PoE (IEEE802.3af)",
                "9W"
            ],
            "MECHANICAL": [
                "Indoor",
                "No"
            ]
        },
        "accessory": {
            "TYPE": [],
            "IMAGE": []
        },
        "Info": "2012 Year, WiseNET2 Series, Box"
    },
    {
        "ModelName": "SND-5010",
        "ImgUrl": "images\/network_camera\/SND-5010.jpg",
        "Type": "Dome",
        "Year": "2012",
        "Series": "WiseNET",
        "Discontinued": 1,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/3\"",
                "Yes",
                "1.3M",
                "1.6Lux(F1.8, 50IRE), 0.027Lux(Sens-up 60x)",
                "No",
                "Yes"
            ],
            "LENS": [
                "Fixed Iris",
                "Fixed Lens",
                "No",
                "3mm",
                "No",
                "F1.8",
                "H : 91.2\u00b0  \/ V : 72.3\u00b0 ",
                "No"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "-10\u00b0 ~ 10\u00b0",
                "No",
                "No",
                "0\u00b0 ~ 90\u00b0",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "Software",
                "No",
                "No",
                "Yes",
                "No",
                "No",
                "No",
                "No",
                "1",
                "No",
                "No"
            ],
            "NETWORK": [
                "1.3MP",
                "H.264,M-JPEG",
                "No",
                "10 profiles",
                "No",
                "No",
                "No",
                "10",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-10\u00b0C ~ +55\u00b0C",
                "Less than 90% RH",
                "No"
            ],
            "ELECTRICAL": [
                "POE",
                "PoE (IEEE802.3af, Class1)",
                "PoE : 3.3W"
            ],
            "MECHANICAL": [
                "Indoor",
                "No"
            ]
        },
        "accessory": {
            "TYPE": [],
            "IMAGE": []
        },
        "Info": "2012 Year, WiseNET Series, Dome"
    },
    {
        "ModelName": "SND-5011",
        "ImgUrl": "images\/network_camera\/SND-5011.jpg",
        "Type": "Dome",
        "Year": "2012",
        "Series": "LiteNET",
        "Discontinued": 1,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/3\"",
                "Yes",
                "1.3M",
                "1.6Lux(F1.8, 50IRE), 0.027Lux(Sens-up 60x)",
                "No",
                "Yes"
            ],
            "LENS": [
                "Fixed Iris",
                "Fixed Lens",
                "No",
                "3mm",
                "No",
                "F1.8",
                "H : 91.2\u00b0  \/ V : 72.3\u00b0  \/ D : 119.1\u00b0",
                "0.4m(1.31ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "0\u00b0 ~ 352\u00b0",
                "No",
                "No",
                "0\u00b0 ~ 90\u00b0",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "Software",
                "No",
                "No",
                "Yes",
                "No",
                "No",
                "No",
                "No",
                "1",
                "No",
                "No"
            ],
            "NETWORK": [
                "1.3MP",
                "H.264,M-JPEG",
                "No",
                "10 profiles",
                "No",
                "No",
                "No",
                "10",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-10\u00b0C ~ +55\u00b0C",
                "Less than 90% RH",
                "No"
            ],
            "ELECTRICAL": [
                "POE,12V DC",
                "PoE (IEEE802.3af)",
                "DC : 3.7W, PoE : 4.3W"
            ],
            "MECHANICAL": [
                "Indoor",
                "No"
            ]
        },
        "accessory": {
            "TYPE": [
                "Wall Mount"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-300WM0_Wall Mount.jpg"
            ]
        },
        "Info": "2012 Year, LiteNET Series, Dome"
    },
    {
        "ModelName": "SND-5061",
        "ImgUrl": "images\/network_camera\/SND-5061.jpg",
        "Type": "Dome",
        "Year": "2012",
        "Series": "LiteNET",
        "Discontinued": 1,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/3\"",
                "Yes",
                "1.3M",
                "0.7Lux(F1.2, 50IRE), 0.012Lux(Sens-up 60x)",
                "No",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris",
                "Varifocal Lens",
                "Manual Focus",
                "3 ~ 8.5mm",
                "2.8x",
                "F1.2",
                "H : 88.3\u00b0 (Wide) ~ 32.4\u00b0 (Tele) \/ V : 71.5\u00b0 (Wide) ~ 26\u00b0 (Tele)",
                "0.5m(1.64ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "0\u00b0 ~ 355\u00b0",
                "No",
                "No",
                "17\u00b0 ~ 90\u00b0",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "Software",
                "No",
                "No",
                "Yes",
                "No",
                "No",
                "No",
                "No",
                "1",
                "No",
                "No"
            ],
            "NETWORK": [
                "1.3MP",
                "H.264,M-JPEG",
                "No",
                "10 profiles",
                "No",
                "No",
                "No",
                "10",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-10\u00b0C ~ +55\u00b0C",
                "Less than 90% RH",
                "No"
            ],
            "ELECTRICAL": [
                "POE,12V DC",
                "PoE (IEEE802.3af)",
                "DC : 3.7W, PoE : 4.3W"
            ],
            "MECHANICAL": [
                "Indoor",
                "No"
            ]
        },
        "accessory": {
            "TYPE": [
                "Wall Mount"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-300WM0_Wall Mount.jpg"
            ]
        },
        "Info": "2012 Year, LiteNET Series, Dome"
    },
    {
        "ModelName": "SND-7011",
        "ImgUrl": "images\/network_camera\/SND-7011.jpg",
        "Type": "Dome",
        "Year": "2012",
        "Series": "LiteNET",
        "Discontinued": 1,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/2.8\"",
                "Yes",
                "3M",
                "0.9Lux(F1.2, 50IRE), 0.015Lux(Sens-up 60x)",
                "No",
                "Yes"
            ],
            "LENS": [
                "Fixed Iris",
                "Fixed Lens",
                "No",
                "3mm",
                "No",
                "F2.0",
                "H : 101.9\u00b0  \/ V : 72.7\u00b0  \/ D : 134\u00b0",
                "0.5m(1.64ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "0\u00b0 ~ 352\u00b0",
                "No",
                "No",
                "0\u00b0 ~ 90\u00b0",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "Software",
                "No",
                "No",
                "Yes",
                "No",
                "No",
                "No",
                "No",
                "1",
                "No",
                "No"
            ],
            "NETWORK": [
                "3MP",
                "H.264,M-JPEG",
                "No",
                "5 profiles",
                "No",
                "No",
                "No",
                "10",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-10\u00b0C ~ +55\u00b0C",
                "Less than 90% RH",
                "No"
            ],
            "ELECTRICAL": [
                "POE",
                "PoE (IEEE802.3af)",
                "DC : 3.7W, PoE : 4.3W"
            ],
            "MECHANICAL": [
                "Indoor",
                "No"
            ]
        },
        "accessory": {
            "TYPE": [
                "Wall Mount"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-300WM0_Wall Mount.jpg"
            ]
        },
        "Info": "2012 Year, LiteNET Series, Dome"
    },
    {
        "ModelName": "SND-6083",
        "ImgUrl": "images\/network_camera\/SND-6083.jpg",
        "Type": "Dome",
        "Year": "2013",
        "Series": "WiseNET3",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/2.8\"",
                "Yes",
                "2.38M",
                "0.1Lux(F1.2, 50IRE)",
                "0.1Lux(F1.2, 50IRE)",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris",
                "Varifocal Lens",
                "Manual Focus",
                "3 ~ 8.5mm",
                "2.8x",
                "F1.2",
                "H : 106.18\u00b0 (Wide) ~ 37.1\u00b0(Tele) \/ V : 58.42\u00b0 (Wide) ~ 20.94\u00b0 (Tele)",
                "0.5m(1.64ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "0\u00b0 ~ 354\u00b0",
                "No",
                "No",
                "0\u00b0 ~ 67\u00b0",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "Software",
                "Yes",
                "No",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "1",
                "1",
                "No"
            ],
            "NETWORK": [
                "2MP",
                "H.264,M-JPEG",
                "No",
                "10 profiles",
                "Yes",
                "Yes",
                "G.711 u-law \/G.726 selectable, G.726(ADPCM) 8KHz, G.711 8kHz\r\n G.726 : 16Kbps, 24kbps, 32kbps, 40kbps",
                "15",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-10\u00b0C ~ +55\u00b0C",
                "Less than 90% RH",
                "No"
            ],
            "ELECTRICAL": [
                "POE",
                "PoE (IEEE802.3af)",
                "DC : 8.09W, PoE : 8.94W"
            ],
            "MECHANICAL": [
                "Indoor",
                "No"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)",
                "Dome Flush Mount",
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)",
                "Tinted Dome Bubble"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-301HM2_Parapet Mount.jpg",
                "images\/accessory\/SBP-301HM2_Ceiling Mount.jpg",
                "images\/accessory\/SBP-301HM2_Wall Mount.jpg",
                "images\/accessory\/SBP-301HM2_Wall Mount(Curved neck).jpg",
                "images\/accessory\/SHD-3000F1_Dome Flush Mount.jpg",
                "images\/accessory\/SBP-300HM8_Parapet Mount.jpg",
                "images\/accessory\/SBP-300HM8_Ceiling Mount.jpg",
                "images\/accessory\/SBP-300HM8_Wall Mount.jpg",
                "images\/accessory\/SBP-300HM8_Wall Mount(Curved neck).jpg",
                "images\/accessory\/SPB-IND5_Tinted Dome Bubble.jpg"
            ]
        },
        "Info": "2013 Year, WiseNET3 Series, Dome"
    },
    {
        "ModelName": "SND-7082",
        "ImgUrl": "images\/network_camera\/SND-7082.jpg",
        "Type": "Dome",
        "Year": "2012",
        "Series": "WiseNET2",
        "Discontinued": 1,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/3\"",
                "Yes",
                "3M",
                "0.7Lux(F1.2, 50IRE), 0.011Lux(Sens-up 60x)",
                "0.07Lux(F1.2, 50IRE), 0.001Lux(Sens-up 60x)",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris",
                "Motorized Varifocal Lens",
                "No",
                "3 ~ 8.5mm",
                "2.8x",
                "F1.2",
                "H : 87.3\u00b0 (Wide) ~ 31.2\u00b0(Tele) \/ V : 64.5\u00b0 (Wide) ~ 23.4\u00b0 (Tele)",
                "0.5m(1.64ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "0\u00b0 ~ 355\u00b0",
                "No",
                "No",
                "0\u00b0 ~ 90\u00b0",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "IR Cut Filter",
                "Yes",
                "No",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "No",
                "1",
                "1",
                "No"
            ],
            "NETWORK": [
                "3MP",
                "H.264,M-JPEG",
                "No",
                "6 profiles",
                "No",
                "Yes",
                "G.711 u-law, G.726",
                "10",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-10\u00b0C ~ +55\u00b0C",
                "Less than 90% RH",
                "No"
            ],
            "ELECTRICAL": [
                "POE,12V DC",
                "PoE (IEEE802.3af)",
                "9W"
            ],
            "MECHANICAL": [
                "Indoor",
                "No"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-301HM2_Parapet Mount.jpg",
                "images\/accessory\/SBP-301HM2_Ceiling Mount.jpg",
                "images\/accessory\/SBP-301HM2_Wall Mount.jpg",
                "images\/accessory\/SBP-301HM2_Wall Mount(Curved neck).jpg"
            ]
        },
        "Info": "2012 Year, WiseNET2 Series, Dome"
    },
    {
        "ModelName": "SND-7082F",
        "ImgUrl": "images\/network_camera\/SND-7082F.jpg",
        "Type": "Dome",
        "Year": "2012",
        "Series": "WiseNET2",
        "Discontinued": 1,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/3\"",
                "Yes",
                "3M",
                "0.7Lux(F1.2, 50IRE), 0.011Lux(Sens-up 60x)",
                "0.07Lux(F1.2, 50IRE), 0.001Lux(Sens-up 60x)",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris",
                "Motorized Varifocal Lens",
                "No",
                "3 ~ 8.5mm",
                "2.8x",
                "F1.2",
                "H : 87.3\u00b0 (Wide) ~ 31.2\u00b0(Tele) \/ V : 64.5\u00b0 (Wide) ~ 23.4\u00b0 (Tele)",
                "0.5m(1.64ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "0\u00b0 ~ 355\u00b0",
                "No",
                "No",
                "0\u00b0 ~ 90\u00b0",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "IR Cut Filter",
                "Yes",
                "No",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "No",
                "1",
                "1",
                "No"
            ],
            "NETWORK": [
                "3MP",
                "H.264,M-JPEG",
                "No",
                "6 profiles",
                "No",
                "Yes",
                "G.711 u-law, G.726",
                "10",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-10\u00b0C ~ +55\u00b0C",
                "Less than 90% RH",
                "No"
            ],
            "ELECTRICAL": [
                "POE,12V DC",
                "PoE (IEEE802.3af)",
                "9W"
            ],
            "MECHANICAL": [
                "Indoor",
                "No"
            ]
        },
        "accessory": {
            "TYPE": [],
            "IMAGE": []
        },
        "Info": "2012 Year, WiseNET2 Series, Dome"
    },
    {
        "ModelName": "SNV-7082",
        "ImgUrl": "images\/network_camera\/SNV-7082.jpg",
        "Type": "Dome",
        "Year": "2012",
        "Series": "WiseNET2",
        "Discontinued": 1,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/3\"",
                "Yes",
                "3M",
                "0.7Lux(F1.2, 50IRE), 0.011Lux(Sens-up 60x)",
                "0.07Lux(F1.2, 50IRE), 0.001Lux(Sens-up 60x)",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris",
                "Motorized Varifocal Lens",
                "Simple Focus,Manual Focus",
                "3 ~ 8.5mm",
                "2.8x",
                "F1.2",
                "H : 87.3\u00b0 (Wide) ~ 31.2\u00b0(Tele) \/ V : 64.5\u00b0 (Wide) ~ 23.4\u00b0 (Tele)",
                "0.5m(1.64ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "0\u00b0 ~ 355\u00b0",
                "No",
                "No",
                "0\u00b0 ~ 90\u00b0",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "IR Cut Filter",
                "Yes",
                "No",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "No",
                "1",
                "1",
                "No"
            ],
            "NETWORK": [
                "3MP",
                "H.264,M-JPEG",
                "No",
                "6 profiles",
                "No",
                "Yes",
                "G.711 u-law, G.726",
                "10",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-10\u00b0C ~ +55\u00b0C",
                "20% ~ 80% RH",
                "IP66"
            ],
            "ELECTRICAL": [
                "POE,12V DC",
                "PoE (IEEE802.3af)",
                "9W, PoE : 12.95W(Heater on)"
            ],
            "MECHANICAL": [
                "IP66",
                "Yes"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-301HM3_Parapet Mount.jpg",
                "images\/accessory\/SBP-301HM3_Ceiling Mount.jpg",
                "images\/accessory\/SBP-301HM3_Wall Mount.jpg",
                "images\/accessory\/SBP-301HM3_Wall Mount(Curved neck).jpg"
            ]
        },
        "Info": "2012 Year, WiseNET2 Series, Dome"
    },
    {
        "ModelName": "SNB-6003",
        "ImgUrl": "images\/network_camera\/SNB-6003.jpg",
        "Type": "Box",
        "Year": "2013",
        "Series": "WiseNET3",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/2.8\"",
                "Yes",
                "2.38M",
                "0.1Lux(F1.2, 50IRE)",
                "0.01Lux(F1.2, 50IRE)",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris,Manual Iris,P-Iris",
                "No",
                "Manual Focus",
                "No",
                "No",
                "No",
                "No",
                "No"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "No",
                "No",
                "No",
                "No",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "Software",
                "Yes",
                "No",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "1",
                "1",
                "Yes"
            ],
            "NETWORK": [
                "2MP",
                "H.264,M-JPEG",
                "No",
                "10 profiles",
                "Yes",
                "Yes",
                "G.711 u-law \/G.726 selectable, G.726(ADPCM) 8KHz, G.711 8kHz\r\nG.726 : 16Kbps, 24kbps, 32kbps, 40kbps",
                "15",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-10\u00b0C ~ +55\u00b0C",
                "Less than 90% RH",
                "No"
            ],
            "ELECTRICAL": [
                "POE",
                "PoE (IEEE802.3af)",
                "AC : 9.5W, DC : 8.38W, PoE : 9.18W"
            ],
            "MECHANICAL": [
                "Indoor",
                "No"
            ]
        },
        "accessory": {
            "TYPE": [],
            "IMAGE": []
        },
        "Info": "2013 Year, WiseNET3 Series, Box"
    },
    {
        "ModelName": "SNB-6004",
        "ImgUrl": "images\/network_camera\/SNB-6004.jpg",
        "Type": "Box",
        "Year": "2013",
        "Series": "WiseNET3",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/2.8\"",
                "Yes",
                "2.38M",
                "0.1Lux(F1.2, 50IRE)",
                "0.01Lux(F1.2, 50IRE)",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris,Manual Iris,P-Iris",
                "No",
                "Simple Focus,Manual Focus",
                "No",
                "No",
                "No",
                "No",
                "No"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "No",
                "No",
                "No",
                "No",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "IR Cut Filter",
                "Yes",
                "No",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "1",
                "1",
                "Yes"
            ],
            "NETWORK": [
                "2MP",
                "H.264,M-JPEG",
                "No",
                "10 profiles",
                "Yes",
                "Yes",
                "G.711 u-law \/G.726 selectable, G.726(ADPCM) 8KHz, G.711 8kHz\r\nG.726 : 16Kbps, 24kbps, 32kbps, 40kbps",
                "15",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-10\u00b0C ~ +55\u00b0C",
                "Less than 90% RH",
                "No"
            ],
            "ELECTRICAL": [
                "POE",
                "PoE (IEEE802.3af)",
                "AC : 11.44W, DC : 10.1W, PoE : 11.1W"
            ],
            "MECHANICAL": [
                "Indoor",
                "No"
            ]
        },
        "accessory": {
            "TYPE": [],
            "IMAGE": []
        },
        "Info": "2013 Year, WiseNET3 Series, Box"
    },
    {
        "ModelName": "SND-7061",
        "ImgUrl": "images\/network_camera\/SND-7061.jpg",
        "Type": "Dome",
        "Year": "2012",
        "Series": "LiteNET",
        "Discontinued": 1,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/2.8\"",
                "Yes",
                "3M",
                "0.4Lux(F1.2, 50IRE), 0.007Lux(Sens-up 60x)",
                "No",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris",
                "Varifocal Lens",
                "Manual Focus",
                "3 ~ 8.5mm",
                "2.8x",
                "F1.2",
                "H : 96\u00b0 (Wide) ~ 35.3\u00b0(Tele) \/ V : 70.2\u00b0 (Wide) ~ 27.5\u00b0 (Tele)",
                "0.5m(1.64ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "0\u00b0 ~ 355\u00b0",
                "No",
                "No",
                "17\u00b0 ~ 90\u00b0",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "Software",
                "No",
                "No",
                "Yes",
                "No",
                "No",
                "No",
                "No",
                "1",
                "No",
                "No"
            ],
            "NETWORK": [
                "3MP",
                "H.264,M-JPEG",
                "No",
                "5 profiles",
                "No",
                "No",
                "No",
                "10",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-10\u00b0C ~ +55\u00b0C",
                "Less than 90% RH",
                "No"
            ],
            "ELECTRICAL": [
                "POE,12V DC",
                "PoE (IEEE802.3af)",
                "DC : 3.7W, PoE : 4.3W"
            ],
            "MECHANICAL": [
                "Indoor",
                "No"
            ]
        },
        "accessory": {
            "TYPE": [
                "Wall Mount"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-300WM0_Wall Mount.jpg"
            ]
        },
        "Info": "2012 Year, LiteNET Series, Dome"
    },
    {
        "ModelName": "SNV-6084",
        "ImgUrl": "images\/network_camera\/SNV-6084.jpg",
        "Type": "Dome",
        "Year": "2014",
        "Series": "WiseNET3",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/2.8\"",
                "Yes",
                "2.38M",
                "0.1Lux(1\/30sec, F1.2, 50IRE), 0.0017Lux(2sec, F1.2, 50IRE)",
                "0.01Lux(1\/30sec, F1.2, 50IRE)",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris",
                "Motorized Varifocal Lens",
                "Simple Focus,Manual Focus",
                "3 ~ 8.5mm",
                "2.8x",
                "F1.2",
                "H : 105.5\u00b0 (Wide) ~ 37.1\u00b0(Tele) \/ V : 57.5\u00b0 (Wide) ~ 21.0\u00b0 (Tele)",
                "0.5m(1.64ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "0\u00b0 ~ 354\u00b0",
                "No",
                "No",
                "0\u00b0 ~ 67\u00b0",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "IR Cut Filter",
                "Yes",
                "No",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "1",
                "1",
                "No"
            ],
            "NETWORK": [
                "2MP",
                "H.264,M-JPEG",
                "No",
                "10 profiles",
                "Yes",
                "Yes",
                "G.711 u-law \/G.726 selectable, G.726(ADPCM) 8KHz, G.711 8kHz\r\nG.726 : 16Kbps, 24kbps, 32kbps, 40kbps",
                "15",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-40\u00b0C ~ +55\u00b0C",
                "Less than 90% RH",
                "IP66"
            ],
            "ELECTRICAL": [
                "POE,12V DC,24V AC",
                "PoE (IEEE802.3af)",
                "AC\/DC : 14W(Heater off), PoE : 12.95W(Heater on)"
            ],
            "MECHANICAL": [
                "IP66",
                "Yes"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)",
                "Dome Flush Mount",
                "Tinted Dome Cover",
                "BackBox"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-300HM6_Parapet Mount.jpg",
                "images\/accessory\/SBP-300HM6_Ceiling Mount.jpg",
                "images\/accessory\/SBP-300HM6_Wall Mount.jpg",
                "images\/accessory\/SBP-300HM6_Wall Mount(Curved neck).jpg",
                "images\/accessory\/SHD-3000F1_Dome Flush Mount.jpg",
                "images\/accessory\/SPB-VAN3_Tinted Dome Cover.jpg",
                "images\/accessory\/SBV-158G_BackBox.jpg"
            ]
        },
        "Info": "2014 Year, WiseNET3 Series, Dome"
    },
    {
        "ModelName": "SND-6084R",
        "ImgUrl": "images\/network_camera\/SND-6084R.jpg",
        "Type": "Dome",
        "Year": "2013",
        "Series": "WiseNET3",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/2.8\"",
                "Yes",
                "2.38M",
                "0.1Lux(F1.2, 50IRE)",
                "0Lux(F1.2, 50IRE, IR LED on)",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris",
                "Motorized Varifocal Lens",
                "Simple Focus,Manual Focus",
                "3 ~ 8.5mm",
                "2.8x",
                "F1.2",
                "H : 105.5\u00b0 (Wide) ~ 37.1\u00b0(Tele) \/ V : 57.5\u00b0 (Wide) ~ 21.0\u00b0 (Tele)",
                "0.5m(1.64ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "0\u00b0 ~ 354\u00b0",
                "No",
                "No",
                "0\u00b0 ~ 67\u00b0",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "IR Cut Filter",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "1",
                "1",
                "No"
            ],
            "NETWORK": [
                "2MP",
                "H.264,M-JPEG",
                "No",
                "10 profiles",
                "Yes",
                "Yes",
                "G.711 u-law \/G.726 selectable, G.726(ADPCM) 8KHz, G.711 8kHz\r\nG.726 : 16Kbps, 24kbps, 32kbps, 40kbps",
                "15",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-10\u00b0C ~ +55\u00b0C",
                "Less than 90% RH",
                "No"
            ],
            "ELECTRICAL": [
                "12V DC",
                "PoE (IEEE802.3af)",
                "9W"
            ],
            "MECHANICAL": [
                "Indoor",
                "No"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)",
                "Dome Flush Mount",
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)",
                "Tinted Dome Bubble"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-301HM2_Parapet Mount.jpg",
                "images\/accessory\/SBP-301HM2_Ceiling Mount.jpg",
                "images\/accessory\/SBP-301HM2_Wall Mount.jpg",
                "images\/accessory\/SBP-301HM2_Wall Mount(Curved neck).jpg",
                "images\/accessory\/SHD-3000F1_Dome Flush Mount.jpg",
                "images\/accessory\/SBP-300HM8_Parapet Mount.jpg",
                "images\/accessory\/SBP-300HM8_Ceiling Mount.jpg",
                "images\/accessory\/SBP-300HM8_Wall Mount.jpg",
                "images\/accessory\/SBP-300HM8_Wall Mount(Curved neck).jpg",
                "images\/accessory\/SPB-IND5_Tinted Dome Bubble.jpg"
            ]
        },
        "Info": "2013 Year, WiseNET3 Series, Dome"
    },
    {
        "ModelName": "SNO-6084R",
        "ImgUrl": "images\/network_camera\/SNO-6084R.jpg",
        "Type": "Bullet",
        "Year": "2013",
        "Series": "WiseNET3",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/2.8\"",
                "Yes",
                "2.38M",
                "0.1Lux(F1.2, 50IRE)",
                "0Lux(F1.2, 50IRE, IR LED ON)",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris",
                "Motorized Varifocal Lens",
                "Simple Focus,Manual Focus",
                "3 ~ 8.5mm",
                "2.8x",
                "F1.2",
                "H : 105.5\u00b0 (Wide) ~ 37.1\u00b0 (Tele) \/ V : 57.5\u00b0 (Wide) ~ 21.0\u00b0 (Tele)",
                "0.5m(1.64ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "No",
                "No",
                "No",
                "No",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "IR Cut Filter",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "1",
                "1",
                "No"
            ],
            "NETWORK": [
                "2MP",
                "H.264,M-JPEG",
                "No",
                "10 profiles",
                "Yes",
                "Yes",
                "G.711 u-law \/G.726 selectable, G.726(ADPCM) 8KHz, G.711 8kHz\r\nG.726 : 16Kbps, 24kbps, 32kbps, 40kbps",
                "15",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "24V AC : -50\u00b0C to +55\u00b0C(-58\u00b0F ~ +131\u00b0F) \/ 12V DC, PoE : -20\u00b0C to +55\u00b0C(-22\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "IP66"
            ],
            "ELECTRICAL": [
                "POE",
                "PoE (IEEE802.3af)",
                "11W, AC : 17W(Heater on)"
            ],
            "MECHANICAL": [
                "IP66",
                "No"
            ]
        },
        "accessory": {
            "TYPE": [],
            "IMAGE": []
        },
        "Info": "2013 Year, WiseNET3 Series, Bullet"
    },
    {
        "ModelName": "SNO-7082R",
        "ImgUrl": "images\/network_camera\/SNO-7082R.jpg",
        "Type": "Bullet",
        "Year": "2012",
        "Series": "WiseNET2",
        "Discontinued": 1,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/3\"",
                "Yes",
                "3.1M",
                "0.7Lux(F1.2, 50IRE), 0.011Lux(Sends-up 6x)",
                "0Lux(F1.2, 50IRE, IR LED ON)",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris",
                "Motorized Varifocal Lens",
                "Simple Focus,Manual Focus",
                "3 ~ 8.5mm",
                "2.8x",
                "F1.2",
                "H : 87.3\u00b0 (Wide) ~ 31.2\u00b0 (Tele) \/ V : 64.5\u00b0 (Wide) ~ 23.4\u00b0 (Tele)",
                "0.5m(1.64ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "No",
                "No",
                "No",
                "No",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "IR Cut Filter",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "No",
                "1",
                "1",
                "No"
            ],
            "NETWORK": [
                "3MP",
                "H.264,M-JPEG",
                "No",
                "6 profiles",
                "No",
                "Yes",
                "G.711 u-law, G.726",
                "10",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "24V AC : -50\u00b0C ~ +55\u00b0C 12V DC, PoE : -10\u00b0C ~ +55\u00b0C",
                "Less than 90% RH",
                "IP66"
            ],
            "ELECTRICAL": [
                "POE",
                "PoE (IEEE802.3af)",
                "12.95W, AC : 18.5W(Heater on)"
            ],
            "MECHANICAL": [
                "IP66",
                "Yes"
            ]
        },
        "accessory": {
            "TYPE": [],
            "IMAGE": []
        },
        "Info": "2012 Year, WiseNET2 Series, Bullet"
    },
    {
        "ModelName": "SNP-6200",
        "ImgUrl": "images\/network_camera\/SNP-6200.jpg",
        "Type": "PTZ",
        "Year": "2012",
        "Series": "WiseNET2",
        "Discontinued": 1,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/3\"",
                "Yes",
                "2M",
                "1.5Lux(F1.6, 50IRE), 0.02Lux(Sens-up 60x, 50IRE)",
                "0.1Lux(F1.6, 50IRE), 0.001Lux(Sens-up 60x, 50IRE)",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris",
                "Autofocus Zoom Lens",
                "Auto Focus,Manual Focus",
                "4.45 ~ 89mm",
                "20x",
                "F1.6(Wide) \/ F2.9(Tele)",
                "H : 56.56\u00b0 (Wide) ~ 3.10\u00b0 (Tele) \/ V : 43.32\u00b0 (Wide) ~ 2.34\u00b0 (Tele)",
                "1m(3.28ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "360\u00b0 Endles",
                "500\u00b0\/sec",
                "0.024\u00b0\/sec ~ 120\u00b0\/sec",
                "190\u00b0 (-5\u00b0 ~ 185\u00b0)",
                "500\u00b0\/sec",
                "0.024\u00b0\/sec ~ 120\u00b0\/sec",
                "255"
            ],
            "OPERATIONAL": [
                "8x",
                "IR Cut Filter",
                "Yes",
                "No",
                "Yes",
                "No",
                "No",
                "Yes",
                "No",
                "4",
                "2",
                "Yes"
            ],
            "NETWORK": [
                "2MP",
                "H.264,M-JPEG",
                "No",
                "10 profiles",
                "No",
                "Yes",
                "G.711 u-law",
                "10",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-10\u00b0C ~ +50\u00b0C",
                "20% ~ 80% RH",
                "No"
            ],
            "ELECTRICAL": [
                "POE+,24V AC",
                "PoE+ (IEEE802.3at)",
                "21W"
            ],
            "MECHANICAL": [
                "Indoor",
                "No"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)",
                "Indoor Flush Mount",
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-300HM1_Parapet Mount.jpg",
                "images\/accessory\/SBP-300HM1_Ceiling Mount.jpg",
                "images\/accessory\/SBP-300HM1_Wall Mount.jpg",
                "images\/accessory\/SBP-300HM1_Wall Mount(Curved neck).jpg",
                "images\/accessory\/SHP-3701F_Indoor Flush Mount.jpg",
                "images\/accessory\/SHP-3701H_Parapet Mount.jpg",
                "images\/accessory\/SHP-3701H_Ceiling Mount.jpg",
                "images\/accessory\/SHP-3701H_Wall Mount.jpg",
                "images\/accessory\/SHP-3701H_Wall Mount(Curved neck).jpg"
            ]
        },
        "Info": "2012 Year, WiseNET2 Series, PTZ"
    },
    {
        "ModelName": "SNP-5300H",
        "ImgUrl": "images\/network_camera\/SNP-5300H.jpg",
        "Type": "PTZ",
        "Year": "2013",
        "Series": "WiseNET2",
        "Discontinued": 1,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/4\"",
                "Yes",
                "1.3M",
                "0.5Lux(50IRE), 0.2Lux(50IRE), F1.35",
                "0.03Lux(50IRE), 0.009Lux(30IRE), F1.35",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris",
                "Autofocus Zoom Lens",
                "Manual Focus,Auto Focus",
                "3.5 ~ 105mm",
                "30x",
                "F1.35(Wide) \/ F3.7(Tele)",
                "H : 54.85\u00b0 (Wide) ~ 2.00\u00b0 (Tele) \/ V : 44.61\u00b0 (Wide) ~ 1.6\u00b0 (Tele)",
                "1.8m(5.90ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "360\u00b0 Endles",
                "500\u00b0\/sec",
                "0.024\u00b0\/sec ~ 120\u00b0\/sec",
                "210\u00b0 (-15\u00b0 ~ 195\u00b0)",
                "500\u00b0\/sec",
                "0.024\u00b0\/sec ~ 120\u00b0\/sec",
                "255"
            ],
            "OPERATIONAL": [
                "12x",
                "IR Cut Filter",
                "Yes",
                "No",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "No",
                "4",
                "2",
                "No"
            ],
            "NETWORK": [
                "1.3MP",
                "H.264,M-JPEG",
                "No",
                "10 profiles",
                "No",
                "Yes",
                "G.711 u-law",
                "10",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-10\u00b0C ~ +55\u00b0C",
                "20% ~ 80% RH",
                "IP66"
            ],
            "ELECTRICAL": [
                "POE+",
                "PoE+ (IEEE802.3at)",
                "AC : 15W\/53W(Heater on), PoE+ : 15W\/25W(Heater on)"
            ],
            "MECHANICAL": [
                "IP66",
                "No"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)"
            ],
            "IMAGE": [
                "images\/accessory\/_Parapet Mount.jpg",
                "images\/accessory\/_Ceiling Mount.jpg",
                "images\/accessory\/_Wall Mount.jpg",
                "images\/accessory\/_Wall Mount(Curved neck).jpg"
            ]
        },
        "Info": "2013 Year, WiseNET2 Series, PTZ"
    },
    {
        "ModelName": "SNV-5080",
        "ImgUrl": "images\/network_camera\/SNV-5080.jpg",
        "Type": "Dome",
        "Year": "2010",
        "Series": "WiseNET",
        "Discontinued": 1,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/3\"",
                "Yes",
                "1.3M",
                "0.3Lux(F1.2, 50IRE), 0.005Lux(Sens-up 60x)",
                "0.01Lux(F1.2, 50IRE), 0.0002Lux(Sens-up 60x)",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris",
                "Varifocal Lens",
                "No",
                "2.8 ~ 10mm",
                "3.6x",
                "F1.2",
                "H : 94.6\u00b0 (Wide) ~ 28.8\u00b0 (Tele) \/ V : 68.4\u00b0 (Wide) ~ 21.6\u00b0 (Tele)",
                "No"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "0\u00b0 ~ 355\u00b0",
                "No",
                "No",
                "0\u00b0 ~ 90\u00b0",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "IR Cut Filter",
                "No",
                "No",
                "Yes",
                "No",
                "No",
                "Yes",
                "No",
                "1",
                "1",
                "No"
            ],
            "NETWORK": [
                "1.3MP",
                "H.264,M-JPEG,MPEG-4",
                "No",
                "10 profiles",
                "No",
                "Yes",
                "G.711 u-law",
                "10",
                "Yes",
                "Yes",
                "Yes",
                "No",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-40\u00b0C~ +50\u00b0C",
                "Less than 90% RH",
                "IP66"
            ],
            "ELECTRICAL": [
                "POE,12V DC,24V AC",
                "PoE (IEEE802.3af)",
                "8W, AC : 11W(Heater on)"
            ],
            "MECHANICAL": [
                "IP66",
                "Yes"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-301HM3_Parapet Mount.jpg",
                "images\/accessory\/SBP-301HM3_Ceiling Mount.jpg",
                "images\/accessory\/SBP-301HM3_Wall Mount.jpg",
                "images\/accessory\/SBP-301HM3_Wall Mount(Curved neck).jpg"
            ]
        },
        "Info": "2010 Year, WiseNET Series, Dome"
    },
    {
        "ModelName": "SNP-6200RH",
        "ImgUrl": "images\/network_camera\/SNP-6200RH.jpg",
        "Type": "PTZ",
        "Year": "2014",
        "Series": "WiseNET2",
        "Discontinued": 1,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/3\"",
                "Yes",
                "2M",
                "1.5Lux(F1.6, 50IRE)",
                "0Lux(IR LED ON)",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris",
                "Motorized Varifocal Lens",
                "Auto Focus,Manual Focus",
                "4.45 ~ 89mm",
                "20x",
                "F1.6(Wide) \/ F2.9(Tele)",
                "H : 62.9\u00b0 (Wide) ~ 3.10\u00b0 (Tele) \/ V : 43.32\u00b0 (Wide) ~ 2.34\u00b0 (Tele)",
                "1m(3.28ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "360\u00b0 Endles",
                "500\u00b0\/sec",
                "0.024\u00b0\/sec ~ 120\u00b0\/sec",
                "190\u00b0 (-5\u00b0 ~ 185\u00b0)",
                "500\u00b0\/sec",
                "0.024\u00b0\/sec ~ 120\u00b0\/sec",
                "255"
            ],
            "OPERATIONAL": [
                "8x",
                "IR Cut Filter",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "No",
                "4",
                "2",
                "Yes"
            ],
            "NETWORK": [
                "2MP",
                "H.264,M-JPEG",
                "No",
                "10 profiles",
                "No",
                "Yes",
                "G.711 u-law, G.726",
                "10",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-50\u00b0C~ +50\u00b0C",
                "Less than 90% RH",
                "IP66"
            ],
            "ELECTRICAL": [
                "24V AC",
                "No",
                "AC : 30W\/35W(IR on)\/90W(Heater on, IR on)"
            ],
            "MECHANICAL": [
                "IP66",
                "Yes"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)"
            ],
            "IMAGE": [
                "images\/accessory\/_Parapet Mount.jpg",
                "images\/accessory\/_Ceiling Mount.jpg",
                "images\/accessory\/_Wall Mount.jpg",
                "images\/accessory\/_Wall Mount(Curved neck).jpg"
            ]
        },
        "Info": "2014 Year, WiseNET2 Series, PTZ"
    },
    {
        "ModelName": "SNV-6012M",
        "ImgUrl": "images\/network_camera\/SNV-6012M.jpg",
        "Type": "Dome",
        "Year": "2014",
        "Series": "WiseNET3",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/2.8\"",
                "Yes",
                "2.38M",
                "0.3Lux (1\/30sec, F1.2, 50IRE), 0.005Lux(2sec, F1.2, 50IRE)",
                "No",
                "Yes"
            ],
            "LENS": [
                "Fixed Iris",
                "Fixed Lens",
                "No",
                "3mm",
                "No",
                "F2.0",
                "H : 103.1\u00b0 \/ V : 53.9\u00b0 \/ D : 124.5\u00b0",
                "No"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "-10\u00b0 ~ 10\u00b0",
                "No",
                "No",
                "0\u00b0 ~ 90\u00b0",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "Software",
                "Yes",
                "No",
                "Yes",
                "Yes",
                "No",
                "Yes",
                "Yes",
                "No",
                "No",
                "No"
            ],
            "NETWORK": [
                "2MP",
                "H.264,M-JPEG",
                "No",
                "10 profiles",
                "No",
                "No",
                "No",
                "15",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-30\u00b0C~ +55\u00b0C (-22\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "IP66"
            ],
            "ELECTRICAL": [
                "POE",
                "PoE (Class A type only)",
                "7.5W"
            ],
            "MECHANICAL": [
                "IP66",
                "Yes"
            ]
        },
        "accessory": {
            "TYPE": [],
            "IMAGE": []
        },
        "Info": "2014 Year, WiseNET3 Series, Dome"
    },
    {
        "ModelName": "SNB-5003",
        "ImgUrl": "images\/network_camera\/SNB-5003.jpg",
        "Type": "Box",
        "Year": "2014",
        "Series": "WiseNET3",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/3\"",
                "Yes",
                "1.3M",
                "0.05Lux(1\/30sec, F1.2, 50IRE), 0.0008Lux(2sec, F1.2, 50IRE)",
                "0.05Lux(1\/30sec, F1.2, 50IRE)",
                "Yes"
            ],
            "LENS": [
                "P-Iris,DC Auto Iris,Manual Iris",
                "No",
                "Manual Focus",
                "No",
                "No",
                "No",
                "No",
                "No"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "No",
                "No",
                "No",
                "No",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "Software",
                "Yes",
                "No",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "1",
                "1",
                "Yes"
            ],
            "NETWORK": [
                "1.3MP",
                "H.264,M-JPEG",
                "No",
                "10 profiles",
                "Yes",
                "Yes",
                "G.711 u-law \/G.726 selectable, G.726(ADPCM) 8KHz, G.711 8kHz\r\nG.726 : 16Kbps, 24kbps, 32kbps, 40kbps",
                "15",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-10\u00b0C~ +55\u00b0C",
                "Less than 90% RH",
                "No"
            ],
            "ELECTRICAL": [
                "POE,12V DC,24V AC",
                "PoE (IEEE802.3af class3)",
                "AC : 12.5W, DC : 10.5W, PoE : 12W"
            ],
            "MECHANICAL": [
                "Indoor",
                "No"
            ]
        },
        "accessory": {
            "TYPE": [],
            "IMAGE": []
        },
        "Info": "2014 Year, WiseNET3 Series, Box"
    },
    {
        "ModelName": "SNB-5004",
        "ImgUrl": "images\/network_camera\/SNB-5004.jpg",
        "Type": "Box",
        "Year": "2014",
        "Series": "WiseNET3",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/3\"",
                "Yes",
                "1.3M",
                "0.05Lux(1\/30sec, F1.2, 50IRE), 0.0008Lux(2sec, F1.2, 50IRE)",
                "0.005Lux(1\/30sec, F1.2, 50IRE)",
                "Yes"
            ],
            "LENS": [
                "Manual Iris,DC Auto Iris,P-Iris",
                "No",
                "Simple Focus,Manual Focus",
                "No",
                "No",
                "No",
                "No",
                "No"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "No",
                "No",
                "No",
                "No",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "IR Cut Filter",
                "Yes",
                "No",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "1",
                "1",
                "Yes"
            ],
            "NETWORK": [
                "1.3MP",
                "H.264,M-JPEG",
                "No",
                "10 profiles",
                "Yes",
                "Yes",
                "G.711 u-law \/G.726 selectable, G.726(ADPCM) 8KHz, G.711 8kHz\r\nG.726 : 16Kbps, 24kbps, 32kbps, 40kbps",
                "15",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-10\u00b0C~ +55\u00b0C",
                "Less than 90% RH",
                "No"
            ],
            "ELECTRICAL": [
                "POE,12V DC,24V AC",
                "PoE (IEEE802.3af class3)",
                "AC : 12.5W, DC : 10.5W, PoE : 12W"
            ],
            "MECHANICAL": [
                "Indoor",
                "No"
            ]
        },
        "accessory": {
            "TYPE": [],
            "IMAGE": []
        },
        "Info": "2014 Year, WiseNET3 Series, Box"
    },
    {
        "ModelName": "SND-5084",
        "ImgUrl": "images\/network_camera\/SND-5084.jpg",
        "Type": "Dome",
        "Year": "2014",
        "Series": "WiseNET3",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/3\"",
                "Yes",
                "1.3M",
                "0.05Lux(1\/30sec, F1.2, 50IRE), 0.0008Lux(2sec, 50IRE)",
                "0.005Lux(1\/30sec, F1.2, 50IRE)",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris",
                "Motorized Varifocal Lens",
                "Simple Focus,Manual Focus",
                "3 ~ 8.5mm",
                "2.8x",
                "F1.2",
                "H : 93.3\u00b0 (Wide) ~ 33.2\u00b0 (Tele) \/ V : 73.7\u00b0 (Wide) ~ 26.6\u00b0 (Tele)",
                "0.5m (1.64ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "0\u00b0 ~ 354\u00b0",
                "No",
                "No",
                "0\u00b0 ~ 67\u00b0",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "IR Cut Filter",
                "Yes",
                "No",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "1",
                "1",
                "No"
            ],
            "NETWORK": [
                "1.3MP",
                "H.264,M-JPEG",
                "No",
                "10 profiles",
                "Yes",
                "Yes",
                "G.711 u-law \/G.726 selectable, G.726(ADPCM) 8KHz, G.711 8kHz\r\nG.726 : 16Kbps, 24kbps, 32kbps, 40kbps",
                "15",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-10\u00b0C~ +55\u00b0C",
                "Less than 90% RH",
                "No"
            ],
            "ELECTRICAL": [
                "POE,12V DC",
                "PoE (IEEE802.3af class3)",
                "DC : 9W, PoE : 11W"
            ],
            "MECHANICAL": [
                "Indoor",
                "No"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)",
                "Dome Flush Mount",
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)",
                "Tinted Dome Bubble"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-301HM2_Parapet Mount.jpg",
                "images\/accessory\/SBP-301HM2_Ceiling Mount.jpg",
                "images\/accessory\/SBP-301HM2_Wall Mount.jpg",
                "images\/accessory\/SBP-301HM2_Wall Mount(Curved neck).jpg",
                "images\/accessory\/SHD-3000F1_Dome Flush Mount.jpg",
                "images\/accessory\/SBP-300HM8_Parapet Mount.jpg",
                "images\/accessory\/SBP-300HM8_Ceiling Mount.jpg",
                "images\/accessory\/SBP-300HM8_Wall Mount.jpg",
                "images\/accessory\/SBP-300HM8_Wall Mount(Curved neck).jpg",
                "images\/accessory\/SPB-IND5_Tinted Dome Bubble.jpg"
            ]
        },
        "Info": "2014 Year, WiseNET3 Series, Dome"
    },
    {
        "ModelName": "SND-5083",
        "ImgUrl": "images\/network_camera\/SND-5083.jpg",
        "Type": "Dome",
        "Year": "2014",
        "Series": "WiseNET3",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/3\"",
                "Yes",
                "1.3M",
                "0.05Lux(1\/30sec, F1.2, 50IRE), 0.0008Lux(2sec, 50IRE)",
                "0.005Lux(1\/30sec, F1.2, 50IRE)",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris",
                "Varifocal Lens",
                "Manual Focus",
                "2.8 ~ 10mm",
                "3.6x",
                "F1.2",
                "H : 94.6\u00b0 (Wide) ~ 28.8\u00b0 (Tele) \/ V : 68.4\u00b0 (Wide) ~ 21.6\u00b0 (Tele)",
                "0.5m (1.64ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "0\u00b0 ~ 354\u00b0",
                "No",
                "No",
                "0\u00b0 ~ 67\u00b0",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "IR Cut Filter",
                "Yes",
                "No",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "1",
                "1",
                "No"
            ],
            "NETWORK": [
                "1.3MP",
                "H.264,M-JPEG",
                "No",
                "10 profiles",
                "Yes",
                "Yes",
                "G.711 u-law \/G.726 selectable, G.726(ADPCM) 8KHz, G.711 8kHz\r\nG.726 : 16Kbps, 24kbps, 32kbps, 40kbps",
                "15",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-10\u00b0C~ +55\u00b0C",
                "Less than 90% RH",
                "No"
            ],
            "ELECTRICAL": [
                "POE,12V DC",
                "PoE (IEEE802.3af class3)",
                "DC : 9W, PoE : 11W"
            ],
            "MECHANICAL": [
                "Indoor",
                "No"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)",
                "Dome Flush Mount",
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)",
                "Tinted Dome Bubble"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-301HM2_Parapet Mount.jpg",
                "images\/accessory\/SBP-301HM2_Ceiling Mount.jpg",
                "images\/accessory\/SBP-301HM2_Wall Mount.jpg",
                "images\/accessory\/SBP-301HM2_Wall Mount(Curved neck).jpg",
                "images\/accessory\/SHD-3000F1_Dome Flush Mount.jpg",
                "images\/accessory\/SBP-300HM8_Parapet Mount.jpg",
                "images\/accessory\/SBP-300HM8_Ceiling Mount.jpg",
                "images\/accessory\/SBP-300HM8_Wall Mount.jpg",
                "images\/accessory\/SBP-300HM8_Wall Mount(Curved neck).jpg",
                "images\/accessory\/SPB-IND5_Tinted Dome Bubble.jpg"
            ]
        },
        "Info": "2014 Year, WiseNET3 Series, Dome"
    },
    {
        "ModelName": "SNF-7010",
        "ImgUrl": "images\/network_camera\/SNF-7010.jpg",
        "Type": "Fisheye",
        "Year": "2013",
        "Series": "WiseNET3",
        "Discontinued": 1,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/2.8\"",
                "Yes",
                "3M",
                "1.3Lux",
                "No",
                "Yes"
            ],
            "LENS": [
                "Fixed Iris",
                "Fixed Lens",
                "No",
                "1.05mm",
                "No",
                "F2.8",
                "H : 170\u00b0 \/ V : 180\u00b0 \/ D : 178\u00b0",
                "0.3m(0.98ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "0\u00b0 ~ 355\u00b0",
                "No",
                "No",
                "0\u00b0 ~ 355\u00b0",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "Software",
                "Yes",
                "No",
                "Yes",
                "No",
                "Yes",
                "Yes",
                "Yes",
                "No",
                "No",
                "No"
            ],
            "NETWORK": [
                "3MP",
                "H.264,M-JPEG",
                "No",
                "6 profiles",
                "No",
                "Yes",
                "G.711 u-law, G.726 (16Kbps, 24Kbps, 32Kbps, 40Kbps)",
                "15",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-10\u00b0C ~ +55\u00b0C",
                "Less than 90% RH",
                "No"
            ],
            "ELECTRICAL": [
                "POE",
                "PoE (IEEE802.3af class3)",
                "7.4W"
            ],
            "MECHANICAL": [
                "Indoor",
                "No"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)",
                "Wall Ceiling Mount"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-301HM4_Parapet Mount.jpg",
                "images\/accessory\/SBP-301HM4_Ceiling Mount.jpg",
                "images\/accessory\/SBP-301HM4_Wall Mount.jpg",
                "images\/accessory\/SBP-301HM4_Wall Mount(Curved neck).jpg",
                "images\/accessory\/SBP-300TM_Wall Ceiling Mount.jpg"
            ]
        },
        "Info": "2013 Year, WiseNET3 Series, Fisheye"
    },
    {
        "ModelName": "SND-6084",
        "ImgUrl": "images\/network_camera\/SND-6084.jpg",
        "Type": "Dome",
        "Year": "2013",
        "Series": "WiseNET3",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/2.8\"",
                "Yes",
                "2.38M",
                "0.1Lux(F1.2, 50IRE)",
                "0.01Lux(F1.2, 50IRE)",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris",
                "Motorized Varifocal Lens",
                "Simple Focus,Manual Focus",
                "3 ~ 8.5mm",
                "2.8x",
                "F1.2",
                "H : 105.5\u00b0 (Wide) ~ 37.1\u00b0(Tele) \/ V : 57.5\u00b0 (Wide) ~ 21.0\u00b0 (Tele)",
                "0.5m(1.64ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "0\u00b0 ~ 354\u00b0",
                "No",
                "No",
                "0\u00b0 ~ 67\u00b0",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "IR Cut Filter",
                "Yes",
                "No",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "1",
                "1",
                "No"
            ],
            "NETWORK": [
                "2MP",
                "M-JPEG,H.264",
                "No",
                "10 profiles",
                "Yes",
                "Yes",
                "G.711 u-law \/G.726 selectable, G.726(ADPCM) 8KHz, G.711 8kHz\r\nG.726 : 16Kbps, 24kbps, 32kbps, 40kbps",
                "15",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-10\u00b0C ~ +55\u00b0C",
                "Less than 90% RH",
                "No"
            ],
            "ELECTRICAL": [
                "POE",
                "PoE (IEEE802.3af)",
                "DC : 8.79W, PoE : 9.57W"
            ],
            "MECHANICAL": [
                "Indoor",
                "No"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)",
                "Dome Flush Mount",
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)",
                "Tinted Dome Bubble"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-301HM2_Parapet Mount.jpg",
                "images\/accessory\/SBP-301HM2_Ceiling Mount.jpg",
                "images\/accessory\/SBP-301HM2_Wall Mount.jpg",
                "images\/accessory\/SBP-301HM2_Wall Mount(Curved neck).jpg",
                "images\/accessory\/SHD-3000F1_Dome Flush Mount.jpg",
                "images\/accessory\/SBP-300HM8_Parapet Mount.jpg",
                "images\/accessory\/SBP-300HM8_Ceiling Mount.jpg",
                "images\/accessory\/SBP-300HM8_Wall Mount.jpg",
                "images\/accessory\/SBP-300HM8_Wall Mount(Curved neck).jpg",
                "images\/accessory\/SPB-IND5_Tinted Dome Bubble.jpg"
            ]
        },
        "Info": "2013 Year, WiseNET3 Series, Dome"
    },
    {
        "ModelName": "SNV-5084",
        "ImgUrl": "images\/network_camera\/SNV-5084.jpg",
        "Type": "Dome",
        "Year": "2014",
        "Series": "WiseNET3",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/3\"",
                "Yes",
                "1.3M",
                "0.05Lux(1\/30sec, F1.2, 50IRE), 0.0008Lux(2sec, F1.2, 50IRE)",
                "0.005Lux(1\/30sec, F1.2, 50IRE)",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris",
                "Motorized Varifocal Lens",
                "Simple Focus,Manual Focus",
                "3 ~ 8.5mm",
                "2.8x",
                "F1.2",
                "H : 93.3\u00b0 (Wide) ~ 33.2\u00b0 (Tele) \/ V : 73.7\u00b0 (Wide) ~ 26.6\u00b0 (Tele)",
                "0.5m (1.64ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "0\u00b0 ~ 354",
                "No",
                "No",
                "0\u00b0 ~ 67",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "IR Cut Filter",
                "Yes",
                "No",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "1",
                "1",
                "No"
            ],
            "NETWORK": [
                "1.3MP",
                "H.264,M-JPEG",
                "No",
                "10 profiles",
                "Yes",
                "Yes",
                "G.711 u-law \/G.726 selectable, G.726(ADPCM) 8KHz, G.711 8kHz\r\nG.726 : 16Kbps, 24kbps, 32kbps, 40kbps",
                "15",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-40\u00b0C~ +55\u00b0C",
                "Less than 90% RH",
                "IP66"
            ],
            "ELECTRICAL": [
                "POE,12V DC,24V AC",
                "PoE (IEEE802.3af class3)",
                "AC\/DC : 14W(Heater off), PoE : 12.95W(Heater on)"
            ],
            "MECHANICAL": [
                "IP66",
                "Yes"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)",
                "Dome Flush Mount",
                "Tinted Dome Cover",
                "BackBox"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-300HM6_Parapet Mount.jpg",
                "images\/accessory\/SBP-300HM6_Ceiling Mount.jpg",
                "images\/accessory\/SBP-300HM6_Wall Mount.jpg",
                "images\/accessory\/SBP-300HM6_Wall Mount(Curved neck).jpg",
                "images\/accessory\/SHD-3000F1_Dome Flush Mount.jpg",
                "images\/accessory\/SPB-VAN3_Tinted Dome Cover.jpg",
                "images\/accessory\/SBV-158G_BackBox.jpg"
            ]
        },
        "Info": "2014 Year, WiseNET3 Series, Dome"
    },
    {
        "ModelName": "SNP-6201",
        "ImgUrl": "images\/network_camera\/SNP-6201.jpg",
        "Type": "PTZ",
        "Year": "2014",
        "Series": "WiseNET2",
        "Discontinued": 1,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/3\"",
                "Yes",
                "2M",
                "1.5Lux(F1.6, 50IRE)",
                "0.1Lux(F1.6, 50IRE)",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris",
                "Autofocus Zoom Lens",
                "Auto Focus,Manual Focus",
                "4.45 ~ 89mm",
                "20x",
                "F1.6(Wide) \/ F2.9(Tele)",
                "H : 63\u00b0 (Wide) ~ 3.49\u00b0 (Tele) \/ V : 37\u00b0 (Wide) ~ 1.99\u00b0 (Tele)",
                "1m(3.28ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "360\u00b0 Endle",
                "500\u00b0\/sec",
                "0.024\u00b0\/sec ~ 120\u00b0\/sec",
                "190\u00b0 (-5\u00b0 ~ 185\u00b0)",
                "500\u00b0\/sec",
                "0.024\u00b0\/sec ~ 120\u00b0\/sec",
                "255"
            ],
            "OPERATIONAL": [
                "12x",
                "IR Cut Filter",
                "Yes",
                "No",
                "Yes",
                "No",
                "Yes",
                "Yes",
                "No",
                "4",
                "2",
                "Yes"
            ],
            "NETWORK": [
                "2MP",
                "H.264,M-JPEG",
                "No",
                "10 profiles",
                "No",
                "Yes",
                "G.711 u-law, G.726",
                "10",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-10\u00b0C ~ +55\u00b0C",
                "20% ~ 80% RH",
                "No"
            ],
            "ELECTRICAL": [
                "POE+,24V AC",
                "PoE+ (IEEE802.3at)",
                "AC : 15W, PoE+ : 13W"
            ],
            "MECHANICAL": [
                "Indoor",
                "No"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)",
                "Indoor Flush Mount",
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-301HM3_Parapet Mount.jpg",
                "images\/accessory\/SBP-301HM3_Ceiling Mount.jpg",
                "images\/accessory\/SBP-301HM3_Wall Mount.jpg",
                "images\/accessory\/SBP-301HM3_Wall Mount(Curved neck).jpg",
                "images\/accessory\/SHP-3701F_Indoor Flush Mount.jpg",
                "images\/accessory\/SHP-3701H_Parapet Mount.jpg",
                "images\/accessory\/SHP-3701H_Ceiling Mount.jpg",
                "images\/accessory\/SHP-3701H_Wall Mount.jpg",
                "images\/accessory\/SHP-3701H_Wall Mount(Curved neck).jpg"
            ]
        },
        "Info": "2014 Year, WiseNET2 Series, PTZ"
    },
    {
        "ModelName": "SNP-6201H",
        "ImgUrl": "images\/network_camera\/SNP-6201H.jpg",
        "Type": "PTZ",
        "Year": "2014",
        "Series": "WiseNET2",
        "Discontinued": 1,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/3\"",
                "Yes",
                "2M",
                "1.5Lux(F1.6, 50IRE)",
                "0.1Lux(F1.6, 50IRE)",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris",
                "Autofocus Zoom Lens",
                "Auto Focus,Manual Focus",
                "4.45 ~ 89mm",
                "20x",
                "F1.6(Wide) \/ F2.9(Tele)",
                "H : 63\u00b0 (Wide) ~ 3.49\u00b0 (Tele) \/ V : 37\u00b0 (Wide) ~ 1.99\u00b0 (Tele)",
                "1m(3.28ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "360\u00b0 Endle",
                "500\u00b0\/sec",
                "0.024\u00b0\/sec ~ 120\u00b0\/sec",
                "190\u00b0 (-5\u00b0 ~ 185\u00b0)",
                "500\u00b0\/sec",
                "0.024\u00b0\/sec ~ 120\u00b0\/sec",
                "255"
            ],
            "OPERATIONAL": [
                "12x",
                "IR Cut Filter",
                "Yes",
                "No",
                "Yes",
                "No",
                "Yes",
                "Yes",
                "No",
                "4",
                "2",
                "Yes"
            ],
            "NETWORK": [
                "2MP",
                "H.264,M-JPEG",
                "No",
                "10 profiles",
                "No",
                "Yes",
                "G.711 u-law, G.726",
                "10",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-50\u00b0C ~ +55\u00b0C",
                "Less than 90% RH",
                "IP66"
            ],
            "ELECTRICAL": [
                "POE+,24V AC",
                "PoE+ (IEEE802.3at)",
                "AC : 15W\/53W(Heater on), PoE+ : 15W\/25W(Heater on)"
            ],
            "MECHANICAL": [
                "IP66",
                "No"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)"
            ],
            "IMAGE": [
                "images\/accessory\/_Parapet Mount.jpg",
                "images\/accessory\/_Ceiling Mount.jpg",
                "images\/accessory\/_Wall Mount.jpg",
                "images\/accessory\/_Wall Mount(Curved neck).jpg"
            ]
        },
        "Info": "2014 Year, WiseNET2 Series, PTZ"
    },
    {
        "ModelName": "SND-6011R",
        "ImgUrl": "images\/network_camera\/SND-6011R.jpg",
        "Type": "Dome",
        "Year": "2013",
        "Series": "WiseNET3",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/2.8\"",
                "Yes",
                "2.38M",
                "0.3Lux(F2.0, 50IRE)",
                "0Lux(IR LED on)",
                "Yes"
            ],
            "LENS": [
                "Fixed Iris",
                "Fixed Lens",
                "No",
                "3.8mm",
                "No",
                "F2.0",
                "H : 84.5\u00b0  \/ V : 45.8\u00b0  \/ D : 98.8\u00b0",
                "10m(32.81ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "0\u00b0 ~ 354\u00b0",
                "No",
                "No",
                "0\u00b0 ~ 67\u00b0",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "IR Cut Filter",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "No",
                "Yes",
                "Yes",
                "1",
                "No",
                "No"
            ],
            "NETWORK": [
                "2MP",
                "H.264,M-JPEG",
                "No",
                "10 profiles",
                "No",
                "No",
                "No",
                "15",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-10\u00b0C ~ +55\u00b0C",
                "Less than 90% RH",
                "No"
            ],
            "ELECTRICAL": [
                "POE",
                "PoE (IEEE802.3af)",
                "6.6W"
            ],
            "MECHANICAL": [
                "Indoor",
                "No"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)",
                "Dome Flush Mount",
                "Tinted Dome Bubble"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-301HM4_Parapet Mount.jpg",
                "images\/accessory\/SBP-301HM4_Ceiling Mount.jpg",
                "images\/accessory\/SBP-301HM4_Wall Mount.jpg",
                "images\/accessory\/SBP-301HM4_Wall Mount(Curved neck).jpg",
                "images\/accessory\/SHD-3000F2_Dome Flush Mount.jpg",
                "images\/accessory\/SPB-IND6_Tinted Dome Bubble.jpg"
            ]
        },
        "Info": "2013 Year, WiseNET3 Series, Dome"
    },
    {
        "ModelName": "SNO-6011R",
        "ImgUrl": "images\/network_camera\/SNO-6011R.jpg",
        "Type": "Bullet",
        "Year": "2014",
        "Series": "WiseNET3",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/2.8\"",
                "Yes",
                "2.38M",
                "0.3Lux (F2.0, 50IRE), 0.03Lux (2sec, 50IRE)",
                "0Lux(IR LED on)",
                "Yes"
            ],
            "LENS": [
                "Fixed Iris",
                "Fixed Lens",
                "Manual Focus",
                "3.8mm",
                "No",
                "F2.0",
                "H : 84.5\u00b0  \/ V : 45.8\u00b0  \/ D : 98.8\u00b0",
                "0.5m(1.64ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "No",
                "No",
                "No",
                "No",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "IR Cut Filter",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "No",
                "Yes",
                "Yes",
                "1",
                "No",
                "No"
            ],
            "NETWORK": [
                "2MP",
                "H.264,M-JPEG",
                "No",
                "10 profiles",
                "Yes",
                "No",
                "No",
                "15",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-30\u00b0C ~ +55\u00b0C (-22\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "IP66"
            ],
            "ELECTRICAL": [
                "POE",
                "PoE (IEEE802.3af)",
                "7.7W"
            ],
            "MECHANICAL": [
                "IP66",
                "No"
            ]
        },
        "accessory": {
            "TYPE": [],
            "IMAGE": []
        },
        "Info": "2014 Year, WiseNET3 Series, Bullet"
    },
    {
        "ModelName": "SNB-S202",
        "ImgUrl": "images\/network_camera\/SNB-S202.jpg",
        "Type": "Box",
        "Year": "2013",
        "Series": "WiseNET3",
        "Discontinued": 1,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/2.8\"",
                "Yes",
                "2.38M",
                "0.03Lux(1\/30sec, F1.2, 30IRE), 0.0005Lux(2sec, F1.2, 30IRE)",
                "0.003Lux(F1.2, 30IRE)",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris,Manual Iris,P-Iris",
                "No",
                "Simple Focus",
                "No",
                "No",
                "No",
                "No",
                "No"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "No",
                "No",
                "No",
                "No",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "IR Cut Filter",
                "Yes",
                "No",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "1",
                "1",
                "Yes"
            ],
            "NETWORK": [
                "2MP",
                "H.264,M-JPEG",
                "No",
                "10 profiles",
                "Yes",
                "Yes",
                "G.711 u-law \/G.726",
                "15",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-10\u00b0C ~ +55\u00b0C",
                "Less than 90% RH",
                "No"
            ],
            "ELECTRICAL": [
                "POE",
                "PoE (IEEE802.3af)",
                "AC : 11.44W, DC : 10.1W, PoE : 11.1W"
            ],
            "MECHANICAL": [
                "Indoor",
                "No"
            ]
        },
        "accessory": {
            "TYPE": [],
            "IMAGE": []
        },
        "Info": "2013 Year, WiseNET3 Series, Box"
    },
    {
        "ModelName": "SND-S202",
        "ImgUrl": "images\/network_camera\/SND-S202.jpg",
        "Type": "Dome",
        "Year": "2013",
        "Series": "WiseNET3",
        "Discontinued": 1,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/2.8\"",
                "Yes",
                "2.38M",
                "0.03Lux(1\/30sec, F1.2, 30IRE), 0.0005Lux(2sec, F1.2, 30IRE)",
                "0.003Lux(F1.2, 30IRE)",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris",
                "Varifocal Lens",
                "Simple Focus",
                "3 ~ 8.5mm",
                "2.8x",
                "F1.2",
                "H : 105.5\u00b0 (Wide) ~ 37.1\u00b0(Tele) \/ V : 57.5\u00b0 (Wide) ~ 21.0\u00b0 (Tele)",
                "0.5m(1.64ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "0\u00b0 ~ 354\u00b0",
                "No",
                "No",
                "0\u00b0 ~ 67\u00b0",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "IR Cut Filter",
                "Yes",
                "No",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "1",
                "1",
                "No"
            ],
            "NETWORK": [
                "2MP",
                "H.264,M-JPEG",
                "No",
                "10 profiles",
                "Yes",
                "Yes",
                "G.711 u-law \/G.726",
                "15",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-10\u00b0C ~ +55\u00b0C",
                "Less than 90% RH",
                "No"
            ],
            "ELECTRICAL": [
                "POE",
                "PoE (IEEE802.3af)",
                "DC : 8.79W, PoE : 9.57W"
            ],
            "MECHANICAL": [
                "Indoor",
                "No"
            ]
        },
        "accessory": {
            "TYPE": [],
            "IMAGE": []
        },
        "Info": "2013 Year, WiseNET3 Series, Dome"
    },
    {
        "ModelName": "SNO-S202R",
        "ImgUrl": "images\/network_camera\/SNO-S202R.jpg",
        "Type": "Bullet",
        "Year": "2013",
        "Series": "WiseNET3",
        "Discontinued": 1,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/2.8\"",
                "Yes",
                "2.38M",
                "0.03Lux(1\/30sec, F1.2, 30IRE), 0.0005Lux(2sec, F1.2, 30IRE)",
                "0Lux(IR LED ON)",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris",
                "Varifocal Lens",
                "Simple Focus",
                "3 ~ 8.5mm",
                "2.8x",
                "F1.2",
                "H : 105.5\u00b0 (Wide) ~ 37.1\u00b0(Tele) \/ V : 57.5\u00b0 (Wide) ~ 21.0\u00b0 (Tele)",
                "0.5m(1.64ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "No",
                "No",
                "No",
                "No",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "IR Cut Filter",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "1",
                "1",
                "No"
            ],
            "NETWORK": [
                "2MP",
                "H.264,M-JPEG",
                "No",
                "10 profiles",
                "Yes",
                "Yes",
                "G.711 u-law \/G.726",
                "15",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "24V AC : -50\u00b0C ~ +55\u00b0C 12V DC, PoE : -10\u00b0C ~ +55\u00b0C",
                "Less than 90% RH",
                "IP66"
            ],
            "ELECTRICAL": [
                "POE",
                "PoE (IEEE802.3af)",
                "AC : 17W, DC : 11W, PoE : 11W"
            ],
            "MECHANICAL": [
                "IP66",
                "No"
            ]
        },
        "accessory": {
            "TYPE": [],
            "IMAGE": []
        },
        "Info": "2013 Year, WiseNET3 Series, Bullet"
    },
    {
        "ModelName": "SNB-S102",
        "ImgUrl": "images\/network_camera\/SNB-S102.jpg",
        "Type": "Box",
        "Year": "2014",
        "Series": "WiseNET3",
        "Discontinued": 1,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/3\"",
                "Yes",
                "1.3M",
                "0.01Lux(1\/30sec, F1.2, 30IRE), 0.00008Lux(2sec, F1.2, 30IRE)",
                "0.001Lux(1\/30sec, F1.2, 30IRE)",
                "Yes"
            ],
            "LENS": [
                "Manual Iris",
                "No",
                "Simple Focus",
                "No",
                "No",
                "No",
                "No",
                "No"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "No",
                "No",
                "No",
                "No",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "IR Cut Filter",
                "Yes",
                "No",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "1",
                "1",
                "Yes"
            ],
            "NETWORK": [
                "HD(720p)",
                "H.264,M-JPEG",
                "No",
                "15 profiles",
                "Yes",
                "Yes",
                "G.711 u-law \/G.726 selectable, G.726(ADPCM) 8KHz, G.711 8kHz\r\nG.726 : 16Kbps, 24kbps, 32kbps, 40kbps",
                "15",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-10\u00b0C ~ +55\u00b0C",
                "Less than 90% RH",
                "No"
            ],
            "ELECTRICAL": [
                "POE,12V DC,24V AC",
                "PoE (IEEE802.3af class3)",
                "AC : 12.5W, DC : 10.5W, PoE : 12W"
            ],
            "MECHANICAL": [
                "Indoor",
                "No"
            ]
        },
        "accessory": {
            "TYPE": [],
            "IMAGE": []
        },
        "Info": "2014 Year, WiseNET3 Series, Box"
    },
    {
        "ModelName": "SNB-S101",
        "ImgUrl": "images\/network_camera\/SNB-S101.jpg",
        "Type": "Box",
        "Year": "2014",
        "Series": "WiseNET3",
        "Discontinued": 1,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/2.8\"",
                "Yes",
                "1.3M",
                "0.01Lux(1\/30sec, F1.2, 30IRE), 0.00008Lux(2sec, F1.2, 30IRE)",
                "0.01Lux(1\/30sec, F1.2, 30IRE)",
                "Yes"
            ],
            "LENS": [
                "P-Iris",
                "No",
                "Manual Focus",
                "No",
                "No",
                "No",
                "No",
                "No"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "No",
                "No",
                "No",
                "No",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "Software",
                "Yes",
                "No",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "1",
                "1",
                "Yes"
            ],
            "NETWORK": [
                "HD(720p)",
                "H.264,M-JPEG",
                "No",
                "15 profiles",
                "Yes",
                "Yes",
                "G.711 u-law \/G.726 selectable, G.726(ADPCM) 8KHz, G.711 8kHz\r\nG.726 : 16Kbps, 24kbps, 32kbps, 40kbps",
                "15",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-10\u00b0C ~ +55\u00b0C",
                "Less than 90% RH",
                "No"
            ],
            "ELECTRICAL": [
                "POE,12V DC,24V AC",
                "PoE (IEEE802.3af class3)",
                "AC : 12.5W, DC : 10.5W, PoE : 12W"
            ],
            "MECHANICAL": [
                "Indoor",
                "No"
            ]
        },
        "accessory": {
            "TYPE": [],
            "IMAGE": []
        },
        "Info": "2014 Year, WiseNET3 Series, Box"
    },
    {
        "ModelName": "SND-S102",
        "ImgUrl": "images\/network_camera\/SND-S102.jpg",
        "Type": "Dome",
        "Year": "2014",
        "Series": "WiseNET3",
        "Discontinued": 1,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/3\"",
                "Yes",
                "1.3M",
                "0.01Lux(1\/30sec, F1.2, 30IRE), 0.0008Lux(2sec, 30IRE)",
                "0.001Lux(1\/30sec, F1.2, 30IRE)",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris",
                "Motorized Varifocal Lens",
                "Simple Focus",
                "3 ~ 8.5mm",
                "2.8x",
                "F1.2",
                "H : 93.3\u00b0 (Wide) ~ 33.2\u00b0 (Tele) \/ V : 73.7\u00b0 (Wide) ~ 26.6\u00b0 (T",
                "0.5m (1.64ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "0\u00b0 ~ 354",
                "No",
                "No",
                "0\u00b0 ~ 67",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "IR Cut Filter",
                "Yes",
                "No",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "1",
                "1",
                "No"
            ],
            "NETWORK": [
                "HD(720p)",
                "H.264,M-JPEG",
                "No",
                "10 profiles",
                "Yes",
                "Yes",
                "G.711 u-law \/G.726 selectable, G.726(ADPCM) 8KHz, G.711 8kHz\r\nG.726 : 16Kbps, 24kbps, 32kbps, 40kbps",
                "15",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-10\u00b0C ~ +55\u00b0C",
                "Less than 90% RH",
                "No"
            ],
            "ELECTRICAL": [
                "POE,12V DC",
                "PoE (IEEE802.3af class3)",
                "AC : 12.5W, DC : 10.5W, PoE : 12W"
            ],
            "MECHANICAL": [
                "Indoor",
                "No"
            ]
        },
        "accessory": {
            "TYPE": [],
            "IMAGE": []
        },
        "Info": "2014 Year, WiseNET3 Series, Dome"
    },
    {
        "ModelName": "SND-S101",
        "ImgUrl": "images\/network_camera\/SND-S101.jpg",
        "Type": "Dome",
        "Year": "2014",
        "Series": "WiseNET3",
        "Discontinued": 1,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/3\"",
                "Yes",
                "1.3M",
                "0.01Lux(1\/30sec, F1.2, 30IRE), 0.0008Lux(2sec, 30IRE)",
                "0.001Lux(1\/30sec, F1.2, 30IRE)",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris",
                "No",
                "Manual Focus",
                "2.8 ~ 10mm",
                "No",
                "F1.2",
                "H : 94.6\u00b0 (Wide) ~ 28.8\u00b0 (Tele) \/ V : 68.4\u00b0 (Wide) ~ 21.6\u00b0 (T",
                "0.5m (1.64ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "0\u00b0 ~ 354",
                "No",
                "No",
                "0\u00b0 ~ 67",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "IR Cut Filter",
                "Yes",
                "No",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "1",
                "1",
                "No"
            ],
            "NETWORK": [
                "HD(720p)",
                "H.264,M-JPEG",
                "No",
                "15 profiles",
                "Yes",
                "Yes",
                "G.711 u-law \/G.726 selectable, G.726(ADPCM) 8KHz, G.711 8kHz\r\nG.726 : 16Kbps, 24kbps, 32kbps, 40kbps",
                "15",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-10\u00b0C ~ +55\u00b0C",
                "Less than 90% RH",
                "No"
            ],
            "ELECTRICAL": [
                "POE,12V DC",
                "PoE (IEEE802.3af class3)",
                "AC : 12.5W, DC : 10.5W, PoE : 12W"
            ],
            "MECHANICAL": [
                "Indoor",
                "No"
            ]
        },
        "accessory": {
            "TYPE": [],
            "IMAGE": []
        },
        "Info": "2014 Year, WiseNET3 Series, Dome"
    },
    {
        "ModelName": "SNB-S201",
        "ImgUrl": "images\/network_camera\/SNB-S201.jpg",
        "Type": "Box",
        "Year": "2013",
        "Series": "WiseNET3",
        "Discontinued": 1,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/2.8\"",
                "Yes",
                "2.38M",
                "0.03Lux(F1.2, 30IRE)",
                "0.03Lux(F1.2, 30IRE)",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris,Manual Iris,P-Iris",
                "No",
                "Manual Focus",
                "No",
                "No",
                "No",
                "No",
                "No"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "No",
                "No",
                "No",
                "No",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "Software",
                "Yes",
                "No",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "1",
                "1",
                "Yes"
            ],
            "NETWORK": [
                "2MP",
                "H.264,M-JPEG",
                "No",
                "10 profiles",
                "No",
                "Yes",
                "G.711 u-law \/G.726 selectable, G.726(ADPCM) 8KHz, G.711 8kHz\r\nG.726 : 16Kbps, 24kbps, 32kbps, 40kbps",
                "15",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-10\u00b0C ~ +55?",
                "Less than 90% RH",
                "No"
            ],
            "ELECTRICAL": [
                "POE",
                "PoE (IEEE802.3af)",
                "AC : 9.5W, DC : 8.38W, PoE : 9.18W"
            ],
            "MECHANICAL": [
                "Indoor",
                "No"
            ]
        },
        "accessory": {
            "TYPE": [],
            "IMAGE": []
        },
        "Info": "2013 Year, WiseNET3 Series, Box"
    },
    {
        "ModelName": "SND-S201",
        "ImgUrl": "images\/network_camera\/SND-S201.jpg",
        "Type": "Dome",
        "Year": "2013",
        "Series": "WiseNET3",
        "Discontinued": 1,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/2.8\"",
                "Yes",
                "2.38M",
                "0.03Lux(F1.2, 30IRE)",
                "0.03Lux(F1.2, 30IRE)",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris",
                "Varifocal Lens",
                "Manual Focus",
                "3 ~ 8.5mm",
                "2.8x",
                "F1.2",
                "H : 106.18\u00b0 (Wide) ~ 37.1\u00b0(Tele) \/ V : 58.42\u00b0 (Wide) ~ 20.94\u00b0 (T",
                "0.5m(1.64ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "0\u00b0 ~ 354",
                "No",
                "No",
                "0\u00b0 ~ 67",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "Software",
                "Yes",
                "No",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "1",
                "1",
                "No"
            ],
            "NETWORK": [
                "2MP",
                "H.264,M-JPEG",
                "No",
                "10 profiles",
                "No",
                "Yes",
                "G.711 u-law \/G.726 selectable, G.726(ADPCM) 8KHz, G.711 8kHz\r\n G.726 : 16Kbps, 24kbps, 32kbps, 40kbps",
                "15",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-10\u00b0C ~ +55?",
                "Less than 90% RH",
                "No"
            ],
            "ELECTRICAL": [
                "POE",
                "PoE (IEEE802.3af)",
                "DC : 8.09W, PoE : 8.94W"
            ],
            "MECHANICAL": [
                "Indoor",
                "No"
            ]
        },
        "accessory": {
            "TYPE": [],
            "IMAGE": []
        },
        "Info": "2013 Year, WiseNET3 Series, Dome"
    },
    {
        "ModelName": "SND-S202R",
        "ImgUrl": "images\/network_camera\/SND-S202R.jpg",
        "Type": "Dome",
        "Year": "2013",
        "Series": "WiseNET3",
        "Discontinued": 1,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/2.8\"",
                "Yes",
                "2.38M",
                "0.03Lux(F1.2, 30IRE)",
                "0Lux(F1.2, 30IRE, IR LED on)",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris",
                "Varifocal Lens",
                "Simple Focus",
                "3 ~ 8.5mm",
                "2.8x",
                "F1.2",
                "H : 105.5\u00b0 (Wide) ~ 37.1\u00b0(Tele) \/ V : 57.5\u00b0 (Wide) ~ 21.0\u00b0 (T",
                "0.5m(1.64ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "0\u00b0 ~ 354",
                "No",
                "No",
                "0\u00b0 ~ 67",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "IR Cut Filter",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "1",
                "1",
                "No"
            ],
            "NETWORK": [
                "2MP",
                "H.264,M-JPEG",
                "No",
                "10 profiles",
                "Yes",
                "Yes",
                "G.711 u-law \/G.726 selectable, G.726(ADPCM) 8KHz, G.711 8kHz\r\nG.726 : 16Kbps, 24kbps, 32kbps, 40kbps",
                "15",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-10\u00b0C ~ +55?",
                "Less than 90% RH",
                "No"
            ],
            "ELECTRICAL": [
                "12V DC",
                "PoE (IEEE802.3af)",
                "DC : 9W, PoE : 9W"
            ],
            "MECHANICAL": [
                "Indoor",
                "No"
            ]
        },
        "accessory": {
            "TYPE": [],
            "IMAGE": []
        },
        "Info": "2013 Year, WiseNET3 Series, Dome"
    },
    {
        "ModelName": "SNF-7010V",
        "ImgUrl": "images\/network_camera\/SNF-7010V.jpg",
        "Type": "Fisheye",
        "Year": "2013",
        "Series": "WiseNET3",
        "Discontinued": 1,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/2.8\"",
                "Yes",
                "3M",
                "1.3Lux",
                "No",
                "Yes"
            ],
            "LENS": [
                "Fixed Iris",
                "Fixed Lens",
                "No",
                "1.05mm",
                "No",
                "F2.8",
                "H : 170\u00b0 \/ V : 180\u00b0 \/ D : 178\u00b0",
                "0.3m(0.98ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "0\u00b0 ~ 355\u00b0",
                "No",
                "No",
                "0\u00b0 ~ 355\u00b0",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "Software",
                "Yes",
                "No",
                "Yes",
                "No",
                "Yes",
                "Yes",
                "Yes",
                "No",
                "No",
                "No"
            ],
            "NETWORK": [
                "3MP",
                "H.264,M-JPEG",
                "No",
                "6 profiles",
                "No",
                "Yes",
                "G.711 u-law, G.726 (16Kbps, 24Kbps, 32Kbps, 40Kbps)",
                "15",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-30\u00b0C ~ +55\u00b0C (-22\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "IP66"
            ],
            "ELECTRICAL": [
                "POE",
                "PoE (IEEE802.3af class3)",
                "7.4W"
            ],
            "MECHANICAL": [
                "IP66",
                "Yes"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)",
                "Wall Ceiling Mount"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-301HM4_Parapet Mount.jpg",
                "images\/accessory\/SBP-301HM4_Ceiling Mount.jpg",
                "images\/accessory\/SBP-301HM4_Wall Mount.jpg",
                "images\/accessory\/SBP-301HM4_Wall Mount(Curved neck).jpg",
                "images\/accessory\/SBP-300TM_Wall Ceiling Mount.jpg"
            ]
        },
        "Info": "2013 Year, WiseNET3 Series, Fisheye"
    },
    {
        "ModelName": "SNB-7004",
        "ImgUrl": "images\/network_camera\/SNB-7004.jpg",
        "Type": "Box",
        "Year": "2014",
        "Series": "WiseNET3",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/2.8\"",
                "Yes",
                "3.2M",
                "Color : 0.1 Lux (F1.2, 50IRE), 0.06 Lux (F1.2, 30IRE)",
                "B\/W : 0.01 Lux (F1.2, 50IRE), 0.006 Lux (F1.2, 30IRE)",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris,Manual Iris,P-Iris",
                "No",
                "Simple Focus,Manual Focus",
                "No",
                "No",
                "No",
                "No",
                "No"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "No",
                "No",
                "No",
                "No",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "IR Cut Filter",
                "Yes",
                "No",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "1",
                "1",
                "Yes"
            ],
            "NETWORK": [
                "3MP",
                "H.264,M-JPEG",
                "No",
                "10 Profiles",
                "Yes",
                "Yes",
                "G.711 u-law \/ G.726 Selectable, G.726 (ADPCM) 8KHz, G.711 8KHz G.726 : 16Kbps, 24Kbps, 32Kbps, 40Kbps",
                "15",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-10\u00b0C ~ +55\u00b0C(+14\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "No"
            ],
            "ELECTRICAL": [
                "POE,12V DC,24V AC",
                "PoE (IEEE802.3af class 3)",
                "AC : 13.1W, DC : 11.1W, PoE : 12.6W"
            ],
            "MECHANICAL": [
                "Indoor",
                "No"
            ]
        },
        "accessory": {
            "TYPE": [],
            "IMAGE": []
        },
        "Info": "2014 Year, WiseNET3 Series, Box"
    },
    {
        "ModelName": "SND-7084",
        "ImgUrl": "images\/network_camera\/SND-7084.jpg",
        "Type": "Dome",
        "Year": "2014",
        "Series": "WiseNET3",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/2.8\"",
                "Yes",
                "3.2M",
                "0.1Lux(F1.2, 50IRE), 0.06Lux(F1.2, 30IRE)",
                "0.01Lux(F1.2, 50IRE), 0.006Lux(F1.2, 30IRE)",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris,P-Iris",
                "Motorized Varifocal Lens",
                "Simple Focus,Manual Focus",
                "3 ~ 8.5mm",
                "2.8x",
                "F1.2",
                "H : 100.12\u00b0(Wide) ~ 35.38\u00b0(Tele)   \/  V : 73.76\u00b0(Wide) ~ 26.58\u00b0(Tele)",
                "0.5m(1.64ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "0 \u00b0 ~ +354 \u00b0",
                "No",
                "No",
                "0 \u00b0 ~ +67 \u00b0",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "IR Cut Filter",
                "Yes",
                "No",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "1",
                "1",
                "No"
            ],
            "NETWORK": [
                "3MP",
                "H.264,M-JPEG",
                "No",
                "10 Profiles",
                "Yes",
                "Yes",
                "G.711 u-law \/G.726 Selectable \/ G.726 (ADPCM) 8KHz, G.711 8KHz \/ G.726 : 16Kbps, 24Kbps, 32Kbps, 40Kbps",
                "15",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-10\u00b0C ~ +55\u00b0C(+14\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "No"
            ],
            "ELECTRICAL": [
                "POE,12V DC",
                "PoE (IEEE802.3af class 3)",
                "DC : 9.6W, PoE : 11.6W"
            ],
            "MECHANICAL": [
                "Indoor",
                "No"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)",
                "Dome Flush Mount",
                "Tinted Dome Bubble"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-301HM2_Parapet Mount.jpg",
                "images\/accessory\/SBP-301HM2_Ceiling Mount.jpg",
                "images\/accessory\/SBP-301HM2_Wall Mount.jpg",
                "images\/accessory\/SBP-301HM2_Wall Mount(Curved neck).jpg",
                "images\/accessory\/SHD-3000F1_Dome Flush Mount.jpg",
                "images\/accessory\/SPB-IND5_Tinted Dome Bubble.jpg"
            ]
        },
        "Info": "2014 Year, WiseNET3 Series, Dome"
    },
    {
        "ModelName": "SND-7084R",
        "ImgUrl": "images\/network_camera\/SND-7084R.jpg",
        "Type": "Dome",
        "Year": "2014",
        "Series": "WiseNET3",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/2.8\"",
                "Yes",
                "3.2M",
                "0.1Lux(F1.2, 50IRE), 0.06Lux(F1.2, 30IRE)",
                "0Lux(IR LED on), 0Lux(F1.2, 30IRE)",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris,P-Iris",
                "Motorized Varifocal Lens",
                "Simple Focus,Manual Focus",
                "3 ~ 8.5mm",
                "2.8x",
                "F1.2",
                "H : 100.12\u00b0(Wide) ~ 35.38\u00b0(Tele)   \/  V : 73.76\u00b0(Wide) ~ 26.58\u00b0(Tele)",
                "0.5m(1.64ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "0 \u00b0 ~ +354 \u00b0",
                "No",
                "No",
                "0 \u00b0 ~ +67 \u00b0",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "IR Cut Filter",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "1",
                "1",
                "No"
            ],
            "NETWORK": [
                "3MP",
                "H.264,M-JPEG",
                "No",
                "10 Profiles",
                "Yes",
                "Yes",
                "G.711 u-law \/G.726 Selectable \/ G.726 (ADPCM) 8KHz, G.711 8KHz \/ G.726 : 16Kbps, 24Kbps, 32Kbps, 40Kbps",
                "15",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-10\u00b0C ~ +55\u00b0C(+14\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "No"
            ],
            "ELECTRICAL": [
                "12V DC",
                "PoE (IEEE802.3af class 3)",
                "DC : 10W, PoE : 11W"
            ],
            "MECHANICAL": [
                "Indoor",
                "No"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)",
                "Dome Flush Mount",
                "Tinted Dome Bubble"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-301HM2_Parapet Mount.jpg",
                "images\/accessory\/SBP-301HM2_Ceiling Mount.jpg",
                "images\/accessory\/SBP-301HM2_Wall Mount.jpg",
                "images\/accessory\/SBP-301HM2_Wall Mount(Curved neck).jpg",
                "images\/accessory\/SHD-3000F1_Dome Flush Mount.jpg",
                "images\/accessory\/SPB-IND5_Tinted Dome Bubble.jpg"
            ]
        },
        "Info": "2014 Year, WiseNET3 Series, Dome"
    },
    {
        "ModelName": "SNV-7084",
        "ImgUrl": "images\/network_camera\/SNV-7084.jpg",
        "Type": "Dome",
        "Year": "2014",
        "Series": "WiseNET3",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/2.8\"",
                "Yes",
                "3.2M",
                "0.1 Lux (F1.2, 50IRE), 0.06 Lux (F1.2, 30IRE)",
                "0.01 Lux (F1.2, 50IRE), 0.006 Lux (F1.2, 30IRE)",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris,P-Iris",
                "Motorized Varifocal Lens",
                "Simple Focus,Manual Focus",
                "3 ~ 8.5mm",
                "2.8x",
                "F1.2",
                "H : 100.12\u00b0(Wide) ~ 35.38\u00b0(Tele)   \/  V : 73.76\u00b0(Wide) ~ 26.58\u00b0(Tele)",
                "0.5m(1.64ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "0 \u00b0 ~ +354 \u00b0",
                "No",
                "No",
                "0 \u00b0 ~ +67 \u00b0",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "IR Cut Filter",
                "Yes",
                "No",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "1",
                "1",
                "No"
            ],
            "NETWORK": [
                "3MP",
                "H.264,M-JPEG",
                "No",
                "10 Profiles",
                "Yes",
                "Yes",
                "G.711 u-law \/G.726 Selectable \/ G.726 (ADPCM) 8KHz, G.711 8KHz \/ G.726 : 16Kbps, 24Kbps, 32Kbps, 40Kbps",
                "15",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-10\u00b0C ~ +55\u00b0C(+14\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "IP66"
            ],
            "ELECTRICAL": [
                "12V DC,24V AC",
                "PoE (IEEE802.3af class 3)",
                "AC : 13.0W, DC : 11.5W, PoE : 12.5W"
            ],
            "MECHANICAL": [
                "IP66",
                "Yes"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)",
                "Dome Flush Mount",
                "Tinted Dome Cover",
                "BackBox"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-300HM6_Parapet Mount.jpg",
                "images\/accessory\/SBP-300HM6_Ceiling Mount.jpg",
                "images\/accessory\/SBP-300HM6_Wall Mount.jpg",
                "images\/accessory\/SBP-300HM6_Wall Mount(Curved neck).jpg",
                "images\/accessory\/SHD-3000F1_Dome Flush Mount.jpg",
                "images\/accessory\/SPB-VAN3_Tinted Dome Cover.jpg",
                "images\/accessory\/SBV-158G_BackBox.jpg"
            ]
        },
        "Info": "2014 Year, WiseNET3 Series, Dome"
    },
    {
        "ModelName": "SNV-7084R",
        "ImgUrl": "images\/network_camera\/SNV-7084R.jpg",
        "Type": "Dome",
        "Year": "2014",
        "Series": "WiseNET3",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/2.8\"",
                "Yes",
                "3.2M",
                "0.1 Lux (F1.2, 50IRE), 0.06 Lux (F1.2, 30IRE)",
                "0 Lux (F1.2, 50IRE), 0 Lux (F1.2, 30IRE)",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris,P-Iris",
                "Motorized Varifocal Lens",
                "Simple Focus,Manual Focus",
                "3 ~ 8.5mm",
                "2.8x",
                "F1.2",
                "H : 100.12\u00b0(Wide) ~ 35.38\u00b0(Tele)   \/  V : 73.76\u00b0(Wide) ~ 26.58\u00b0(Tele)",
                "0.5m(1.64ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "0 \u00b0 ~ +354 \u00b0",
                "No",
                "No",
                "0 \u00b0 ~ +67 \u00b0",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "IR Cut Filter",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "1",
                "1",
                "No"
            ],
            "NETWORK": [
                "3MP",
                "H.264,M-JPEG",
                "No",
                "10 Profiles",
                "Yes",
                "Yes",
                "G.711 u-law \/G.726 Selectable \/ G.726 (ADPCM) 8KHz, G.711 8KHz \/ G.726 : 16Kbps, 24Kbps, 32Kbps, 40Kbps",
                "15",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "24V AC : -40\u00b0C to +55\u00b0C(-40\u00b0F ~ +131\u00b0F) \/ 12V DC, PoE : -20\u00b0C to +55\u00b0C(-22\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "IP66"
            ],
            "ELECTRICAL": [
                "12V DC,24V AC",
                "PoE (IEEE802.3af class 3)",
                "AC : 12.0W, DC : 10.5W, PoE : 11.5W"
            ],
            "MECHANICAL": [
                "IP66",
                "Yes"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)",
                "Dome Flush Mount",
                "Tinted Dome Cover",
                "BackBox"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-300HM6_Parapet Mount.jpg",
                "images\/accessory\/SBP-300HM6_Ceiling Mount.jpg",
                "images\/accessory\/SBP-300HM6_Wall Mount.jpg",
                "images\/accessory\/SBP-300HM6_Wall Mount(Curved neck).jpg",
                "images\/accessory\/SHD-3000F1_Dome Flush Mount.jpg",
                "images\/accessory\/SPB-VAN3_Tinted Dome Cover.jpg",
                "images\/accessory\/SBV-158G_BackBox.jpg"
            ]
        },
        "Info": "2014 Year, WiseNET3 Series, Dome"
    },
    {
        "ModelName": "SNO-7084R",
        "ImgUrl": "images\/network_camera\/SNO-7084R.jpg",
        "Type": "Bullet",
        "Year": "2014",
        "Series": "WiseNET3",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/2.8\"",
                "Yes",
                "3.2M",
                "0.1 Lux (F1.2, 50IRE), 0.06 Lux (F1.2, 30IRE)",
                "0 Lux (F1.2, 50IRE),  0 Lux (F1.2, 30IRE)",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris,P-Iris",
                "Motorized Varifocal Lens",
                "Simple Focus,Manual Focus",
                "3 ~ 8.5mm",
                "2.8x",
                "F1.2",
                "H : 100.12\u00b0(Wide) ~ 35.38\u00b0(Tele)   \/  V : 73.76\u00b0(Wide) ~ 26.58\u00b0(Tele)",
                "0.5m(1.64ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "No",
                "No",
                "No",
                "No",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "IR Cut Filter",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "1",
                "1",
                "No"
            ],
            "NETWORK": [
                "3MP",
                "H.264,M-JPEG",
                "No",
                "10 Profiles",
                "Yes",
                "Yes",
                "G.711 u-law \/G.726 Selectable \/ G.726 (ADPCM) 8KHz, G.711 8KHz \/ G.726 : 16Kbps, 24Kbps, 32Kbps, 40Kbps",
                "15",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "24V AC : -50\u00b0C to +55\u00b0C(-58\u00b0F ~ +131\u00b0F) \/ 12V DC, PoE : -20\u00b0C to +55\u00b0C(-22\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "IP66"
            ],
            "ELECTRICAL": [
                "POE,12V DC,24V AC",
                "PoE (IEEE802.3af class 3)",
                "AC : 13.0W, DC : 11.5W, PoE : 12.5W"
            ],
            "MECHANICAL": [
                "IP66",
                "Yes"
            ]
        },
        "accessory": {
            "TYPE": [],
            "IMAGE": []
        },
        "Info": "2014 Year, WiseNET3 Series, Bullet"
    },
    {
        "ModelName": "SNV-6013",
        "ImgUrl": "images\/network_camera\/SNV-6013.jpg",
        "Type": "Dome",
        "Year": "2014",
        "Series": "WiseNET3",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/2.8\"",
                "Yes",
                "2.38M",
                "0.1Lux (1\/30sec, F1.2, 50IRE), 0.0017Lux (2sec, F1.2, 50IRE)",
                "0.01Lux (1\/30sec, F1.2, 50IRE)",
                "Yes"
            ],
            "LENS": [
                "Fixed Iris",
                "Fixed Lens",
                "No",
                "2.8mm",
                "No",
                "F1.8",
                "H : 112\u00b0 \/ V : 62\u00b0",
                "0.2m (0.66ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "No",
                "No",
                "No",
                "No",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "16x",
                "Software",
                "Yes",
                "No",
                "Yes",
                "Yes",
                "No",
                "Yes",
                "Yes",
                "No",
                "No",
                "No"
            ],
            "NETWORK": [
                "2MP",
                "H.264,M-JPEG",
                "No",
                "10 profiles",
                "No",
                "No",
                "H.264 (MPEG-4 part 10\/AVC), MJPEG",
                "15",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-30\u00b0C ~ +55\u00b0C (-22\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "IP66"
            ],
            "ELECTRICAL": [
                "POE",
                "PoE (IEEE802.3af class3)",
                "7.5W"
            ],
            "MECHANICAL": [
                "IP66",
                "Yes"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-300HM7_Parapet Mount.jpg",
                "images\/accessory\/SBP-300HM7_Ceiling Mount.jpg",
                "images\/accessory\/SBP-300HM7_Wall Mount.jpg",
                "images\/accessory\/SBP-300HM7_Wall Mount(Curved neck).jpg"
            ]
        },
        "Info": "2014 Year, WiseNET3 Series, Dome"
    },
    {
        "ModelName": "SNB-6010",
        "ImgUrl": "images\/network_camera\/SNB-6010.jpg",
        "Type": "Box",
        "Year": "2014",
        "Series": "WiseNET3",
        "Discontinued": 1,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/2.8\"",
                "Yes",
                "2.83M",
                "0.5Lux (1\/30sec, F2.5, 50IRE)",
                "0.22Lux (1\/30sec, F2.5, 50IRE)",
                "No"
            ],
            "LENS": [
                "Fixed Iris",
                "No",
                "No",
                "4.6mm pinhole",
                "No",
                "F2.5",
                "H : 71\u00b0 \/ V : 38\u00b0",
                "0.3m"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "No",
                "No",
                "No",
                "No",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "Software",
                "Yes",
                "No",
                "Yes",
                "Yes",
                "No",
                "Yes",
                "Yes",
                "1",
                "1",
                "No"
            ],
            "NETWORK": [
                "2MP",
                "H.264,M-JPEG",
                "No",
                "10 profiles",
                "Yes",
                "Yes",
                "H.264 (MPEG-4 part 10\/AVC), MJPEG",
                "15",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-10\u00b0C ~ +55\u00b0C (+14\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "No"
            ],
            "ELECTRICAL": [
                "POE",
                "PoE (IEEE802.3af )",
                "DC : 6.5W, PoE : 7.5W"
            ],
            "MECHANICAL": [
                "Indoor",
                "No"
            ]
        },
        "accessory": {
            "TYPE": [],
            "IMAGE": []
        },
        "Info": "2014 Year, WiseNET3 Series, Box"
    },
    {
        "ModelName": "SNF-7010VM",
        "ImgUrl": "images\/network_camera\/SNF-7010VM.jpg",
        "Type": "Fisheye",
        "Year": "2013",
        "Series": "WiseNET3",
        "Discontinued": 1,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/2.8\"",
                "Yes",
                "3M",
                "1.3Lux",
                "No",
                "No"
            ],
            "LENS": [
                "Fixed Iris",
                "Fixed Lens",
                "No",
                "1.05mm",
                "No",
                "F2.8",
                "H : 170\u00b0 \/ V : 180\u00b0 \/ D : 178\u00b0",
                "0.3m"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "0\u00b0 ~ 355\u00b0",
                "No",
                "No",
                "0\u00b0 ~ 355\u00b0",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "Software",
                "Yes",
                "No",
                "Yes",
                "No",
                "Yes",
                "Yes",
                "Yes",
                "No",
                "No",
                "No"
            ],
            "NETWORK": [
                "3MP",
                "H.264,M-JPEG",
                "No",
                "6 profiles",
                "No",
                "Yes",
                "G.711 u-law, G.726 (16Kbps, 24Kbps, 32Kbps, 40Kbps)",
                "15",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-30\u00b0C ~ +55\u00b0C (-22\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "IP66"
            ],
            "ELECTRICAL": [
                "POE",
                "PoE (IEEE802.3af class3)",
                "7.4W"
            ],
            "MECHANICAL": [
                "IP66",
                "Yes"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)",
                "Wall Ceiling Mount"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-301HM4_Parapet Mount.jpg",
                "images\/accessory\/SBP-301HM4_Ceiling Mount.jpg",
                "images\/accessory\/SBP-301HM4_Wall Mount.jpg",
                "images\/accessory\/SBP-301HM4_Wall Mount(Curved neck).jpg",
                "images\/accessory\/SBP-300TM_Wall Ceiling Mount.jpg"
            ]
        },
        "Info": "2013 Year, WiseNET3 Series, Fisheye"
    },
    {
        "ModelName": "SNP-6320",
        "ImgUrl": "images\/network_camera\/SNP-6320.jpg",
        "Type": "PTZ",
        "Year": "2014",
        "Series": "WiseNET3+",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/2.8\"",
                "Yes",
                "2M",
                "0.3 Lux (1\/30sec, F1.6, 50IRE)",
                "0.03 Lux (1\/30sec, F1.6, 50IRE)",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris",
                "Autofocus Zoom Lens",
                "Manual Focus,Auto Focus",
                "4.44 ~ 142.6mm",
                "32x",
                "F1.6",
                "H : 62.8\u00b0(Wide) ~ 2.23\u00b0(Tele) \/ V : 36.80\u00b0(Wide) ~ 1.26\u00b0(Tele)",
                "Wide 1.5m ,Tele 2m"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "360\u02da Endless",
                "700\u02da\/sec",
                "0.024\u02da\/sec ~120\u02da\/sec",
                "210\u02da(-15\u02da ~195\u02da )",
                "700\u02da\/sec",
                "0.024\u02da\/sec ~120\u02da\/sec",
                "255"
            ],
            "OPERATIONAL": [
                "16x",
                "IR Cut Filter",
                "Yes",
                "No",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "4",
                "2",
                "Yes"
            ],
            "NETWORK": [
                "2MP",
                "H.264,M-JPEG",
                "No",
                "10 profiles",
                "Yes",
                "Yes",
                "G.711 u-law \/G.726 Selectable \/ G.726 (ADPCM) 8KHz, G.711 8KHz \/ G.726 : 16Kbps, 24Kbps, 32Kbps, 40Kbps",
                "15",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-10\u00b0C ~ +55\u00b0C(+14\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "No"
            ],
            "ELECTRICAL": [
                "POE+,24V AC,POE",
                "PoE+(IEEE802.3at Class4)",
                "20W"
            ],
            "MECHANICAL": [
                "Indoor",
                "No"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)",
                "Indoor Flush Mount",
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-301HM3_Parapet Mount.jpg",
                "images\/accessory\/SBP-301HM3_Ceiling Mount.jpg",
                "images\/accessory\/SBP-301HM3_Wall Mount.jpg",
                "images\/accessory\/SBP-301HM3_Wall Mount(Curved neck).jpg",
                "images\/accessory\/SHP-3701F_Indoor Flush Mount.jpg",
                "images\/accessory\/SHP-3701H_Parapet Mount.jpg",
                "images\/accessory\/SHP-3701H_Ceiling Mount.jpg",
                "images\/accessory\/SHP-3701H_Wall Mount.jpg",
                "images\/accessory\/SHP-3701H_Wall Mount(Curved neck).jpg"
            ]
        },
        "Info": "2014 Year, WiseNET3+ Series, PTZ"
    },
    {
        "ModelName": "SNP-6320H",
        "ImgUrl": "images\/network_camera\/SNP-6320H.jpg",
        "Type": "PTZ",
        "Year": "2014",
        "Series": "WiseNET3+",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/2.8\"",
                "Yes",
                "2M",
                "0.3 Lux (1\/30sec, F1.6, 50IRE)",
                "0.03 Lux (1\/30sec, F1.6, 50IRE)",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris",
                "Autofocus Zoom Lens",
                "Manual Focus,Auto Focus",
                "4.44 ~ 142.6mm",
                "32x",
                "F1.6",
                "H : 62.8\u00b0(Wide) ~ 2.23\u00b0(Tele) \/ V : 36.80\u00b0(Wide) ~ 1.26\u00b0(Tele)",
                "Wide 1.5m ,Tele 2m"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "360\u02da Endless",
                "700\u02da\/sec",
                "0.024\u02da\/sec ~120\u02da\/sec",
                "210\u02da(-15\u02da ~195\u02da )",
                "700\u02da\/sec",
                "0.024\u02da\/sec ~120\u02da\/sec",
                "255"
            ],
            "OPERATIONAL": [
                "16x",
                "IR Cut Filter",
                "Yes",
                "No",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "4",
                "2",
                "Yes"
            ],
            "NETWORK": [
                "2MP",
                "H.264,M-JPEG",
                "No",
                "10 profiles",
                "No",
                "Yes",
                "G.711 u-law \/G.726 Selectable \/ G.726 (ADPCM) 8KHz, G.711 8KHz \/ G.726 : 16Kbps, 24Kbps, 32Kbps, 40Kbps",
                "15",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "24V AC: -50\u00b0C ~ +55\u00b0C (-58\u00b0F ~ +131\u00b0F) \/ PoE+ : -30\u00b0C ~ +55\u00b0C (-22\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "IP66"
            ],
            "ELECTRICAL": [
                "POE+,24V AC",
                "PoE+(IEEE802.3at Class4)",
                "24W, AC : 65W(Heater on)"
            ],
            "MECHANICAL": [
                "IP66",
                "Yes"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)",
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)"
            ],
            "IMAGE": [
                "images\/accessory\/_Parapet Mount.jpg",
                "images\/accessory\/_Ceiling Mount.jpg",
                "images\/accessory\/_Wall Mount.jpg",
                "images\/accessory\/_Wall Mount(Curved neck).jpg",
                "images\/accessory\/SBP-300HF_Parapet Mount.jpg",
                "images\/accessory\/SBP-300HF_Ceiling Mount.jpg",
                "images\/accessory\/SBP-300HF_Wall Mount.jpg",
                "images\/accessory\/SBP-300HF_Wall Mount(Curved neck).jpg"
            ]
        },
        "Info": "2014 Year, WiseNET3+ Series, PTZ"
    },
    {
        "ModelName": "SNV-5084R",
        "ImgUrl": "images\/network_camera\/SNV-5084R.jpg",
        "Type": "Dome",
        "Year": "2014",
        "Series": "WiseNET3",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/3\"",
                "Yes",
                "1.37M",
                "0.05 Lux (1\/30sec, F1.2, 50IRE), 0.0008Lux (2sec, 50IRE), 0.005 Lux(1\/30sec, F1.2, 30IRE)",
                "No",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris,P-Iris",
                "Motorized Varifocal Lens",
                "Simple Focus,Manual Focus",
                "3 ~ 8.5mm",
                "2.8x",
                "F1.2",
                "H: 93.4\u00b0(Wide)~33.1\u00b0(Tele) \/  V: 73.8\u00b0(Wide)~26.5\u00b0(Tele)",
                "0.5m (1.64ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "0 \u00b0 ~ +354 \u00b0",
                "No",
                "No",
                "0 \u00b0 ~ +67 \u00b0",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "IR Cut Filter",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "1",
                "1",
                "No"
            ],
            "NETWORK": [
                "1.3MP",
                "H.264,M-JPEG",
                "No",
                "10 Profiles",
                "Yes",
                "Yes",
                "G.711 u-law \/G.726 Selectable\r\nG.726 (ADPCM) 8KHz, G.711 8KHz\r\nG.726 : 16Kbps, 24Kbps, 32Kbps, 40Kbps",
                "15",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-40\u00b0C to +55\u00b0C(-40\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH ",
                "IP66"
            ],
            "ELECTRICAL": [
                "POE",
                "PoE (IEEE802.3af)",
                "11W, 12.95W (Heater on)"
            ],
            "MECHANICAL": [
                "IP66",
                "Yes"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)",
                "Dome Flush Mount",
                "Tinted Dome Cover",
                "BackBox"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-300HM6_Parapet Mount.jpg",
                "images\/accessory\/SBP-300HM6_Ceiling Mount.jpg",
                "images\/accessory\/SBP-300HM6_Wall Mount.jpg",
                "images\/accessory\/SBP-300HM6_Wall Mount(Curved neck).jpg",
                "images\/accessory\/SHD-3000F1_Dome Flush Mount.jpg",
                "images\/accessory\/SPB-VAN3_Tinted Dome Cover.jpg",
                "images\/accessory\/SBV-158G_BackBox.jpg"
            ]
        },
        "Info": "2014 Year, WiseNET3 Series, Dome"
    },
    {
        "ModelName": "SND-5084R",
        "ImgUrl": "images\/network_camera\/SND-5084R.jpg",
        "Type": "Dome",
        "Year": "2014",
        "Series": "WiseNET3",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/3\"",
                "Yes",
                "1.37M",
                "0.05 Lux(1\/30sec, F1.2, 50IRE), 0.0008Lux(2sec, 50IRE), 0.005Lux(1\/30sec, F1.2, 30IRE)",
                "0Lux(IR LED on) ",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris,P-Iris",
                "Motorized Varifocal Lens",
                "Simple Focus,Manual Focus",
                "3~8.5mm",
                "2.8X",
                "F1.2",
                "H: 93.4\u00b0(Wide)~33.1\u00b0(Tele),  V: 73.8\u00b0(Wide)~26.5\u00b0(Tele)",
                "0.5m(1.64ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "0 \u00b0 ~ +354 \u00b0",
                "No",
                "No",
                "0 \u00b0 ~ +67 \u00b0",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "IR Cut Filter",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "1",
                "1",
                "No"
            ],
            "NETWORK": [
                "1.3MP",
                "H.264,M-JPEG",
                "No",
                "10 Profiles",
                "Yes",
                "Yes",
                "G.711 u-law \/G.726 Selectable\r\nG.726 (ADPCM) 8KHz, G.711 8KHz\r\nG.726 : 16Kbps, 24Kbps, 32Kbps, 40Kbps",
                "15",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-10\u00b0C ~ +55\u00b0C(+14\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "No"
            ],
            "ELECTRICAL": [
                "POE,12V DC",
                "PoE (IEEE802.3af)",
                "10.5W"
            ],
            "MECHANICAL": [
                "Indoor",
                "No"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)",
                "Dome Flush Mount",
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)",
                "Tinted Dome Bubble"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-301HM2_Parapet Mount.jpg",
                "images\/accessory\/SBP-301HM2_Ceiling Mount.jpg",
                "images\/accessory\/SBP-301HM2_Wall Mount.jpg",
                "images\/accessory\/SBP-301HM2_Wall Mount(Curved neck).jpg",
                "images\/accessory\/SHD-3000F1_Dome Flush Mount.jpg",
                "images\/accessory\/SBP-300HM8_Parapet Mount.jpg",
                "images\/accessory\/SBP-300HM8_Ceiling Mount.jpg",
                "images\/accessory\/SBP-300HM8_Wall Mount.jpg",
                "images\/accessory\/SBP-300HM8_Wall Mount(Curved neck).jpg",
                "images\/accessory\/SPB-IND5_Tinted Dome Bubble.jpg"
            ]
        },
        "Info": "2014 Year, WiseNET3 Series, Dome"
    },
    {
        "ModelName": "SNF-8010",
        "ImgUrl": "images\/network_camera\/SNF-8010.jpg",
        "Type": "Fisheye",
        "Year": "2014",
        "Series": "WiseNET3",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/1.8\"",
                "Yes",
                "6M",
                "0.5 Lux  (F2.5, 50IRE), 0.2 Lux  (F2.5, 30IRE)",
                "0.05 Lux (F2.5, 50IRE), 0.02 Lux (F2.5, 30IRE)",
                "No"
            ],
            "LENS": [
                "Fixed Iris",
                "Fixed Lens",
                "Manual Focus",
                "1.14mm",
                "No",
                "F2.5",
                "H : 187\u00b0 \/  V : 187\u00b0 \/   D : 187\u00b0",
                "0.3m ~ Infinity"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "0\u00b0 ~ 355\u00b0",
                "No",
                "No",
                "0\u00b0 ~ 355\u00b0",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "IR Cut Filter",
                "Yes",
                "No",
                "Yes",
                "No",
                "Yes",
                "Yes",
                "No",
                "1",
                "1",
                "No"
            ],
            "NETWORK": [
                "5MP",
                "H.264,M-JPEG",
                "No",
                "5 profiles",
                "No",
                "Yes",
                "G.711 u-law \/G.726 Selectable, G.726 (ADPCM) 8KHz, G.711 8KHz, G.726 : 16Kbps, 24Kbps, 32Kbps, 40Kbps",
                "10",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-10\u00b0C ~ +55\u00b0C(+14\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "No"
            ],
            "ELECTRICAL": [
                "POE",
                "PoE (IEEE802.3af class3)",
                "DC : 8.7W, PoE : 10.3W"
            ],
            "MECHANICAL": [
                "Indoor",
                "No"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)",
                "Wall Ceiling Mount"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-300HM5_Parapet Mount.jpg",
                "images\/accessory\/SBP-300HM5_Ceiling Mount.jpg",
                "images\/accessory\/SBP-300HM5_Wall Mount.jpg",
                "images\/accessory\/SBP-300HM5_Wall Mount(Curved neck).jpg",
                "images\/accessory\/SBP-300TM1_Wall Ceiling Mount.jpg"
            ]
        },
        "Info": "2014 Year, WiseNET3 Series, Fisheye"
    },
    {
        "ModelName": "SNF-8010VM",
        "ImgUrl": "images\/network_camera\/SNF-8010VM.jpg",
        "Type": "Fisheye",
        "Year": "2014",
        "Series": "WiseNET3",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/1.8\"",
                "Yes",
                "6M",
                "0.5 Lux  (F2.5, 50IRE), 0.2 Lux  (F2.5, 30IRE)",
                "0.05 Lux (F2.5, 50IRE), 0.02 Lux (F2.5, 30IRE)",
                "No"
            ],
            "LENS": [
                "Fixed Iris",
                "Fixed Lens",
                "Manual Focus",
                "1.14mm",
                "No",
                "F2.5",
                "H : 187\u00b0 \/  V : 187\u00b0 \/   D : 187\u00b0",
                "0.3m ~ Infinity"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "0\u00b0 ~ 355\u00b0",
                "No",
                "No",
                "0\u00b0 ~ 355\u00b0",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "IR Cut Filter",
                "Yes",
                "No",
                "Yes",
                "No",
                "Yes",
                "Yes",
                "No",
                "1",
                "1",
                "No"
            ],
            "NETWORK": [
                "5MP",
                "H.264,M-JPEG",
                "No",
                "5 profiles",
                "No",
                "Yes",
                "G.711 u-law \/G.726 Selectable, G.726 (ADPCM) 8KHz, G.711 8KHz, G.726 : 16Kbps, 24Kbps, 32Kbps, 40Kbps",
                "10",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-30\u00b0C ~ +55\u00b0C (-22\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "IP66"
            ],
            "ELECTRICAL": [
                "POE",
                "PoE (IEEE802.3af class3)",
                "DC : 8.7W, PoE : 10.3W"
            ],
            "MECHANICAL": [
                "IP66",
                "Yes"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)",
                "Wall Ceiling Mount"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-300HM5_Parapet Mount.jpg",
                "images\/accessory\/SBP-300HM5_Ceiling Mount.jpg",
                "images\/accessory\/SBP-300HM5_Wall Mount.jpg",
                "images\/accessory\/SBP-300HM5_Wall Mount(Curved neck).jpg",
                "images\/accessory\/SBP-300TM1_Wall Ceiling Mount.jpg"
            ]
        },
        "Info": "2014 Year, WiseNET3 Series, Fisheye"
    },
    {
        "ModelName": "SNP-5430",
        "ImgUrl": "images\/network_camera\/SNP-5430.jpg",
        "Type": "PTZ",
        "Year": "2014",
        "Series": "WiseNET3+",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/4\"",
                "Yes",
                "1.3M",
                "0.5Lux (F1.4, 50IRE), 0.3Lux (F1.4, 30IRE)",
                "0.01Lux (F1.4, 50IRE), 0.006Lux (F1.4, 30IRE)",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris",
                "Motorized Varifocal Lens",
                "Manual Focus,Auto Focus",
                "3.5~150.5mm",
                "43x",
                "F1.4(Wide) \/ F4.9(Tele)",
                "H : 53.92\u00b0(Wide) ~ 1.396\u00b0(Tele) \/ V : 44.08\u00b0(Wide) ~ 1.12\u00b0(Tele)",
                "1.5m(Wide) \/ 2m(Tele)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "360\u02da Endless",
                "700\u02da\/sec",
                "0.024\u02da\/sec ~ 120\u02da\/sec",
                "210\u02da (-15\u02da ~195\u02da )",
                "700\u02da\/sec",
                "0.024\u02da\/sec ~ 120\u02da\/sec",
                "255"
            ],
            "OPERATIONAL": [
                "16x",
                "IR Cut Filter",
                "Yes",
                "No",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "4",
                "2",
                "Yes"
            ],
            "NETWORK": [
                "1.3MP",
                "H.264,M-JPEG",
                "No",
                "10 profiles",
                "No",
                "Yes",
                "G.711 u-law\/G.726 selectable, G.726 (ADPCM) 8KHz, G.711 8KHz, G.726 : 16Kbps, 24Kbps, 32Kbps, 40Kbps",
                "15",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-10\u00b0C ~ +55\u00b0C (+14\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "No"
            ],
            "ELECTRICAL": [
                "POE+,24V AC",
                "PoE (IEEE802.3af class4)",
                "20W"
            ],
            "MECHANICAL": [
                "Indoor",
                "No"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)",
                "Indoor Flush Mount",
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-301HM3_Parapet Mount.jpg",
                "images\/accessory\/SBP-301HM3_Ceiling Mount.jpg",
                "images\/accessory\/SBP-301HM3_Wall Mount.jpg",
                "images\/accessory\/SBP-301HM3_Wall Mount(Curved neck).jpg",
                "images\/accessory\/SHP-3701F_Indoor Flush Mount.jpg",
                "images\/accessory\/SHP-3701H_Parapet Mount.jpg",
                "images\/accessory\/SHP-3701H_Ceiling Mount.jpg",
                "images\/accessory\/SHP-3701H_Wall Mount.jpg",
                "images\/accessory\/SHP-3701H_Wall Mount(Curved neck).jpg"
            ]
        },
        "Info": "2014 Year, WiseNET3+ Series, PTZ"
    },
    {
        "ModelName": "SNP-5430H",
        "ImgUrl": "images\/network_camera\/SNP-5430H.jpg",
        "Type": "PTZ",
        "Year": "2014",
        "Series": "WiseNET3+",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/4\"",
                "Yes",
                "1.3M",
                "0.5Lux (F1.4, 50IRE), 0.3Lux (F1.4, 30IRE)",
                "0.01Lux (F1.4, 50IRE), 0.006Lux (F1.4, 30IRE)",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris",
                "Motorized Varifocal Lens",
                "Manual Focus,Auto Focus",
                "3.5~150.5mm",
                "43x",
                "F1.4(Wide) \/ F4.9(Tele)",
                "H : 53.92\u00b0(Wide) ~ 1.396\u00b0(Tele) \/ V : 44.08\u00b0(Wide) ~ 1.12\u00b0(Tele)",
                "1.4m(Wide) \/ 1.9m(Tele)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "360\u02da Endless",
                "700\u02da\/sec",
                "0.024\u02da\/sec ~ 120\u02da\/sec",
                "210\u02da (-15\u02da ~195\u02da )",
                "700\u02da\/sec",
                "0.024\u02da\/sec ~ 120\u02da\/sec",
                "255"
            ],
            "OPERATIONAL": [
                "16x",
                "IR Cut Filter",
                "Yes",
                "No",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "4",
                "2",
                "Yes"
            ],
            "NETWORK": [
                "1.3MP",
                "H.264,M-JPEG",
                "No",
                "10 profiles",
                "No",
                "Yes",
                "G.711 u-law\/G.726 selectable, G.726 (ADPCM) 8KHz, G.711 8KHz, G.726 : 16Kbps, 24Kbps, 32Kbps, 40Kbps",
                "15",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "24V AC : -50\u00b0C ~ +55\u00b0C, PoE : -30\u00b0C ~ +55\u00b0C",
                "Less than 90% RH",
                "IP66"
            ],
            "ELECTRICAL": [
                "POE+,24V AC",
                "PoE (IEEE802.3af class4)",
                "24W, AC : 65W(Heater on)"
            ],
            "MECHANICAL": [
                "IP66",
                "No"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)",
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)"
            ],
            "IMAGE": [
                "images\/accessory\/_Parapet Mount.jpg",
                "images\/accessory\/_Ceiling Mount.jpg",
                "images\/accessory\/_Wall Mount.jpg",
                "images\/accessory\/_Wall Mount(Curved neck).jpg",
                "images\/accessory\/SBP-300HF_Parapet Mount.jpg",
                "images\/accessory\/SBP-300HF_Ceiling Mount.jpg",
                "images\/accessory\/SBP-300HF_Wall Mount.jpg",
                "images\/accessory\/SBP-300HF_Wall Mount(Curved neck).jpg"
            ]
        },
        "Info": "2014 Year, WiseNET3+ Series, PTZ"
    },
    {
        "ModelName": "SNO-5084R",
        "ImgUrl": "images\/network_camera\/SNO-5084R.jpg",
        "Type": "Bullet",
        "Year": "2014",
        "Series": "WiseNET3",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/3\"",
                "Yes",
                "1.37M",
                "0.05Lux (1\/30sec, F1.2, 50IRE), 0.0008Lux (2sec, 50IRE), 0.005Lux (1\/30sec, F1.2, 30IRE)",
                "0Lux (IR LED on)",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris,P-Iris",
                "Motorized Varifocal Lens",
                "Simple Focus,Manual Focus",
                "3 ~ 8.5mm",
                "2.8x",
                "F1.2",
                "H : 93.4\u00b0(Wide) ~ 33.1\u00b0(Tele) \/ V : 73.8\u00b0(Wide) ~ 26.5\u00b0(Tele)",
                "0.5m(1.64ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "No",
                "No",
                "No",
                "No",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "IR Cut Filter",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "1",
                "1",
                "No"
            ],
            "NETWORK": [
                "1.3MP",
                "H.264,M-JPEG,MPEG-4",
                "No",
                "10 profiles",
                "Yes",
                "Yes",
                "G.711 u-law\/G.726 selectable, G.726 (ADPCM) 8KHz, G.711 8KHz \/ G.726 : 16Kbps, 24Kbps, 32Kbps, 40Kbps",
                "15",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "24V AC : -30\u00b0C ~ +55\u00b0C (-22\u00b0F ~ +131\u00b0F) \/ 12V DC, PoE : -10\u00b0C ~ +55\u00b0C (+14\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "IP66"
            ],
            "ELECTRICAL": [
                "POE,12V DC,24V AC",
                "PoE (IEEE802.3af)",
                "AC : 12W, DC : 10W, PoE : 11.5W"
            ],
            "MECHANICAL": [
                "IP66",
                "Yes"
            ]
        },
        "accessory": {
            "TYPE": [],
            "IMAGE": []
        },
        "Info": "2014 Year, WiseNET3 Series, Bullet"
    },
    {
        "ModelName": "SNP-6321",
        "ImgUrl": "images\/network_camera\/SNP-6321.jpg",
        "Type": "PTZ",
        "Year": "2015",
        "Series": "WiseNET3",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/2.8\"",
                "Yes",
                "2M",
                "0.3 Lux (1\/30sec, F1.6, 50IRE)",
                "0.03 Lux (1\/30sec, F1.6, 50IRE)",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris",
                "Autofocus Zoom Lens",
                "Simple Focus,Manual Focus,Auto Focus",
                "4.44 ~ 142.6mm",
                "32x",
                "F1.6(Wide) \/ F4.4(Tele)",
                "H : 62.8\u00b0(Wide) ~ 2.23\u00b0(Tele) \/ V : 36.80\u00b0(Wide) ~ 1.26\u00b0(Tele)",
                "Wide 1.5m ,Tele 2m"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "360\u02da Endless",
                "700\u02da\/sec",
                "0.024\u02da\/sec ~120\u02da\/sec",
                "210\u02da(-15\u02da ~195\u02da )",
                "700\u02da\/sec",
                "0.024\u02da\/sec ~120\u02da\/sec",
                "255"
            ],
            "OPERATIONAL": [
                "16x",
                "IR Cut Filter",
                "Yes",
                "No",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "4",
                "2",
                "Yes"
            ],
            "NETWORK": [
                "2MP",
                "H.264,M-JPEG",
                "No",
                "10 profiles",
                "No",
                "Yes",
                "G.711 u-law \/G.726 Selectable \/ G.726 (ADPCM) 8KHz, G.711 8KHz \/ G.726 : 16Kbps, 24Kbps, 32Kbps, 40Kbps",
                "10",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-10\u00b0C ~ +55\u00b0C(+14\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "No"
            ],
            "ELECTRICAL": [
                "POE+,24V AC",
                "PoE+(IEEE802.3at Class3)",
                "20W"
            ],
            "MECHANICAL": [
                "Indoor",
                "Yes"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)",
                "Indoor Flush Mount",
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-301HM3_Parapet Mount.jpg",
                "images\/accessory\/SBP-301HM3_Ceiling Mount.jpg",
                "images\/accessory\/SBP-301HM3_Wall Mount.jpg",
                "images\/accessory\/SBP-301HM3_Wall Mount(Curved neck).jpg",
                "images\/accessory\/SHP-3701F_Indoor Flush Mount.jpg",
                "images\/accessory\/SHP-3701H_Parapet Mount.jpg",
                "images\/accessory\/SHP-3701H_Ceiling Mount.jpg",
                "images\/accessory\/SHP-3701H_Wall Mount.jpg",
                "images\/accessory\/SHP-3701H_Wall Mount(Curved neck).jpg"
            ]
        },
        "Info": "2015 Year, WiseNET3 Series, PTZ"
    },
    {
        "ModelName": "SNP-6321H",
        "ImgUrl": "images\/network_camera\/SNP-6321H.jpg",
        "Type": "PTZ",
        "Year": "2015",
        "Series": "WiseNET3",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/2.8\"",
                "Yes",
                "2M",
                "0.3 Lux (1\/30sec, F1.6, 50IRE)",
                "0.03 Lux (1\/30sec, F1.6, 50IRE)",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris",
                "Autofocus Zoom Lens",
                "Simple Focus,Manual Focus,Auto Focus",
                "4.44 ~ 142.6mm",
                "32x",
                "F1.6(Wide) \/ F4.4(Tele)",
                "H : 62.8\u00b0(Wide) ~ 2.23\u00b0(Tele) \/ V : 36.80\u00b0(Wide) ~ 1.26\u00b0(Tele)",
                "Wide 1.5m ,Tele 1.9m"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "360\u02da Endless",
                "700\u02da\/sec",
                "0.024\u02da\/sec ~120\u02da\/sec",
                "210\u02da(-15\u02da ~195\u02da )",
                "700\u02da\/sec",
                "0.024\u02da\/sec ~120\u02da\/sec",
                "255"
            ],
            "OPERATIONAL": [
                "16x",
                "IR Cut Filter",
                "Yes",
                "No",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "4",
                "2",
                "Yes"
            ],
            "NETWORK": [
                "2MP",
                "H.264,M-JPEG",
                "No",
                "10 profiles",
                "No",
                "Yes",
                "G.711 u-law \/G.726 Selectable \/ G.726 (ADPCM) 8KHz, G.711 8KHz \/ G.726 : 16Kbps, 24Kbps, 32Kbps, 40Kbps",
                "10",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "24V AC: -50\u00b0C ~ +55\u00b0C (-58\u00b0F ~ +131\u00b0F) \/ PoE+ : -30\u00b0C ~ +55\u00b0C (-22\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "IP66"
            ],
            "ELECTRICAL": [
                "POE+,24V AC",
                "PoE+(IEEE802.3at Class3)",
                "24W, AC : 65W(Heater on)"
            ],
            "MECHANICAL": [
                "IP66",
                "Yes"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)",
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)"
            ],
            "IMAGE": [
                "images\/accessory\/_Parapet Mount.jpg",
                "images\/accessory\/_Ceiling Mount.jpg",
                "images\/accessory\/_Wall Mount.jpg",
                "images\/accessory\/_Wall Mount(Curved neck).jpg",
                "images\/accessory\/SBP-301HF_Parapet Mount.jpg",
                "images\/accessory\/SBP-301HF_Ceiling Mount.jpg",
                "images\/accessory\/SBP-301HF_Wall Mount.jpg",
                "images\/accessory\/SBP-301HF_Wall Mount(Curved neck).jpg"
            ]
        },
        "Info": "2015 Year, WiseNET3 Series, PTZ"
    },
    {
        "ModelName": "SNB-8000",
        "ImgUrl": "images\/network_camera\/SNB-8000.jpg",
        "Type": "Box",
        "Year": "2015",
        "Series": "ETC",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/1.8\"",
                "Yes",
                "6M",
                "0.2Lux(1\/20sec, F1.2, 50IRE), 0.005Lux(2sec, F1.2, 50IRE)",
                "0.02Lux(1\/20sec, F1.2, 50IRE), 0.0005Lux(2sec, F1.2, 50IRE)",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris,P-Iris,Manual Iris",
                "No",
                "Simple Focus,Manual Focus",
                "No",
                "No",
                "No",
                "No",
                "No"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "No",
                "No",
                "No",
                "No",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "IR Cut Filter",
                "Yes",
                "No",
                "Yes",
                "No",
                "Yes",
                "Yes",
                "No",
                "1",
                "1",
                "Yes"
            ],
            "NETWORK": [
                "5MP",
                "H.264,M-JPEG",
                "No",
                "6 profiles",
                "No",
                "Yes",
                "G.711 u-law \/ G.726 Selectable, G.726 (ADPCM) 8KHz, G.711 8KHz G.726 : 16Kbps, 24Kbps, 32Kbps, 40Kbps",
                "10",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-10\u00b0C ~ +55\u00b0C (+14\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "No"
            ],
            "ELECTRICAL": [
                "POE,12V DC,24V AC",
                "PoE (IEEE802.3af class3)",
                "AC : 12.65W, DC : 10.68W, PoE : 12.14W"
            ],
            "MECHANICAL": [
                "Indoor",
                "No"
            ]
        },
        "accessory": {
            "TYPE": [],
            "IMAGE": []
        },
        "Info": "2015 Year, ETC Series, Box"
    },
    {
        "ModelName": "SNV-8080",
        "ImgUrl": "images\/network_camera\/SNV-8080.jpg",
        "Type": "Dome",
        "Year": "2015",
        "Series": "ETC",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/1.8\"",
                "Yes",
                "6M",
                "0.2Lux(1\/20sec, F1.2, 50IRE), 0.005Lux(2sec, F1.2, 50IRE)",
                "0.02Lux(1\/20sec, F1.2, 50IRE), 0.0005Lux(2sec, F1.2, 50IRE)",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris",
                "Motorized Varifocal Lens",
                "Simple Focus,Manual Focus",
                "3.6 ~ 9.4mm",
                "2.6x",
                "F1.2",
                "H : 104.0\u00b0(Wide)~39.2\u00b0(Tele) \/  V: 75.2\u00b0(Wide)~29.3\u00b0(Tele)",
                "0.5m (1.64ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "0 \u00b0 ~ +354 \u00b0",
                "No",
                "No",
                "0 \u00b0 ~ +67 \u00b0",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "16x",
                "IR Cut Filter",
                "Yes",
                "No",
                "Yes",
                "No",
                "Yes",
                "Yes",
                "No",
                "1",
                "1",
                "No"
            ],
            "NETWORK": [
                "5MP",
                "H.264,M-JPEG",
                "No",
                "6 profiles",
                "No",
                "Yes",
                "G.711 u-law \/ G.726 Selectable, G.726 (ADPCM) 8KHz, G.711 8KHz G.726 : 16Kbps, 24Kbps, 32Kbps, 40Kbps",
                "10",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-40\u00b0C ~ +55\u00b0C (-40\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "No"
            ],
            "ELECTRICAL": [
                "POE,12V DC,24V AC",
                "PoE (IEEE802.3af class3)",
                "AC : 14.20W, DC : 11.50W, PoE : 12.95W"
            ],
            "MECHANICAL": [
                "IP66",
                "Yes"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)",
                "Dome Flush Mount",
                "Tinted Dome Cover",
                "BackBox"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-300HM6_Parapet Mount.jpg",
                "images\/accessory\/SBP-300HM6_Ceiling Mount.jpg",
                "images\/accessory\/SBP-300HM6_Wall Mount.jpg",
                "images\/accessory\/SBP-300HM6_Wall Mount(Curved neck).jpg",
                "images\/accessory\/SHD-3000F1_Dome Flush Mount.jpg",
                "images\/accessory\/SPB-VAN3_Tinted Dome Cover.jpg",
                "images\/accessory\/SBV-158G_BackBox.jpg"
            ]
        },
        "Info": "2015 Year, ETC Series, Dome"
    },
    {
        "ModelName": "SNP-6320RH",
        "ImgUrl": "images\/network_camera\/SNP-6320RH.jpg",
        "Type": "PTZ",
        "Year": "2014",
        "Series": "WiseNET3+",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/2.8\"",
                "Yes",
                "2M",
                "0.3Lux(1\/30sec, F1.6, 50IRE), 0.005Lux(2sec, F1.6, 50IRE)",
                "0 Lux(IR LED On)",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris",
                "Autofocus Zoom Lens",
                "Auto Focus,Manual Focus",
                "4.4 ~ 140.8mm",
                "32x",
                "F1.6(Wide) \/ F4.9(Tele)",
                "H : 63.68\u00b0(Wide) ~ 2.24\u00b0(Tele) \/ V : 37.52\u00b0(Wide) ~ 1.28\u00b0(Tele)",
                "1.5m (4.92ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "360\u00b0 Endles",
                "250\u00b0\/sec",
                "0.024\u00b0\/sec ~ 120\u00b0\/sec",
                "190\u00b0 (-5\u00b0 ~ 185\u00b0)",
                "250\u00b0\/sec",
                "0.024\u00b0\/sec ~ 120\u00b0\/sec",
                "255"
            ],
            "OPERATIONAL": [
                "16x",
                "IR Cut Filter",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "4",
                "3",
                "Yes"
            ],
            "NETWORK": [
                "2MP",
                "H.264,M-JPEG",
                "No",
                "10 profiles",
                "No",
                "Yes",
                "G.711 u-law\/G.726 selectable, G.726 (ADPCM) 8KHz, G.711 8KHz, G.726 : 16Kbps, 24Kbps, 32Kbps, 40Kbps",
                "15",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-50\u00b0C ~ +55\u00b0C (-58\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "IP66"
            ],
            "ELECTRICAL": [
                "24V AC",
                "No",
                "30W(Heater off), 35W\/90W(Heater off\/on, IR on)"
            ],
            "MECHANICAL": [
                "IP66",
                "Yes"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)"
            ],
            "IMAGE": [
                "images\/accessory\/_Parapet Mount.jpg",
                "images\/accessory\/_Ceiling Mount.jpg",
                "images\/accessory\/_Wall Mount.jpg",
                "images\/accessory\/_Wall Mount(Curved neck).jpg"
            ]
        },
        "Info": "2014 Year, WiseNET3+ Series, PTZ"
    },
    {
        "ModelName": "SNZ-6320",
        "ImgUrl": "images\/network_camera\/SNZ-6320.jpg",
        "Type": "Box",
        "Year": "2015",
        "Series": "WiseNET3",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/2.8\"",
                "Yes",
                "2.38M",
                "0.3Lux(1\/30sec, F1.6, 50IRE)",
                "0.03Lux(1\/30sec, F1.6, 50IRE)",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris",
                "Autofocus Zoom Lens",
                "Auto Focus,Simple Focus,Manual Focus",
                "4.42~142.6mm",
                "32x",
                "F1.6 (Wide) \/ F4.4(Tele)",
                "H : 62.8\u00b0(Wide) ~ 2.23\u00b0(Tele)   \/  V : 36.80\u00b0(Wide) ~ 1.26\u00b0(Tele)",
                "Wide 1.5m ,Tele 1.5m"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "No",
                "No",
                "No",
                "No",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "16x",
                "IR Cut Filter",
                "No",
                "No",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "1",
                "1",
                "Yes"
            ],
            "NETWORK": [
                "2MP",
                "H.264,M-JPEG",
                "No",
                "10 profiles",
                "No",
                "Yes",
                "G.711 u-law \/G.726 Selectable, G.726 (ADPCM) 8KHz, G.711 8KHz, G.726 : 16Kbps, 24Kbps, 32Kbps, 40Kbps",
                "10",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-10\u00b0C ~ +55\u00b0C(+14\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "No"
            ],
            "ELECTRICAL": [
                "12V DC",
                "PoE (IEEE802.3af)",
                "DC : 9W, PoE : 10W"
            ],
            "MECHANICAL": [
                "Indoor",
                "No"
            ]
        },
        "accessory": {
            "TYPE": [],
            "IMAGE": []
        },
        "Info": "2015 Year, WiseNET3 Series, Box"
    },
    {
        "ModelName": "SNP-5321",
        "ImgUrl": "images\/network_camera\/SNP-5321.jpg",
        "Type": "PTZ",
        "Year": "2015",
        "Series": "WiseNET3",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/3\"",
                "Yes",
                "1.3M",
                "0.1Lux (1\/30sec, F1.6, 50IRE, AGC high)",
                "0.01Lux (1\/30sec, F1.6, 50IRE, AGC high)",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris",
                "Motorized Varifocal Lens,Autofocus Zoom Lens",
                "Simple Focus,Manual Focus,Auto Focus",
                "4.44~142.6mm",
                "32x",
                "F1.6(Wide) \/ F4.4(Tele)",
                "H : 56.8\u00b0(Wide) ~ 1.99\u00b0(Tele) \/ V : 46.3\u00b0(Wide) ~ 1.6\u00b0(Tele)",
                "1.5m(Wide) \/ 1.9m(Tele)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "360\u02da Endless",
                "700\u02da\/sec",
                "0.024\u02da\/sec ~ 120\u02da\/sec",
                "210\u02da (-15\u02da ~195\u02da )",
                "700\u02da\/sec",
                "0.024\u02da\/sec ~ 120\u02da\/sec",
                "255"
            ],
            "OPERATIONAL": [
                "16x",
                "IR Cut Filter",
                "Yes",
                "No",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "4",
                "2",
                "Yes"
            ],
            "NETWORK": [
                "1.3MP",
                "H.264,MPEG-4",
                "No",
                "10 profiles",
                "No",
                "Yes",
                "G.711 u-law\/G.726 selectable, G.726 (ADPCM) 8KHz, G.711 8KHz, G.726 : 16Kbps, 24Kbps, 32Kbps, 40Kbps",
                "10",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "24V AC : -50\u00b0C ~ +55\u00b0C (-58\u00b0F ~ +131\u00b0F) \/ PoE+ : -30\u00b0C ~ +55\u00b0C (-22\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "No"
            ],
            "ELECTRICAL": [
                "POE+,24V AC",
                "PoE+ (IEEE802.3af, Class4)",
                "20W"
            ],
            "MECHANICAL": [
                "Indoor",
                "No"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)",
                "Indoor Flush Mount",
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-301HM3_Parapet Mount.jpg",
                "images\/accessory\/SBP-301HM3_Ceiling Mount.jpg",
                "images\/accessory\/SBP-301HM3_Wall Mount.jpg",
                "images\/accessory\/SBP-301HM3_Wall Mount(Curved neck).jpg",
                "images\/accessory\/SHP-3701F_Indoor Flush Mount.jpg",
                "images\/accessory\/SHP-3701H_Parapet Mount.jpg",
                "images\/accessory\/SHP-3701H_Ceiling Mount.jpg",
                "images\/accessory\/SHP-3701H_Wall Mount.jpg",
                "images\/accessory\/SHP-3701H_Wall Mount(Curved neck).jpg"
            ]
        },
        "Info": "2015 Year, WiseNET3 Series, PTZ"
    },
    {
        "ModelName": "SNP-5321H",
        "ImgUrl": "images\/network_camera\/SNP-5321H.jpg",
        "Type": "PTZ",
        "Year": "2015",
        "Series": "WiseNET3",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/3\"",
                "Yes",
                "1.3M",
                "0.1Lux (1\/30sec, F1.6, 50IRE, AGC high)",
                "0.01Lux (1\/30sec, F1.6, 50IRE, AGC high)",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris",
                "Motorized Varifocal Lens,Autofocus Zoom Lens",
                "Simple Focus,Manual Focus,Auto Focus",
                "4.44~142.6mm",
                "32x",
                "F1.6(Wide) \/ F4.4(Tele)",
                "H : 56.8\u00b0(Wide) ~ 1.99\u00b0(Tele) \/ V : 46.3\u00b0(Wide) ~ 1.6\u00b0(Tele)",
                "1.5m(Wide) \/ 2m(Tele)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "360\u02da Endless",
                "700\u02da\/sec",
                "0.024\u02da\/sec ~ 120\u02da\/sec",
                "210\u02da (-15\u02da ~195\u02da )",
                "700\u02da\/sec",
                "0.024\u02da\/sec ~ 120\u02da\/sec",
                "255"
            ],
            "OPERATIONAL": [
                "16x",
                "IR Cut Filter",
                "Yes",
                "No",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "4",
                "2",
                "Yes"
            ],
            "NETWORK": [
                "1.3MP",
                "H.264,MPEG-4",
                "No",
                "10 profiles",
                "No",
                "Yes",
                "G.711 u-law\/G.726 selectable, G.726 (ADPCM) 8KHz, G.711 8KHz, G.726 : 16Kbps, 24Kbps, 32Kbps, 40Kbps",
                "10",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-10\u00b0C ~ +55\u00b0C (+14\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "IP66"
            ],
            "ELECTRICAL": [
                "POE+,24V AC",
                "PoE+ (IEEE802.3af, Class4)",
                "24V AC : 65W (Heater on), PoE+ : 25W "
            ],
            "MECHANICAL": [
                "IP66",
                "Yes"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)",
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)"
            ],
            "IMAGE": [
                "images\/accessory\/_Parapet Mount.jpg",
                "images\/accessory\/_Ceiling Mount.jpg",
                "images\/accessory\/_Wall Mount.jpg",
                "images\/accessory\/_Wall Mount(Curved neck).jpg",
                "images\/accessory\/SBP-301HF_Parapet Mount.jpg",
                "images\/accessory\/SBP-301HF_Ceiling Mount.jpg",
                "images\/accessory\/SBP-301HF_Wall Mount.jpg",
                "images\/accessory\/SBP-301HF_Wall Mount(Curved neck).jpg"
            ]
        },
        "Info": "2015 Year, WiseNET3 Series, PTZ"
    },
    {
        "ModelName": "SND-L6013",
        "ImgUrl": "images\/network_camera\/SND-L6013.jpg",
        "Type": "Dome",
        "Year": "2015",
        "Series": "WiseNETLite",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/2.9\"",
                "Yes",
                "2.19M",
                "0.15Lux(1\/30sec, F1.8)",
                "0.15Lux(1\/30sec, F1.8)",
                "No"
            ],
            "LENS": [
                "Fixed Iris",
                "Fixed Lens",
                "No",
                "3.6mm",
                "No",
                "F1.8",
                "H : 86.5\u00b0 \/ V : 47.8\u00b0 \/ D : 101.2\u00b0",
                "0.5m(1.64ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "0\u00b0 ~ 350\u00b0",
                "No",
                "No",
                "0\u00b0 ~ 67\u00b0",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "Software",
                "No",
                "No",
                "Yes",
                "No",
                "No",
                "Yes",
                "No",
                "No",
                "No",
                "No"
            ],
            "NETWORK": [
                "2MP",
                "H.264,M-JPEG",
                "No",
                "3 profiles",
                "No",
                "No",
                "G.711 u-law \/G.726 selectable, G.726(ADPCM) 8KHz, G.711 8kHz\r\n G.726 : 16Kbps, 24kbps, 32kbps, 40kbps",
                "6",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-10\u00b0C ~ +55\u00b0C(+14\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "No"
            ],
            "ELECTRICAL": [
                "POE",
                "PoE (IEEE802.3af, Class2)",
                "2.4W"
            ],
            "MECHANICAL": [
                "Indoor",
                "No"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-300HM7_Parapet Mount.jpg",
                "images\/accessory\/SBP-300HM7_Ceiling Mount.jpg",
                "images\/accessory\/SBP-300HM7_Wall Mount.jpg",
                "images\/accessory\/SBP-300HM7_Wall Mount(Curved neck).jpg"
            ]
        },
        "Info": "2015 Year, WiseNETLite Series, Dome"
    },
    {
        "ModelName": "SND-L6013R",
        "ImgUrl": "images\/network_camera\/SND-L6013R.jpg",
        "Type": "Dome",
        "Year": "2015",
        "Series": "WiseNETLite",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/2.9\"",
                "Yes",
                "2.19M",
                "0.15Lux(1\/30sec, F1.8)",
                "0Lux(IR LED on)",
                "No"
            ],
            "LENS": [
                "Fixed Iris",
                "Fixed Lens",
                "No",
                "3.6mm",
                "No",
                "F1.8",
                "H : 86.5\u00b0 \/ V : 47.8\u00b0 \/ D : 101.2\u00b0",
                "0.5m(1.64ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "0\u00b0 ~ 350\u00b0",
                "No",
                "No",
                "0\u00b0 ~ 67\u00b0",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "IR Cut Filter",
                "No",
                "Yes",
                "Yes",
                "No",
                "No",
                "Yes",
                "No",
                "No",
                "No",
                "No"
            ],
            "NETWORK": [
                "2MP",
                "H.264,M-JPEG",
                "No",
                "3 profiles",
                "No",
                "No",
                "G.711 u-law \/G.726 selectable, G.726(ADPCM) 8KHz, G.711 8kHz\r\n G.726 : 16Kbps, 24kbps, 32kbps, 40kbps",
                "6",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-10\u00b0C ~ +55\u00b0C(+14\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "No"
            ],
            "ELECTRICAL": [
                "POE",
                "PoE (IEEE802.3af, Class2)",
                "5.9W"
            ],
            "MECHANICAL": [
                "IP66",
                "No"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-300HM7_Parapet Mount.jpg",
                "images\/accessory\/SBP-300HM7_Ceiling Mount.jpg",
                "images\/accessory\/SBP-300HM7_Wall Mount.jpg",
                "images\/accessory\/SBP-300HM7_Wall Mount(Curved neck).jpg"
            ]
        },
        "Info": "2015 Year, WiseNETLite Series, Dome"
    },
    {
        "ModelName": "SNO-L6013R",
        "ImgUrl": "images\/network_camera\/SNO-L6013R.jpg",
        "Type": "Bullet",
        "Year": "2015",
        "Series": "WiseNETLite",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/2.9\"",
                "Yes",
                "2.19M",
                "0.15Lux(1\/30sec, F1.8)",
                "0Lux(IR LED on)",
                "No"
            ],
            "LENS": [
                "Fixed Iris",
                "Fixed Lens",
                "No",
                "3.6mm",
                "No",
                "F1.8",
                "H : 86.5\u00b0 \/ V : 47.8\u00b0 \/ D : 101.2\u00b0",
                "0.5m(1.64ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "No",
                "No",
                "No",
                "No",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "IR Cut Filter",
                "No",
                "Yes",
                "Yes",
                "No",
                "No",
                "Yes",
                "No",
                "No",
                "No",
                "No"
            ],
            "NETWORK": [
                "2MP",
                "H.264,M-JPEG",
                "No",
                "3 profiles",
                "No",
                "No",
                "G.711 u-law\/G.726 selectable, G.726 (ADPCM) 8KHz, G.711 8KHz \/ G.726 : 16Kbps, 24Kbps, 32Kbps, 40Kbps",
                "6",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-30\u00b0C ~ +55\u00b0C (-22\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "IP66"
            ],
            "ELECTRICAL": [
                "POE",
                "PoE (IEEE802.3af, Class2)",
                "5.7W"
            ],
            "MECHANICAL": [
                "IP66",
                "No"
            ]
        },
        "accessory": {
            "TYPE": [],
            "IMAGE": []
        },
        "Info": "2015 Year, WiseNETLite Series, Bullet"
    },
    {
        "ModelName": "SNO-L6083R",
        "ImgUrl": "images\/network_camera\/SNO-L6083R.jpg",
        "Type": "Bullet",
        "Year": "2015",
        "Series": "WiseNETLite",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/2.9\"",
                "Yes",
                "2.19M",
                "0.095Lux(1\/30sec, F1.4)",
                "0Lux(IR LED on)",
                "No"
            ],
            "LENS": [
                "DC Auto Iris",
                "Varifocal Lens",
                "Manual Focus",
                "2.8 ~ 12mm",
                "4.3x",
                "F1.4",
                "H : 103.8\u00b0(Wide) ~ 32.4\u00b0(Tele) \/ V : 53.7\u00b0(Wide) ~ 18.4\u00b0(Tele) \/ D : 121.9\u00b0(Wide) ~ 37.1\u00b0(Tele)",
                "0.5m(1.64ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "No",
                "No",
                "No",
                "No",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "IR Cut Filter",
                "No",
                "Yes",
                "Yes",
                "No",
                "No",
                "Yes",
                "No",
                "No",
                "No",
                "No"
            ],
            "NETWORK": [
                "2MP",
                "H.264,M-JPEG",
                "No",
                "3 profiles",
                "No",
                "No",
                "G.711 u-law\/G.726 selectable, G.726 (ADPCM) 8KHz, G.711 8KHz \/ G.726 : 16Kbps, 24Kbps, 32Kbps, 40Kbps",
                "6",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-30\u00b0C ~ +55\u00b0C (-22\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "IP66"
            ],
            "ELECTRICAL": [
                "POE",
                "PoE (IEEE802.3af, Class2)",
                "5.9W"
            ],
            "MECHANICAL": [
                "IP66",
                "Yes"
            ]
        },
        "accessory": {
            "TYPE": [
                "BackBox"
            ],
            "IMAGE": [
                "images\/accessory\/SBO-100B1_BackBox.jpg"
            ]
        },
        "Info": "2015 Year, WiseNETLite Series, Bullet"
    },
    {
        "ModelName": "SND-L6083R",
        "ImgUrl": "images\/network_camera\/SND-L6083R.jpg",
        "Type": "Dome",
        "Year": "2015",
        "Series": "WiseNETLite",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/2.9\"",
                "Yes",
                "2.19M",
                "0.095Lux(1\/30sec, F1.4)",
                "0Lux(IR LED on)",
                "No"
            ],
            "LENS": [
                "DC Auto Iris",
                "Varifocal Lens",
                "Manual Focus",
                "2.8 ~ 12mm",
                "4.3x",
                "F1.4",
                "H : 103.8\u00b0(Wide) ~ 32.4\u00b0(Tele) \/ V : 53.7\u00b0(Wide) ~ 18.4\u00b0(Tele) \/ D : 121.9\u00b0(Wide) ~ 37.1\u00b0(Tele)",
                "0.5m(1.64ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "0\u00b0 ~ 350\u00b0",
                "No",
                "No",
                "0\u00b0 ~ 67\u00b0",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "4.3x",
                "IR Cut Filter",
                "No",
                "Yes",
                "Yes",
                "No",
                "No",
                "Yes",
                "No",
                "No",
                "No",
                "No"
            ],
            "NETWORK": [
                "2MP",
                "H.264,M-JPEG",
                "No",
                "3 profiles",
                "No",
                "No",
                "G.711 u-law \/G.726 selectable, G.726(ADPCM) 8KHz, G.711 8kHz\r\n G.726 : 16Kbps, 24kbps, 32kbps, 40kbps",
                "6",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-10\u00b0C ~ +55\u00b0C (+14\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "No"
            ],
            "ELECTRICAL": [
                "POE",
                "PoE (IEEE802.3af, Class2)",
                "5.4W"
            ],
            "MECHANICAL": [
                "Indoor",
                "No"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)",
                "Dome Flush Mount",
                "Tinted Dome Bubble"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-301HM4_Parapet Mount.jpg",
                "images\/accessory\/SBP-301HM4_Ceiling Mount.jpg",
                "images\/accessory\/SBP-301HM4_Wall Mount.jpg",
                "images\/accessory\/SBP-301HM4_Wall Mount(Curved neck).jpg",
                "images\/accessory\/SHD-3000F2_Dome Flush Mount.jpg",
                "images\/accessory\/SPB-IND6_Tinted Dome Bubble.jpg"
            ]
        },
        "Info": "2015 Year, WiseNETLite Series, Dome"
    },
    {
        "ModelName": "SNV-L6083R",
        "ImgUrl": "images\/network_camera\/SNV-L6083R.jpg",
        "Type": "Dome",
        "Year": "2015",
        "Series": "WiseNETLite",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/2.9\"",
                "Yes",
                "2.19M",
                "0.095Lux(1\/30sec, F1.4)",
                "0Lux(IR LED on)",
                "No"
            ],
            "LENS": [
                "DC Auto Iris",
                "Varifocal Lens",
                "Manual Focus",
                "2.8 ~ 12mm",
                "4.3x",
                "F1.4",
                "H : 103.8\u00b0(Wide) ~ 32.4\u00b0(Tele) \/ V : 53.7\u00b0(Wide) ~ 18.4\u00b0(Tele) \/ D : 121.9\u00b0(Wide) ~ 37.1\u00b0(Tele)",
                "0.5m(1.64ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "0\u00b0 ~ 350\u00b0",
                "No",
                "No",
                "0\u00b0 ~ 67\u00b0",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "4.3x",
                "IR Cut Filter",
                "No",
                "Yes",
                "Yes",
                "No",
                "No",
                "Yes",
                "No",
                "No",
                "No",
                "No"
            ],
            "NETWORK": [
                "2MP",
                "H.264,M-JPEG",
                "No",
                "3 profiles",
                "No",
                "No",
                "G.711 u-law \/G.726 selectable, G.726(ADPCM) 8KHz, G.711 8kHz\r\n G.726 : 16Kbps, 24kbps, 32kbps, 40kbps",
                "6",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-30\u00b0C ~ +55\u00b0C (-22\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "IP66"
            ],
            "ELECTRICAL": [
                "POE",
                "PoE (IEEE802.3af, Class2)",
                "5.8W"
            ],
            "MECHANICAL": [
                "IP66",
                "Yes"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)",
                "Dome Flush Mount",
                "Tinted Dome Cover",
                "BackBox"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-301HM2_Parapet Mount.jpg",
                "images\/accessory\/SBP-301HM2_Ceiling Mount.jpg",
                "images\/accessory\/SBP-301HM2_Wall Mount.jpg",
                "images\/accessory\/SBP-301HM2_Wall Mount(Curved neck).jpg",
                "images\/accessory\/SHD-3000F3_Dome Flush Mount.jpg",
                "images\/accessory\/SPB-VAN4_Tinted Dome Cover.jpg",
                "images\/accessory\/SBV-136B_BackBox.jpg"
            ]
        },
        "Info": "2015 Year, WiseNETLite Series, Dome"
    },
    {
        "ModelName": "SND-L5013",
        "ImgUrl": "images\/network_camera\/SND-L5013.jpg",
        "Type": "Dome",
        "Year": "2015",
        "Series": "WiseNETLite",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/3\"",
                "Yes",
                "1.37M",
                "0.085Lux(1\/30sec, F1.8)",
                "0.085Lux(1\/30sec, F1.8)",
                "No"
            ],
            "LENS": [
                "Fixed Iris",
                "Fixed Lens",
                "No",
                "3.6mm",
                "No",
                "F1.8",
                "H : 74\u00b0 \/ V : 58\u00b0 \/ D : 97\u00b0",
                "0.5m(1.64ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "0\u00b0 ~ 350\u00b0",
                "No",
                "No",
                "0\u00b0 ~ 67\u00b0",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "Software",
                "No",
                "No",
                "Yes",
                "No",
                "No",
                "Yes",
                "No",
                "No",
                "No",
                "No"
            ],
            "NETWORK": [
                "1.3MP",
                "H.264,M-JPEG",
                "No",
                "3 profiles",
                "No",
                "No",
                "G.711 u-law \/G.726 selectable, G.726(ADPCM) 8KHz, G.711 8kHz\r\n G.726 : 16Kbps, 24kbps, 32kbps, 40kbps",
                "6",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-10\u00b0C ~ +55\u00b0C(+14\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "No"
            ],
            "ELECTRICAL": [
                "POE",
                "PoE (IEEE802.3af, Class2)",
                "2.4W"
            ],
            "MECHANICAL": [
                "Indoor",
                "No"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-300HM7_Parapet Mount.jpg",
                "images\/accessory\/SBP-300HM7_Ceiling Mount.jpg",
                "images\/accessory\/SBP-300HM7_Wall Mount.jpg",
                "images\/accessory\/SBP-300HM7_Wall Mount(Curved neck).jpg"
            ]
        },
        "Info": "2015 Year, WiseNETLite Series, Dome"
    },
    {
        "ModelName": "SND-L5083R",
        "ImgUrl": "images\/network_camera\/SND-L5083R.jpg",
        "Type": "Dome",
        "Year": "2015",
        "Series": "WiseNETLite",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/3\"",
                "Yes",
                "1.37M",
                "0.04Lux(1\/30sec, F1.4)",
                "0Lux(IR LED on)",
                "No"
            ],
            "LENS": [
                "DC Auto Iris",
                "Varifocal Lens",
                "Manual Focus",
                "2.8 ~ 12mm",
                "4.3x",
                "F1.4",
                "H : 88.2\u00b0(Wide) ~ 28.6\u00b0(Tele) \/ V : 69.4\u00b0(Wide) ~ 23.0\u00b0(Tele) \/ D : 117.3\u00b0(Wide) ~ 36.2\u00b0(Tele)",
                "0.5m(1.64ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "0\u00b0 ~ 350\u00b0",
                "No",
                "No",
                "0\u00b0 ~ 67\u00b0",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "4.3x",
                "IR Cut Filter",
                "No",
                "Yes",
                "Yes",
                "No",
                "No",
                "Yes",
                "No",
                "No",
                "No",
                "No"
            ],
            "NETWORK": [
                "1.3MP",
                "H.264,M-JPEG",
                "No",
                "3 profiles",
                "No",
                "No",
                "G.711 u-law \/G.726 selectable, G.726(ADPCM) 8KHz, G.711 8kHz\r\n G.726 : 16Kbps, 24kbps, 32kbps, 40kbps",
                "6",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-10\u00b0C ~ +55\u00b0C (+14\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "No"
            ],
            "ELECTRICAL": [
                "POE",
                "PoE (IEEE802.3af, Class2)",
                "5.4W"
            ],
            "MECHANICAL": [
                "Indoor",
                "No"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)",
                "Dome Flush Mount",
                "Tinted Dome Bubble"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-301HM4_Parapet Mount.jpg",
                "images\/accessory\/SBP-301HM4_Ceiling Mount.jpg",
                "images\/accessory\/SBP-301HM4_Wall Mount.jpg",
                "images\/accessory\/SBP-301HM4_Wall Mount(Curved neck).jpg",
                "images\/accessory\/SHD-3000F2_Dome Flush Mount.jpg",
                "images\/accessory\/SPB-IND6_Tinted Dome Bubble.jpg"
            ]
        },
        "Info": "2015 Year, WiseNETLite Series, Dome"
    },
    {
        "ModelName": "SNV-L5083R",
        "ImgUrl": "images\/network_camera\/SNV-L5083R.jpg",
        "Type": "Dome",
        "Year": "2015",
        "Series": "WiseNETLite",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/3\"",
                "Yes",
                "1.37M",
                "0.04Lux(1\/30sec, F1.4)",
                "0Lux(IR LED on)",
                "No"
            ],
            "LENS": [
                "DC Auto Iris",
                "Varifocal Lens",
                "Manual Focus",
                "2.8 ~ 12mm",
                "4.3x",
                "F1.4",
                "H : 88.2\u00b0(Wide) ~ 28.6\u00b0(Tele) \/ V : 69.4\u00b0(Wide) ~ 23.0\u00b0(Tele) \/ D : 117.3\u00b0(Wide) ~ 36.2\u00b0(Tele)",
                "0.5m(1.64ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "0\u00b0 ~ 350\u00b0",
                "No",
                "No",
                "0\u00b0 ~ 67\u00b0",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "4.3x",
                "IR Cut Filter",
                "No",
                "Yes",
                "Yes",
                "No",
                "No",
                "Yes",
                "No",
                "No",
                "No",
                "No"
            ],
            "NETWORK": [
                "1.3MP",
                "H.264,M-JPEG",
                "No",
                "3 profiles",
                "No",
                "No",
                "G.711 u-law \/G.726 selectable, G.726(ADPCM) 8KHz, G.711 8kHz\r\n G.726 : 16Kbps, 24kbps, 32kbps, 40kbps",
                "6",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-30\u00b0C ~ +55\u00b0C (-22\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "IP66"
            ],
            "ELECTRICAL": [
                "POE",
                "PoE (IEEE802.3af, Class2)",
                "5.8W"
            ],
            "MECHANICAL": [
                "IP66",
                "Yes"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)",
                "Dome Flush Mount",
                "Tinted Dome Cover",
                "BackBox"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-301HM2_Parapet Mount.jpg",
                "images\/accessory\/SBP-301HM2_Ceiling Mount.jpg",
                "images\/accessory\/SBP-301HM2_Wall Mount.jpg",
                "images\/accessory\/SBP-301HM2_Wall Mount(Curved neck).jpg",
                "images\/accessory\/SHD-3000F3_Dome Flush Mount.jpg",
                "images\/accessory\/SPB-VAN4_Tinted Dome Cover.jpg",
                "images\/accessory\/SBV-136B_BackBox.jpg"
            ]
        },
        "Info": "2015 Year, WiseNETLite Series, Dome"
    },
    {
        "ModelName": "SNO-L5083R",
        "ImgUrl": "images\/network_camera\/SNO-L5083R.jpg",
        "Type": "Bullet",
        "Year": "2015",
        "Series": "WiseNETLite",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/3\"",
                "Yes",
                "1.37M",
                "0.04Lux(1\/30sec, F1.4)",
                "0Lux(IR LED on)",
                "No"
            ],
            "LENS": [
                "DC Auto Iris",
                "Varifocal Lens",
                "Manual Focus",
                "2.8 ~ 12mm",
                "4.3x",
                "F1.4",
                "H : 88.2\u00b0(Wide) ~ 28.6\u00b0(Tele) \/ V : 69.4\u00b0(Wide) ~ 23.0\u00b0(Tele) \/ D : 117.3\u00b0(Wide) ~ 36.2\u00b0(Tele)",
                "0.5m(1.64ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "No",
                "No",
                "No",
                "No",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "IR Cut Filter",
                "No",
                "Yes",
                "Yes",
                "No",
                "No",
                "Yes",
                "No",
                "No",
                "No",
                "No"
            ],
            "NETWORK": [
                "1.3MP",
                "H.264,M-JPEG",
                "No",
                "3 profiles",
                "No",
                "No",
                "G.711 u-law\/G.726 selectable, G.726 (ADPCM) 8KHz, G.711 8KHz \/ G.726 : 16Kbps, 24Kbps, 32Kbps, 40Kbps",
                "6",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-30\u00b0C ~ +55\u00b0C (-22\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "IP66"
            ],
            "ELECTRICAL": [
                "POE",
                "PoE (IEEE802.3af, Class2)",
                "5.9W"
            ],
            "MECHANICAL": [
                "IP66",
                "Yes"
            ]
        },
        "accessory": {
            "TYPE": [
                "BackBox"
            ],
            "IMAGE": [
                "images\/accessory\/SBO-100B1_BackBox.jpg"
            ]
        },
        "Info": "2015 Year, WiseNETLite Series, Bullet"
    },
    {
        "ModelName": "SND-L6012",
        "ImgUrl": "images\/network_camera\/SND-L6012.jpg",
        "Type": "Dome",
        "Year": "2015",
        "Series": "WiseNETLite",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/2.9\"",
                "Yes",
                "2.19M",
                "0.15Lux(1\/30sec, F1.8)",
                "0.15Lux(1\/30sec, F1.8)",
                "No"
            ],
            "LENS": [
                "Fixed Iris",
                "Fixed Lens",
                "No",
                "2.8mm",
                "No",
                "F1.8",
                "H : 110\u00b0 \/ V : 61\u00b0 \/ D : 125\u00b0",
                "0.5m(1.64ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "0\u00b0 ~ 350\u00b0",
                "No",
                "No",
                "0\u00b0 ~ 67\u00b0",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "Software",
                "No",
                "No",
                "Yes",
                "No",
                "No",
                "Yes",
                "No",
                "No",
                "No",
                "No"
            ],
            "NETWORK": [
                "2MP",
                "H.264,M-JPEG",
                "No",
                "3 profiles",
                "No",
                "No",
                "G.711 u-law \/G.726 selectable, G.726(ADPCM) 8KHz, G.711 8kHz\r\n G.726 : 16Kbps, 24kbps, 32kbps, 40kbps",
                "6",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-10\u00b0C ~ +55\u00b0C(+14\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "No"
            ],
            "ELECTRICAL": [
                "POE",
                "PoE (IEEE802.3af, Class2)",
                "2.4W"
            ],
            "MECHANICAL": [
                "Indoor",
                "No"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-300HM7_Parapet Mount.jpg",
                "images\/accessory\/SBP-300HM7_Ceiling Mount.jpg",
                "images\/accessory\/SBP-300HM7_Wall Mount.jpg",
                "images\/accessory\/SBP-300HM7_Wall Mount(Curved neck).jpg"
            ]
        },
        "Info": "2015 Year, WiseNETLite Series, Dome"
    },
    {
        "ModelName": "SNP-6230RH",
        "ImgUrl": "images\/network_camera\/SNP-6230RH.jpg",
        "Type": "PTZ",
        "Year": "2015",
        "Series": "WiseNET3+",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/2.8\"",
                "Yes",
                "2.38M",
                "0.3Lux(1\/30sec, F1.6, 50IRE), 0.005Lux(2sec, F1.6, 50IRE)",
                "0 Lux(IR LED On)",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris",
                "Autofocus Zoom Lens",
                "Manual Focus,Auto Focus",
                "4.4 ~ 101.2mm",
                "23x",
                "F1.6(Wide) \/ F4.5(Tele)",
                "H : 63.68\u00b0(Wide) ~ 3.1\u00b0(Tele) \/ V : 37.52\u00b0(Wide) ~ 1.76\u00b0(Tele)",
                "1.5m (4.92ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "360\u00b0 Endles",
                "250\u00b0\/sec",
                "0.024\u00b0\/sec ~ 120\u00b0\/sec",
                "190\u00b0 (-5\u00b0 ~ 185\u00b0)",
                "250\u00b0\/sec",
                "0.024\u00b0\/sec ~ 120\u00b0\/sec",
                "255"
            ],
            "OPERATIONAL": [
                "16x",
                "IR Cut Filter",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "4",
                "3",
                "Yes"
            ],
            "NETWORK": [
                "2MP",
                "H.264,M-JPEG",
                "No",
                "10 profiles",
                "No",
                "Yes",
                "G.711 u-law\/G.726 selectable, G.726 (ADPCM) 8KHz, G.711 8KHz, G.726 : 16Kbps, 24Kbps, 32Kbps, 40Kbps",
                "15",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-50\u00b0C ~ +55\u00b0C (-58\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "IP66"
            ],
            "ELECTRICAL": [
                "24V AC",
                "No",
                "30W(Heater off), 35W\/90W(Heater off\/on, IR on)"
            ],
            "MECHANICAL": [
                "IP66",
                "Yes"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)"
            ],
            "IMAGE": [
                "images\/accessory\/_Parapet Mount.jpg",
                "images\/accessory\/_Ceiling Mount.jpg",
                "images\/accessory\/_Wall Mount.jpg",
                "images\/accessory\/_Wall Mount(Curved neck).jpg"
            ]
        },
        "Info": "2015 Year, WiseNET3+ Series, PTZ"
    },
    {
        "ModelName": "SNB-6005",
        "ImgUrl": "images\/network_camera\/SNB-6005.jpg",
        "Type": "Box",
        "Year": "2015",
        "Series": "WiseNET3",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/1.9\"",
                "Yes",
                "2.38M",
                "0.03Lux (1\/30sec, F1.2, 50IRE)",
                "0.003Lux (1\/30sec, F1.2, 50IRE)",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris,Manual Iris,P-Iris",
                "Motorized Varifocal Lens",
                "Simple Focus,Manual Focus",
                "No",
                "No",
                "No",
                "No",
                "No"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "No",
                "No",
                "No",
                "No",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "IR Cut Filter",
                "Yes",
                "No",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "1",
                "1",
                "Yes"
            ],
            "NETWORK": [
                "2MP",
                "H.264,M-JPEG",
                "No",
                "10 profiles",
                "Yes",
                "Yes",
                "G.711 u-law \/G.726 selectable, G.726(ADPCM) 8KHz, G.711 8kHz\r\nG.726 : 16Kbps, 24kbps, 32kbps, 40kbps",
                "15",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-30\u00b0C ~ +55\u00b0C (-22\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "No"
            ],
            "ELECTRICAL": [
                "POE",
                "PoE (IEEE802.3af, Class3)",
                "AC : 11.44W, DC : 10.1W, PoE : 11.1W"
            ],
            "MECHANICAL": [
                "Indoor",
                "No"
            ]
        },
        "accessory": {
            "TYPE": [],
            "IMAGE": []
        },
        "Info": "2015 Year, WiseNET3 Series, Box"
    },
    {
        "ModelName": "SNB-9000",
        "ImgUrl": "images\/network_camera\/SNB-9000.jpg",
        "Type": "Box",
        "Year": "2015",
        "Series": "ETC",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/2.3\"",
                "Yes",
                "12M",
                "0.28Lux (1\/30sec, F1.2)",
                "0.03Lux (1\/30sec, F1.2)",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris,Manual Iris",
                "No",
                "Simple Focus,Manual Focus",
                "No",
                "No",
                "No",
                "No",
                "No"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "No",
                "No",
                "No",
                "No",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "IR Cut Filter",
                "Yes",
                "No",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "No",
                "2",
                "1",
                "Yes"
            ],
            "NETWORK": [
                "12M",
                "H.264,M-JPEG",
                "No",
                "3 profiles",
                "No",
                "Yes",
                "G.711 u-law \/ G.726 Selectable, G.726 (ADPCM) 8KHz, G.711 8KHz G.726 : 16Kbps, 24Kbps, 32Kbps, 40Kbps",
                "15",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-10\u00b0C ~ +55\u00b0C (+14\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "No"
            ],
            "ELECTRICAL": [
                "POE,12V DC,24V AC",
                "PoE (IEEE802.3af class3)",
                "AC : 12.5W, DC : 12W, PoE : 12W"
            ],
            "MECHANICAL": [
                "Indoor",
                "No"
            ]
        },
        "accessory": {
            "TYPE": [],
            "IMAGE": []
        },
        "Info": "2015 Year, ETC Series, Box"
    },
    {
        "ModelName": "SNB-6004F",
        "ImgUrl": "images\/network_camera\/SNB-6004F.jpg",
        "Type": "Box",
        "Year": "2015",
        "Series": "WiseNET3",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/2.8\"",
                "Yes",
                "2.38M",
                "0.1Lux(F1.2, 50IRE)",
                "0.01Lux(F1.2, 50IRE)",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris,Manual Iris,P-Iris",
                "No",
                "Simple Focus,Manual Focus",
                "No",
                "No",
                "No",
                "No",
                "No"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "No",
                "No",
                "No",
                "No",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "IR Cut Filter",
                "Yes",
                "No",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "1",
                "1",
                "Yes"
            ],
            "NETWORK": [
                "2MP",
                "H.264,M-JPEG",
                "No",
                "10 profiles",
                "Yes",
                "Yes",
                "G.711 u-law \/G.726 selectable, G.726(ADPCM) 8KHz, G.711 8kHz\r\nG.726 : 16Kbps, 24kbps, 32kbps, 40kbps",
                "15",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-10\u00b0C ~ +55\u00b0C (+14\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "No"
            ],
            "ELECTRICAL": [
                "12V DC,24V AC",
                "No",
                "AC : 12.5W, DC : 10.5W"
            ],
            "MECHANICAL": [
                "Indoor",
                "No"
            ]
        },
        "accessory": {
            "TYPE": [],
            "IMAGE": []
        },
        "Info": "2015 Year, WiseNET3 Series, Box"
    },
    {
        "ModelName": "SNO-8081R",
        "ImgUrl": "images\/network_camera\/SNO-8081R.jpg",
        "Type": "Bullet",
        "Year": "2015",
        "Series": "ETC",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/1.8\"",
                "Yes",
                "6M",
                "Color : 0.3Lux (1\/30sec, F1.3, 50IRE)",
                "0Lux (IR LED on)",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris,P-Iris",
                "Motorized Varifocal Lens",
                "Simple Focus,Manual Focus",
                "3.93 ~ 9.4mm",
                "2.4x",
                "F1.3",
                "H : 93.4\u00b0(Wide) ~ 39.2\u00b0(Tele) \/ V : 68.1\u00b0(Wide) ~ 29.3\u00b0(Tele)",
                "0.5m(1.64ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "No",
                "No",
                "No",
                "No",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "IR Cut Filter",
                "Yes",
                "Yes",
                "Yes",
                "No",
                "Yes",
                "Yes",
                "No",
                "1",
                "1",
                "No"
            ],
            "NETWORK": [
                "5MP",
                "H.264,M-JPEG,H.265",
                "No",
                "3 profiles",
                "No",
                "Yes",
                "G.711 u-law\/G.726 selectable, G.726 (ADPCM) 8KHz, G.711 8KHz \/ G.726 : 16Kbps, 24Kbps, 32Kbps, 40Kbps",
                "10",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-40\u00b0C ~ +55\u00b0C (-40\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "IP66"
            ],
            "ELECTRICAL": [
                "POE,12V DC,24V AC",
                "PoE (IEEE802.3af, Class3)",
                "AC: 13.5W, DC: 11.5W, PoE: 12.95W"
            ],
            "MECHANICAL": [
                "IP66",
                "Yes"
            ]
        },
        "accessory": {
            "TYPE": [],
            "IMAGE": []
        },
        "Info": "2015 Year, ETC Series, Bullet"
    },
    {
        "ModelName": "SNV-8081R",
        "ImgUrl": "images\/network_camera\/SNV-8081R.jpg",
        "Type": "Dome",
        "Year": "2015",
        "Series": "ETC",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/1.8\"",
                "Yes",
                "6M",
                "0.3Lux (1\/30sec, F1.3, 50IRE)",
                "0Lux (IR LED on)",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris,P-Iris",
                "Motorized Varifocal Lens",
                "Simple Focus,Manual Focus",
                "3.93 ~ 9.4mm",
                "2.4x",
                "F1.3",
                "H : 93.4\u00b0(Wide) ~ 39.2\u00b0(Tele) \/ V : 68.1\u00b0(Wide) ~ 29.3\u00b0(Tele)",
                "0.5m(1.64ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "0\u00b0 ~ 354\u00b0",
                "No",
                "No",
                "0\u00b0 ~ 67\u00b0",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "IR Cut Filter",
                "Yes",
                "Yes",
                "Yes",
                "No",
                "Yes",
                "Yes",
                "No",
                "1",
                "1",
                "No"
            ],
            "NETWORK": [
                "5MP",
                "H.264,M-JPEG,H.265",
                "No",
                "3 profiles",
                "No",
                "Yes",
                "G.711 u-law\/G.726 selectable, G.726 (ADPCM) 8KHz, G.711 8KHz \/ G.726 : 16Kbps, 24Kbps, 32Kbps, 40Kbps",
                "10",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-40\u00b0C ~ +55\u00b0C (-40\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "IP66"
            ],
            "ELECTRICAL": [
                "POE,12V DC,24V AC",
                "PoE (IEEE802.3af, Class3)",
                "AC: 13.5W, DC: 11.5W, PoE: 12.95W"
            ],
            "MECHANICAL": [
                "IP66",
                "Yes"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)",
                "Dome Flush Mount",
                "Tinted Dome Cover",
                "BackBox"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-300HM6_Parapet Mount.jpg",
                "images\/accessory\/SBP-300HM6_Ceiling Mount.jpg",
                "images\/accessory\/SBP-300HM6_Wall Mount.jpg",
                "images\/accessory\/SBP-300HM6_Wall Mount(Curved neck).jpg",
                "images\/accessory\/SHD-3000F1_Dome Flush Mount.jpg",
                "images\/accessory\/SPB-VAN3_Tinted Dome Cover.jpg",
                "images\/accessory\/SBV-158G_BackBox.jpg"
            ]
        },
        "Info": "2015 Year, ETC Series, Dome"
    },
    {
        "ModelName": "SNV-6085R",
        "ImgUrl": "images\/network_camera\/SNV-6085R.jpg",
        "Type": "Dome",
        "Year": "2015",
        "Series": "WiseNET3",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/2.8\"",
                "Yes",
                "2.38M",
                "0.25Lux (F1.6, 50IRE), 0.09Lux (F1.6, 30IRE)",
                "0Lux (F1.6, 50IRE, IR LED on), 0Lux (F1.6, 30IRE, IR LED on)",
                "Yes"
            ],
            "LENS": [
                "P-Iris",
                "Motorized Varifocal Lens",
                "Simple Focus,Manual Focus",
                "10 ~ 23mm",
                "2.3x",
                "F1.6",
                "0\u00b0 ~ 354\u00b0 \/ 0\u00b0 ~ 67\u00b0 \/ 0\u00b0 ~ 355\u00b0",
                "0.8m (2.62ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "0\u00b0 ~ 354\u00b0",
                "No",
                "No",
                "0\u00b0 ~ 67\u00b0",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "IR Cut Filter",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "1",
                "1",
                "No"
            ],
            "NETWORK": [
                "2MP",
                "H.264,M-JPEG",
                "No",
                "10 profiles",
                "Yes",
                "Yes",
                "G.711 u-law \/G.726 selectable, G.726(ADPCM) 8KHz, G.711 8KHz\r\nG.726 : 16Kbps, 24kbps, 32kbps, 40kbps",
                "15",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-40\u00b0C ~ +55\u00b0C (-40\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "IP66"
            ],
            "ELECTRICAL": [
                "POE,12V DC,24V AC",
                "PoE (IEEE802.3af)",
                "11W(Heater off), 12.95W(Heater on)"
            ],
            "MECHANICAL": [
                "IP66",
                "Yes"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)",
                "Dome Flush Mount",
                "Tinted Dome Cover",
                "BackBox"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-300HM6_Parapet Mount.jpg",
                "images\/accessory\/SBP-300HM6_Ceiling Mount.jpg",
                "images\/accessory\/SBP-300HM6_Wall Mount.jpg",
                "images\/accessory\/SBP-300HM6_Wall Mount(Curved neck).jpg",
                "images\/accessory\/SHD-3000F1_Dome Flush Mount.jpg",
                "images\/accessory\/SPB-VAN3_Tinted Dome Cover.jpg",
                "images\/accessory\/SBV-158G_BackBox.jpg"
            ]
        },
        "Info": "2015 Year, WiseNET3 Series, Dome"
    },
    {
        "ModelName": "SNP-L6233",
        "ImgUrl": "images\/network_camera\/SNP-L6233.jpg",
        "Type": "PTZ",
        "Year": "2016",
        "Series": "WiseNETLite",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/2.8\"",
                "Yes",
                "2.38M",
                "0.3 Lux (1\/30sec, F1.6, 50IRE)",
                "0.03 Lux (1\/30sec, F1.6, 50IRE)",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris",
                "Autofocus Zoom Lens",
                "Simple Focus,Manual Focus,Auto Focus",
                "4.44 ~ 102.1mm",
                "23x",
                "F1.6(Wide) \/ F3.63(Tele)",
                "H : 62.8\u00b0(Wide) ~ 3.14\u00b0(Tele) \/ V : 36.80\u00b0(Wide) ~ 1.76\u00b0(Tele)",
                "Wide 1.5m ,Tele 2m"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "360\u02da Endless",
                "500\u02da\/sec",
                "0.024\u02da\/sec ~120\u02da\/sec",
                "210\u02da(-15\u02da ~195\u02da )",
                "500\u02da\/sec",
                "0.024\u02da\/sec ~120\u02da\/sec",
                "255"
            ],
            "OPERATIONAL": [
                "12x",
                "IR Cut Filter",
                "Yes",
                "No",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "4",
                "2",
                "Yes"
            ],
            "NETWORK": [
                "2MP",
                "H.264,M-JPEG",
                "No",
                "10 profiles",
                "No",
                "Yes",
                "G.711 u-law \/G.726 Selectable \/ G.726 (ADPCM) 8KHz, G.711 8KHz \/ G.726 : 16Kbps, 24Kbps, 32Kbps, 40Kbps",
                "10",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-10\u00b0C ~ +55\u00b0C(+14\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "No"
            ],
            "ELECTRICAL": [
                "POE+,24V AC",
                "PoE+(IEEE802.3at Class4)",
                "20W"
            ],
            "MECHANICAL": [
                "Indoor",
                "No"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)",
                "Indoor Flush Mount",
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-301HM3_Parapet Mount.jpg",
                "images\/accessory\/SBP-301HM3_Ceiling Mount.jpg",
                "images\/accessory\/SBP-301HM3_Wall Mount.jpg",
                "images\/accessory\/SBP-301HM3_Wall Mount(Curved neck).jpg",
                "images\/accessory\/SHP-3701F_Indoor Flush Mount.jpg",
                "images\/accessory\/SHP-3701H_Parapet Mount.jpg",
                "images\/accessory\/SHP-3701H_Ceiling Mount.jpg",
                "images\/accessory\/SHP-3701H_Wall Mount.jpg",
                "images\/accessory\/SHP-3701H_Wall Mount(Curved neck).jpg"
            ]
        },
        "Info": "2016 Year, WiseNETLite Series, PTZ"
    },
    {
        "ModelName": "SNP-L6233H",
        "ImgUrl": "images\/network_camera\/SNP-L6233H.jpg",
        "Type": "PTZ",
        "Year": "2016",
        "Series": "WiseNETLite",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/2.8\"",
                "Yes",
                "2.38M",
                "0.3 Lux (1\/30sec, F1.6, 50IRE)",
                "0.03 Lux (1\/30sec, F1.6, 50IRE)",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris",
                "Autofocus Zoom Lens",
                "Simple Focus,Manual Focus,Auto Focus",
                "4.44 ~ 102.1mm",
                "23x",
                "F1.6(Wide) \/ F3.63(Tele)",
                "H : 62.8\u00b0(Wide) ~ 3.14\u00b0(Tele) \/ V : 36.80\u00b0(Wide) ~ 1.76\u00b0(Tele)",
                "Wide 1.5m ,Tele 1.9m"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "360\u02da Endless",
                "500\u02da\/sec",
                "0.024\u02da\/sec ~120\u02da\/sec",
                "210\u02da(-15\u02da ~195\u02da )",
                "500\u02da\/sec",
                "0.024\u02da\/sec ~120\u02da\/sec",
                "255"
            ],
            "OPERATIONAL": [
                "12x",
                "IR Cut Filter",
                "Yes",
                "No",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "4",
                "2",
                "Yes"
            ],
            "NETWORK": [
                "2MP",
                "H.264,M-JPEG",
                "No",
                "10 profiles",
                "No",
                "Yes",
                "G.711 u-law \/G.726 Selectable \/ G.726 (ADPCM) 8KHz, G.711 8KHz \/ G.726 : 16Kbps, 24Kbps, 32Kbps, 40Kbps",
                "10",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "24V AC : -50\u00b0C ~ +55\u00b0C (-58\u00b0F ~ +131\u00b0F) \/ PoE+ : -30\u00b0C ~ +55\u00b0C (-22\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "IP66"
            ],
            "ELECTRICAL": [
                "POE+,24V AC",
                "PoE+(IEEE802.3at Class4)",
                "AC : 65W, PoE+ : 25W"
            ],
            "MECHANICAL": [
                "IP66",
                "Yes"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)",
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)"
            ],
            "IMAGE": [
                "images\/accessory\/_Parapet Mount.jpg",
                "images\/accessory\/_Ceiling Mount.jpg",
                "images\/accessory\/_Wall Mount.jpg",
                "images\/accessory\/_Wall Mount(Curved neck).jpg",
                "images\/accessory\/SBP-301HF_Parapet Mount.jpg",
                "images\/accessory\/SBP-301HF_Ceiling Mount.jpg",
                "images\/accessory\/SBP-301HF_Wall Mount.jpg",
                "images\/accessory\/SBP-301HF_Wall Mount(Curved neck).jpg"
            ]
        },
        "Info": "2016 Year, WiseNETLite Series, PTZ"
    },
    {
        "ModelName": "SNP-L5233",
        "ImgUrl": "images\/network_camera\/SNP-L5233.jpg",
        "Type": "PTZ",
        "Year": "2016",
        "Series": "WiseNETLite",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/3\"",
                "Yes",
                "1.37M",
                "0.1 Lux (1\/30sec, F1.6, 50IRE)",
                "0.01 Lux (1\/30sec, F1.6, 50IRE)",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris",
                "Autofocus Zoom Lens",
                "Simple Focus,Manual Focus,Auto Focus",
                "4.44 ~ 102.1mm",
                "23x",
                "F1.6(Wide) \/ F3.63(Tele)",
                "H : 56.8\u00b0(Wide) ~ 2.80\u00b0(Tele) \/ V : 46.30\u00b0(Wide) ~ 2.24\u00b0(Tele)",
                "Wide 1.5m ,Tele 2m"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "360\u02da Endless",
                "500\u02da\/sec",
                "0.024\u02da\/sec ~120\u02da\/sec",
                "210\u02da(-15\u02da ~195\u02da )",
                "500\u02da\/sec",
                "0.024\u02da\/sec ~120\u02da\/sec",
                "255"
            ],
            "OPERATIONAL": [
                "12x",
                "IR Cut Filter",
                "Yes",
                "No",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "4",
                "2",
                "Yes"
            ],
            "NETWORK": [
                "1.3MP",
                "H.264,M-JPEG",
                "No",
                "10 profiles",
                "No",
                "Yes",
                "G.711 u-law \/G.726 Selectable \/ G.726 (ADPCM) 8KHz, G.711 8KHz \/ G.726 : 16Kbps, 24Kbps, 32Kbps, 40Kbps",
                "10",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-10\u00b0C ~ +55\u00b0C(+14\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "No"
            ],
            "ELECTRICAL": [
                "POE+,24V AC",
                "PoE+(IEEE802.3at Class4)",
                "20W"
            ],
            "MECHANICAL": [
                "Indoor",
                "No"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)",
                "Indoor Flush Mount",
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-301HM3_Parapet Mount.jpg",
                "images\/accessory\/SBP-301HM3_Ceiling Mount.jpg",
                "images\/accessory\/SBP-301HM3_Wall Mount.jpg",
                "images\/accessory\/SBP-301HM3_Wall Mount(Curved neck).jpg",
                "images\/accessory\/SHP-3701F_Indoor Flush Mount.jpg",
                "images\/accessory\/SHP-3701H_Parapet Mount.jpg",
                "images\/accessory\/SHP-3701H_Ceiling Mount.jpg",
                "images\/accessory\/SHP-3701H_Wall Mount.jpg",
                "images\/accessory\/SHP-3701H_Wall Mount(Curved neck).jpg"
            ]
        },
        "Info": "2016 Year, WiseNETLite Series, PTZ"
    },
    {
        "ModelName": "SNP-L5233H",
        "ImgUrl": "images\/network_camera\/SNP-L5233H.jpg",
        "Type": "PTZ",
        "Year": "2016",
        "Series": "WiseNETLite",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/3\"",
                "Yes",
                "1.37M",
                "0.1 Lux (1\/30sec, F1.6, 50IRE)",
                "0.01 Lux (1\/30sec, F1.6, 50IRE)",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris",
                "Autofocus Zoom Lens",
                "Simple Focus,Manual Focus,Auto Focus",
                "4.44 ~ 102.1mm",
                "23x",
                "F1.6(Wide) \/ F3.63(Tele)",
                "H : 56.8\u00b0(Wide) ~ 2.80\u00b0(Tele) \/ V : 46.30\u00b0(Wide) ~ 2.24\u00b0(Tele)",
                "Wide 1.5m ,Tele 1.9m"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "360\u02da Endless",
                "500\u02da\/sec",
                "0.024\u02da\/sec ~120\u02da\/sec",
                "210\u02da(-15\u02da ~195\u02da )",
                "500\u02da\/sec",
                "0.024\u02da\/sec ~120\u02da\/sec",
                "255"
            ],
            "OPERATIONAL": [
                "12x",
                "IR Cut Filter",
                "Yes",
                "No",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "4",
                "2",
                "Yes"
            ],
            "NETWORK": [
                "1.3MP",
                "H.264,M-JPEG",
                "No",
                "10 profiles",
                "No",
                "Yes",
                "G.711 u-law \/G.726 Selectable \/ G.726 (ADPCM) 8KHz, G.711 8KHz \/ G.726 : 16Kbps, 24Kbps, 32Kbps, 40Kbps",
                "10",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "24V AC : -50\u00b0C ~ +55\u00b0C (-58\u00b0F ~ +131\u00b0F) \/ PoE+ : -30\u00b0C ~ +55\u00b0C (-22\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "IP66"
            ],
            "ELECTRICAL": [
                "POE+,24V AC",
                "PoE+(IEEE802.3at Class4)",
                "AC : 65W, PoE+ : 25W"
            ],
            "MECHANICAL": [
                "IP66",
                "Yes"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)",
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)"
            ],
            "IMAGE": [
                "images\/accessory\/_Parapet Mount.jpg",
                "images\/accessory\/_Ceiling Mount.jpg",
                "images\/accessory\/_Wall Mount.jpg",
                "images\/accessory\/_Wall Mount(Curved neck).jpg",
                "images\/accessory\/SBP-301HF_Parapet Mount.jpg",
                "images\/accessory\/SBP-301HF_Ceiling Mount.jpg",
                "images\/accessory\/SBP-301HF_Wall Mount.jpg",
                "images\/accessory\/SBP-301HF_Wall Mount(Curved neck).jpg"
            ]
        },
        "Info": "2016 Year, WiseNETLite Series, PTZ"
    },
    {
        "ModelName": "SNP-L6233RH",
        "ImgUrl": "images\/network_camera\/SNP-L6233RH.jpg",
        "Type": "PTZ",
        "Year": "2016",
        "Series": "WiseNETLite",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/2.8\"",
                "Yes",
                "2.14M",
                "0.3 Lux (1\/30sec, F1.6, 50IRE)",
                "0.005 Lux (2sec, F1.6, 50IRE)",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris",
                "Autofocus Zoom Lens",
                "Simple Focus,Manual Focus,Auto Focus",
                "4.4 ~ 101.2mm",
                "23x",
                "F1.6(Wide) \/ F4.5(Tele)",
                "H : 63.68\u00b0(Wide) ~ 3.1\u00b0(Tele) \/ V : 37.52\u00b0(Wide) ~ 1.76\u00b0(Tele)",
                "Wide 1.5m"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "360\u02da Endless",
                "250\u02da\/sec",
                "0.024\u02da\/sec ~120\u02da\/sec",
                "190\u02da(-5\u02da ~185\u02da )",
                "250\u02da\/sec",
                "0.024\u02da\/sec ~120\u02da\/sec",
                "255"
            ],
            "OPERATIONAL": [
                "12x",
                "IR Cut Filter",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "4",
                "3",
                "Yes"
            ],
            "NETWORK": [
                "2MP",
                "H.264,M-JPEG",
                "No",
                "10 profiles",
                "No",
                "Yes",
                "G.711 u-law \/G.726 Selectable \/ G.726 (ADPCM) 8KHz, G.711 8KHz \/ G.726 : 16Kbps, 24Kbps, 32Kbps, 40Kbps",
                "10",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-50\u00b0C ~ +55\u00b0C (-58\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "IP66"
            ],
            "ELECTRICAL": [
                "24V AC",
                "No",
                "30W(Heater off), 35W\/90W(Heater off\/on, IR on)"
            ],
            "MECHANICAL": [
                "IP66",
                "Yes"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)"
            ],
            "IMAGE": [
                "images\/accessory\/_Parapet Mount.jpg",
                "images\/accessory\/_Ceiling Mount.jpg",
                "images\/accessory\/_Wall Mount.jpg",
                "images\/accessory\/_Wall Mount(Curved neck).jpg"
            ]
        },
        "Info": "2016 Year, WiseNETLite Series, PTZ"
    },
    {
        "ModelName": "SNB-6010B",
        "ImgUrl": "images\/network_camera\/SNB-6010B.jpg",
        "Type": "Box",
        "Year": "2016",
        "Series": "WiseNETLite",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/2.8\"",
                "Yes",
                "2.38M",
                "0.3Lux (1\/30sec, F2.5, 50IRE)",
                "No",
                "Yes"
            ],
            "LENS": [
                "Fixed Iris",
                "Fixed Lens",
                "No",
                "4.6mm pinhole",
                "No",
                "F2.5",
                "H : 71\u00b0 \/ V : 38\u00b0",
                "0.3m"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "No",
                "No",
                "No",
                "No",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "Software",
                "Yes",
                "No",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "1",
                "1",
                "No"
            ],
            "NETWORK": [
                "2MP",
                "H.264,M-JPEG",
                "No",
                "10 profiles",
                "Yes",
                "Yes",
                "G.711 u-law \/G.726 Selectable \/ G.726 (ADPCM) 8KHz, G.711 8KHz \/ G.726 : 16Kbps, 24Kbps, 32Kbps, 40Kbps",
                "15",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-10\u00b0C ~ +55\u00b0C (+14\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "No"
            ],
            "ELECTRICAL": [
                "POE,12V DC",
                "PoE (IEEE802.3af )",
                "DC : 6.5W, PoE : 7.5W"
            ],
            "MECHANICAL": [
                "Indoor",
                "No"
            ]
        },
        "accessory": {
            "TYPE": [],
            "IMAGE": []
        },
        "Info": "2016 Year, WiseNETLite Series, Box"
    },
    {
        "ModelName": "SNB-6011B",
        "ImgUrl": "images\/network_camera\/SNB-6011B.jpg",
        "Type": "Box",
        "Year": "2016",
        "Series": "WiseNETLite",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/2.8\"",
                "Yes",
                "2.38M",
                "0.3Lux (1\/30sec, F2.5, 50IRE)",
                "No",
                "Yes"
            ],
            "LENS": [
                "Fixed Iris",
                "Fixed Lens",
                "No",
                "2.4mm pinhole",
                "No",
                "F2.0",
                "H : 134.3\u00b0 \/ V : 70.9\u00b0",
                "0.3m"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "No",
                "No",
                "No",
                "No",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "Software",
                "Yes",
                "No",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "1",
                "1",
                "No"
            ],
            "NETWORK": [
                "2MP",
                "H.264,M-JPEG",
                "No",
                "10 profiles",
                "Yes",
                "Yes",
                "G.711 u-law \/G.726 Selectable \/ G.726 (ADPCM) 8KHz, G.711 8KHz \/ G.726 : 16Kbps, 24Kbps, 32Kbps, 40Kbps",
                "15",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-10\u00b0C ~ +55\u00b0C (+14\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "No"
            ],
            "ELECTRICAL": [
                "POE,12V DC",
                "PoE (IEEE802.3af )",
                "DC : 6.5W, PoE : 7.5W"
            ],
            "MECHANICAL": [
                "Indoor",
                "No"
            ]
        },
        "accessory": {
            "TYPE": [],
            "IMAGE": []
        },
        "Info": "2016 Year, WiseNETLite Series, Box"
    },
    {
        "ModelName": "SNV-L6013R",
        "ImgUrl": "images\/network_camera\/SNV-L6013R.jpg",
        "Type": "Dome",
        "Year": "2015",
        "Series": "WiseNETLite",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/2.9\"",
                "Yes",
                "2.19M",
                "0.15Lux (1\/30sec, F1.8), 0.003Lux(2sec, F1.8)",
                "0Lux (IR LED on)",
                "No"
            ],
            "LENS": [
                "DC Auto Iris",
                "Fixed Lens",
                "Manual Focus",
                "3.6mm",
                "No",
                "F1.8",
                "H : 86.5\u00b0 \/ V : 47.8\u00b0 \/ D : 101.2\u00b0",
                "0.5m (1.64ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "-5\u00b0 ~ 5\u00b0",
                "No",
                "No",
                "0\u00b0 ~ 67\u00b0",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "IR Cut Filter",
                "No",
                "Yes",
                "Yes",
                "No",
                "No",
                "Yes",
                "No",
                "No",
                "No",
                "No"
            ],
            "NETWORK": [
                "2MP",
                "H.264,M-JPEG",
                "No",
                "3 profiles",
                "No",
                "No",
                "G.711 u-law \/G.726 Selectable \/ G.726 (ADPCM) 8KHz, G.711 8KHz \/ G.726 : 16Kbps, 24Kbps, 32Kbps, 40Kbps",
                "6",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-30\u00b0C~ +55\u00b0C (-22\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "IP66"
            ],
            "ELECTRICAL": [
                "POE",
                "PoE (IEEE802.3af, Class2)",
                "5.8W"
            ],
            "MECHANICAL": [
                "IP66",
                "Yes"
            ]
        },
        "accessory": {
            "TYPE": [],
            "IMAGE": []
        },
        "Info": "2015 Year, WiseNETLite Series, Dome"
    },
    {
        "ModelName": "SNV-L6014RM",
        "ImgUrl": "images\/network_camera\/SNV-L6014RM.jpg",
        "Type": "Dome",
        "Year": "2015",
        "Series": "WiseNETLite",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/2.9\"",
                "Yes",
                "2.19M",
                "0.15Lux (1\/30sec, F1.8), 0.003Lux(2sec, F1.8)",
                "0Lux (IR LED on)",
                "No"
            ],
            "LENS": [
                "DC Auto Iris",
                "Fixed Lens",
                "Manual Focus",
                "3.6mm",
                "No",
                "F1.8",
                "H : 86.5\u00b0 \/ V : 47.8\u00b0 \/ D : 101.2\u00b0",
                "0.5m (1.64ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "-5\u00b0 ~ 5\u00b0",
                "No",
                "No",
                "0\u00b0 ~ 67\u00b0",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "IR Cut Filter",
                "No",
                "Yes",
                "Yes",
                "No",
                "No",
                "Yes",
                "No",
                "No",
                "No",
                "No"
            ],
            "NETWORK": [
                "2MP",
                "H.264,M-JPEG",
                "No",
                "3 profiles",
                "No",
                "No",
                "G.711 u-law \/G.726 Selectable \/ G.726 (ADPCM) 8KHz, G.711 8KHz \/ G.726 : 16Kbps, 24Kbps, 32Kbps, 40Kbps",
                "6",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-30\u00b0C~ +55\u00b0C (-22\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "IP66"
            ],
            "ELECTRICAL": [
                "POE",
                "PoE (IEEE802.3af, Class2)",
                "5.8W"
            ],
            "MECHANICAL": [
                "IP66",
                "Yes"
            ]
        },
        "accessory": {
            "TYPE": [],
            "IMAGE": []
        },
        "Info": "2015 Year, WiseNETLite Series, Dome"
    },
    {
        "ModelName": "SNB-6011",
        "ImgUrl": "images\/network_camera\/SNB-6011.jpg",
        "Type": "Box",
        "Year": "2015",
        "Series": "WiseNET3",
        "Discontinued": 1,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/2.8\"",
                "Yes",
                "2.83M",
                "0.3Lux (1\/30sec, F2.5, 50IRE)",
                "No",
                "Yes"
            ],
            "LENS": [
                "Fixed Iris",
                "Fixed Lens",
                "No",
                "2.4mm pinhole",
                "No",
                "F2.0",
                "H : 134.3\u00b0 \/ V : 70.9\u00b0",
                "0.3m"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "No",
                "No",
                "No",
                "No",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "Software",
                "Yes",
                "No",
                "Yes",
                "No",
                "No",
                "Yes",
                "Yes",
                "1",
                "1",
                "No"
            ],
            "NETWORK": [
                "2MP",
                "H.264,M-JPEG",
                "No",
                "10 profiles",
                "Yes",
                "No",
                "No",
                "15",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-10\u00b0C ~ +55\u00b0C (+14\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "No"
            ],
            "ELECTRICAL": [
                "POE,12V DC",
                "PoE (IEEE802.3af )",
                "DC : 6.5W, PoE : 7.5W"
            ],
            "MECHANICAL": [
                "Indoor",
                "No"
            ]
        },
        "accessory": {
            "TYPE": [],
            "IMAGE": []
        },
        "Info": "2015 Year, WiseNET3 Series, Box"
    },
    {
        "ModelName": "QNO-7010R",
        "ImgUrl": "images\/network_camera\/QNO-7010R.jpg",
        "Type": "Bullet",
        "Year": "2016",
        "Series": "Wisenet Q",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/3\"",
                "Yes",
                "4M",
                "0.5Lux",
                "0Lux(IR LED on)",
                "No"
            ],
            "LENS": [
                "Fixed Iris",
                "Fixed Lens",
                "No",
                "2.8mm",
                "No",
                "F2.0",
                "H : 110.0\u00b0 \/ V : 63.0\u00b0 \/ D : 128.0\u00b0",
                "No"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "No",
                "No",
                "No",
                "No",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "IR Cut Filter",
                "Yes",
                "Yes",
                "Yes",
                "No",
                "No",
                "Yes",
                "No",
                "1",
                "1",
                "No"
            ],
            "NETWORK": [
                "4MP",
                "H.264,M-JPEG,H.265",
                "Yes",
                "3 Profiles",
                "No",
                "No",
                "G.711 u-law \/ G.726 selectable\r\n, G.726 (ADPCM) 8KHz, G.711 8KHz, G.726 : 16Kbps, 24Kbps, 32Kbps, 40Kbps",
                "6",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-30\u00b0C ~ +55\u00b0C (-22\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "IP66"
            ],
            "ELECTRICAL": [
                "POE,24V AC",
                "PoE (IEEE802.3af, Class3)",
                "PoE : 6.6W, 12V DC : 5.5W"
            ],
            "MECHANICAL": [
                "IP66",
                "Yes"
            ]
        },
        "accessory": {
            "TYPE": [
                "BackBox"
            ],
            "IMAGE": [
                "images\/accessory\/SBO-100B1_BackBox.jpg"
            ]
        },
        "Info": "2016 Year, Wisenet Q Series, Bullet"
    },
    {
        "ModelName": "QNO-7020R",
        "ImgUrl": "images\/network_camera\/QNO-7020R.jpg",
        "Type": "Bullet",
        "Year": "2016",
        "Series": "Wisenet Q",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/3\"",
                "Yes",
                "4M",
                "0.4Lux",
                "0Lux(IR LED on)",
                "No"
            ],
            "LENS": [
                "Fixed Iris",
                "Fixed Lens",
                "No",
                "3.6mm",
                "No",
                "F2.2",
                "H : 81.0\u00b0 \/ V : 45.0\u00b0 \/ D : 95.0\u00b0",
                "No"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "No",
                "No",
                "No",
                "No",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "IR Cut Filter",
                "Yes",
                "Yes",
                "Yes",
                "No",
                "No",
                "Yes",
                "No",
                "1",
                "1",
                "No"
            ],
            "NETWORK": [
                "4MP",
                "H.264,M-JPEG,H.265",
                "Yes",
                "3 Profiles",
                "No",
                "No",
                "G.711 u-law \/ G.726 selectable\r\n, G.726 (ADPCM) 8KHz, G.711 8KHz, G.726 : 16Kbps, 24Kbps, 32Kbps, 40Kbps",
                "6",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-30\u00b0C ~ +55\u00b0C (-22\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "IP66"
            ],
            "ELECTRICAL": [
                "POE,24V AC",
                "PoE (IEEE802.3af, Class3)",
                "PoE : 6.6W, 12V DC : 5.5W"
            ],
            "MECHANICAL": [
                "IP66",
                "Yes"
            ]
        },
        "accessory": {
            "TYPE": [
                "BackBox"
            ],
            "IMAGE": [
                "images\/accessory\/SBO-100B1_BackBox.jpg"
            ]
        },
        "Info": "2016 Year, Wisenet Q Series, Bullet"
    },
    {
        "ModelName": "QNO-7030R",
        "ImgUrl": "images\/network_camera\/QNO-7030R.jpg",
        "Type": "Bullet",
        "Year": "2016",
        "Series": "Wisenet Q",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/3\"",
                "Yes",
                "4M",
                "0.3Lux",
                "0Lux(IR LED on)",
                "No"
            ],
            "LENS": [
                "Fixed Iris",
                "Fixed Lens",
                "No",
                "6mm",
                "No",
                "F2.2",
                "H : 53.0\u00b0 \/ V : 31.0\u00b0 \/ D : 62.0\u00b0",
                "No"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "No",
                "No",
                "No",
                "No",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "IR Cut Filter",
                "Yes",
                "Yes",
                "Yes",
                "No",
                "No",
                "Yes",
                "No",
                "1",
                "1",
                "No"
            ],
            "NETWORK": [
                "4MP",
                "H.264,M-JPEG,H.265",
                "Yes",
                "3 Profiles",
                "No",
                "No",
                "G.711 u-law \/ G.726 selectable\r\n, G.726 (ADPCM) 8KHz, G.711 8KHz, G.726 : 16Kbps, 24Kbps, 32Kbps, 40Kbps",
                "6",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-30\u00b0C ~ +55\u00b0C (-22\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "IP66"
            ],
            "ELECTRICAL": [
                "POE,24V AC",
                "PoE (IEEE802.3af, Class3)",
                "PoE : 6.6W, 12V DC : 5.5W"
            ],
            "MECHANICAL": [
                "IP66",
                "Yes"
            ]
        },
        "accessory": {
            "TYPE": [
                "BackBox"
            ],
            "IMAGE": [
                "images\/accessory\/SBO-100B1_BackBox.jpg"
            ]
        },
        "Info": "2016 Year, Wisenet Q Series, Bullet"
    },
    {
        "ModelName": "QND-7010R",
        "ImgUrl": "images\/network_camera\/QND-7010R.jpg",
        "Type": "Dome",
        "Year": "2016",
        "Series": "Wisenet Q",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/3\"",
                "Yes",
                "4M",
                "0.5Lux",
                "0Lux(IR LED on)",
                "No"
            ],
            "LENS": [
                "Fixed Iris",
                "Fixed Lens",
                "No",
                "2.8mm",
                "No",
                "F2.0",
                "H : 110.0\u00b0 \/ V : 63.0\u00b0 \/ D : 128.0\u00b0",
                "No"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "0\u00b0 ~ 350\u00b0",
                "No",
                "No",
                "0\u00b0 ~ 67\u00b0",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "IR Cut Filter",
                "Yes",
                "Yes",
                "Yes",
                "No",
                "No",
                "Yes",
                "No",
                "1",
                "1",
                "No"
            ],
            "NETWORK": [
                "4MP",
                "H.264,M-JPEG,H.265",
                "Yes",
                "3 Profiles",
                "No",
                "No",
                "G.711 u-law \/ G.726 selectable\r\n, G.726 (ADPCM) 8KHz, G.711 8KHz, G.726 : 16Kbps, 24Kbps, 32Kbps, 40Kbps",
                "6",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-10\u00b0C ~ +55\u00b0C (+14\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "No"
            ],
            "ELECTRICAL": [
                "POE,24V AC",
                "PoE (IEEE802.3af, Class3)",
                "PoE : 6.5W, 12V DC : 5.43W"
            ],
            "MECHANICAL": [
                "Indoor",
                "No"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-300HM7_Parapet Mount.jpg",
                "images\/accessory\/SBP-300HM7_Ceiling Mount.jpg",
                "images\/accessory\/SBP-300HM7_Wall Mount.jpg",
                "images\/accessory\/SBP-300HM7_Wall Mount(Curved neck).jpg"
            ]
        },
        "Info": "2016 Year, Wisenet Q Series, Dome"
    },
    {
        "ModelName": "QND-7020R",
        "ImgUrl": "images\/network_camera\/QND-7020R.jpg",
        "Type": "Dome",
        "Year": "2016",
        "Series": "Wisenet Q",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/3\"",
                "Yes",
                "4M",
                "0.4Lux",
                "0Lux(IR LED on)",
                "No"
            ],
            "LENS": [
                "Fixed Iris",
                "Fixed Lens",
                "No",
                "3.6mm",
                "No",
                "F2.2",
                "H : 81.0\u00b0 \/ V : 45.0\u00b0 \/ D : 95.0\u00b0",
                "No"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "0\u00b0 ~ 350\u00b0",
                "No",
                "No",
                "0\u00b0 ~ 67\u00b0",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "IR Cut Filter",
                "Yes",
                "Yes",
                "Yes",
                "No",
                "No",
                "Yes",
                "No",
                "1",
                "1",
                "No"
            ],
            "NETWORK": [
                "4MP",
                "H.264,M-JPEG,H.265",
                "Yes",
                "3 Profiles",
                "No",
                "No",
                "G.711 u-law \/ G.726 selectable\r\n, G.726 (ADPCM) 8KHz, G.711 8KHz, G.726 : 16Kbps, 24Kbps, 32Kbps, 40Kbps",
                "6",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-10\u00b0C ~ +55\u00b0C (+14\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "No"
            ],
            "ELECTRICAL": [
                "POE,24V AC",
                "PoE (IEEE802.3af, Class3)",
                "PoE : 6.5W, 12V DC : 5.43W"
            ],
            "MECHANICAL": [
                "Indoor",
                "No"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-300HM7_Parapet Mount.jpg",
                "images\/accessory\/SBP-300HM7_Ceiling Mount.jpg",
                "images\/accessory\/SBP-300HM7_Wall Mount.jpg",
                "images\/accessory\/SBP-300HM7_Wall Mount(Curved neck).jpg"
            ]
        },
        "Info": "2016 Year, Wisenet Q Series, Dome"
    },
    {
        "ModelName": "QND-7030R",
        "ImgUrl": "images\/network_camera\/QND-7030R.jpg",
        "Type": "Dome",
        "Year": "2016",
        "Series": "Wisenet Q",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/3\"",
                "Yes",
                "4M",
                "0.3Lux",
                "0Lux(IR LED on)",
                "No"
            ],
            "LENS": [
                "Fixed Iris",
                "Fixed Lens",
                "No",
                "6mm",
                "No",
                "F2.2",
                "H : 53.0\u02da \/ V : 31.0\u02da \/ D : 62.0\u02da",
                "No"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "0\u00b0 ~ 350\u00b0",
                "No",
                "No",
                "0\u00b0 ~ 67\u00b0",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "IR Cut Filter",
                "Yes",
                "Yes",
                "Yes",
                "No",
                "No",
                "Yes",
                "No",
                "1",
                "1",
                "No"
            ],
            "NETWORK": [
                "4MP",
                "H.264,M-JPEG,H.265",
                "Yes",
                "3 Profiles",
                "No",
                "No",
                "G.711 u-law \/ G.726 selectable\r\n, G.726 (ADPCM) 8KHz, G.711 8KHz, G.726 : 16Kbps, 24Kbps, 32Kbps, 40Kbps",
                "6",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-10\u00b0C ~ +55\u00b0C (+14\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "No"
            ],
            "ELECTRICAL": [
                "POE,24V AC",
                "PoE (IEEE802.3af, Class3)",
                "PoE : 6.5W, 12V DC : 5.43W"
            ],
            "MECHANICAL": [
                "Indoor",
                "No"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-300HM7_Parapet Mount.jpg",
                "images\/accessory\/SBP-300HM7_Ceiling Mount.jpg",
                "images\/accessory\/SBP-300HM7_Wall Mount.jpg",
                "images\/accessory\/SBP-300HM7_Wall Mount(Curved neck).jpg"
            ]
        },
        "Info": "2016 Year, Wisenet Q Series, Dome"
    },
    {
        "ModelName": "QNV-7010R",
        "ImgUrl": "images\/network_camera\/QNV-7010R.jpg",
        "Type": "Dome",
        "Year": "2016",
        "Series": "Wisenet Q",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/3\"",
                "Yes",
                "4M",
                "0.5Lux",
                "0Lux(IR LED on)",
                "No"
            ],
            "LENS": [
                "Fixed Iris",
                "Fixed Lens",
                "No",
                "2.8mm",
                "No",
                "F2.0",
                "H : 110.0\u02da \/ V : 63.0\u02da \/ D : 128.0\u02da",
                "No"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "0\u00b0 ~ 350\u00b0",
                "No",
                "No",
                "0\u00b0 ~ 67\u00b0",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "IR Cut Filter",
                "Yes",
                "Yes",
                "Yes",
                "No",
                "No",
                "Yes",
                "No",
                "1",
                "1",
                "No"
            ],
            "NETWORK": [
                "4MP",
                "H.264,M-JPEG,H.265",
                "Yes",
                "3 Profiles",
                "No",
                "No",
                "G.711 u-law \/ G.726 selectable\r\n, G.726 (ADPCM) 8KHz, G.711 8KHz, G.726 : 16Kbps, 24Kbps, 32Kbps, 40Kbps",
                "6",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-30\u00b0C ~ +55\u00b0C (-22\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "IP66"
            ],
            "ELECTRICAL": [
                "POE,24V AC",
                "PoE (IEEE802.3af, Class3)",
                "PoE : 6.8W, 12V DC : 5.7W"
            ],
            "MECHANICAL": [
                "IP66",
                "Yes"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-122HM_Parapet Mount.jpg",
                "images\/accessory\/SBP-122HM_Ceiling Mount.jpg",
                "images\/accessory\/SBP-122HM_Wall Mount.jpg",
                "images\/accessory\/SBP-122HM_Wall Mount(Curved neck).jpg"
            ]
        },
        "Info": "2016 Year, Wisenet Q Series, Dome"
    },
    {
        "ModelName": "QNV-7020R",
        "ImgUrl": "images\/network_camera\/QNV-7020R.jpg",
        "Type": "Dome",
        "Year": "2016",
        "Series": "Wisenet Q",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/3\"",
                "Yes",
                "4M",
                "0.4Lux",
                "0Lux(IR LED on)",
                "No"
            ],
            "LENS": [
                "Fixed Iris",
                "Fixed Lens",
                "No",
                "3.6mm",
                "No",
                "F2.2",
                "H : 81.0\u02da \/ V : 45.0\u02da \/ D : 95.0\u02da",
                "No"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "0\u00b0 ~ 350\u00b0",
                "No",
                "No",
                "0\u00b0 ~ 67\u00b0",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "IR Cut Filter",
                "Yes",
                "Yes",
                "Yes",
                "No",
                "No",
                "Yes",
                "No",
                "1",
                "1",
                "No"
            ],
            "NETWORK": [
                "4MP",
                "H.264,M-JPEG,H.265",
                "Yes",
                "3 Profiles",
                "No",
                "No",
                "G.711 u-law \/ G.726 selectable\r\n, G.726 (ADPCM) 8KHz, G.711 8KHz, G.726 : 16Kbps, 24Kbps, 32Kbps, 40Kbps",
                "6",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-30\u00b0C ~ +55\u00b0C (-22\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "IP66"
            ],
            "ELECTRICAL": [
                "POE,24V AC",
                "PoE (IEEE802.3af, Class3)",
                "PoE : 6.8W, 12V DC : 5.7W"
            ],
            "MECHANICAL": [
                "IP66",
                "Yes"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-122HM_Parapet Mount.jpg",
                "images\/accessory\/SBP-122HM_Ceiling Mount.jpg",
                "images\/accessory\/SBP-122HM_Wall Mount.jpg",
                "images\/accessory\/SBP-122HM_Wall Mount(Curved neck).jpg"
            ]
        },
        "Info": "2016 Year, Wisenet Q Series, Dome"
    },
    {
        "ModelName": "QNV-7030R",
        "ImgUrl": "images\/network_camera\/QNV-7030R.jpg",
        "Type": "Dome",
        "Year": "2016",
        "Series": "Wisenet Q",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/3\"",
                "Yes",
                "4M",
                "0.3Lux",
                "0Lux(IR LED on)",
                "No"
            ],
            "LENS": [
                "Fixed Iris",
                "Fixed Lens",
                "No",
                "6mm",
                "No",
                "F2.2",
                "H : 53.0\u00b0 \/ V : 31.0\u00b0 \/ D : 62.0\u00b0",
                "No"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "0\u00b0 ~ 350\u00b0",
                "No",
                "No",
                "0\u00b0 ~ 67\u00b0",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "IR Cut Filter",
                "Yes",
                "Yes",
                "Yes",
                "No",
                "No",
                "Yes",
                "No",
                "1",
                "1",
                "No"
            ],
            "NETWORK": [
                "4MP",
                "H.264,M-JPEG,H.265",
                "Yes",
                "3 Profiles",
                "No",
                "No",
                "G.711 u-law \/ G.726 selectable\r\n, G.726 (ADPCM) 8KHz, G.711 8KHz, G.726 : 16Kbps, 24Kbps, 32Kbps, 40Kbps",
                "6",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-30\u00b0C ~ +55\u00b0C (-22\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "IP66"
            ],
            "ELECTRICAL": [
                "POE,24V AC",
                "PoE (IEEE802.3af, Class3)",
                "PoE : 6.8W, 12V DC : 5.7W"
            ],
            "MECHANICAL": [
                "IP66",
                "Yes"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-122HM_Parapet Mount.jpg",
                "images\/accessory\/SBP-122HM_Ceiling Mount.jpg",
                "images\/accessory\/SBP-122HM_Wall Mount.jpg",
                "images\/accessory\/SBP-122HM_Wall Mount(Curved neck).jpg"
            ]
        },
        "Info": "2016 Year, Wisenet Q Series, Dome"
    },
    {
        "ModelName": "QNO-6010R",
        "ImgUrl": "images\/network_camera\/QNO-6010R.jpg",
        "Type": "Bullet",
        "Year": "2016",
        "Series": "Wisenet Q",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/2.9\"",
                "Yes",
                "2.19M",
                "0.15Lux",
                "0Lux(IR LED on)",
                "No"
            ],
            "LENS": [
                "Fixed Iris",
                "Fixed Lens",
                "No",
                "2.8mm",
                "No",
                "F2.0",
                "H : 110.0\u02da \/ V : 61.0\u02da \/ D : 125.0\u02da",
                "No"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "No",
                "No",
                "No",
                "No",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "IR Cut Filter",
                "Yes",
                "Yes",
                "Yes",
                "No",
                "No",
                "Yes",
                "No",
                "1",
                "1",
                "No"
            ],
            "NETWORK": [
                "2MP",
                "H.264,M-JPEG,H.265",
                "Yes",
                "3 Profiles",
                "No",
                "No",
                "G.711 u-law \/ G.726 selectable\r\n, G.726 (ADPCM) 8KHz, G.711 8KHz, G.726 : 16Kbps, 24Kbps, 32Kbps, 40Kbps",
                "6",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-30\u00b0C ~ +55\u00b0C (-22\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "IP66"
            ],
            "ELECTRICAL": [
                "POE,24V AC",
                "PoE (IEEE802.3af, Class3)",
                "PoE : 6.6W, 12V DC : 5.5W"
            ],
            "MECHANICAL": [
                "IP66",
                "Yes"
            ]
        },
        "accessory": {
            "TYPE": [
                "BackBox"
            ],
            "IMAGE": [
                "images\/accessory\/SBO-100B1_BackBox.jpg"
            ]
        },
        "Info": "2016 Year, Wisenet Q Series, Bullet"
    },
    {
        "ModelName": "QNO-6020R",
        "ImgUrl": "images\/network_camera\/QNO-6020R.jpg",
        "Type": "Bullet",
        "Year": "2016",
        "Series": "Wisenet Q",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/2.9\"",
                "Yes",
                "2.19M",
                "0.15Lux",
                "0Lux(IR LED on)",
                "No"
            ],
            "LENS": [
                "Fixed Iris",
                "Fixed Lens",
                "No",
                "3.6mm",
                "No",
                "F1.8",
                "H : 86.48\u02da \/ V : 46.22\u02da \/ D : 102.44\u02da",
                "No"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "No",
                "No",
                "No",
                "No",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "IR Cut Filter",
                "Yes",
                "Yes",
                "Yes",
                "No",
                "No",
                "Yes",
                "No",
                "1",
                "1",
                "No"
            ],
            "NETWORK": [
                "2MP",
                "H.264,M-JPEG,H.265",
                "Yes",
                "3 Profiles",
                "No",
                "No",
                "G.711 u-law \/ G.726 selectable\r\n, G.726 (ADPCM) 8KHz, G.711 8KHz, G.726 : 16Kbps, 24Kbps, 32Kbps, 40Kbps",
                "6",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-30\u00b0C ~ +55\u00b0C (-22\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "IP66"
            ],
            "ELECTRICAL": [
                "POE,24V AC",
                "PoE (IEEE802.3af, Class3)",
                "PoE : 6.6W, 12V DC : 5.5W"
            ],
            "MECHANICAL": [
                "IP66",
                "Yes"
            ]
        },
        "accessory": {
            "TYPE": [
                "BackBox"
            ],
            "IMAGE": [
                "images\/accessory\/SBO-100B1_BackBox.jpg"
            ]
        },
        "Info": "2016 Year, Wisenet Q Series, Bullet"
    },
    {
        "ModelName": "QNO-6030R",
        "ImgUrl": "images\/network_camera\/QNO-6030R.jpg",
        "Type": "Bullet",
        "Year": "2016",
        "Series": "Wisenet Q",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/2.9\"",
                "Yes",
                "2.19M",
                "0.15Lux",
                "0Lux(IR LED on)",
                "No"
            ],
            "LENS": [
                "Fixed Iris",
                "Fixed Lens",
                "No",
                "6mm",
                "No",
                "F1.8",
                "H : 52.54\u02da \/ V : 28.86\u02da \/ D : 61.14\u02da",
                "No"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "No",
                "No",
                "No",
                "No",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "IR Cut Filter",
                "Yes",
                "Yes",
                "Yes",
                "No",
                "No",
                "Yes",
                "No",
                "1",
                "1",
                "No"
            ],
            "NETWORK": [
                "2MP",
                "H.264,M-JPEG,H.265",
                "Yes",
                "3 Profiles",
                "No",
                "No",
                "G.711 u-law \/ G.726 selectable\r\n, G.726 (ADPCM) 8KHz, G.711 8KHz, G.726 : 16Kbps, 24Kbps, 32Kbps, 40Kbps",
                "6",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-30\u00b0C ~ +55\u00b0C (-22\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "IP66"
            ],
            "ELECTRICAL": [
                "POE,24V AC",
                "PoE (IEEE802.3af, Class3)",
                "PoE : 6.6W, 12V DC : 5.5W"
            ],
            "MECHANICAL": [
                "IP66",
                "Yes"
            ]
        },
        "accessory": {
            "TYPE": [
                "BackBox"
            ],
            "IMAGE": [
                "images\/accessory\/SBO-100B1_BackBox.jpg"
            ]
        },
        "Info": "2016 Year, Wisenet Q Series, Bullet"
    },
    {
        "ModelName": "QND-6010R",
        "ImgUrl": "images\/network_camera\/QND-6010R.jpg",
        "Type": "Dome",
        "Year": "2016",
        "Series": "Wisenet Q",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/2.9\"",
                "Yes",
                "2.19M",
                "0.15Lux",
                "0Lux(IR LED on)",
                "No"
            ],
            "LENS": [
                "Fixed Iris",
                "Fixed Lens",
                "No",
                "2.8mm",
                "No",
                "F1.8",
                "H : 110.0\u02da \/ V : 61.0\u02da \/ D : 125.0\u02da",
                "No"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "0\u00b0 ~ 350\u00b0",
                "No",
                "No",
                "0\u00b0 ~ 67\u00b0",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "IR Cut Filter",
                "Yes",
                "Yes",
                "Yes",
                "No",
                "No",
                "Yes",
                "No",
                "1",
                "1",
                "No"
            ],
            "NETWORK": [
                "2MP",
                "H.264,M-JPEG,H.265",
                "Yes",
                "3 Profiles",
                "No",
                "No",
                "G.711 u-law \/ G.726 selectable\r\n, G.726 (ADPCM) 8KHz, G.711 8KHz, G.726 : 16Kbps, 24Kbps, 32Kbps, 40Kbps",
                "6",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-10\u00b0C ~ +55\u00b0C (+14\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "No"
            ],
            "ELECTRICAL": [
                "POE,24V AC",
                "PoE (IEEE802.3af, Class3)",
                "PoE : 6.5W, 12V DC : 5.43W"
            ],
            "MECHANICAL": [
                "Indoor",
                "No"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-300HM7_Parapet Mount.jpg",
                "images\/accessory\/SBP-300HM7_Ceiling Mount.jpg",
                "images\/accessory\/SBP-300HM7_Wall Mount.jpg",
                "images\/accessory\/SBP-300HM7_Wall Mount(Curved neck).jpg"
            ]
        },
        "Info": "2016 Year, Wisenet Q Series, Dome"
    },
    {
        "ModelName": "QND-6020R",
        "ImgUrl": "images\/network_camera\/QND-6020R.jpg",
        "Type": "Dome",
        "Year": "2016",
        "Series": "Wisenet Q",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/2.9\"",
                "Yes",
                "2.19M",
                "0.15Lux",
                "0Lux(IR LED on)",
                "No"
            ],
            "LENS": [
                "Fixed Iris",
                "Fixed Lens",
                "No",
                "3.6mm",
                "No",
                "F1.8",
                "H : 86.48\u02da \/ V : 46.22\u02da \/ D : 102.44\u02da",
                "No"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "0\u00b0 ~ 350\u00b0",
                "No",
                "No",
                "0\u00b0 ~ 67\u00b0",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "IR Cut Filter",
                "Yes",
                "Yes",
                "Yes",
                "No",
                "No",
                "Yes",
                "No",
                "1",
                "1",
                "No"
            ],
            "NETWORK": [
                "2MP",
                "H.264,M-JPEG,H.265",
                "Yes",
                "3 Profiles",
                "No",
                "No",
                "G.711 u-law \/ G.726 selectable\r\n, G.726 (ADPCM) 8KHz, G.711 8KHz, G.726 : 16Kbps, 24Kbps, 32Kbps, 40Kbps",
                "6",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-10\u00b0C ~ +55\u00b0C (+14\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "No"
            ],
            "ELECTRICAL": [
                "POE,24V AC",
                "PoE (IEEE802.3af, Class3)",
                "PoE : 6.5W, 12V DC : 5.43W"
            ],
            "MECHANICAL": [
                "Indoor",
                "No"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-300HM7_Parapet Mount.jpg",
                "images\/accessory\/SBP-300HM7_Ceiling Mount.jpg",
                "images\/accessory\/SBP-300HM7_Wall Mount.jpg",
                "images\/accessory\/SBP-300HM7_Wall Mount(Curved neck).jpg"
            ]
        },
        "Info": "2016 Year, Wisenet Q Series, Dome"
    },
    {
        "ModelName": "QND-6030R",
        "ImgUrl": "images\/network_camera\/QND-6030R.jpg",
        "Type": "Dome",
        "Year": "2016",
        "Series": "Wisenet Q",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/2.9\"",
                "Yes",
                "2.19M",
                "0.15Lux",
                "0Lux(IR LED on)",
                "No"
            ],
            "LENS": [
                "Fixed Iris",
                "Fixed Lens",
                "No",
                "6mm",
                "No",
                "F1.8",
                "H : 52.54\u02da \/ V : 28.86\u02da \/ D : 61.14\u02da",
                "No"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "0\u00b0 ~ 350\u00b0",
                "No",
                "No",
                "0\u00b0 ~ 67\u00b0",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "IR Cut Filter",
                "Yes",
                "Yes",
                "Yes",
                "No",
                "No",
                "Yes",
                "No",
                "1",
                "1",
                "No"
            ],
            "NETWORK": [
                "2MP",
                "H.264,M-JPEG,H.265",
                "Yes",
                "3 Profiles",
                "No",
                "No",
                "G.711 u-law \/ G.726 selectable\r\n, G.726 (ADPCM) 8KHz, G.711 8KHz, G.726 : 16Kbps, 24Kbps, 32Kbps, 40Kbps",
                "6",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-10\u00b0C ~ +55\u00b0C (+14\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "No"
            ],
            "ELECTRICAL": [
                "POE,24V AC",
                "PoE (IEEE802.3af, Class3)",
                "PoE : 6.5W, 12V DC : 5.43W"
            ],
            "MECHANICAL": [
                "Indoor",
                "No"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-300HM7_Parapet Mount.jpg",
                "images\/accessory\/SBP-300HM7_Ceiling Mount.jpg",
                "images\/accessory\/SBP-300HM7_Wall Mount.jpg",
                "images\/accessory\/SBP-300HM7_Wall Mount(Curved neck).jpg"
            ]
        },
        "Info": "2016 Year, Wisenet Q Series, Dome"
    },
    {
        "ModelName": "QNV-6010R",
        "ImgUrl": "images\/network_camera\/QNV-6010R.jpg",
        "Type": "Dome",
        "Year": "2016",
        "Series": "Wisenet Q",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/2.9\"",
                "Yes",
                "2.19M",
                "0.15Lux",
                "0Lux(IR LED on)",
                "No"
            ],
            "LENS": [
                "Fixed Iris",
                "Fixed Lens",
                "No",
                "2.8mm",
                "No",
                "F1.8",
                "H : 110.0\u02da \/ V : 61.0\u02da \/ D : 125.0\u02da",
                "No"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "0\u00b0 ~ 350\u00b0",
                "No",
                "No",
                "0\u00b0 ~ 67\u00b0",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "IR Cut Filter",
                "Yes",
                "Yes",
                "Yes",
                "No",
                "No",
                "Yes",
                "No",
                "1",
                "1",
                "No"
            ],
            "NETWORK": [
                "2MP",
                "H.264,M-JPEG,H.265",
                "Yes",
                "3 Profiles",
                "No",
                "No",
                "G.711 u-law \/ G.726 selectable\r\n, G.726 (ADPCM) 8KHz, G.711 8KHz, G.726 : 16Kbps, 24Kbps, 32Kbps, 40Kbps",
                "6",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-30\u00b0C ~ +55\u00b0C (-22\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "IP66"
            ],
            "ELECTRICAL": [
                "POE,24V AC",
                "PoE (IEEE802.3af, Class3)",
                "PoE : 6.8W, 12V DC : 5.7W"
            ],
            "MECHANICAL": [
                "IP66",
                "Yes"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-122HM_Parapet Mount.jpg",
                "images\/accessory\/SBP-122HM_Ceiling Mount.jpg",
                "images\/accessory\/SBP-122HM_Wall Mount.jpg",
                "images\/accessory\/SBP-122HM_Wall Mount(Curved neck).jpg"
            ]
        },
        "Info": "2016 Year, Wisenet Q Series, Dome"
    },
    {
        "ModelName": "QNV-6020R",
        "ImgUrl": "images\/network_camera\/QNV-6020R.jpg",
        "Type": "Dome",
        "Year": "2016",
        "Series": "Wisenet Q",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/2.9\"",
                "Yes",
                "2.19M",
                "0.15Lux",
                "0Lux(IR LED on)",
                "No"
            ],
            "LENS": [
                "Fixed Iris",
                "Fixed Lens",
                "No",
                "3.6mm",
                "No",
                "F1.8",
                "H : 86.48\u02da \/ V : 46.22\u02da \/ D : 102.44\u02da",
                "No"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "0\u00b0 ~ 350\u00b0",
                "No",
                "No",
                "0\u00b0 ~ 67\u00b0",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "IR Cut Filter",
                "Yes",
                "Yes",
                "Yes",
                "No",
                "No",
                "Yes",
                "No",
                "1",
                "1",
                "No"
            ],
            "NETWORK": [
                "2MP",
                "H.264,M-JPEG,H.265",
                "Yes",
                "3 Profiles",
                "No",
                "No",
                "G.711 u-law \/ G.726 selectable\r\n, G.726 (ADPCM) 8KHz, G.711 8KHz, G.726 : 16Kbps, 24Kbps, 32Kbps, 40Kbps",
                "6",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-30\u00b0C ~ +55\u00b0C (-22\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "IP66"
            ],
            "ELECTRICAL": [
                "POE,24V AC",
                "PoE (IEEE802.3af, Class3)",
                "PoE : 6.8W, 12V DC : 5.7W"
            ],
            "MECHANICAL": [
                "IP66",
                "Yes"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-122HM_Parapet Mount.jpg",
                "images\/accessory\/SBP-122HM_Ceiling Mount.jpg",
                "images\/accessory\/SBP-122HM_Wall Mount.jpg",
                "images\/accessory\/SBP-122HM_Wall Mount(Curved neck).jpg"
            ]
        },
        "Info": "2016 Year, Wisenet Q Series, Dome"
    },
    {
        "ModelName": "QNV-6030R",
        "ImgUrl": "images\/network_camera\/QNV-6030R.jpg",
        "Type": "Dome",
        "Year": "2016",
        "Series": "Wisenet Q",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/2.9\"",
                "Yes",
                "2.19M",
                "0.15Lux",
                "0Lux(IR LED on)",
                "No"
            ],
            "LENS": [
                "Fixed Iris",
                "Fixed Lens",
                "No",
                "6mm",
                "No",
                "F1.8",
                "H : 52.54\u02da \/ V : 28.86\u02da \/ D : 61.14\u02da",
                "No"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "0\u00b0 ~ 350\u00b0",
                "No",
                "No",
                "0\u00b0 ~ 67\u00b0",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "IR Cut Filter",
                "Yes",
                "Yes",
                "Yes",
                "No",
                "No",
                "Yes",
                "No",
                "1",
                "1",
                "No"
            ],
            "NETWORK": [
                "2MP",
                "H.264,M-JPEG,H.265",
                "Yes",
                "3 Profiles",
                "No",
                "No",
                "G.711 u-law \/ G.726 selectable\r\n, G.726 (ADPCM) 8KHz, G.711 8KHz, G.726 : 16Kbps, 24Kbps, 32Kbps, 40Kbps",
                "6",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-30\u00b0C ~ +55\u00b0C (-22\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "IP66"
            ],
            "ELECTRICAL": [
                "POE,24V AC",
                "PoE (IEEE802.3af, Class3)",
                "PoE : 6.8W, 12V DC : 5.7W"
            ],
            "MECHANICAL": [
                "IP66",
                "Yes"
            ]
        },
        "accessory": {
            "TYPE": [
                "Wall Mount(Curved neck)",
                "Wall Mount",
                "Ceiling Mount",
                "Parapet Mount"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-122HM_Wall Mount(Curved neck).jpg",
                "images\/accessory\/SBP-122HM_Wall Mount.jpg",
                "images\/accessory\/SBP-122HM_Ceiling Mount.jpg",
                "images\/accessory\/SBP-122HM_Parapet Mount.jpg"
            ]
        },
        "Info": "2016 Year, Wisenet Q Series, Dome"
    },
    {
        "ModelName": "PNO-9080R",
        "ImgUrl": "images\/network_camera\/PNO-9080R.jpg",
        "Type": "Bullet",
        "Year": "2016",
        "Series": "Wisenet P",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/1.7\"",
                "Yes",
                "12.4M",
                "0.3Lux (1\/30sec, F1.6, 30IRE)",
                "0Lux (IR LED on)",
                "Yes"
            ],
            "LENS": [
                "P-Iris",
                "Motorized Varifocal Lens",
                "Simple Focus,Manual Focus",
                "4.5 ~ 10mm",
                "2.2x",
                "F1.6",
                "[4096 x 2160] H : 100.3\u00b0(Wide) \/ V : 49.7\u00b0(Wide), [3840 x 2160] H : 92.9\u00b0(Wide) \/ V : 49.7\u00b0(Wide)",
                "0.5m (1.64ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "No",
                "No",
                "No",
                "No",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "IR Cut Filter",
                "Yes",
                "Yes",
                "Yes",
                "No",
                "Yes",
                "Yes",
                "Yes",
                "1",
                "1",
                "No"
            ],
            "NETWORK": [
                "12M",
                "H.264,M-JPEG,H.265",
                "Yes",
                "10 profiles",
                "No",
                "Yes (2-way)",
                "G.711 u-law\/G.726 selectable, G.726 (ADPCM) 8KHz, G.711 8KHz, G.726 : 16Kbps, 24Kbps, 32Kbps, 40Kbps, AAC-LC : 48Kbps at 16KHz",
                "20",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-40\u00b0C ~ +55\u00b0C (-40\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "IP66"
            ],
            "ELECTRICAL": [
                "POE,12V DC,24V AC",
                "PoE (IEEE802.3af Class3)",
                "Max. 12.5W"
            ],
            "MECHANICAL": [
                "IP66",
                "Yes"
            ]
        },
        "accessory": {
            "TYPE": [],
            "IMAGE": []
        },
        "Info": "2016 Year, Wisenet P Series, Bullet"
    },
    {
        "ModelName": "PND-9080R",
        "ImgUrl": "images\/network_camera\/PND-9080R.jpg",
        "Type": "Dome",
        "Year": "2016",
        "Series": "Wisenet P",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/1.7\"",
                "Yes",
                "12.4M",
                "0.3Lux (1\/30sec, F1.6, 30IRE)",
                "0Lux (IR LED on)",
                "Yes"
            ],
            "LENS": [
                "P-Iris",
                "Motorized Varifocal Lens",
                "Simple Focus,Manual Focus",
                "4.5 ~ 10mm",
                "2.2x",
                "F1.6",
                "[4096 x 2160] H : 100.3\u00b0(Wide) \/ V : 49.7\u00b0(Wide), [3840 x 2160] H : 92.9\u00b0(Wide) \/ V : 49.7\u00b0(Wide)",
                "0.5m (1.64ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "0\u00b0 ~ 354\u00b0",
                "No",
                "No",
                "0\u00b0 ~ 67\u00b0",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "IR Cut Filter",
                "Yes",
                "Yes",
                "Yes",
                "No",
                "Yes",
                "Yes",
                "Yes",
                "1",
                "1",
                "No"
            ],
            "NETWORK": [
                "12M",
                "H.264,M-JPEG,H.265",
                "Yes",
                "10 profiles",
                "No",
                "Yes (2-way)",
                "G.711 u-law\/G.726 selectable, G.726 (ADPCM) 8KHz, G.711 8KHz, G.726 : 16Kbps, 24Kbps, 32Kbps, 40Kbps, AAC-LC : 48Kbps at 16KHz",
                "20",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-30\u00b0C ~ +55\u00b0C (-22\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "No"
            ],
            "ELECTRICAL": [
                "POE,12V DC",
                "PoE (IEEE802.3af Class3)",
                "Max. 12.5W"
            ],
            "MECHANICAL": [
                "Indoor",
                "No"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)",
                "Dome Flush Mount"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-122HM_Parapet Mount.jpg",
                "images\/accessory\/SBP-122HM_Ceiling Mount.jpg",
                "images\/accessory\/SBP-122HM_Wall Mount.jpg",
                "images\/accessory\/SBP-122HM_Wall Mount(Curved neck).jpg",
                "images\/accessory\/SHD-3000F4_Dome Flush Mount.jpg"
            ]
        },
        "Info": "2016 Year, Wisenet P Series, Dome"
    },
    {
        "ModelName": "PNV-9080R",
        "ImgUrl": "images\/network_camera\/PNV-9080R.jpg",
        "Type": "Dome",
        "Year": "2016",
        "Series": "Wisenet P",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/1.7\"",
                "Yes",
                "12.4M",
                "0.3Lux (1\/30sec, F1.6, 30IRE)",
                "0Lux (IR LED on)",
                "Yes"
            ],
            "LENS": [
                "P-Iris",
                "Motorized Varifocal Lens",
                "Simple Focus,Manual Focus",
                "4.5 ~ 10mm",
                "2.2x",
                "F1.6",
                "[4096 x 2160] H : 100.3\u00b0(Wide) \/ V : 49.7\u00b0(Wide), [3840 x 2160] H : 92.9\u00b0(Wide) \/ V : 49.7\u00b0(Wide)",
                "0.5m (1.64ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "0\u00b0 ~ 354\u00b0",
                "No",
                "No",
                "0\u00b0 ~ 67\u00b0",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "IR Cut Filter",
                "Yes",
                "Yes",
                "Yes",
                "No",
                "Yes",
                "Yes",
                "Yes",
                "1",
                "1",
                "No"
            ],
            "NETWORK": [
                "12M",
                "H.264,M-JPEG,H.265",
                "Yes",
                "10 profiles",
                "No",
                "Yes (2-way)",
                "G.711 u-law\/G.726 selectable, G.726 (ADPCM) 8KHz, G.711 8KHz, G.726 : 16Kbps, 24Kbps, 32Kbps, 40Kbps, AAC-LC : 48Kbps at 16KHz",
                "20",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-40\u00b0C ~ +55\u00b0C (-40\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "IP66"
            ],
            "ELECTRICAL": [
                "POE,12V DC,24V AC",
                "PoE (IEEE802.3af Class3)",
                "Max. 12.5W"
            ],
            "MECHANICAL": [
                "IP66",
                "Yes"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)",
                "Dome Flush Mount",
                "Tinted Dome Cover",
                "BackBox"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-300HM6_Parapet Mount.jpg",
                "images\/accessory\/SBP-300HM6_Ceiling Mount.jpg",
                "images\/accessory\/SBP-300HM6_Wall Mount.jpg",
                "images\/accessory\/SBP-300HM6_Wall Mount(Curved neck).jpg",
                "images\/accessory\/SHD-3000F1_Dome Flush Mount.jpg",
                "images\/accessory\/SPB-VAN3_Tinted Dome Cover.jpg",
                "images\/accessory\/SBV-158G_BackBox.jpg"
            ]
        },
        "Info": "2016 Year, Wisenet P Series, Dome"
    },
    {
        "ModelName": "QNO-6070R",
        "ImgUrl": "images\/network_camera\/QNO-6070R.jpg",
        "Type": "Bullet",
        "Year": "2016",
        "Series": "Wisenet Q",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/2.9\"",
                "Yes",
                "2.19M",
                "0.095Lux (30IRE)",
                "0Lux(IR LED on)",
                "No"
            ],
            "LENS": [
                "DC Auto Iris",
                "Varifocal Lens",
                "Manual Focus",
                "2.8 ~ 12mm",
                "4.3x",
                "F1.4",
                "H : 103.8\u02da ~ 32.4\u02da \/ V 53.7\u02da ~ 18.4\u02da \/ D 121.9\u02da ~ 37.1\u02da",
                "No"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "No",
                "No",
                "No",
                "No",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "IR Cut Filter",
                "Yes",
                "Yes",
                "Yes",
                "No",
                "No",
                "Yes",
                "No",
                "1",
                "1",
                "No"
            ],
            "NETWORK": [
                "2MP",
                "H.264,M-JPEG,H.265",
                "Yes",
                "3 Profiles",
                "No",
                "No",
                "G.711 u-law \/ G.726 selectable\r\n, G.726 (ADPCM) 8KHz, G.711 8KHz, G.726 : 16Kbps, 24Kbps, 32Kbps, 40Kbps",
                "6",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-30\u00b0C ~ +55\u00b0C (-22\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "IP66"
            ],
            "ELECTRICAL": [
                "POE,12V DC",
                "PoE (IEEE802.3af, Class3)",
                "PoE : 8W, 12V DC : 7W"
            ],
            "MECHANICAL": [
                "IP66",
                "Yes"
            ]
        },
        "accessory": {
            "TYPE": [
                "BackBox"
            ],
            "IMAGE": [
                "images\/accessory\/SBO-100B1_BackBox.jpg"
            ]
        },
        "Info": "2016 Year, Wisenet Q Series, Bullet"
    },
    {
        "ModelName": "QNO-7080R",
        "ImgUrl": "images\/network_camera\/QNO-7080R.jpg",
        "Type": "Bullet",
        "Year": "2016",
        "Series": "Wisenet Q",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/3\"",
                "Yes",
                "4M",
                "0.15Lux (30IRE)",
                "0Lux(IR LED on)",
                "No"
            ],
            "LENS": [
                "DC Auto Iris",
                "Motorized Varifocal Lens",
                "Simple Focus,Manual Focus",
                "2.8 ~ 12mm",
                "4.3x",
                "F1.4",
                "H : 109.7\u02da ~ 26.0\u02da \/ V : 60.8\u02da ~ 15.2\u02da \/ D : 131.3\u02da ~ 30.1\u02da",
                "0.5m (1.64ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "No",
                "No",
                "No",
                "No",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "IR Cut Filter",
                "Yes",
                "Yes",
                "Yes",
                "No",
                "No",
                "Yes",
                "No",
                "1",
                "1",
                "No"
            ],
            "NETWORK": [
                "4MP",
                "H.264,M-JPEG,H.265",
                "Yes",
                "3 Profiles",
                "No",
                "No",
                "G.711 u-law \/ G.726 selectable\r\n, G.726 (ADPCM) 8KHz, G.711 8KHz, G.726 : 16Kbps, 24Kbps, 32Kbps, 40Kbps",
                "6",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-30\u00b0C ~ +55\u00b0C (-22\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "IP66"
            ],
            "ELECTRICAL": [
                "POE,12V DC",
                "PoE (IEEE802.3af, Class3)",
                "PoE : 8W, 12V DC : 7W"
            ],
            "MECHANICAL": [
                "IP66",
                "Yes"
            ]
        },
        "accessory": {
            "TYPE": [
                "BackBox"
            ],
            "IMAGE": [
                "images\/accessory\/SBO-100B1_BackBox.jpg"
            ]
        },
        "Info": "2016 Year, Wisenet Q Series, Bullet"
    },
    {
        "ModelName": "QNV-6070R",
        "ImgUrl": "images\/network_camera\/QNV-6070R.jpg",
        "Type": "Dome",
        "Year": "2016",
        "Series": "Wisenet Q",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/2.9\"",
                "Yes",
                "2.19M",
                "0.095Lux (30IRE)",
                "0Lux(IR LED on)",
                "No"
            ],
            "LENS": [
                "DC Auto Iris",
                "Varifocal Lens",
                "Manual Focus",
                "2.8 ~ 12mm",
                "4.3x",
                "F1.4",
                "H : 103.8\u02da ~ 32.4\u02da \/ V 53.7\u02da ~ 18.4\u02da \/ D 121.9\u02da ~ 37.1\u02da",
                "No"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "0\u00b0 ~ 350\u00b0",
                "No",
                "No",
                "0\u00b0 ~ 67\u00b0",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "IR Cut Filter",
                "Yes",
                "Yes",
                "Yes",
                "No",
                "No",
                "Yes",
                "No",
                "1",
                "1",
                "No"
            ],
            "NETWORK": [
                "2MP",
                "H.264,M-JPEG,H.265",
                "Yes",
                "3 Profiles",
                "No",
                "No",
                "G.711 u-law \/ G.726 selectable\r\n, G.726 (ADPCM) 8KHz, G.711 8KHz, G.726 : 16Kbps, 24Kbps, 32Kbps, 40Kbps",
                "6",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-30\u00b0C ~ +55\u00b0C (-22\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "IP66"
            ],
            "ELECTRICAL": [
                "POE,12V DC",
                "PoE (IEEE802.3af, Class3)",
                "PoE : 6.7W, 12V DC : 5.5W"
            ],
            "MECHANICAL": [
                "IP66",
                "Yes"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)",
                "Dome Flush Mount",
                "Tinted Dome Cover",
                "BackBox"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-301HM2_Parapet Mount.jpg",
                "images\/accessory\/SBP-301HM2_Ceiling Mount.jpg",
                "images\/accessory\/SBP-301HM2_Wall Mount.jpg",
                "images\/accessory\/SBP-301HM2_Wall Mount(Curved neck).jpg",
                "images\/accessory\/SHD-3000F3_Dome Flush Mount.jpg",
                "images\/accessory\/SPB-VAN4_Tinted Dome Cover.jpg",
                "images\/accessory\/SBV-136B_BackBox.jpg"
            ]
        },
        "Info": "2016 Year, Wisenet Q Series, Dome"
    },
    {
        "ModelName": "QNV-7080R",
        "ImgUrl": "images\/network_camera\/QNV-7080R.jpg",
        "Type": "Dome",
        "Year": "2016",
        "Series": "Wisenet Q",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/3\"",
                "Yes",
                "4M",
                "0.15Lux (30IRE)",
                "0Lux(IR LED on)",
                "No"
            ],
            "LENS": [
                "DC Auto Iris",
                "Motorized Varifocal Lens",
                "Simple Focus,Manual Focus",
                "2.8 ~ 12mm",
                "4.3x",
                "F1.4",
                "H : 109.7\u02da ~ 26.0\u02da \/ V : 60.8\u02da ~ 15.2\u02da \/ D : 131.3\u02da ~ 30.1\u02da",
                "0.5m (1.64ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "0\u00b0 ~ 350\u00b0",
                "No",
                "No",
                "0\u00b0 ~ 67\u00b0",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "IR Cut Filter",
                "Yes",
                "Yes",
                "Yes",
                "No",
                "No",
                "Yes",
                "No",
                "1",
                "1",
                "No"
            ],
            "NETWORK": [
                "4MP",
                "H.264,M-JPEG,H.265",
                "Yes",
                "3 Profiles",
                "No",
                "No",
                "G.711 u-law \/ G.726 selectable\r\n, G.726 (ADPCM) 8KHz, G.711 8KHz, G.726 : 16Kbps, 24Kbps, 32Kbps, 40Kbps",
                "6",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-30\u00b0C ~ +55\u00b0C (-22\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "IP66"
            ],
            "ELECTRICAL": [
                "POE,12V DC",
                "PoE (IEEE802.3af, Class3)",
                "PoE : 7.2W, 12V DC : 6.4W"
            ],
            "MECHANICAL": [
                "IP66",
                "Yes"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)",
                "Dome Flush Mount",
                "Tinted Dome Cover",
                "BackBox"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-301HM2_Parapet Mount.jpg",
                "images\/accessory\/SBP-301HM2_Ceiling Mount.jpg",
                "images\/accessory\/SBP-301HM2_Wall Mount.jpg",
                "images\/accessory\/SBP-301HM2_Wall Mount(Curved neck).jpg",
                "images\/accessory\/SHD-3000F3_Dome Flush Mount.jpg",
                "images\/accessory\/SPB-VAN4_Tinted Dome Cover.jpg",
                "images\/accessory\/SBV-136B_BackBox.jpg"
            ]
        },
        "Info": "2016 Year, Wisenet Q Series, Dome"
    },
    {
        "ModelName": "QND-6070R",
        "ImgUrl": "images\/network_camera\/QND-6070R.jpg",
        "Type": "Dome",
        "Year": "2016",
        "Series": "Wisenet Q",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/2.9\"",
                "Yes",
                "2.19M",
                "0.095Lux (30IRE)",
                "0Lux(IR LED on)",
                "No"
            ],
            "LENS": [
                "DC Auto Iris",
                "Varifocal Lens",
                "Manual Focus",
                "2.8 ~ 12mm",
                "4.3x",
                "F1.4",
                "H : 103.8\u02da ~ 32.4\u02da \/ V 53.7\u02da ~ 18.4\u02da \/ D 121.9\u02da ~ 37.1\u02da",
                "No"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "0\u00b0 ~ 350\u00b0",
                "No",
                "No",
                "0\u00b0 ~ 67\u00b0",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "IR Cut Filter",
                "Yes",
                "Yes",
                "Yes",
                "No",
                "No",
                "Yes",
                "No",
                "1",
                "1",
                "No"
            ],
            "NETWORK": [
                "2MP",
                "H.264,M-JPEG,H.265",
                "Yes",
                "3 Profiles",
                "No",
                "No",
                "G.711 u-law \/ G.726 selectable\r\n, G.726 (ADPCM) 8KHz, G.711 8KHz, G.726 : 16Kbps, 24Kbps, 32Kbps, 40Kbps",
                "6",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-10\u00b0C ~ +55\u00b0C (+14\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "No"
            ],
            "ELECTRICAL": [
                "POE,12V DC",
                "PoE (IEEE802.3af, Class3)",
                "PoE : 6.7W, 12V DC : 5.5W"
            ],
            "MECHANICAL": [
                "Indoor",
                "No"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)",
                "Dome Flush Mount",
                "Tinted Dome Bubble"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-122HM_Parapet Mount.jpg",
                "images\/accessory\/SBP-122HM_Ceiling Mount.jpg",
                "images\/accessory\/SBP-122HM_Wall Mount.jpg",
                "images\/accessory\/SBP-122HM_Wall Mount(Curved neck).jpg",
                "images\/accessory\/SHD-3000F2_Dome Flush Mount.jpg",
                "images\/accessory\/SPB-IND6_Tinted Dome Bubble.jpg"
            ]
        },
        "Info": "2016 Year, Wisenet Q Series, Dome"
    },
    {
        "ModelName": "QND-7080R",
        "ImgUrl": "images\/network_camera\/QND-7080R.jpg",
        "Type": "Dome",
        "Year": "2016",
        "Series": "Wisenet Q",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/3\"",
                "Yes",
                "4M",
                "0.15Lux (30IRE)",
                "0Lux(IR LED on)",
                "No"
            ],
            "LENS": [
                "DC Auto Iris",
                "Motorized Varifocal Lens",
                "Simple Focus,Manual Focus",
                "2.8 ~ 12mm",
                "4.3x",
                "F1.4",
                "H : 109.7\u02da ~ 26.0\u02da \/ V : 60.8\u02da ~ 15.2\u02da \/ D : 131.3\u02da ~ 30.1\u02da",
                "0.5m (1.64ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "0\u00b0 ~ 350\u00b0",
                "No",
                "No",
                "0\u00b0 ~ 67\u00b0",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "IR Cut Filter",
                "Yes",
                "Yes",
                "Yes",
                "No",
                "No",
                "Yes",
                "No",
                "1",
                "1",
                "No"
            ],
            "NETWORK": [
                "4MP",
                "H.264,M-JPEG,H.265",
                "Yes",
                "3 Profiles",
                "No",
                "No",
                "G.711 u-law \/ G.726 selectable\r\n, G.726 (ADPCM) 8KHz, G.711 8KHz, G.726 : 16Kbps, 24Kbps, 32Kbps, 40Kbps",
                "6",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-10\u00b0C ~ +55\u00b0C (+14\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "No"
            ],
            "ELECTRICAL": [
                "POE,12V DC",
                "PoE (IEEE802.3af, Class3)",
                "PoE : 7.2W, 12V DC : 6.4W"
            ],
            "MECHANICAL": [
                "Indoor",
                "No"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)",
                "Dome Flush Mount",
                "Tinted Dome Bubble"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-122HM_Parapet Mount.jpg",
                "images\/accessory\/SBP-122HM_Ceiling Mount.jpg",
                "images\/accessory\/SBP-122HM_Wall Mount.jpg",
                "images\/accessory\/SBP-122HM_Wall Mount(Curved neck).jpg",
                "images\/accessory\/SHD-3000F2_Dome Flush Mount.jpg",
                "images\/accessory\/SPB-IND6_Tinted Dome Bubble.jpg"
            ]
        },
        "Info": "2016 Year, Wisenet Q Series, Dome"
    },
    {
        "ModelName": "PNF-9010R",
        "ImgUrl": "images\/network_camera\/PNF-9010R.jpg",
        "Type": "Fisheye",
        "Year": "2016",
        "Series": "Wisenet P",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/1.7\"",
                "Yes",
                "12.4M",
                "0.3 Lux (F2.2, 30IRE)",
                "0Lux(IR LED on)",
                "Yes"
            ],
            "LENS": [
                "Fixed Iris",
                "Fixed Lens",
                "Simple Focus",
                "2.1mm",
                "16x",
                "F2.2",
                "H : 180\u00b0 \/ V : 180\u00b0 \/ D : 180\u00b0",
                "0.5m (1.64ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "No",
                "No",
                "No",
                "No",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "16x",
                "IR Cut Filter",
                "Yes",
                "Yes",
                "Yes",
                "No",
                "Yes",
                "Yes",
                "Yes",
                "1",
                "1",
                "No"
            ],
            "NETWORK": [
                "12M",
                "H.264,M-JPEG,H.265",
                "Yes",
                "20 profiles",
                "No",
                "Yes",
                "G.711 u-law\/G.726 selectable, G.726 (ADPCM) 8KHz, G.711 8KHz, G.726 : 16Kbps, 24Kbps, 32Kbps, 40Kbps, AAC-LC : 48Kbps at 16KHz",
                "20",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-30\u00b0C ~ +60\u00b0C (-22\u00b0F ~ +140\u00b0F)",
                "Less than 90% RH",
                "No"
            ],
            "ELECTRICAL": [
                "POE,12V DC",
                "PoE (IEEE802.3af class3)",
                "DC : 11W, PoE : 12W"
            ],
            "MECHANICAL": [
                "Indoor",
                "Yes"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)",
                "Wall Ceiling Mount",
                "BackBox"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-300HM5_Parapet Mount.jpg",
                "images\/accessory\/SBP-300HM5_Ceiling Mount.jpg",
                "images\/accessory\/SBP-300HM5_Wall Mount.jpg",
                "images\/accessory\/SBP-300HM5_Wall Mount(Curved neck).jpg",
                "images\/accessory\/SBP-300TM1_Wall Ceiling Mount.jpg",
                "images\/accessory\/SBF-100B1_BackBox.jpg"
            ]
        },
        "Info": "2016 Year, Wisenet P Series, Fisheye"
    },
    {
        "ModelName": "PNF-9010RV",
        "ImgUrl": "images\/network_camera\/PNF-9010RV.jpg",
        "Type": "Fisheye",
        "Year": "2016",
        "Series": "Wisenet P",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/1.7\"",
                "Yes",
                "12.4M",
                "0.3 Lux (F2.2, 30IRE)",
                "0Lux(IR LED on)",
                "Yes"
            ],
            "LENS": [
                "Fixed Iris",
                "Fixed Lens",
                "Simple Focus",
                "2.1mm",
                "16x",
                "F2.2",
                "H : 180\u00b0 \/ V : 180\u00b0 \/ D : 180\u00b0",
                "0.5m (1.64ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "No",
                "No",
                "No",
                "No",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "16x",
                "IR Cut Filter",
                "Yes",
                "Yes",
                "Yes",
                "No",
                "Yes",
                "Yes",
                "Yes",
                "1",
                "1",
                "No"
            ],
            "NETWORK": [
                "12M",
                "H.264,M-JPEG,H.265",
                "Yes",
                "20 profiles",
                "No",
                "Yes",
                "G.711 u-law\/G.726 selectable, G.726 (ADPCM) 8KHz, G.711 8KHz, G.726 : 16Kbps, 24Kbps, 32Kbps, 40Kbps, AAC-LC : 48Kbps at 16KHz",
                "20",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-40\u00b0C ~ +55\u00b0C (-40\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "IP66"
            ],
            "ELECTRICAL": [
                "POE,12V DC",
                "PoE (IEEE802.3af class3)",
                "DC : 12W, PoE : 12.95W"
            ],
            "MECHANICAL": [
                "IP66",
                "Yes"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)",
                "Wall Ceiling Mount",
                "BackBox"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-300HM5_Parapet Mount.jpg",
                "images\/accessory\/SBP-300HM5_Ceiling Mount.jpg",
                "images\/accessory\/SBP-300HM5_Wall Mount.jpg",
                "images\/accessory\/SBP-300HM5_Wall Mount(Curved neck).jpg",
                "images\/accessory\/SBP-300TM1_Wall Ceiling Mount.jpg",
                "images\/accessory\/SBF-100B1_BackBox.jpg"
            ]
        },
        "Info": "2016 Year, Wisenet P Series, Fisheye"
    },
    {
        "ModelName": "PNF-9010RVM",
        "ImgUrl": "images\/network_camera\/PNF-9010RVM.jpg",
        "Type": "Fisheye",
        "Year": "2016",
        "Series": "Wisenet P",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/1.7\"",
                "Yes",
                "12.4M",
                "0.3 Lux (F2.2, 30IRE)",
                "0Lux(IR LED on)",
                "Yes"
            ],
            "LENS": [
                "Fixed Iris",
                "Fixed Lens",
                "Simple Focus",
                "2.1mm",
                "16x",
                "F2.2",
                "H : 180\u00b0 \/ V : 180\u00b0 \/ D : 180\u00b0",
                "0.5m (1.64ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "No",
                "No",
                "No",
                "No",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "16x",
                "IR Cut Filter",
                "Yes",
                "Yes",
                "Yes",
                "No",
                "Yes",
                "Yes",
                "Yes",
                "1",
                "1",
                "No"
            ],
            "NETWORK": [
                "12M",
                "H.264,M-JPEG,H.265",
                "Yes",
                "20 profiles",
                "No",
                "Yes",
                "G.711 u-law\/G.726 selectable, G.726 (ADPCM) 8KHz, G.711 8KHz, G.726 : 16Kbps, 24Kbps, 32Kbps, 40Kbps, AAC-LC : 48Kbps at 16KHz",
                "20",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-40\u00b0C ~ +55\u00b0C (-40\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "IP66"
            ],
            "ELECTRICAL": [
                "POE,12V DC",
                "PoE (IEEE802.3af class3)",
                "DC : 12W, PoE : 12.95W"
            ],
            "MECHANICAL": [
                "IP66",
                "Yes"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)",
                "Wall Ceiling Mount",
                "BackBox"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-300HM5_Parapet Mount.jpg",
                "images\/accessory\/SBP-300HM5_Ceiling Mount.jpg",
                "images\/accessory\/SBP-300HM5_Wall Mount.jpg",
                "images\/accessory\/SBP-300HM5_Wall Mount(Curved neck).jpg",
                "images\/accessory\/SBP-300TM1_Wall Ceiling Mount.jpg",
                "images\/accessory\/SBF-100B1_BackBox.jpg"
            ]
        },
        "Info": "2016 Year, Wisenet P Series, Fisheye"
    },
    {
        "ModelName": "PNM-9020V",
        "ImgUrl": "images\/network_camera\/PNM-9020V.jpg",
        "Type": "Multi",
        "Year": "2016",
        "Series": "Wisenet P",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/2.8\"",
                "Yes",
                "7.3M",
                "0.3Lux (1\/30sec, F2.0)",
                "0.03Lux (1\/30sec, F2.0)",
                "No"
            ],
            "LENS": [
                "Fixed Iris",
                "Fixed Lens",
                "Manual Focus",
                "3.6mm",
                "No",
                "F2.0",
                "[Total 4sensor] H : 180\u02da \/ V : 84\u02da",
                "1.5m (4.92ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "0\u00b0 ~ 355\u00b0",
                "No",
                "No",
                "0\u00b0 ~ 60\u00b0",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "IR Cut Filter",
                "No",
                "No",
                "Yes",
                "No",
                "Yes",
                "Yes",
                "No",
                "1",
                "1",
                "No"
            ],
            "NETWORK": [
                "7MP",
                "H.265,H.264,M-JPEG",
                "Yes",
                "10 profiles",
                "No",
                "Yes (2-way)",
                "G.711 u-law \/ G.726 selectable, G.726 (ADPCM) 8KHz, G.711 8KHz, G.726 : 16Kbps, 24Kbps, 32Kbps, 40Kbps, AAC-LC : 48Kbps at 16KHz",
                "15",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-40\u00b0C ~ +55\u00b0C (-40\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "IP66"
            ],
            "ELECTRICAL": [
                "POE+,12V DC",
                "PoE+ (IEEE802.3at)",
                "DC : 21.0W, PoE+ : 25.5W"
            ],
            "MECHANICAL": [
                "IP66",
                "Yes"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-201HM_Parapet Mount.jpg",
                "images\/accessory\/SBP-201HM_Ceiling Mount.jpg",
                "images\/accessory\/SBP-201HM_Wall Mount.jpg",
                "images\/accessory\/SBP-201HM_Wall Mount(Curved neck).jpg"
            ]
        },
        "Info": "2016 Year, Wisenet P Series, Multi"
    },
    {
        "ModelName": "PNP-9200RH",
        "ImgUrl": "images\/network_camera\/PNP-9200RH.jpg",
        "Type": "PTZ",
        "Year": "2016",
        "Series": "Wisenet P",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/2.5\"",
                "Yes",
                "8M",
                "0.3Lux (1\/30sec, F1.8, 50IRE)",
                "0Lux (IR LED on)",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris",
                "Autofocus Zoom Lens",
                "Manual Focus,Auto Focus",
                "4.8 ~ 96mm",
                "20x",
                "F1.8(Wide) \/ F3.6(Tele)",
                "H : 65.1\u02da(Wide) ~ 3.8\u02da(Tele) \/ V : 38.4\u02da(Wide) ~ 2.2\u02da(Tele)",
                "1.5m (4.92ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "360\u02da Endless",
                "400\u02da\/sec",
                "0.024\u02da\/sec ~ 250\u02da\/sec",
                "190\u02da (-5\u02da ~185\u02da )",
                "300\u02da\/sec",
                "0.024\u02da\/sec ~ 250\u02da\/sec",
                "300"
            ],
            "OPERATIONAL": [
                "16x",
                "IR Cut Filter",
                "Yes",
                "Yes",
                "Yes",
                "No",
                "Yes",
                "Yes",
                "Yes",
                "4",
                "2",
                "Yes"
            ],
            "NETWORK": [
                "8MP",
                "H.265,H.264,M-JPEG",
                "Yes",
                "3 profiles",
                "No",
                "Yes (2-way)",
                "G.711 u-law \/ G.726 selectable, G.726 (ADPCM) 8KHz, G.711 8KHz, G.726 : 16Kbps, 24Kbps, 32Kbps, 40Kbps, AAC-LC : 48Kbps at 16KHz",
                "15",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-50\u00b0C ~ +55\u00b0C (-58\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "IP66"
            ],
            "ELECTRICAL": [
                "24V AC",
                "No",
                "60W\/90W (Heater off\/on, IR on)"
            ],
            "MECHANICAL": [
                "IP66",
                "Yes"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)"
            ],
            "IMAGE": [
                "images\/accessory\/_Parapet Mount.jpg",
                "images\/accessory\/_Ceiling Mount.jpg",
                "images\/accessory\/_Wall Mount.jpg",
                "images\/accessory\/_Wall Mount(Curved neck).jpg"
            ]
        },
        "Info": "2016 Year, Wisenet P Series, PTZ"
    },
    {
        "ModelName": "XNB-8000",
        "ImgUrl": "images\/network_camera\/XNB-8000.jpg",
        "Type": "Box",
        "Year": "2017",
        "Series": "Wisenet X",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/1.8\"",
                "Yes",
                "6M",
                "0.07 Lux (F1.2, 1\/30sec)",
                "0.007 Lux (F1.2, 1\/30sec)",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris,P-Iris,Manual Iris",
                "No",
                "Simple Focus,Manual Focus",
                "No",
                "No",
                "No",
                "No",
                "No"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "No",
                "No",
                "No",
                "No",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "IR Cut Filter",
                "Yes",
                "No",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "1",
                "1",
                "Yes"
            ],
            "NETWORK": [
                "5MP",
                "H.264,M-JPEG,H.265",
                "Yes",
                "10 profiles",
                "No",
                "Yes",
                "G.711 u-law \/ G.726 Selectable, G.726 (ADPCM) 8KHz, G.711 8KHz G.726 : 16Kbps, 24Kbps, 32Kbps, 40Kbps",
                "20",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-10\u00b0C ~ +55\u00b0C (+14\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "No"
            ],
            "ELECTRICAL": [
                "POE,12V DC,24V AC",
                "PoE (IEEE802.3af)",
                "7.5W(12VDC), 8.5W(PoE), 8.5W(24VAC)"
            ],
            "MECHANICAL": [
                "Indoor",
                "No"
            ]
        },
        "accessory": {
            "TYPE": [],
            "IMAGE": []
        },
        "Info": "2017 Year, Wisenet X Series, Box"
    },
    {
        "ModelName": "XNO-8080R",
        "ImgUrl": "images\/network_camera\/XNO-8080R.jpg",
        "Type": "Bullet",
        "Year": "2017",
        "Series": "Wisenet X",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/1.8\"",
                "Yes",
                "6M",
                "0.07lux(F1.2, 1\/30sec)",
                "0Lux (F1.2, IR LED on)",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris,P-Iris",
                "Motorized Varifocal Lens",
                "Simple Focus,Manual Focus",
                "3.9 ~ 9.4mm",
                "2.4x",
                "F1.2",
                "H : 100.2\u02da ~ 38.7\u02da \/ V : 72.7\u02da ~ 29.0\u02da \/ D : 132.0\u02da ~ 48.6\u02da",
                "0.5m(1.64ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "No",
                "No",
                "No",
                "No",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "IR Cut Filter",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "1",
                "1",
                "No"
            ],
            "NETWORK": [
                "5MP",
                "H.264,M-JPEG,H.265",
                "Yes",
                "10 profiles",
                "No",
                "Yes",
                "G.711 u-law\/G.726 selectable, G.726 (ADPCM) 8KHz, G.711 8KHz\r\nG.726 : 16Kbps, 24Kbps, 32Kbps, 40Kbps, AAC-LC : 48Kbps at 8\/16\/32\/48KHz",
                "20",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-40\u00b0C ~ +55\u00b0C (-40\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "IP67, IP66, NEMA 4X"
            ],
            "ELECTRICAL": [
                "POE,12V DC,24V AC",
                "PoE (IEEE802.3af)",
                "12.5W(12VDC), 12.95W(PoE), 14.5W(24VAC)"
            ],
            "MECHANICAL": [
                "IP66,NEMA 4X,IP67",
                "Yes"
            ]
        },
        "accessory": {
            "TYPE": [
                "BackBox"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-302PM_BackBox.jpg"
            ]
        },
        "Info": "2017 Year, Wisenet X Series, Bullet"
    },
    {
        "ModelName": "XND-8080R",
        "ImgUrl": "images\/network_camera\/XND-8080R.jpg",
        "Type": "Dome",
        "Year": "2017",
        "Series": "Wisenet X",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/1.8\"",
                "Yes",
                "6M",
                "0.07lux(F1.3, 1\/30sec)",
                "0Lux (F1.3, IR LED on)",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris,P-Iris",
                "Motorized Varifocal Lens",
                "Simple Focus,Manual Focus",
                "3.9 ~ 9.4mm",
                "2.4x",
                "F1.3",
                "H : 92.1\u02da ~ 38.7\u02da \/ V : 67.2\u02da ~ 29.0\u02da \/ D : 119.9\u02da ~ 48.6\u02da",
                "0.5m(1.64ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "0\u00b0 ~ 354\u00b0",
                "No",
                "No",
                "0\u00b0 ~ 67\u00b0",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "IR Cut Filter",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "1",
                "1",
                "No"
            ],
            "NETWORK": [
                "5MP",
                "H.264,M-JPEG,H.265",
                "Yes",
                "10 profiles",
                "No",
                "Yes",
                "G.711 u-law\/G.726 selectable, G.726 (ADPCM) 8KHz, G.711 8KHz\r\nG.726 : 16Kbps, 24Kbps, 32Kbps, 40Kbps, AAC-LC : 48Kbps at 8\/16\/32\/48KHz",
                "20",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-10\u00b0C ~ +55\u00b0C (+14\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "No"
            ],
            "ELECTRICAL": [
                "POE,12V DC",
                "PoE (IEEE802.3af)",
                "9W(12VDC), 10W(PoE)"
            ],
            "MECHANICAL": [
                "Indoor",
                "No"
            ]
        },
        "accessory": {
            "TYPE": [
                "Dome Flush Mount",
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)"
            ],
            "IMAGE": [
                "images\/accessory\/SHD-3000F4_Dome Flush Mount.jpg",
                "images\/accessory\/SBP-300HM8_Parapet Mount.jpg",
                "images\/accessory\/SBP-300HM8_Ceiling Mount.jpg",
                "images\/accessory\/SBP-300HM8_Wall Mount.jpg",
                "images\/accessory\/SBP-300HM8_Wall Mount(Curved neck).jpg"
            ]
        },
        "Info": "2017 Year, Wisenet X Series, Dome"
    },
    {
        "ModelName": "XND-8080RV",
        "ImgUrl": "images\/network_camera\/XND-8080RV.jpg",
        "Type": "Dome",
        "Year": "2017",
        "Series": "Wisenet X",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/1.8\"",
                "Yes",
                "6M",
                "0.07lux(F1.3, 1\/30sec)",
                "0Lux (F1.3, IR LED on)",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris,P-Iris",
                "Motorized Varifocal Lens",
                "Simple Focus,Manual Focus",
                "3.9 ~ 9.4mm",
                "2.4x",
                "F1.3",
                "H : 92.1\u02da ~ 38.7\u02da \/ V : 67.2\u02da ~ 29.0\u02da \/ D : 119.9\u02da ~ 48.6\u02da",
                "0.5m(1.64ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "0\u00b0 ~ 354\u00b0",
                "No",
                "No",
                "0\u00b0 ~ 67\u00b0",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "IR Cut Filter",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "1",
                "1",
                "No"
            ],
            "NETWORK": [
                "5MP",
                "H.264,M-JPEG,H.265",
                "Yes",
                "10 profiles",
                "No",
                "Yes",
                "G.711 u-law\/G.726 selectable, G.726 (ADPCM) 8KHz, G.711 8KHz\r\nG.726 : 16Kbps, 24Kbps, 32Kbps, 40Kbps, AAC-LC : 48Kbps at 8\/16\/32\/48KHz",
                "20",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-10\u00b0C ~ +55\u00b0C (+14\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "No"
            ],
            "ELECTRICAL": [
                "POE,12V DC",
                "PoE (IEEE802.3af)",
                "9W(12VDC), 10W(PoE)"
            ],
            "MECHANICAL": [
                "Indoor",
                "No"
            ]
        },
        "accessory": {
            "TYPE": [
                "Dome Flush Mount",
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)"
            ],
            "IMAGE": [
                "images\/accessory\/SHD-3000F4_Dome Flush Mount.jpg",
                "images\/accessory\/SBP-300HM8_Parapet Mount.jpg",
                "images\/accessory\/SBP-300HM8_Ceiling Mount.jpg",
                "images\/accessory\/SBP-300HM8_Wall Mount.jpg",
                "images\/accessory\/SBP-300HM8_Wall Mount(Curved neck).jpg"
            ]
        },
        "Info": "2017 Year, Wisenet X Series, Dome"
    },
    {
        "ModelName": "XNV-8080R",
        "ImgUrl": "images\/network_camera\/XNV-8080R.jpg",
        "Type": "Dome",
        "Year": "2017",
        "Series": "Wisenet X",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/1.8\"",
                "Yes",
                "6M",
                "0.07lux(F1.3, 1\/30sec)",
                "0Lux (F1.3, IR LED on)",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris,P-Iris",
                "Motorized Varifocal Lens",
                "Simple Focus,Manual Focus",
                "3.9 ~ 9.4mm",
                "2.4x",
                "F1.3",
                "H : 92.1\u02da ~ 38.7\u02da \/ V : 67.2\u02da ~ 29.0\u02da \/ D : 119.9\u02da ~ 48.6\u02da",
                "0.5m(1.64ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "0\u00b0 ~ 354\u00b0",
                "No",
                "No",
                "0\u00b0 ~ 67\u00b0",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "IR Cut Filter",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "1",
                "1",
                "No"
            ],
            "NETWORK": [
                "5MP",
                "H.264,M-JPEG,H.265",
                "Yes",
                "10 profiles",
                "No",
                "Yes",
                "G.711 u-law\/G.726 selectable, G.726 (ADPCM) 8KHz, G.711 8KHz\r\nG.726 : 16Kbps, 24Kbps, 32Kbps, 40Kbps, AAC-LC : 48Kbps at 8\/16\/32\/48KHz",
                "20",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-40\u00b0C ~ +55\u00b0C (-40\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "IP67, IP66, NEMA 4X"
            ],
            "ELECTRICAL": [
                "POE,12V DC,24V AC",
                "PoE (IEEE802.3af)",
                "11.5W(12VDC), 12.95W(PoE), 14W(24VAC)"
            ],
            "MECHANICAL": [
                "IP66,NEMA 4X,IP67",
                "Yes"
            ]
        },
        "accessory": {
            "TYPE": [
                "BackBox",
                "Dome Flush Mount",
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)"
            ],
            "IMAGE": [
                "images\/accessory\/SBV-158G_BackBox.jpg",
                "images\/accessory\/SHD-3000F1_Dome Flush Mount.jpg",
                "images\/accessory\/SBP-300HM6_Parapet Mount.jpg",
                "images\/accessory\/SBP-300HM6_Ceiling Mount.jpg",
                "images\/accessory\/SBP-300HM6_Wall Mount.jpg",
                "images\/accessory\/SBP-300HM6_Wall Mount(Curved neck).jpg"
            ]
        },
        "Info": "2017 Year, Wisenet X Series, Dome"
    },
    {
        "ModelName": "XNV-6080R",
        "ImgUrl": "images\/network_camera\/XNV-6080R.jpg",
        "Type": "Dome",
        "Year": "2017",
        "Series": "Wisenet X",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/2.8\"",
                "Yes",
                "2M",
                "0.015 lux(F1.4, 1.\/30sec)",
                "0Lux (F1.4, IR LED on)",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris,P-Iris",
                "Motorized Varifocal Lens",
                "Simple Focus,Manual Focus",
                "2.8 ~ 12mm",
                "4.3x",
                "F1.4(Wide) ~ F3.6(Tele)",
                "H : 119.5\u02da ~ 27.9\u02da \/ V : 62.8\u02da ~ 15.7\u02da \/ D : 142.1\u02da ~ 32.0\u02da",
                "0.5m (1.64ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "0\u00b0 ~ 354\u00b0",
                "No",
                "No",
                "0\u00b0 ~ 67\u00b0",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "IR Cut Filter",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "1",
                "1",
                "No"
            ],
            "NETWORK": [
                "2MP",
                "H.264,M-JPEG,H.265",
                "Yes",
                "10 Profiles",
                "No",
                "Yes",
                "G.711 u-law\/G.726 selectable, G.726 (ADPCM) 8KHz, G.711 8KHz\r\nG.726 : 16Kbps, 24Kbps, 32Kbps, 40Kbps, AAC-LC : 48Kbps at 8\/16\/32\/48KHz",
                "20",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-40\u00b0C ~ +55\u00b0C (-40\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "IP67, IP66, NEMA 4X"
            ],
            "ELECTRICAL": [
                "POE,12V DC,24V AC",
                "PoE (IEEE802.3af)",
                "11.5W(12VDC), 12.95W(PoE), 14W(24VAC)"
            ],
            "MECHANICAL": [
                "IP66,NEMA 4X,IP67",
                "Yes"
            ]
        },
        "accessory": {
            "TYPE": [
                "BackBox",
                "Dome Flush Mount",
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)"
            ],
            "IMAGE": [
                "images\/accessory\/SBV-158G_BackBox.jpg",
                "images\/accessory\/SHD-3000F1_Dome Flush Mount.jpg",
                "images\/accessory\/SBP-300HM6_Parapet Mount.jpg",
                "images\/accessory\/SBP-300HM6_Ceiling Mount.jpg",
                "images\/accessory\/SBP-300HM6_Wall Mount.jpg",
                "images\/accessory\/SBP-300HM6_Wall Mount(Curved neck).jpg"
            ]
        },
        "Info": "2017 Year, Wisenet X Series, Dome"
    },
    {
        "ModelName": "XNV-6080",
        "ImgUrl": "images\/network_camera\/XNV-6080.jpg",
        "Type": "Dome",
        "Year": "2017",
        "Series": "Wisenet X",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/2.8\"",
                "Yes",
                "2M",
                "0.015 lux(F1.4, 1.\/30sec)",
                "0.0015 Lux (F1.4, 1\/30sec)",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris,P-Iris",
                "Motorized Varifocal Lens",
                "Simple Focus,Manual Focus",
                "2.8 ~ 12mm",
                "4.3x",
                "F1.4(Wide) ~ F3.6(Tele)",
                "H : 119.5\u02da ~ 27.9\u02da \/ V : 62.8\u02da ~ 15.7\u02da \/ D : 142.1\u02da ~ 32.0\u02da",
                "0.5m (1.64ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "0\u00b0 ~ 354\u00b0",
                "No",
                "No",
                "0\u00b0 ~ 67\u00b0",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "IR Cut Filter",
                "Yes",
                "No",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "1",
                "1",
                "No"
            ],
            "NETWORK": [
                "2MP",
                "H.264,M-JPEG,H.265",
                "Yes",
                "10 Profiles",
                "No",
                "Yes",
                "G.711 u-law\/G.726 selectable, G.726 (ADPCM) 8KHz, G.711 8KHz\r\nG.726 : 16Kbps, 24Kbps, 32Kbps, 40Kbps, AAC-LC : 48Kbps at 8\/16\/32\/48KHz",
                "20",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-40\u00b0C ~ +55\u00b0C (-40\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "IP67, IP66, NEMA 4X"
            ],
            "ELECTRICAL": [
                "POE,12V DC,24V AC",
                "PoE (IEEE802.3af)",
                "7W(12VDC), 7.8W(PoE), 8.2W(24VAC)"
            ],
            "MECHANICAL": [
                "IP66,NEMA 4X,IP67",
                "Yes"
            ]
        },
        "accessory": {
            "TYPE": [
                "BackBox",
                "Dome Flush Mount",
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)"
            ],
            "IMAGE": [
                "images\/accessory\/SBV-158G_BackBox.jpg",
                "images\/accessory\/SHD-3000F1_Dome Flush Mount.jpg",
                "images\/accessory\/SBP-300HM6_Parapet Mount.jpg",
                "images\/accessory\/SBP-300HM6_Ceiling Mount.jpg",
                "images\/accessory\/SBP-300HM6_Wall Mount.jpg",
                "images\/accessory\/SBP-300HM6_Wall Mount(Curved neck).jpg"
            ]
        },
        "Info": "2017 Year, Wisenet X Series, Dome"
    },
    {
        "ModelName": "XND-6080",
        "ImgUrl": "images\/network_camera\/XND-6080.jpg",
        "Type": "Dome",
        "Year": "2017",
        "Series": "Wisenet X",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/2.8\"",
                "Yes",
                "2M",
                "0.015 lux(F1.4, 1.\/30sec)",
                "0.0015 Lux (F1.4, 1\/30sec)",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris,P-Iris",
                "Motorized Varifocal Lens",
                "Simple Focus,Manual Focus",
                "2.8 ~ 12mm",
                "4.3x",
                "F1.4(Wide) ~ F3.6(Tele)",
                "H : 119.5\u02da ~ 27.9\u02da \/ V : 62.8\u02da ~ 15.7\u02da \/ D : 142.1\u02da ~ 32.0\u02da",
                "0.5m (1.64ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "0\u00b0 ~ 354\u00b0",
                "No",
                "No",
                "0\u00b0 ~ 67\u00b0",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "IR Cut Filter",
                "Yes",
                "No",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "1",
                "1",
                "No"
            ],
            "NETWORK": [
                "2MP",
                "H.264,M-JPEG,H.265",
                "Yes",
                "10 Profiles",
                "No",
                "Yes",
                "G.711 u-law\/G.726 selectable, G.726 (ADPCM) 8KHz, G.711 8KHz\r\nG.726 : 16Kbps, 24Kbps, 32Kbps, 40Kbps, AAC-LC : 48Kbps at 8\/16\/32\/48KHz",
                "20",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-10\u00b0C ~ +55\u00b0C (+14\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "No"
            ],
            "ELECTRICAL": [
                "POE,12V DC",
                "PoE (IEEE802.3af)",
                "6W(12VDC), 6.5W(PoE)"
            ],
            "MECHANICAL": [
                "Indoor",
                "No"
            ]
        },
        "accessory": {
            "TYPE": [
                "Dome Flush Mount",
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)"
            ],
            "IMAGE": [
                "images\/accessory\/SHD-3000F4_Dome Flush Mount.jpg",
                "images\/accessory\/SBP-300HM8_Parapet Mount.jpg",
                "images\/accessory\/SBP-300HM8_Ceiling Mount.jpg",
                "images\/accessory\/SBP-300HM8_Wall Mount.jpg",
                "images\/accessory\/SBP-300HM8_Wall Mount(Curved neck).jpg"
            ]
        },
        "Info": "2017 Year, Wisenet X Series, Dome"
    },
    {
        "ModelName": "XND-6080V",
        "ImgUrl": "images\/network_camera\/XND-6080V.jpg",
        "Type": "Dome",
        "Year": "2017",
        "Series": "Wisenet X",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/2.8\"",
                "Yes",
                "2M",
                "0.015 lux(F1.4, 1.\/30sec)",
                "0.0015 Lux (F1.4, 1\/30sec)",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris,P-Iris",
                "Motorized Varifocal Lens",
                "Simple Focus,Manual Focus",
                "2.8 ~ 12mm",
                "4.3x",
                "F1.4(Wide) ~ F3.6(Tele)",
                "H : 119.5\u02da ~ 27.9\u02da \/ V : 62.8\u02da ~ 15.7\u02da \/ D : 142.1\u02da ~ 32.0\u02da",
                "0.5m (1.64ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "0\u00b0 ~ 354\u00b0",
                "No",
                "No",
                "0\u00b0 ~ 67\u00b0",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "IR Cut Filter",
                "Yes",
                "No",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "1",
                "1",
                "No"
            ],
            "NETWORK": [
                "2MP",
                "H.264,M-JPEG,H.265",
                "Yes",
                "10 Profiles",
                "No",
                "Yes",
                "G.711 u-law\/G.726 selectable, G.726 (ADPCM) 8KHz, G.711 8KHz\r\nG.726 : 16Kbps, 24Kbps, 32Kbps, 40Kbps, AAC-LC : 48Kbps at 8\/16\/32\/48KHz",
                "20",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-10\u00b0C ~ +55\u00b0C (+14\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "No"
            ],
            "ELECTRICAL": [
                "POE,12V DC",
                "PoE (IEEE802.3af)",
                "6W(12VDC), 6.5W(PoE)"
            ],
            "MECHANICAL": [
                "Indoor",
                "No"
            ]
        },
        "accessory": {
            "TYPE": [
                "Dome Flush Mount",
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)"
            ],
            "IMAGE": [
                "images\/accessory\/SHD-3000F4_Dome Flush Mount.jpg",
                "images\/accessory\/SBP-300HM8_Parapet Mount.jpg",
                "images\/accessory\/SBP-300HM8_Ceiling Mount.jpg",
                "images\/accessory\/SBP-300HM8_Wall Mount.jpg",
                "images\/accessory\/SBP-300HM8_Wall Mount(Curved neck).jpg"
            ]
        },
        "Info": "2017 Year, Wisenet X Series, Dome"
    },
    {
        "ModelName": "XND-6080R",
        "ImgUrl": "images\/network_camera\/XND-6080R.jpg",
        "Type": "Dome",
        "Year": "2017",
        "Series": "Wisenet X",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/2.8\"",
                "Yes",
                "2M",
                "0.015 lux(F1.4, 1.\/30sec)",
                "0Lux (F1.4, IR LED on)",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris,P-Iris",
                "Motorized Varifocal Lens",
                "Simple Focus,Manual Focus",
                "2.8 ~ 12mm",
                "4.3x",
                "F1.4(Wide) ~ F3.6(Tele)",
                "H : 119.5\u02da ~ 27.9\u02da \/ V : 62.8\u02da ~ 15.7\u02da \/ D : 142.1\u02da ~ 32.0\u02da",
                "0.5m (1.64ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "0\u00b0 ~ 354\u00b0",
                "No",
                "No",
                "0\u00b0 ~ 67\u00b0",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "IR Cut Filter",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "1",
                "1",
                "No"
            ],
            "NETWORK": [
                "2MP",
                "H.264,M-JPEG,H.265",
                "Yes",
                "10 Profiles",
                "No",
                "Yes",
                "G.711 u-law\/G.726 selectable, G.726 (ADPCM) 8KHz, G.711 8KHz\r\nG.726 : 16Kbps, 24Kbps, 32Kbps, 40Kbps, AAC-LC : 48Kbps at 8\/16\/32\/48KHz",
                "20",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-10\u00b0C ~ +55\u00b0C (+14\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "No"
            ],
            "ELECTRICAL": [
                "POE,12V DC",
                "PoE (IEEE802.3af)",
                "9W(12VDC), 10W(PoE)"
            ],
            "MECHANICAL": [
                "Indoor",
                "No"
            ]
        },
        "accessory": {
            "TYPE": [
                "Dome Flush Mount",
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)"
            ],
            "IMAGE": [
                "images\/accessory\/SHD-3000F4_Dome Flush Mount.jpg",
                "images\/accessory\/SBP-300HM8_Parapet Mount.jpg",
                "images\/accessory\/SBP-300HM8_Ceiling Mount.jpg",
                "images\/accessory\/SBP-300HM8_Wall Mount.jpg",
                "images\/accessory\/SBP-300HM8_Wall Mount(Curved neck).jpg"
            ]
        },
        "Info": "2017 Year, Wisenet X Series, Dome"
    },
    {
        "ModelName": "XND-6080RV",
        "ImgUrl": "images\/network_camera\/XND-6080RV.jpg",
        "Type": "Dome",
        "Year": "2017",
        "Series": "Wisenet X",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/2.8\"",
                "Yes",
                "2M",
                "0.015 lux(F1.4, 1.\/30sec)",
                "0Lux (F1.4, IR LED on)",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris,P-Iris",
                "Motorized Varifocal Lens",
                "Simple Focus,Manual Focus",
                "2.8 ~ 12mm",
                "4.3x",
                "F1.4(Wide) ~ F3.6(Tele)",
                "H : 119.5\u02da ~ 27.9\u02da \/ V : 62.8\u02da ~ 15.7\u02da \/ D : 142.1\u02da ~ 32.0\u02da",
                "0.5m (1.64ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "0\u00b0 ~ 354\u00b0",
                "No",
                "No",
                "0\u00b0 ~ 67\u00b0",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "IR Cut Filter",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "1",
                "1",
                "No"
            ],
            "NETWORK": [
                "2MP",
                "H.264,M-JPEG,H.265",
                "Yes",
                "10 Profiles",
                "No",
                "Yes",
                "G.711 u-law\/G.726 selectable, G.726 (ADPCM) 8KHz, G.711 8KHz\r\nG.726 : 16Kbps, 24Kbps, 32Kbps, 40Kbps, AAC-LC : 48Kbps at 8\/16\/32\/48KHz",
                "20",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-10\u00b0C ~ +55\u00b0C (+14\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "No"
            ],
            "ELECTRICAL": [
                "POE,12V DC",
                "PoE (IEEE802.3af)",
                "9W(12VDC), 10W(PoE)"
            ],
            "MECHANICAL": [
                "Indoor",
                "No"
            ]
        },
        "accessory": {
            "TYPE": [
                "Dome Flush Mount",
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)"
            ],
            "IMAGE": [
                "images\/accessory\/SHD-3000F4_Dome Flush Mount.jpg",
                "images\/accessory\/SBP-300HM8_Parapet Mount.jpg",
                "images\/accessory\/SBP-300HM8_Ceiling Mount.jpg",
                "images\/accessory\/SBP-300HM8_Wall Mount.jpg",
                "images\/accessory\/SBP-300HM8_Wall Mount(Curved neck).jpg"
            ]
        },
        "Info": "2017 Year, Wisenet X Series, Dome"
    },
    {
        "ModelName": "XNO-6080R",
        "ImgUrl": "images\/network_camera\/XNO-6080R.jpg",
        "Type": "Bullet",
        "Year": "2017",
        "Series": "Wisenet X",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/2.8\"",
                "Yes",
                "2M",
                "0.015Lux (F1.4, 1\/30sec)",
                "0Lux (F1.4, IR LED on)",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris,P-Iris",
                "Motorized Varifocal Lens",
                "Simple Focus,Manual Focus",
                "2.8 ~ 12mm",
                "4.3x",
                "F1.4(Wide) ~ F3.6(Tele)",
                "H : 119.5\u02da ~ 27.9\u02da \/ V : 62.8\u02da ~ 15.7\u02da \/ D : 142.1\u02da ~ 32.0\u02da",
                "0.5m (1.64ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "No",
                "No",
                "No",
                "No",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "IR Cut Filter",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "1",
                "1",
                "No"
            ],
            "NETWORK": [
                "2MP",
                "H.264,M-JPEG,H.265",
                "Yes",
                "10 Profiles",
                "No",
                "Yes",
                "G.711 u-law\/G.726 selectable, G.726 (ADPCM) 8KHz, G.711 8KHz\r\nG.726 : 16Kbps, 24Kbps, 32Kbps, 40Kbps, AAC-LC : 48Kbps at 8\/16\/32\/48KHz",
                "20",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-40\u00b0C ~ +55\u00b0C (-40\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "IP67, IP66, NEMA 4X"
            ],
            "ELECTRICAL": [
                "POE,12V DC,24V AC",
                "PoE (IEEE802.3af)",
                "12W(12VDC), 12.95W(PoE), 15W(24VAC)"
            ],
            "MECHANICAL": [
                "IP66,IP67,NEMA 4X",
                "Yes"
            ]
        },
        "accessory": {
            "TYPE": [
                "BackBox"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-302PM_BackBox.jpg"
            ]
        },
        "Info": "2017 Year, Wisenet X Series, Bullet"
    },
    {
        "ModelName": "XNB-6000",
        "ImgUrl": "images\/network_camera\/XNB-6000.jpg",
        "Type": "Box",
        "Year": "2017",
        "Series": "Wisenet X",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/2.8\"",
                "Yes",
                "2M",
                "0.01 Lux (F1.2, 1\/30sec)",
                "0.001 Lux (F1.2, 1\/30sec)",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris,P-Iris,Manual Iris",
                "No",
                "Simple Focus,Manual Focus",
                "No",
                "No",
                "No",
                "No",
                "No"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "No",
                "No",
                "No",
                "No",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "IR Cut Filter",
                "Yes",
                "No",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "1",
                "1",
                "Yes"
            ],
            "NETWORK": [
                "2MP",
                "H.264,M-JPEG,H.265",
                "Yes",
                "10 Profiles",
                "No",
                "Yes",
                "G.711 u-law\/G.726 selectable, G.726 (ADPCM) 8KHz, G.711 8KHz\r\nG.726 : 16Kbps, 24Kbps, 32Kbps, 40Kbps, AAC-LC : 48Kbps at 8\/16\/32\/48KHz",
                "20",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-10\u00b0C ~ +55\u00b0C (+14\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "No"
            ],
            "ELECTRICAL": [
                "POE,12V DC,24V AC",
                "PoE (IEEE802.3af)",
                "6.5W(12VDC), 7.5W(PoE), 8W(24VAC)"
            ],
            "MECHANICAL": [
                "Indoor",
                "No"
            ]
        },
        "accessory": {
            "TYPE": [],
            "IMAGE": []
        },
        "Info": "2017 Year, Wisenet X Series, Box"
    },
    {
        "ModelName": "XND-6010",
        "ImgUrl": "images\/network_camera\/XND-6010.jpg",
        "Type": "Dome",
        "Year": "2017",
        "Series": "Wisenet X",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/2.8\"",
                "Yes",
                "2M",
                "0.055 lux(F2.0, 1\/30sec)",
                "0.0055Lux(F2.0, 1\/30sec)",
                "Yes"
            ],
            "LENS": [
                "Fixed Iris",
                "Fixed Lens",
                "Manual Focus",
                "2.4mm",
                "No",
                "F2.0",
                "H : 139.0\u02da \/ V : 73.0\u02da \/ D : 167.0\u02da",
                "0.4m (1.31ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "0\u00b0 ~ 354\u00b0",
                "No",
                "No",
                "0\u00b0 ~ 67\u00b0",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "IR Cut Filter",
                "Yes",
                "No",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "1",
                "1",
                "No"
            ],
            "NETWORK": [
                "2MP",
                "H.264,M-JPEG,H.265",
                "Yes",
                "10 Profiles",
                "No",
                "Yes",
                "G.711 u-law\/G.726 selectable, G.726 (ADPCM) 8KHz, G.711 8KHz\r\nG.726 : 16Kbps, 24Kbps, 32Kbps, 40Kbps, AAC-LC : 48Kbps at 8\/16\/32\/48KHz",
                "20",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-10\u00b0C ~ +55\u00b0C (+14\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "No"
            ],
            "ELECTRICAL": [
                "POE,12V DC",
                "PoE (IEEE802.3af, Class3)",
                "5.5W(12VDC), 6W(PoE)"
            ],
            "MECHANICAL": [
                "Indoor",
                "No"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-300HM7_Parapet Mount.jpg",
                "images\/accessory\/SBP-300HM7_Ceiling Mount.jpg",
                "images\/accessory\/SBP-300HM7_Wall Mount.jpg",
                "images\/accessory\/SBP-300HM7_Wall Mount(Curved neck).jpg"
            ]
        },
        "Info": "2017 Year, Wisenet X Series, Dome"
    },
    {
        "ModelName": "XNV-6010",
        "ImgUrl": "images\/network_camera\/XNV-6010.jpg",
        "Type": "Dome",
        "Year": "2017",
        "Series": "Wisenet X",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/2.8\"",
                "Yes",
                "2M",
                "0.055 lux(F2.0, 1\/30sec)",
                "0.0055Lux(F2.0, 1\/30sec)",
                "Yes"
            ],
            "LENS": [
                "Fixed Iris",
                "Fixed Lens",
                "Manual Focus",
                "2.4mm",
                "No",
                "F2.0",
                "H : 139.0\u02da \/ V : 73.0\u02da \/ D : 167.0\u02da",
                "0.4m (1.31ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "0\u00b0 ~ 354\u00b0",
                "No",
                "No",
                "0\u00b0 ~ 67\u00b0",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "IR Cut Filter",
                "Yes",
                "No",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "1",
                "1",
                "No"
            ],
            "NETWORK": [
                "2MP",
                "H.264,M-JPEG,H.265",
                "Yes",
                "10 Profiles",
                "No",
                "Yes",
                "G.711 u-law\/G.726 selectable, G.726 (ADPCM) 8KHz, G.711 8KHz\r\nG.726 : 16Kbps, 24Kbps, 32Kbps, 40Kbps, AAC-LC : 48Kbps at 8\/16\/32\/48KHz",
                "20",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-30\u00b0C ~ +55\u00b0C (-22\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "IP67, IP66"
            ],
            "ELECTRICAL": [
                "POE,12V DC",
                "PoE (IEEE802.3af, Class3)",
                "5.5W(12VDC), 6W(PoE)"
            ],
            "MECHANICAL": [
                "IP66,IP67",
                "Yes"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-122HM_Parapet Mount.jpg",
                "images\/accessory\/SBP-122HM_Ceiling Mount.jpg",
                "images\/accessory\/SBP-122HM_Wall Mount.jpg",
                "images\/accessory\/SBP-122HM_Wall Mount(Curved neck).jpg"
            ]
        },
        "Info": "2017 Year, Wisenet X Series, Dome"
    },
    {
        "ModelName": "XND-6020R",
        "ImgUrl": "images\/network_camera\/XND-6020R.jpg",
        "Type": "Dome",
        "Year": "2017",
        "Series": "Wisenet X",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/2.8\"",
                "Yes",
                "2M",
                "0.015 lux(F1.4, 1\/30sec)",
                "0Lux(IR LED On)",
                "Yes"
            ],
            "LENS": [
                "Fixed Iris",
                "Fixed Lens",
                "Manual Focus",
                "4mm",
                "No",
                "F1.4",
                "H : 88.6\u02da \/ V : 47.5\u02da \/ D : 104.8\u02da",
                "0.4m (1.31ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "0\u00b0 ~ 354\u00b0",
                "No",
                "No",
                "0\u00b0 ~ 67\u00b0",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "IR Cut Filter",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "1",
                "1",
                "No"
            ],
            "NETWORK": [
                "2MP",
                "H.264,M-JPEG,H.265",
                "Yes",
                "10 Profiles",
                "No",
                "Yes",
                "G.711 u-law\/G.726 selectable, G.726 (ADPCM) 8KHz, G.711 8KHz\r\nG.726 : 16Kbps, 24Kbps, 32Kbps, 40Kbps, AAC-LC : 48Kbps at 8\/16\/32\/48KHz\r\n",
                "20",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-10\u00b0C ~ +55\u00b0C (+14\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "No"
            ],
            "ELECTRICAL": [
                "POE,12V DC",
                "PoE (IEEE802.3af)",
                "8W (12VDC), 9W (PoE)"
            ],
            "MECHANICAL": [
                "Indoor",
                "No"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-300HM7_Parapet Mount.jpg",
                "images\/accessory\/SBP-300HM7_Ceiling Mount.jpg",
                "images\/accessory\/SBP-300HM7_Wall Mount.jpg",
                "images\/accessory\/SBP-300HM7_Wall Mount(Curved neck).jpg"
            ]
        },
        "Info": "2017 Year, Wisenet X Series, Dome"
    },
    {
        "ModelName": "XNV-6020R",
        "ImgUrl": "images\/network_camera\/XNV-6020R.jpg",
        "Type": "Dome",
        "Year": "2017",
        "Series": "Wisenet X",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/2.8\"",
                "Yes",
                "2M",
                "0.015 lux(F1.4, 1\/30sec)",
                "0Lux(IR LED On)",
                "Yes"
            ],
            "LENS": [
                "Fixed Iris",
                "Fixed Lens",
                "Manual Focus",
                "4mm",
                "No",
                "F1.4",
                "H : 88.6\u02da \/ V : 47.5\u02da \/ D : 104.8\u02da",
                "0.4m (1.31ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "0\u00b0 ~ 354\u00b0",
                "No",
                "No",
                "0\u00b0 ~ 67\u00b0",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "IR Cut Filter",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "1",
                "1",
                "No"
            ],
            "NETWORK": [
                "2MP",
                "H.264,M-JPEG,H.265",
                "Yes",
                "10 Profiles",
                "No",
                "Yes",
                "G.711 u-law\/G.726 selectable, G.726 (ADPCM) 8KHz, G.711 8KHz\r\nG.726 : 16Kbps, 24Kbps, 32Kbps, 40Kbps, AAC-LC : 48Kbps at 8\/16\/32\/48KHz\r\n",
                "20",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-30\u00b0C ~ +55\u00b0C (-22\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "IP67, IP66"
            ],
            "ELECTRICAL": [
                "POE,12V DC",
                "PoE (IEEE802.3af)",
                "8W (12VDC), 9W (PoE)"
            ],
            "MECHANICAL": [
                "IP66,IP67",
                "Yes"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-122HM_Parapet Mount.jpg",
                "images\/accessory\/SBP-122HM_Ceiling Mount.jpg",
                "images\/accessory\/SBP-122HM_Wall Mount.jpg",
                "images\/accessory\/SBP-122HM_Wall Mount(Curved neck).jpg"
            ]
        },
        "Info": "2017 Year, Wisenet X Series, Dome"
    },
    {
        "ModelName": "XNO-6010R",
        "ImgUrl": "images\/network_camera\/XNO-6010R.jpg",
        "Type": "Bullet",
        "Year": "2017",
        "Series": "Wisenet X",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/2.8\"",
                "Yes",
                "2M",
                "0.055 lux(F2.0, 1\/30sec)",
                "0Lux(IR LED On)",
                "Yes"
            ],
            "LENS": [
                "Fixed Iris",
                "Fixed Lens",
                "Manual Focus",
                "2.4mm",
                "No",
                "F2.0",
                "H : 139.0\u02da \/ V : 73.0\u02da \/ D : 167.0\u02da",
                "0.4m (1.31ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "No",
                "No",
                "No",
                "No",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "IR Cut Filter",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "1",
                "1",
                "No"
            ],
            "NETWORK": [
                "2MP",
                "H.264,M-JPEG,H.265",
                "Yes",
                "10 Profiles",
                "No",
                "Yes",
                "G.711 u-law\/G.726 selectable, G.726 (ADPCM) 8KHz, G.711 8KHz\r\nG.726 : 16Kbps, 24Kbps, 32Kbps, 40Kbps, AAC-LC : 48Kbps at 8\/16\/32\/48KHz\r\n",
                "20",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-30\u00b0C ~ +55\u00b0C (-22\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "IP67, IP66, NEMA 4X"
            ],
            "ELECTRICAL": [
                "POE,12V DC",
                "PoE (IEEE802.3af)",
                "8.8W (12VDC), 9.7W (PoE)"
            ],
            "MECHANICAL": [
                "IP66,IP67,NEMA 4X",
                "Yes"
            ]
        },
        "accessory": {
            "TYPE": [
                "BackBox"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-302PM_BackBox.jpg"
            ]
        },
        "Info": "2017 Year, Wisenet X Series, Bullet"
    },
    {
        "ModelName": "XNO-6020R",
        "ImgUrl": "images\/network_camera\/XNO-6020R.jpg",
        "Type": "Bullet",
        "Year": "2017",
        "Series": "Wisenet X",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/2.8\"",
                "Yes",
                "2M",
                "0.015 lux(F1.4, 1\/30sec)",
                "0Lux(IR LED On)",
                "Yes"
            ],
            "LENS": [
                "Fixed Iris",
                "Fixed Lens",
                "Manual Focus",
                "4mm",
                "No",
                "F1.4",
                "H : 88.6\u02da \/ V : 47.5\u02da \/ D : 104.8\u02da",
                "0.4m (1.31ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "No",
                "No",
                "No",
                "No",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "IR Cut Filter",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "1",
                "1",
                "No"
            ],
            "NETWORK": [
                "2MP",
                "H.264,M-JPEG,H.265",
                "Yes",
                "10 Profiles",
                "No",
                "Yes",
                "G.711 u-law\/G.726 selectable, G.726 (ADPCM) 8KHz, G.711 8KHz\r\nG.726 : 16Kbps, 24Kbps, 32Kbps, 40Kbps, AAC-LC : 48Kbps at 8\/16\/32\/48KHz\r\n",
                "20",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-30\u00b0C ~ +55\u00b0C (-22\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "IP67, IP66, NEMA 4X"
            ],
            "ELECTRICAL": [
                "POE,12V DC",
                "PoE (IEEE802.3af)",
                "8.8W (12VDC), 9.7W (PoE)"
            ],
            "MECHANICAL": [
                "IP66,IP67,NEMA 4X",
                "Yes"
            ]
        },
        "accessory": {
            "TYPE": [
                "BackBox"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-302PM_BackBox.jpg"
            ]
        },
        "Info": "2017 Year, Wisenet X Series, Bullet"
    },
    {
        "ModelName": "XND-8020R",
        "ImgUrl": "images\/network_camera\/XND-8020R.jpg",
        "Type": "Dome",
        "Year": "2017",
        "Series": "Wisenet X",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/1.8\"",
                "Yes",
                "5M",
                "0.16Lux (F1.6, 1\/30sec)",
                "0Lux(IR LED On)",
                "Yes"
            ],
            "LENS": [
                "Fixed Iris",
                "Fixed Lens",
                "Manual Focus",
                "3.7mm",
                "No",
                "F1.6",
                "H : 97.5\u02da \/ V : 71.9\u02da \/ D : 126.2\u02da",
                "0.4m (1.31ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "0\u00b0 ~ 354\u00b0",
                "No",
                "No",
                "0\u00b0 ~ 67\u00b0",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "IR Cut Filter",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "1",
                "1",
                "No"
            ],
            "NETWORK": [
                "5MP",
                "H.264,M-JPEG,H.265",
                "Yes",
                "10 Profiles",
                "No",
                "Yes",
                "G.711 u-law\/G.726 selectable, G.726 (ADPCM) 8KHz, G.711 8KHz\r\nG.726 : 16Kbps, 24Kbps, 32Kbps, 40Kbps, AAC-LC : 48Kbps at 8\/16\/32\/48KHz\r\n",
                "20",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-10\u00b0C ~ +55\u00b0C (+14\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "No"
            ],
            "ELECTRICAL": [
                "POE,12V DC",
                "PoE (IEEE802.3af)",
                "8W (12VDC), 9W (PoE)"
            ],
            "MECHANICAL": [
                "Indoor",
                "No"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-300HM7_Parapet Mount.jpg",
                "images\/accessory\/SBP-300HM7_Ceiling Mount.jpg",
                "images\/accessory\/SBP-300HM7_Wall Mount.jpg",
                "images\/accessory\/SBP-300HM7_Wall Mount(Curved neck).jpg"
            ]
        },
        "Info": "2017 Year, Wisenet X Series, Dome"
    },
    {
        "ModelName": "XND-8030R",
        "ImgUrl": "images\/network_camera\/XND-8030R.jpg",
        "Type": "Dome",
        "Year": "2017",
        "Series": "Wisenet X",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/1.8\"",
                "Yes",
                "5M",
                "0.16Lux (F1.6, 1\/30sec)",
                "0Lux(IR LED On)",
                "Yes"
            ],
            "LENS": [
                "Fixed Iris",
                "Fixed Lens",
                "Manual Focus",
                "4.6mm",
                "No",
                "F1.6",
                "H : 77.9\u02da \/ V : 57.9\u02da \/ D : 98.7\u02da",
                "0.4m (1.31ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "0\u00b0 ~ 354\u00b0",
                "No",
                "No",
                "0\u00b0 ~ 67\u00b0",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "IR Cut Filter",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "1",
                "1",
                "No"
            ],
            "NETWORK": [
                "5MP",
                "H.264,M-JPEG,H.265",
                "Yes",
                "10 Profiles",
                "No",
                "Yes",
                "G.711 u-law\/G.726 selectable, G.726 (ADPCM) 8KHz, G.711 8KHz\r\nG.726 : 16Kbps, 24Kbps, 32Kbps, 40Kbps, AAC-LC : 48Kbps at 8\/16\/32\/48KHz\r\n",
                "20",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-10\u00b0C ~ +55\u00b0C (+14\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "No"
            ],
            "ELECTRICAL": [
                "POE,12V DC",
                "PoE (IEEE802.3af)",
                "8W (12VDC), 9W (PoE)"
            ],
            "MECHANICAL": [
                "Indoor",
                "No"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-300HM7_Parapet Mount.jpg",
                "images\/accessory\/SBP-300HM7_Ceiling Mount.jpg",
                "images\/accessory\/SBP-300HM7_Wall Mount.jpg",
                "images\/accessory\/SBP-300HM7_Wall Mount(Curved neck).jpg"
            ]
        },
        "Info": "2017 Year, Wisenet X Series, Dome"
    },
    {
        "ModelName": "XND-8040R",
        "ImgUrl": "images\/network_camera\/XND-8040R.jpg",
        "Type": "Dome",
        "Year": "2017",
        "Series": "Wisenet X",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/1.8\"",
                "Yes",
                "5M",
                "0.16Lux (F1.6, 1\/30sec)",
                "0Lux(IR LED On)",
                "Yes"
            ],
            "LENS": [
                "Fixed Iris",
                "Fixed Lens",
                "Manual Focus",
                "7mm",
                "No",
                "F1.6",
                "H : 50.7\u00b0 \/ V : 37.8\u00b0 \/ D : 63.8\u00b0",
                "0.4m (1.31ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "0\u00b0 ~ 354\u00b0",
                "No",
                "No",
                "0\u00b0 ~ 67\u00b0",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "IR Cut Filter",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "1",
                "1",
                "No"
            ],
            "NETWORK": [
                "5MP",
                "H.264,M-JPEG,H.265",
                "Yes",
                "10 Profiles",
                "No",
                "Yes",
                "G.711 u-law\/G.726 selectable, G.726 (ADPCM) 8KHz, G.711 8KHz\r\nG.726 : 16Kbps, 24Kbps, 32Kbps, 40Kbps, AAC-LC : 48Kbps at 8\/16\/32\/48KHz\r\n",
                "20",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-10\u00b0C ~ +55\u00b0C (+14\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "No"
            ],
            "ELECTRICAL": [
                "POE,12V DC",
                "PoE (IEEE802.3af)",
                "8W (12VDC), 9W (PoE)"
            ],
            "MECHANICAL": [
                "Indoor",
                "No"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-300HM7_Parapet Mount.jpg",
                "images\/accessory\/SBP-300HM7_Ceiling Mount.jpg",
                "images\/accessory\/SBP-300HM7_Wall Mount.jpg",
                "images\/accessory\/SBP-300HM7_Wall Mount(Curved neck).jpg"
            ]
        },
        "Info": "2017 Year, Wisenet X Series, Dome"
    },
    {
        "ModelName": "XNV-8020R",
        "ImgUrl": "images\/network_camera\/XNV-8020R.jpg",
        "Type": "Dome",
        "Year": "2017",
        "Series": "Wisenet X",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/1.8\"",
                "Yes",
                "5M",
                "0.16Lux (F1.6, 1\/30sec)",
                "0Lux(IR LED On)",
                "Yes"
            ],
            "LENS": [
                "Fixed Iris",
                "Fixed Lens",
                "Manual Focus",
                "3.7mm",
                "No",
                "F1.6",
                "H : 97.5\u00b0 \/ V : 71.9\u00b0 \/ D : 126.2\u00b0",
                "0.4m (1.31ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "0\u00b0 ~ 354\u00b0",
                "No",
                "No",
                "0\u00b0 ~ 67\u00b0",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "IR Cut Filter",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "1",
                "1",
                "No"
            ],
            "NETWORK": [
                "5MP",
                "H.264,M-JPEG,H.265",
                "Yes",
                "10 Profiles",
                "No",
                "Yes",
                "G.711 u-law\/G.726 selectable, G.726 (ADPCM) 8KHz, G.711 8KHz\r\nG.726 : 16Kbps, 24Kbps, 32Kbps, 40Kbps, AAC-LC : 48Kbps at 8\/16\/32\/48KHz\r\n",
                "20",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-30\u00b0C ~ +55\u00b0C (-22\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "IP67, IP66"
            ],
            "ELECTRICAL": [
                "POE,12V DC",
                "PoE (IEEE802.3af)",
                "8W (12VDC), 9W (PoE)"
            ],
            "MECHANICAL": [
                "IP66,IP67",
                "Yes"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-122HM_Parapet Mount.jpg",
                "images\/accessory\/SBP-122HM_Ceiling Mount.jpg",
                "images\/accessory\/SBP-122HM_Wall Mount.jpg",
                "images\/accessory\/SBP-122HM_Wall Mount(Curved neck).jpg"
            ]
        },
        "Info": "2017 Year, Wisenet X Series, Dome"
    },
    {
        "ModelName": "XNV-8030R",
        "ImgUrl": "images\/network_camera\/XNV-8030R.jpg",
        "Type": "Dome",
        "Year": "2017",
        "Series": "Wisenet X",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/1.8\"",
                "Yes",
                "5M",
                "0.16Lux (F1.6, 1\/30sec)",
                "0Lux(IR LED On)",
                "Yes"
            ],
            "LENS": [
                "Fixed Iris",
                "Fixed Lens",
                "Manual Focus",
                "4.6mm",
                "No",
                "F1.6",
                "H : 77.9\u00b0 \/ V : 57.9\u00b0 \/ D : 98.7\u00b0",
                "0.4m (1.31ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "0\u00b0 ~ 354\u00b0",
                "No",
                "No",
                "0\u00b0 ~ 67\u00b0",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "IR Cut Filter",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "1",
                "1",
                "No"
            ],
            "NETWORK": [
                "5MP",
                "H.264,M-JPEG,H.265",
                "Yes",
                "10 Profiles",
                "No",
                "Yes",
                "G.711 u-law\/G.726 selectable, G.726 (ADPCM) 8KHz, G.711 8KHz\r\nG.726 : 16Kbps, 24Kbps, 32Kbps, 40Kbps, AAC-LC : 48Kbps at 8\/16\/32\/48KHz\r\n",
                "20",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-30\u00b0C ~ +55\u00b0C (-22\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "IP67, IP66"
            ],
            "ELECTRICAL": [
                "POE,12V DC",
                "PoE (IEEE802.3af)",
                "8W (12VDC), 9W (PoE)"
            ],
            "MECHANICAL": [
                "IP66,IP67",
                "Yes"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-122HM_Parapet Mount.jpg",
                "images\/accessory\/SBP-122HM_Ceiling Mount.jpg",
                "images\/accessory\/SBP-122HM_Wall Mount.jpg",
                "images\/accessory\/SBP-122HM_Wall Mount(Curved neck).jpg"
            ]
        },
        "Info": "2017 Year, Wisenet X Series, Dome"
    },
    {
        "ModelName": "XNV-8040R",
        "ImgUrl": "images\/network_camera\/XNV-8040R.jpg",
        "Type": "Dome",
        "Year": "2017",
        "Series": "Wisenet X",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/1.8\"",
                "Yes",
                "5M",
                "0.16Lux (F1.6, 1\/30sec)",
                "0Lux(IR LED On)",
                "Yes"
            ],
            "LENS": [
                "Fixed Iris",
                "Fixed Lens",
                "Manual Focus",
                "7mm",
                "No",
                "F1.6",
                "H : 50.7\u00b0 \/ V : 37.8\u00b0 \/ D : 63.8\u00b0",
                "0.4m (1.31ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "0\u00b0 ~ 354\u00b0",
                "No",
                "No",
                "0\u00b0 ~ 67\u00b0",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "IR Cut Filter",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "1",
                "1",
                "No"
            ],
            "NETWORK": [
                "5MP",
                "H.264,M-JPEG,H.265",
                "Yes",
                "10 Profiles",
                "No",
                "Yes",
                "G.711 u-law\/G.726 selectable, G.726 (ADPCM) 8KHz, G.711 8KHz\r\nG.726 : 16Kbps, 24Kbps, 32Kbps, 40Kbps, AAC-LC : 48Kbps at 8\/16\/32\/48KHz\r\n",
                "20",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-30\u00b0C ~ +55\u00b0C (-22\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "IP67, IP66"
            ],
            "ELECTRICAL": [
                "POE,12V DC",
                "PoE (IEEE802.3af)",
                "8W (12VDC), 9W (PoE)"
            ],
            "MECHANICAL": [
                "IP66,IP67",
                "Yes"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-122HM_Parapet Mount.jpg",
                "images\/accessory\/SBP-122HM_Ceiling Mount.jpg",
                "images\/accessory\/SBP-122HM_Wall Mount.jpg",
                "images\/accessory\/SBP-122HM_Wall Mount(Curved neck).jpg"
            ]
        },
        "Info": "2017 Year, Wisenet X Series, Dome"
    },
    {
        "ModelName": "XNO-8020R",
        "ImgUrl": "images\/network_camera\/XNO-8020R.jpg",
        "Type": "Bullet",
        "Year": "2017",
        "Series": "Wisenet X",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/1.8\"",
                "Yes",
                "5M",
                "0.16Lux (F1.6, 1\/30sec)",
                "0Lux(IR LED On)",
                "Yes"
            ],
            "LENS": [
                "Fixed Iris",
                "Fixed Lens",
                "Manual Focus",
                "3.7mm",
                "No",
                "F1.6",
                "H : 97.5\u00b0 \/ V : 71.9\u00b0 \/ D : 126.2\u00b0",
                "0.4m (1.31ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "No",
                "No",
                "No",
                "No",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "IR Cut Filter",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "1",
                "1",
                "No"
            ],
            "NETWORK": [
                "5MP",
                "H.264,M-JPEG,H.265",
                "Yes",
                "10 Profiles",
                "No",
                "Yes",
                "G.711 u-law\/G.726 selectable, G.726 (ADPCM) 8KHz, G.711 8KHz\r\nG.726 : 16Kbps, 24Kbps, 32Kbps, 40Kbps, AAC-LC : 48Kbps at 8\/16\/32\/48KHz\r\n",
                "20",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-30\u00b0C ~ +55\u00b0C (-22\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "IP67, IP66, NEMA 4X"
            ],
            "ELECTRICAL": [
                "POE,12V DC",
                "PoE (IEEE802.3af)",
                "9.3W (12VDC), 10.3W (PoE)"
            ],
            "MECHANICAL": [
                "IP66,IP67,NEMA 4X",
                "Yes"
            ]
        },
        "accessory": {
            "TYPE": [
                "BackBox"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-302PM_BackBox.jpg"
            ]
        },
        "Info": "2017 Year, Wisenet X Series, Bullet"
    },
    {
        "ModelName": "XNO-8030R",
        "ImgUrl": "images\/network_camera\/XNO-8030R.jpg",
        "Type": "Bullet",
        "Year": "2017",
        "Series": "Wisenet X",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/1.8\"",
                "Yes",
                "5M",
                "0.16Lux (F1.6, 1\/30sec)",
                "0Lux(IR LED On)",
                "Yes"
            ],
            "LENS": [
                "Fixed Iris",
                "Fixed Lens",
                "Manual Focus",
                "4.6mm",
                "No",
                "F1.6",
                "H : 77.9\u00b0 \/ V : 57.9\u00b0 \/ D : 98.7\u00b0",
                "0.4m (1.31ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "No",
                "No",
                "No",
                "No",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "IR Cut Filter",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "1",
                "1",
                "No"
            ],
            "NETWORK": [
                "5MP",
                "H.264,M-JPEG,H.265",
                "Yes",
                "10 Profiles",
                "No",
                "Yes",
                "G.711 u-law\/G.726 selectable, G.726 (ADPCM) 8KHz, G.711 8KHz\r\nG.726 : 16Kbps, 24Kbps, 32Kbps, 40Kbps, AAC-LC : 48Kbps at 8\/16\/32\/48KHz\r\n",
                "20",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-30\u00b0C ~ +55\u00b0C (-22\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "IP67, IP66, NEMA 4X"
            ],
            "ELECTRICAL": [
                "POE,12V DC",
                "PoE (IEEE802.3af)",
                "9.3W (12VDC), 10.3W (PoE)"
            ],
            "MECHANICAL": [
                "IP66,IP67,NEMA 4X",
                "Yes"
            ]
        },
        "accessory": {
            "TYPE": [
                "BackBox"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-302PM_BackBox.jpg"
            ]
        },
        "Info": "2017 Year, Wisenet X Series, Bullet"
    },
    {
        "ModelName": "XNO-8040R",
        "ImgUrl": "images\/network_camera\/XNO-8040R.jpg",
        "Type": "Bullet",
        "Year": "2017",
        "Series": "Wisenet X",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/1.8\"",
                "Yes",
                "5M",
                "0.16Lux (F1.6, 1\/30sec)",
                "0Lux(IR LED On)",
                "Yes"
            ],
            "LENS": [
                "Fixed Iris",
                "Fixed Lens",
                "Manual Focus",
                "7mm",
                "No",
                "F1.6",
                "H : 97.5\u00b0 \/ V : 71.9\u00b0 \/ D : 126.2\u00b0",
                "0.4m (1.31ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "No",
                "No",
                "No",
                "No",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "IR Cut Filter",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "1",
                "1",
                "No"
            ],
            "NETWORK": [
                "5MP",
                "H.264,M-JPEG,H.265",
                "Yes",
                "10 Profiles",
                "No",
                "Yes",
                "G.711 u-law\/G.726 selectable, G.726 (ADPCM) 8KHz, G.711 8KHz\r\nG.726 : 16Kbps, 24Kbps, 32Kbps, 40Kbps, AAC-LC : 48Kbps at 8\/16\/32\/48KHz\r\n",
                "20",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-30\u00b0C ~ +55\u00b0C (-22\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "IP67, IP66, NEMA 4X"
            ],
            "ELECTRICAL": [
                "POE,12V DC",
                "PoE (IEEE802.3af)",
                "9.3W (12VDC), 10.3W (PoE)"
            ],
            "MECHANICAL": [
                "IP66,IP67,NEMA 4X",
                "Yes"
            ]
        },
        "accessory": {
            "TYPE": [
                "BackBox"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-302PM_BackBox.jpg"
            ]
        },
        "Info": "2017 Year, Wisenet X Series, Bullet"
    },
    {
        "ModelName": "XNP-6370RH",
        "ImgUrl": "images\/network_camera\/XNP-6370RH.jpg",
        "Type": "PTZ",
        "Year": "2017",
        "Series": "Wisenet X",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/1.9\"",
                "Yes",
                "2M",
                "0.05Lux (F1.5, 1\/30sec)",
                "0Lux (IR LED on)",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris",
                "Autofocus Zoom Lens",
                "Manual Focus,Auto Focus",
                "6 ~ 222mm",
                "37x",
                "F1.5(Wide) ~ F4.6(Tele)",
                "H : 59.3\u00b0(Wide) ~ 1.9\u00b0(Tele) \/ V : 35.8\u00b0(Wide) ~ 1.1\u00b0(Tele)",
                "1.5m (4.92ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "360\u02da Endless",
                "400\u02da\/sec",
                "0.024\u02da\/sec ~ 250\u02da\/sec",
                "190\u02da (-5\u02da ~185\u02da )",
                "300\u02da\/sec",
                "0.024\u02da\/sec ~ 250\u02da\/sec",
                "300"
            ],
            "OPERATIONAL": [
                "16x",
                "IR Cut Filter",
                "Yes",
                "Yes",
                "Yes,N\/A",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "4",
                "2",
                "Yes"
            ],
            "NETWORK": [
                "2MP",
                "H.264,M-JPEG,H.265",
                "Yes",
                "3 Profiles",
                "No",
                "Yes",
                "G.711 u-law\/G.726 selectable, G.726 (ADPCM) 8KHz, G.711 8KHz\r\nG.726 : 16Kbps, 24Kbps, 32Kbps, 40Kbps, AAC-LC : 48Kbps at 16KHz\r\n",
                "15",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-50\u00b0C ~ +55\u00b0C (-58\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "IP66"
            ],
            "ELECTRICAL": [
                "24V AC",
                "No",
                "60W\/90W (Heater off\/on, IR on)"
            ],
            "MECHANICAL": [
                "IP66",
                "Yes"
            ]
        },
        "accessory": {
            "TYPE": [],
            "IMAGE": []
        },
        "Info": "2017 Year, Wisenet X Series, PTZ"
    },
    {
        "ModelName": "XNV-6011",
        "ImgUrl": "images\/network_camera\/XNV-6011.jpg",
        "Type": "Dome",
        "Year": "2017",
        "Series": "Wisenet X",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/2.8\"",
                "Yes",
                "2M",
                "0.055 lux(F2.0, 1\/30sec)",
                "0.055Lux(F2.0, 1\/30sec)",
                "No"
            ],
            "LENS": [
                "Fixed Iris",
                "Fixed Lens",
                "Manual Focus",
                "2.8mm",
                "No",
                "F2.0",
                "H : 112.0\u02da \/ V : 62.0\u02da \/ D : 130.0\u02da",
                "0.2m (0.66ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "0\u00b0 ~ 353\u00b0",
                "No",
                "No",
                "0\u00b0 ~ 59\u00b0",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "IR Cut Filter",
                "Yes",
                "No",
                "Yes",
                "Yes",
                "No",
                "Yes",
                "Yes",
                "No",
                "No",
                "No"
            ],
            "NETWORK": [
                "2MP",
                "H.264,M-JPEG,H.265",
                "Yes",
                "10 Profiles",
                "No",
                "Yes",
                "No",
                "20",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-30\u00b0C ~ +55\u00b0C (-22\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "IP66, NEMA 4X"
            ],
            "ELECTRICAL": [
                "POE",
                "PoE (IEEE802.3af, Class3)",
                "6.5W"
            ],
            "MECHANICAL": [
                "IP66,NEMA 4X",
                "Yes"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-300HM7_Parapet Mount.jpg",
                "images\/accessory\/SBP-300HM7_Ceiling Mount.jpg",
                "images\/accessory\/SBP-300HM7_Wall Mount.jpg",
                "images\/accessory\/SBP-300HM7_Wall Mount(Curved neck).jpg"
            ]
        },
        "Info": "2017 Year, Wisenet X Series, Dome"
    },
    {
        "ModelName": "XNO-6120R",
        "ImgUrl": "images\/network_camera\/XNO-6120R.jpg",
        "Type": "Bullet",
        "Year": "2017",
        "Series": "Wisenet X",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/2.8\"",
                "Yes",
                "2M",
                "0.03 Lux (F1.6, 1\/30sec)",
                "0Lux (IR LED on)",
                "No"
            ],
            "LENS": [
                "DC Auto Iris",
                "Motorized Varifocal Lens",
                "Manual Focus,Auto Focus",
                "5.2~62.4mm",
                "12x",
                "F1.6(Wide) ~ F3.0(Tele)",
                "H : 54.58\u00b0 ~ 5.30\u00b0 \/ V : 32.19\u00b0 ~ 3.00\u00b0 \/ D : 61.40\u00b0 ~ 6.06\u00b0",
                "1.5m (4.92ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "No",
                "No",
                "No",
                "No",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "24x",
                "IR Cut Filter",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "1",
                "1",
                "No"
            ],
            "NETWORK": [
                "2MP",
                "H.264,M-JPEG,H.265",
                "Yes",
                "10 Profiles",
                "No",
                "Yes",
                "G.711 u-law\/G.726 Selectable, G.726 (ADPCM) 8KHz, G.711 8KHz\r\nG.726 : 16Kbps, 24Kbps, 32Kbps, 40Kbps, AAC-LC : 48Kbps at 16KHz",
                "20",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-40\u00b0C ~ +55\u00b0C (-40\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "IP67, IP66, NEMA 4X"
            ],
            "ELECTRICAL": [
                "POE,12V DC,24V AC",
                "PoE (IEEE802.3af, Class3)",
                "14.5W (24V AC), 12.5W (12V DC), 12.95W (PoE)"
            ],
            "MECHANICAL": [
                "IP66,NEMA 4X,IP67",
                "Yes"
            ]
        },
        "accessory": {
            "TYPE": [
                "BackBox"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-302PM_BackBox.jpg"
            ]
        },
        "Info": "2017 Year, Wisenet X Series, Bullet"
    },
    {
        "ModelName": "XNV-6120R",
        "ImgUrl": "images\/network_camera\/XNV-6120R.jpg",
        "Type": "Dome",
        "Year": "2017",
        "Series": "Wisenet X",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/2.8\"",
                "Yes",
                "2M",
                "0.03 Lux (F1.6, 1\/30sec)",
                "0Lux (IR LED on)",
                "No"
            ],
            "LENS": [
                "DC Auto Iris",
                "Motorized Varifocal Lens",
                "Manual Focus,Auto Focus",
                "5.2~62.4mm",
                "12x",
                "F1.6(Wide) ~ F3.0(Tele)",
                "H : 54.58\u00b0 ~ 5.30\u00b0 \/ V : 32.19\u00b0 ~ 3.00\u00b0 \/ D : 61.40\u00b0 ~ 6.06\u00b0",
                "2.1m (6.89ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "0\u00b0 ~ 354\u00b0",
                "No",
                "No",
                "0\u00b0 ~ 75\u00b0",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "24x",
                "IR Cut Filter",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "1",
                "1",
                "No"
            ],
            "NETWORK": [
                "2MP",
                "H.264,M-JPEG,H.265",
                "Yes",
                "10 Profiles",
                "No",
                "Yes",
                "G.711 u-law\/G.726 Selectable, G.726 (ADPCM) 8KHz, G.711 8KHz\r\nG.726 : 16Kbps, 24Kbps, 32Kbps, 40Kbps, AAC-LC : 48Kbps at 16KHz",
                "20",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-40\u00b0C ~ +55\u00b0C (-40\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "IP67, IP66, NEMA 4X"
            ],
            "ELECTRICAL": [
                "POE,12V DC,24V AC",
                "PoE (IEEE802.3af, Class3)",
                "14W (24V AC), 11.5W (12V DC), 12.95W (PoE)"
            ],
            "MECHANICAL": [
                "IP66,NEMA 4X,IP67",
                "Yes"
            ]
        },
        "accessory": {
            "TYPE": [
                "BackBox",
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)"
            ],
            "IMAGE": [
                "images\/accessory\/SBV-158G_BackBox.jpg",
                "images\/accessory\/SBP-300HM6_Parapet Mount.jpg",
                "images\/accessory\/SBP-300HM6_Ceiling Mount.jpg",
                "images\/accessory\/SBP-300HM6_Wall Mount.jpg",
                "images\/accessory\/SBP-300HM6_Wall Mount(Curved neck).jpg"
            ]
        },
        "Info": "2017 Year, Wisenet X Series, Dome"
    },
    {
        "ModelName": "XNV-6120",
        "ImgUrl": "images\/network_camera\/XNV-6120.jpg",
        "Type": "Dome",
        "Year": "2017",
        "Series": "Wisenet X",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/2.8\"",
                "Yes",
                "2M",
                "0.03 Lux (F1.6, 1\/30sec)",
                "0Lux (IR LED on)",
                "No"
            ],
            "LENS": [
                "DC Auto Iris",
                "Motorized Varifocal Lens",
                "Manual Focus,Auto Focus",
                "5.2~62.4mm",
                "12x",
                "F1.6(Wide) ~ F3.0(Tele)",
                "H : 54.58\u00b0 ~ 5.30\u00b0 \/ V : 32.19\u00b0 ~ 3.00\u00b0 \/ D : 61.40\u00b0 ~ 6.06\u00b0",
                "2.1m (6.89ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "0\u00b0 ~ 354\u00b0",
                "No",
                "No",
                "0\u00b0 ~ 75\u00b0",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "24x",
                "IR Cut Filter",
                "Yes",
                "No",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "1",
                "1",
                "No"
            ],
            "NETWORK": [
                "2MP",
                "H.264,M-JPEG,H.265",
                "Yes",
                "10 Profiles",
                "No",
                "Yes",
                "G.711 u-law\/G.726 Selectable, G.726 (ADPCM) 8KHz, G.711 8KHz\r\nG.726 : 16Kbps, 24Kbps, 32Kbps, 40Kbps, AAC-LC : 48Kbps at 16KHz",
                "20",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-40\u00b0C ~ +55\u00b0C (-40\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "IP67, IP66, NEMA 4X"
            ],
            "ELECTRICAL": [
                "POE,12V DC,24V AC",
                "PoE (IEEE802.3af, Class3)",
                "8.2W (24V AC), 7W (12V DC), 7.8W (PoE)"
            ],
            "MECHANICAL": [
                "IP66,NEMA 4X,IP67",
                "Yes"
            ]
        },
        "accessory": {
            "TYPE": [
                "BackBox",
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)"
            ],
            "IMAGE": [
                "images\/accessory\/SBV-158G_BackBox.jpg",
                "images\/accessory\/SBP-300HM6_Parapet Mount.jpg",
                "images\/accessory\/SBP-300HM6_Ceiling Mount.jpg",
                "images\/accessory\/SBP-300HM6_Wall Mount.jpg",
                "images\/accessory\/SBP-300HM6_Wall Mount(Curved neck).jpg"
            ]
        },
        "Info": "2017 Year, Wisenet X Series, Dome"
    },
    {
        "ModelName": "XNP-6120H",
        "ImgUrl": "images\/network_camera\/XNP-6120H.jpg",
        "Type": "PTZ",
        "Year": "2017",
        "Series": "Wisenet X",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/2.8\"",
                "Yes",
                "2M",
                "0.03 Lux (F1.6, 1\/30sec)",
                "0.003 Lux (F1.6, 1\/30sec)",
                "No"
            ],
            "LENS": [
                "DC Auto Iris",
                "Autofocus Zoom Lens",
                "Manual Focus,Auto Focus",
                "5.2~62.4mm",
                "12x",
                "F1.6(Wide) ~ F3.0(Tele)",
                "H : 54.58\u00b0 ~ 5.30\u00b0 \/ V : 32.19\u00b0 ~ 3.00\u00b0",
                "1.5m (4.92ft)(Wide), 2.1m (6.8"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "360\u00b0 Endless",
                "350\u00b0\/sec",
                "0.024\u00b0\/sec ~ 200\u00b0\/sec",
                "190\u00b0(-5\u00b0 ~ 185\u00b0)",
                "350\u02da\/sec",
                "0.024\u02da\/sec ~ 200\u02da\/sec",
                "300"
            ],
            "OPERATIONAL": [
                "32x",
                "Software",
                "Yes",
                "No",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "1",
                "1",
                "Yes"
            ],
            "NETWORK": [
                "2MP",
                "H.264,M-JPEG,H.265",
                "Yes",
                "10 Profiles",
                "No",
                "Yes",
                "G.711 u-law \/G.726 Selectable, G.726 (ADPCM) 8KHz, G.711 8KHz\r\nG.726 : 16Kbps, 24Kbps, 32Kbps, 40Kbps, AAC-LC : 48Kbps at 16KHz",
                "20",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-30\u00b0C ~ +55\u00b0C (-22\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "IP66"
            ],
            "ELECTRICAL": [
                "POE,12V DC",
                "PoE",
                "12W (12V DC), 12W (PoE)"
            ],
            "MECHANICAL": [
                "IP66",
                "Yes"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)",
                "Wall Mount",
                "Wall Mount"
            ],
            "IMAGE": [
                "images\/accessory\/_Parapet Mount.jpg",
                "images\/accessory\/_Ceiling Mount.jpg",
                "images\/accessory\/_Wall Mount.jpg",
                "images\/accessory\/_Wall Mount(Curved neck).jpg",
                "images\/accessory\/SBP-300KM_Wall Mount.jpg",
                "images\/accessory\/SBP-300PM_Wall Mount.jpg"
            ]
        },
        "Info": "2017 Year, Wisenet X Series, PTZ"
    },
    {
        "ModelName": "PNM-9080VQ",
        "ImgUrl": "images\/network_camera\/PNM-9080VQ.jpg",
        "Type": "Multi",
        "Year": "2017",
        "Series": "Wisenet X",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/2.8\"",
                "Yes",
                "2M",
                "0.015 lux (F1.4, 1\/30sec)",
                "0.0015 lux (F1.4, 1\/30sec)",
                "No"
            ],
            "LENS": [
                "DC Auto Iris,P-Iris",
                "Motorized Varifocal Lens",
                "Simple Focus,Manual Focus",
                "2.8~12mm",
                "4.3x",
                "F1.4(Wide) ~ F3.6(Tele)",
                "H : 119.5\u02da ~ 27.9\u02da, V : 62.8\u02da ~ 15.7\u02da, D : 142.1\u02da ~ 32.0\u02da",
                "0.5m (1.64ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "\u00b115\u02da",
                "No",
                "No",
                "10\u02da ~ 41\u02da, 10\u02da ~ 90\u02da (CH2\/Center)",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "24x",
                "Software",
                "Yes",
                "No",
                "Yes",
                "Yes",
                "No",
                "Yes",
                "Yes",
                "1",
                "1",
                "Yes"
            ],
            "NETWORK": [
                "8MP (2M x 4ea)",
                "H.264,M-JPEG,H.265",
                "Yes",
                "10 Profiles",
                "No",
                "No",
                "No",
                "20",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-40\u00b0C ~ +55\u00b0C (-40\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "IP66"
            ],
            "ELECTRICAL": [
                "POE+,12V DC",
                "PoE+",
                "21.6W (12V DC), 25.5W (PoE+)"
            ],
            "MECHANICAL": [
                "IP66",
                "Yes"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)"
            ],
            "IMAGE": [
                "images\/accessory\/_Parapet Mount.jpg",
                "images\/accessory\/_Ceiling Mount.jpg",
                "images\/accessory\/_Wall Mount.jpg",
                "images\/accessory\/_Wall Mount(Curved neck).jpg"
            ]
        },
        "Info": "2017 Year, Wisenet X Series, Multi"
    },
    {
        "ModelName": "PNM-9081VQ",
        "ImgUrl": "images\/network_camera\/PNM-9081VQ.jpg",
        "Type": "Multi",
        "Year": "2017",
        "Series": "Wisenet X",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/1.8\"",
                "Yes",
                "6M",
                "0.09 lux (F1.2, 1\/30sec)",
                "0.009 lux (F1.2, 1\/30sec)",
                "No"
            ],
            "LENS": [
                "DC Auto Iris,P-Iris",
                "Motorized Varifocal Lens",
                "Simple Focus,Manual Focus",
                "3.6~9.4mm",
                "2.6x",
                "F1.2",
                "H : 102.5\u02da ~ 38.7\u02da, V : 74.2\u02da ~ 29.0\u02da, D : 135.5\u02da~ 48.6\u02da",
                "0.5m (1.64ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "\u00b115\u02da",
                "No",
                "No",
                "10\u02da ~ 41\u02da, 10\u02da ~ 90\u02da (CH2\/Center)",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "24x",
                "Software",
                "Yes",
                "No",
                "Yes",
                "Yes",
                "No",
                "Yes",
                "Yes",
                "1",
                "1",
                "Yes"
            ],
            "NETWORK": [
                "20MP (5M x 4ea)",
                "H.264,M-JPEG,H.265",
                "Yes",
                "10 Profiles",
                "No",
                "No",
                "No",
                "20",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-40\u00b0C ~ +55\u00b0C (-40\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "IP66"
            ],
            "ELECTRICAL": [
                "HPoE,12V DC",
                "HPoE (Injector included)",
                "28.8W (12V DC), 33.6W (HPoE)"
            ],
            "MECHANICAL": [
                "IP66",
                "Yes"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)"
            ],
            "IMAGE": [
                "images\/accessory\/_Parapet Mount.jpg",
                "images\/accessory\/_Ceiling Mount.jpg",
                "images\/accessory\/_Wall Mount.jpg",
                "images\/accessory\/_Wall Mount(Curved neck).jpg"
            ]
        },
        "Info": "2017 Year, Wisenet X Series, Multi"
    },
    {
        "ModelName": "XND-8020F",
        "ImgUrl": "images\/network_camera\/XND-8020F.jpg",
        "Type": "Dome",
        "Year": "2017",
        "Series": "Wisenet X",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/1.8\"",
                "Yes",
                "6M",
                "0.16 Lux (F1.6, 1\/30sec)",
                "0.16 Lux (F1.6, 1\/30sec)",
                "No"
            ],
            "LENS": [
                "Fixed Iris",
                "Fixed Lens",
                "Manual Focus",
                "3.7mm",
                "No",
                "F1.6",
                "H : 97.5\u02da, V :71.9\u02da, D : 126.2\u02da",
                "0.4m (1.31ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "0\u02da ~ 355\u02da",
                "No",
                "No",
                "0\u02da ~ 47\u02da",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "24x",
                "Software",
                "Yes",
                "No",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "No",
                "No",
                "Yes"
            ],
            "NETWORK": [
                "5MP",
                "H.264,M-JPEG,H.265",
                "Yes",
                "10 Profiles",
                "No",
                "Yes",
                "G.711 u-law \/ G.726 Selectable\r\nG.726 (ADPCM) 8KHz, G.711 8KHz\r\nG.726 : 16Kbps, 24Kbps, 32Kbps, 40Kbps, AAC-LC : 48Kbps at 8 \/ 16 \/ 32 \/ 48KHz\r\n",
                "20",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-10\u00b0C ~ +55\u00b0C (-14\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "No"
            ],
            "ELECTRICAL": [
                "POE",
                "PoE (IEEE802.3af, Class3)",
                "4.7W"
            ],
            "MECHANICAL": [
                "Indoor",
                "No"
            ]
        },
        "accessory": {
            "TYPE": [],
            "IMAGE": []
        },
        "Info": "2017 Year, Wisenet X Series, Dome"
    },
    {
        "ModelName": "XND-6011F",
        "ImgUrl": "images\/network_camera\/XND-6011F.jpg",
        "Type": "Dome",
        "Year": "2017",
        "Series": "Wisenet X",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/2.8\"",
                "Yes",
                "2M",
                "0.055 Lux (F2.0, 1\/30sec)",
                "0.055 Lux (F2.0, 1\/30sec)",
                "No"
            ],
            "LENS": [
                "Fixed Iris",
                "Fixed Lens",
                "Manual Focus",
                "2.8mm",
                "No",
                "F2.0",
                "H : 112\u02da, V : 62\u02da, D : 130\u02da",
                "0.2m (0.66ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "0\u02da ~ 355\u02da",
                "No",
                "No",
                "0\u02da ~ 47\u02da",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "24x",
                "Software",
                "Yes",
                "No",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "No",
                "No",
                "Yes"
            ],
            "NETWORK": [
                "2MP",
                "H.264,M-JPEG,H.265",
                "Yes",
                "10 Profiles",
                "No",
                "Yes",
                "G.711 u-law \/ G.726 Selectable\r\nG.726 (ADPCM) 8KHz, G.711 8KHz\r\nG.726 : 16Kbps, 24Kbps, 32Kbps, 40Kbps, AAC-LC : 48Kbps at 8 \/ 16 \/ 32 \/ 48KHz\r\n",
                "20",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-10\u00b0C ~ +55\u00b0C (-14\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "No"
            ],
            "ELECTRICAL": [
                "POE",
                "PoE (IEEE802.3af, Class3)",
                "4.7W"
            ],
            "MECHANICAL": [
                "Indoor",
                "No"
            ]
        },
        "accessory": {
            "TYPE": [],
            "IMAGE": []
        },
        "Info": "2017 Year, Wisenet X Series, Dome"
    },
    {
        "ModelName": "XNB-6005",
        "ImgUrl": "images\/network_camera\/XNB-6005.jpg",
        "Type": "Box",
        "Year": "2017",
        "Series": "Wisenet X",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/2\"",
                "Yes",
                "2M",
                "0.006 Lux (F1.2, 1\/30sec)",
                "0.0006 Lux (F1.2, 1\/30sec)",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris,P-Iris,Manual Iris",
                "No",
                "Simple Focus,Manual Focus",
                "No",
                "No",
                "No",
                "No",
                "No"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "No",
                "No",
                "No",
                "No",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "IR Cut Filter",
                "Yes",
                "No",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "1",
                "1",
                "Yes"
            ],
            "NETWORK": [
                "2MP",
                "H.264,M-JPEG,H.265",
                "Yes",
                "10 Profiles",
                "No",
                "Yes",
                "G.711 u-law\/G.726 Selectable, G.726 (ADPCM) 8KHz, G.711 8KHz\r\nG.726 : 16Kbps, 24Kbps, 32Kbps, 40Kbps, AAC-LC : 48Kbps at 8 \/ 16 \/ 32 \/ 48KHz\r\n",
                "20",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-10\u00b0C ~ +55\u00b0C (+14\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "No"
            ],
            "ELECTRICAL": [
                "POE,12V DC,24V AC",
                "PoE (IEEE802.3af)",
                "9W (24V AC), 8W (12V DC), 8.5W (PoE)"
            ],
            "MECHANICAL": [
                "Indoor",
                "No"
            ]
        },
        "accessory": {
            "TYPE": [],
            "IMAGE": []
        },
        "Info": "2017 Year, Wisenet X Series, Box"
    },
    {
        "ModelName": "XNO-6085R",
        "ImgUrl": "images\/network_camera\/XNO-6085R.jpg",
        "Type": "Bullet",
        "Year": "2017",
        "Series": "Wisenet X",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/2\"",
                "Yes",
                "2M",
                "0.004 Lux (F0.94, 1\/30sec)",
                "0 Lux (IR LED on)",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris,P-Iris",
                "Motorized Varifocal Lens",
                "Simple Focus,Manual Focus",
                "4.1 ~ 16.4mm",
                "4x",
                "F0.94(Wide) ~ F2.4(Tele)",
                "H : 100\u00b0(Wide) ~ 26.2\u00b0(Tele) \/ V : 54\u00b0(Wide) ~ 14.8\u00b0(Tele) \/ D : 116\u00b0(Wide) ~ 30.0\u00b0(Tele)",
                "0.7m (2.30ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "No",
                "No",
                "No",
                "No",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "IR Cut Filter",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "1",
                "1",
                "No"
            ],
            "NETWORK": [
                "2MP",
                "H.264,M-JPEG,H.265",
                "Yes",
                "10 Profiles",
                "No",
                "Yes",
                "G.711 u-law\/G.726 selectable, G.726 (ADPCM) 8KHz, G.711 8KHz\r\nG.726 : 16Kbps, 24Kbps, 32Kbps, 40Kbps, AAC-LC : 48Kbps at 8\/16\/32\/48KHz",
                "20",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-40\u00b0C ~ +55\u00b0C (-40\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "IP67, IP66, NEMA 4X"
            ],
            "ELECTRICAL": [
                "POE,12V DC,24V AC",
                "PoE (IEEE802.3af)",
                "14.5W (24V AC), 11.5W (12V DC), 12.95W (PoE)"
            ],
            "MECHANICAL": [
                "IP66,IP67,NEMA 4X",
                "Yes"
            ]
        },
        "accessory": {
            "TYPE": [
                "BackBox"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-302PM_BackBox.jpg"
            ]
        },
        "Info": "2017 Year, Wisenet X Series, Bullet"
    },
    {
        "ModelName": "XNP-6040H",
        "ImgUrl": "images\/network_camera\/XNP-6040H.jpg",
        "Type": "PTZ",
        "Year": "2017",
        "Series": "Wisenet X",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/2.8\"",
                "Yes",
                "2M",
                "0.015 Lux (F1.4, 1\/30sec)",
                "0.0015 Lux (F1.4, 1\/30sec)",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris",
                "Autofocus Zoom Lens",
                "Manual Focus,Auto Focus",
                "2.8~12mm",
                "4.3x",
                "F1.4",
                "H : 119.5\u00b0 ~ 27.9\u00b0, V : 62.8\u00b0 ~ 15.7\u00b0, D : 142.1\u00b0 ~ 32.0\u00b0",
                "1.5m (4.92ft) (Wide), 2m (6.56"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "0\u00b0 ~ 350\u00b0",
                "0.1\u00b0\/sec ~60\u00b0\/sec",
                "0.1\u00b0\/sec ~60\u00b0\/sec",
                "0\u00b0 ~ 90\u00b0",
                "0.1\u00b0\/sec ~ 60\u00b0\/sec",
                "0.1\u00b0\/sec ~ 60\u00b0\/sec",
                "300"
            ],
            "OPERATIONAL": [
                "24x",
                "Software",
                "Yes",
                "No",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "1",
                "1",
                "Yes"
            ],
            "NETWORK": [
                "2MP",
                "H.264,M-JPEG,H.265",
                "Yes",
                "10 Profiles",
                "No",
                "Yes",
                "G.711 u-law \/G.726 Selectable, G.726 (ADPCM) 8KHz, G.711 8KHz\r\nG.726 : 16Kbps, 24Kbps, 32Kbps, 40Kbps, AAC-LC : 48Kbps at 16KHz",
                "20",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-30\u00b0C ~ +55\u00b0C (-22\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "IP66"
            ],
            "ELECTRICAL": [
                "POE,12V DC",
                "PoE (IEEE802.3af)",
                "8.6W (12V DC), 9.6W (PoE)"
            ],
            "MECHANICAL": [
                "IP66",
                "Yes"
            ]
        },
        "accessory": {
            "TYPE": [],
            "IMAGE": []
        },
        "Info": "2017 Year, Wisenet X Series, PTZ"
    },
    {
        "ModelName": "XNV-6085",
        "ImgUrl": "images\/network_camera\/XNV-6085.jpg",
        "Type": "Dome",
        "Year": "2017",
        "Series": "Wisenet X",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/2\"",
                "Yes",
                "2M",
                "0.004 Lux (F0.94, 1\/30sec)",
                "0.0004 Lux (F0.94, 1\/30sec)",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris",
                "Motorized Varifocal Lens",
                "Manual Focus",
                "4.1~16.4mm",
                "4x",
                "F0.94(Wide) ~ F2.4(Tele)",
                "H : 100\u00b0(Wide) ~ 26.2\u00b0(Tele) \/ V : 54\u00b0(Wide) ~ 14.8\u00b0(Tele) \/ D : 116\u00b0(Wide) ~ 30\u00b0(Tele)",
                "0.7m (2.30ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "\u00b1175\u00b0",
                "No",
                "No",
                "\u00b173\u00b0",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "24x",
                "Software",
                "Yes",
                "No",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "1",
                "1",
                "Yes"
            ],
            "NETWORK": [
                "2MP",
                "H.264,M-JPEG,H.265",
                "Yes",
                "10 Profiles",
                "No",
                "Yes (2-way)",
                "G.711 u-law\/G.726 Selectable, G.726 (ADPCM) 8KHz, G.711 8KHz\r\nG.726 : 16Kbps, 24Kbps, 32Kbps, 40Kbps, AAC-LC : 48Kbps at 16KHz",
                "20",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-40\u00b0C ~ +55\u00b0C (-40\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "IP67, IP66, NEMA 4X"
            ],
            "ELECTRICAL": [
                "12V DC,24V AC,POE",
                "PoE (IEEE802.3af, Class3)",
                "13.5W (24V AC), 11.1W (12V DC), 12.1W (PoE)"
            ],
            "MECHANICAL": [
                "IP66,IP67,NEMA 4X",
                "Yes"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-300HM6_Parapet Mount.jpg",
                "images\/accessory\/SBP-300HM6_Ceiling Mount.jpg",
                "images\/accessory\/SBP-300HM6_Wall Mount.jpg",
                "images\/accessory\/SBP-300HM6_Wall Mount(Curved neck).jpg"
            ]
        },
        "Info": "2017 Year, Wisenet X Series, Dome"
    },
    {
        "ModelName": "XND-6085",
        "ImgUrl": "images\/network_camera\/XND-6085.jpg",
        "Type": "Dome",
        "Year": "2017",
        "Series": "Wisenet X",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/2\"",
                "Yes",
                "2M",
                "0.004 Lux (F0.94, 1\/30sec)",
                "0.0004 Lux (F0.94, 1\/30sec)",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris",
                "Motorized Varifocal Lens",
                "Manual Focus",
                "4.1~16.4mm",
                "4x",
                "F0.94(Wide) ~ F2.4(Tele)",
                "H : 100\u00b0(Wide) ~ 26.2\u00b0(Tele) \/ V : 54\u00b0(Wide) ~ 14.8\u00b0(Tele) \/ D : 116\u00b0(Wide) ~ 30\u00b0(Tele)",
                "0.7m (2.30ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "\u00b1175\u00b0",
                "No",
                "No",
                "\u00b173\u00b0",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "24x",
                "Software",
                "Yes",
                "No",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "1",
                "1",
                "Yes"
            ],
            "NETWORK": [
                "2MP",
                "H.264,M-JPEG,H.265",
                "Yes",
                "10 Profiles",
                "No",
                "Yes (2-way)",
                "G.711 u-law\/G.726 Selectable, G.726 (ADPCM) 8KHz, G.711 8KHz\r\nG.726 : 16Kbps, 24Kbps, 32Kbps, 40Kbps, AAC-LC : 48Kbps at 16KHz\r\n",
                "20",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-30\u00b0C ~ +55\u00b0C (-22\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "IP51"
            ],
            "ELECTRICAL": [
                "12V DC,24V AC,POE",
                "PoE (IEEE802.3af, Class3)",
                "8.6W (12V DC), 10.2W(PoE)"
            ],
            "MECHANICAL": [
                "IP51",
                "Yes (IK08)"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-300HM6_Parapet Mount.jpg",
                "images\/accessory\/SBP-300HM6_Ceiling Mount.jpg",
                "images\/accessory\/SBP-300HM6_Wall Mount.jpg",
                "images\/accessory\/SBP-300HM6_Wall Mount(Curved neck).jpg"
            ]
        },
        "Info": "2017 Year, Wisenet X Series, Dome"
    },
    {
        "ModelName": "XND-6085V",
        "ImgUrl": "images\/network_camera\/XND-6085V.jpg",
        "Type": "Dome",
        "Year": "2017",
        "Series": "Wisenet X",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/2\"",
                "Yes",
                "2M",
                "0.004 Lux (F0.94, 1\/30sec)",
                "0.0004 Lux (F0.94, 1\/30sec)",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris",
                "Motorized Varifocal Lens",
                "Manual Focus",
                "4.1~16.4mm",
                "4x",
                "F0.94(Wide) ~ F2.4(Tele)",
                "H : 100\u00b0(Wide) ~ 26.2\u00b0(Tele) \/ V : 54\u00b0(Wide) ~ 14.8\u00b0(Tele) \/ D : 116\u00b0(Wide) ~ 30\u00b0(Tele)",
                "0.7m (2.30ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "\u00b1175\u00b0",
                "No",
                "No",
                "\u00b173\u00b0",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "24x",
                "Software",
                "Yes",
                "No",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "1",
                "1",
                "Yes"
            ],
            "NETWORK": [
                "2MP",
                "H.264,M-JPEG,H.265",
                "Yes",
                "10 Profiles",
                "No",
                "Yes (2-way)",
                "G.711 u-law\/G.726 Selectable, G.726 (ADPCM) 8KHz, G.711 8KHz\r\nG.726 : 16Kbps, 24Kbps, 32Kbps, 40Kbps, AAC-LC : 48Kbps at 16KHz\r\n",
                "20",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-30\u00b0C ~ +55\u00b0C (-22\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "IP51"
            ],
            "ELECTRICAL": [
                "12V DC,24V AC,POE",
                "PoE (IEEE802.3af, Class3)",
                "8.6W (12V DC), 10.2W(PoE)"
            ],
            "MECHANICAL": [
                "IP51",
                "Yes (IK08)"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-300HM6_Parapet Mount.jpg",
                "images\/accessory\/SBP-300HM6_Ceiling Mount.jpg",
                "images\/accessory\/SBP-300HM6_Wall Mount.jpg",
                "images\/accessory\/SBP-300HM6_Wall Mount(Curved neck).jpg"
            ]
        },
        "Info": "2017 Year, Wisenet X Series, Dome"
    },
    {
        "ModelName": "XNB-6001",
        "ImgUrl": "images\/network_camera\/XNB-6001.jpg",
        "Type": "Box",
        "Year": "2017",
        "Series": "Wisenet X",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/2.8\"",
                "Yes",
                "2M",
                "No",
                "No",
                "Yes"
            ],
            "LENS": [
                "Manual Iris",
                "No",
                "No",
                "No",
                "No",
                "No",
                "No",
                "0.3m (0.98ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "No",
                "No",
                "No",
                "No",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "Software",
                "Yes",
                "No",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "# : XNB-6001",
                "1",
                "1",
                "No"
            ],
            "NETWORK": [
                "2MP",
                "H.264,M-JPEG,H.265",
                "Yes",
                "10 Profiles",
                "No",
                "Yes (2-way)",
                "G.711 u-law\/G.726 Selectable, G.726 (ADPCM) 8KHz, G.711 8KHz\r\nG.726 : 16Kbps, 24Kbps, 32Kbps, 40Kbps, AAC-LC : 48Kbps at 16KHz",
                "20",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-10\u00b0C ~ +55\u00b0C (+14\u00b0F ~ +131\u00b0F)",
                "Less than 90%RH",
                "No"
            ],
            "ELECTRICAL": [
                "POE,12V DC",
                "PoE (IEEE802.3af, Class3)",
                "6.5W (12V DC), 6W (PoE)"
            ],
            "MECHANICAL": [
                "Indoor",
                "No"
            ]
        },
        "accessory": {
            "TYPE": [],
            "IMAGE": []
        },
        "Info": "2017 Year, Wisenet X Series, Box"
    },
    {
        "ModelName": "XNF-8010R",
        "ImgUrl": "images\/network_camera\/XNF-8010R.jpg",
        "Type": "Fisheye",
        "Year": "2017",
        "Series": "Wisenet X",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/1.8\"",
                "Yes",
                "6M",
                "0.1 Lux (F1.6)",
                "0 Lux (IR LED On)",
                "Yes"
            ],
            "LENS": [
                "Fixed Iris",
                "Fixed Lens",
                "Simple Focus,Manual Focus",
                "1.6mm",
                "8x",
                "F1.6",
                "H : 192\u02da \/ V : 192\u02da \/ D : 192\u02da",
                "0.3m (0.98ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "No",
                "No",
                "No",
                "No",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "8x",
                "Software",
                "Yes",
                "Yes",
                "Yes",
                "No",
                "Yes",
                "Yes",
                "Yes",
                "1",
                "1",
                "No"
            ],
            "NETWORK": [
                "6M",
                "H.264,M-JPEG,H.265",
                "Yes",
                "10 Profiles",
                "No",
                "Yes (2-way)",
                "G.711 u-law\/G.726 Selectable, G.726 (ADPCM) 8KHz, G.711 8KHz\r\nG.726 : 16Kbps, 24Kbps, 32Kbps, 40Kbps, AAC-LC : 48Kbps at 16KHz",
                "20",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-10\u00b0C ~ +55\u00b0C (+14\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "No"
            ],
            "ELECTRICAL": [
                "POE,12V DC",
                "PoE (IEEE802.3af, Class3)",
                "11W (12V DC), 12W (PoE)"
            ],
            "MECHANICAL": [
                "Indoor",
                "No"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)",
                "BackBox"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-300HM5_Parapet Mount.jpg",
                "images\/accessory\/SBP-300HM5_Ceiling Mount.jpg",
                "images\/accessory\/SBP-300HM5_Wall Mount.jpg",
                "images\/accessory\/SBP-300HM5_Wall Mount(Curved neck).jpg",
                "images\/accessory\/SBF-100B1_BackBox.jpg"
            ]
        },
        "Info": "2017 Year, Wisenet X Series, Fisheye"
    },
    {
        "ModelName": "XNF-8010RV",
        "ImgUrl": "images\/network_camera\/XNF-8010RV.jpg",
        "Type": "Fisheye",
        "Year": "2017",
        "Series": "Wisenet X",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/1.8\"",
                "Yes",
                "6M",
                "0.1 Lux (F1.6)",
                "0 Lux (IR LED On)",
                "Yes"
            ],
            "LENS": [
                "Fixed Iris",
                "Fixed Lens",
                "Simple Focus,Manual Focus",
                "1.6mm",
                "8x",
                "F1.6",
                "H : 192\u02da \/ V : 192\u02da \/ D : 192\u02da",
                "0.3m (0.98ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "No",
                "No",
                "No",
                "No",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "8x",
                "Software",
                "Yes",
                "Yes",
                "Yes",
                "No",
                "Yes",
                "Yes",
                "Yes",
                "1",
                "1",
                "No"
            ],
            "NETWORK": [
                "6M",
                "H.264,M-JPEG,H.265",
                "Yes",
                "10 Profiles",
                "No",
                "Yes (2-way)",
                "G.711 u-law\/G.726 Selectable, G.726 (ADPCM) 8KHz, G.711 8KHz\r\nG.726 : 16Kbps, 24Kbps, 32Kbps, 40Kbps, AAC-LC : 48Kbps at 8 \/ 16 \/ 32 \/ 48KHz",
                "20",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-40\u00b0C ~ +55\u00b0C (-40\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "IP66"
            ],
            "ELECTRICAL": [
                "POE,12V DC",
                "PoE (IEEE802.3af, Class3)",
                "12W (12V DC), 12.95W (PoE)"
            ],
            "MECHANICAL": [
                "Indoor",
                "No"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)",
                "BackBox"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-300HM5_Parapet Mount.jpg",
                "images\/accessory\/SBP-300HM5_Ceiling Mount.jpg",
                "images\/accessory\/SBP-300HM5_Wall Mount.jpg",
                "images\/accessory\/SBP-300HM5_Wall Mount(Curved neck).jpg",
                "images\/accessory\/SBF-100B1_BackBox.jpg"
            ]
        },
        "Info": "2017 Year, Wisenet X Series, Fisheye"
    },
    {
        "ModelName": "XNF-8010RVM",
        "ImgUrl": "images\/network_camera\/XNF-8010RVM.jpg",
        "Type": "Fisheye",
        "Year": "2017",
        "Series": "Wisenet X",
        "Discontinued": 0,
        "New": 0,
        "properties": {
            "VIDEO": [
                "1\/1.8\"",
                "Yes",
                "6M",
                "0.1 Lux (F1.6)",
                "0 Lux (IR LED On)",
                "Yes"
            ],
            "LENS": [
                "Fixed Iris",
                "Fixed Lens",
                "Simple Focus,Manual Focus",
                "1.6mm",
                "8x",
                "F1.6",
                "H : 192\u02da \/ V : 192\u02da \/ D : 192\u02da",
                "0.3m (0.98ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "No",
                "No",
                "No",
                "No",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "8x",
                "Software",
                "Yes",
                "Yes",
                "Yes",
                "No",
                "Yes",
                "Yes",
                "Yes",
                "1",
                "1",
                "No"
            ],
            "NETWORK": [
                "6M",
                "H.264,M-JPEG,H.265",
                "Yes",
                "10 Profiles",
                "No",
                "Yes (2-way)",
                "G.711 u-law\/G.726 Selectable, G.726 (ADPCM) 8KHz, G.711 8KHz\r\nG.726 : 16Kbps, 24Kbps, 32Kbps, 40Kbps, AAC-LC : 48Kbps at 8 \/ 16 \/ 32 \/ 48KHz",
                "20",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-40\u00b0C ~ +55\u00b0C (-40\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "IP66"
            ],
            "ELECTRICAL": [
                "POE,12V DC",
                "PoE (IEEE802.3af, Class3)",
                "12W (12V DC), 12.95W (PoE)"
            ],
            "MECHANICAL": [
                "IP66",
                "No"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)",
                "BackBox"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-300HM5_Parapet Mount.jpg",
                "images\/accessory\/SBP-300HM5_Ceiling Mount.jpg",
                "images\/accessory\/SBP-300HM5_Wall Mount.jpg",
                "images\/accessory\/SBP-300HM5_Wall Mount(Curved neck).jpg",
                "images\/accessory\/SBF-100B1_BackBox.jpg"
            ]
        },
        "Info": "2017 Year, Wisenet X Series, Fisheye"
    },
    {
        "ModelName": "XNP-6320",
        "ImgUrl": "images\/network_camera\/XNP-6320.jpg",
        "Type": "PTZ",
        "Year": "2018",
        "Series": "Wisenet X",
        "Discontinued": 0,
        "New": 1,
        "properties": {
            "VIDEO": [
                "1\/2.8\"",
                "Yes",
                "2M",
                "0.05Lux (F1.6)",
                "0.005Lux (F1.6)",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris",
                "Autofocus Zoom Lens",
                "Manual Focus,Auto Focus",
                "4.44 ~ 142.6mm",
                "32x",
                "F1.6(Wide) \/ F4.4(Tele)",
                "H : 61.8\u02da(Wide) ~ 2.19\u02da(Tele) \/ V : 36.2\u02da(Wide) ~ 1.24\u02da(Tele)",
                "Wide : 1.5m (4.92ft), Tele : 2m (6.56ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "360\u00b0 Endless",
                "700\u00b0\/sec",
                "0.024\u00b0\/sec ~ 200\u00b0\/sec",
                "210\u00b0 (-15\u00b0 ~ 195\u00b0)",
                "700\u00b0\/sec",
                "0.024\u00b0\/sec ~ 200\u00b0\/sec",
                "300"
            ],
            "OPERATIONAL": [
                "32x",
                "Software",
                "Yes",
                "No",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "4",
                "2",
                "Yes"
            ],
            "NETWORK": [
                "2MP",
                "H.264,M-JPEG,H.265",
                "Yes",
                "10 Profiles",
                "No",
                "Bi-dierctional (2-way)",
                "G.711 u-law \/G.726 Selectable, G.726 (ADPCM) 8KHz, G.711 8KHz\nG.726 : 16Kbps, 24Kbps, 32Kbps, 40Kbps, AAC-LC : 48Kbps at 16KHz",
                "10",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-10\u00b0C ~ +55\u00b0C (+14\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "No"
            ],
            "ELECTRICAL": [
                "POE+,24V AC",
                "PoE+ (IEEE802.3at, Class4)",
                "20W"
            ],
            "MECHANICAL": [
                "Indoor",
                "Yes"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-301HM3_Parapet Mount.jpg",
                "images\/accessory\/SBP-301HM3_Ceiling Mount.jpg",
                "images\/accessory\/SBP-301HM3_Wall Mount.jpg",
                "images\/accessory\/SBP-301HM3_Wall Mount(Curved neck).jpg"
            ]
        },
        "Info": "2018 Year, Wisenet X Series, PTZ"
    },
    {
        "ModelName": "XNP-6320H",
        "ImgUrl": "images\/network_camera\/XNP-6320H.jpg",
        "Type": "PTZ",
        "Year": "2018",
        "Series": "Wisenet X",
        "Discontinued": 0,
        "New": 1,
        "properties": {
            "VIDEO": [
                "1\/2.8\"",
                "Yes",
                "2M",
                "0.05Lux (F1.6)",
                "0.005Lux (F1.6)",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris",
                "Autofocus Zoom Lens",
                "Manual Focus,Auto Focus",
                "4.44 ~ 142.6mm",
                "32x",
                "F1.6(Wide) \/ F4.4(Tele)",
                "H : 61.8\u02da(Wide) ~ 2.19\u02da(Tele) \/ V : 36.2\u02da(Wide) ~ 1.24\u02da(Tele)",
                "Wide : 1.5m (4.92ft), Tele : 2m (6.56ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "360\u00b0 Endless",
                "700\u00b0\/sec",
                "0.024\u00b0\/sec ~ 200\u00b0\/sec",
                "210\u00b0 (-15\u00b0 ~ 195\u00b0)",
                "700\u00b0\/sec",
                "0.024\u00b0\/sec ~ 200\u00b0\/sec",
                "300"
            ],
            "OPERATIONAL": [
                "32x",
                "Software",
                "Yes",
                "No",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "4",
                "2",
                "Yes"
            ],
            "NETWORK": [
                "2MP",
                "H.264,M-JPEG,H.265",
                "Yes",
                "10 Profiles",
                "No",
                "Bi-dierctional (2-way)",
                "G.711 u-law \/G.726 Selectable, G.726 (ADPCM) 8KHz, G.711 8KHz\nG.726 : 16Kbps, 24Kbps, 32Kbps, 40Kbps, AAC-LC : 48Kbps at 16KHz",
                "10",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "24V AC : -50\u00b0C ~ +55\u00b0C (-58\u00b0F ~ +131\u00b0F)\nPoE+ : -35\u00b0C ~ +55\u00b0C (-31\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "IP66"
            ],
            "ELECTRICAL": [
                "POE+,24V AC",
                "PoE+ (IEEE802.3at, Class4)",
                "Max. 24W (Heater off), Max. 65W (Heater on, 24V AC)"
            ],
            "MECHANICAL": [
                "IP66",
                "Yes"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-301HM3_Parapet Mount.jpg",
                "images\/accessory\/SBP-301HM3_Ceiling Mount.jpg",
                "images\/accessory\/SBP-301HM3_Wall Mount.jpg",
                "images\/accessory\/SBP-301HM3_Wall Mount(Curved neck).jpg"
            ]
        },
        "Info": "2018 Year, Wisenet X Series, PTZ"
    },
    {
        "ModelName": "XNP-6320HS",
        "ImgUrl": "images\/network_camera\/XNP-6320HS.jpg",
        "Type": "PTZ",
        "Year": "2018",
        "Series": "Wisenet X",
        "Discontinued": 0,
        "New": 1,
        "properties": {
            "VIDEO": [
                "1\/2.8\"",
                "Yes",
                "2M",
                "0.05Lux (F1.6)",
                "0.005Lux (F1.6)",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris",
                "Autofocus Zoom Lens",
                "Manual Focus,Auto Focus",
                "4.44 ~ 142.6mm",
                "32x",
                "F1.6(Wide) \/ F4.4(Tele)",
                "H : 61.8\u02da(Wide) ~ 2.19\u02da(Tele) \/ V : 36.2\u02da(Wide) ~ 1.24\u02da(Tele)",
                "Wide : 1.5m (4.92ft), Tele : 2m (6.56ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "360\u00b0 Endless",
                "700\u00b0\/sec",
                "0.024\u00b0\/sec ~ 200\u00b0\/sec",
                "210\u00b0 (-15\u00b0 ~ 195\u00b0)",
                "700\u00b0\/sec",
                "0.024\u00b0\/sec ~ 200\u00b0\/sec",
                "300"
            ],
            "OPERATIONAL": [
                "32x",
                "Software",
                "Yes",
                "No",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "4",
                "2",
                "Yes"
            ],
            "NETWORK": [
                "2MP",
                "H.264,M-JPEG,H.265",
                "Yes",
                "10 Profiles",
                "No",
                "Bi-dierctional (2-way)",
                "G.711 u-law \/G.726 Selectable, G.726 (ADPCM) 8KHz, G.711 8KHz\nG.726 : 16Kbps, 24Kbps, 32Kbps, 40Kbps, AAC-LC : 48Kbps at 16KHz",
                "10",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "24V AC : -50\u00b0C ~ +55\u00b0C (-58\u00b0F ~ +131\u00b0F)\nPoE+ : -35\u00b0C ~ +55\u00b0C (-31\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "IP66, IP67"
            ],
            "ELECTRICAL": [
                "POE+,24V AC",
                "PoE+ (IEEE802.3at, Class4)",
                "Max. 24W (Heater off), Max. 65W (24V AC - Heater on)"
            ],
            "MECHANICAL": [
                "IP66,IP67,NEMA 4X",
                "Yes"
            ]
        },
        "accessory": {
            "TYPE": [],
            "IMAGE": []
        },
        "Info": "2018 Year, Wisenet X Series, PTZ"
    },
    {
        "ModelName": "QNP-6230",
        "ImgUrl": "images\/network_camera\/QNP-6230.jpg",
        "Type": "PTZ",
        "Year": "2018",
        "Series": "Wisenet Q",
        "Discontinued": 0,
        "New": 1,
        "properties": {
            "VIDEO": [
                "1\/2.8\"",
                "Yes",
                "2M",
                "0.2Lux (F1.6)",
                "0.01Lux (F1.6)",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris",
                "Autofocus Zoom Lens",
                "Manual Focus,Auto Focus",
                "4.44 ~ 102.2mm",
                "32x",
                "F1.6(Wide) \/ F3.6(Tele)",
                "H : 61.8\u02da(Wide) ~ 3.08\u02da(Tele) \/ V : 36.2\u02da(Wide) ~ 1.73\u02da(Tele)",
                "Wide : 1.5m (4.92ft), Tele : 2m (6.56ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "360\u00b0 Endless",
                "500\u00b0\/sec",
                "0.024\u00b0\/sec ~ 200\u00b0\/sec",
                "210\u00b0 (-15\u00b0 ~ 195\u00b0)",
                "500\u00b0\/sec",
                "0.024\u00b0\/sec ~ 200\u00b0\/sec",
                "300"
            ],
            "OPERATIONAL": [
                "32x",
                "Software",
                "Yes",
                "No",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "4",
                "2",
                "Yes"
            ],
            "NETWORK": [
                "2MP",
                "H.264,M-JPEG,H.265",
                "Yes",
                "10 Profiles",
                "No",
                "Bi-dierctional (2-way)",
                "G.711 u-law \/G.726 Selectable, G.726 (ADPCM) 8KHz, G.711 8KHz\nG.726 : 16Kbps, 24Kbps, 32Kbps, 40Kbps, AAC-LC : 48Kbps at 16KHz",
                "10",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-10\u00b0C ~ +55\u00b0C (+14\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "No"
            ],
            "ELECTRICAL": [
                "POE+,24V AC",
                "PoE+ (IEEE802.3at, Class4)",
                "20W"
            ],
            "MECHANICAL": [
                "Indoor",
                "Yes"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-301HM3_Parapet Mount.jpg",
                "images\/accessory\/SBP-301HM3_Ceiling Mount.jpg",
                "images\/accessory\/SBP-301HM3_Wall Mount.jpg",
                "images\/accessory\/SBP-301HM3_Wall Mount(Curved neck).jpg"
            ]
        },
        "Info": "2018 Year, Wisenet Q Series, PTZ"
    },
    {
        "ModelName": "QNP-6230H",
        "ImgUrl": "images\/network_camera\/QNP-6230H.jpg",
        "Type": "PTZ",
        "Year": "2018",
        "Series": "Wisenet Q",
        "Discontinued": 0,
        "New": 1,
        "properties": {
            "VIDEO": [
                "1\/2.8\"",
                "Yes",
                "2M",
                "0.2Lux (F1.6)",
                "0.01Lux (F1.6)",
                "Yes"
            ],
            "LENS": [
                "DC Auto Iris",
                "Autofocus Zoom Lens",
                "Manual Focus,Auto Focus",
                "4.44 ~ 102.2mm",
                "32x",
                "F1.6(Wide) \/ F3.6(Tele)",
                "H : 61.8\u02da(Wide) ~ 3.08\u02da(Tele) \/ V : 36.2\u02da(Wide) ~ 1.73\u02da(Tele)",
                "Wide : 1.5m (4.92ft), Tele : 2m (6.56ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "360\u00b0 Endless",
                "500\u00b0\/sec",
                "0.024\u00b0\/sec ~ 200\u00b0\/sec",
                "210\u00b0 (-15\u00b0 ~ 195\u00b0)",
                "500\u00b0\/sec",
                "0.024\u00b0\/sec ~ 200\u00b0\/sec",
                "300"
            ],
            "OPERATIONAL": [
                "32x",
                "Software",
                "Yes",
                "No",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "4",
                "2",
                "Yes"
            ],
            "NETWORK": [
                "2MP",
                "H.264,M-JPEG,H.265",
                "Yes",
                "10 Profiles",
                "No",
                "Bi-dierctional (2-way)",
                "G.711 u-law \/G.726 Selectable, G.726 (ADPCM) 8KHz, G.711 8KHz\nG.726 : 16Kbps, 24Kbps, 32Kbps, 40Kbps, AAC-LC : 48Kbps at 16KHz",
                "10",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "24V AC : -50\u00b0C ~ +55\u00b0C (-58\u00b0F ~ +131\u00b0F)\nPoE+ : -35\u00b0C ~ +55\u00b0C (-31\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "IP66"
            ],
            "ELECTRICAL": [
                "POE+,24V AC",
                "PoE+ (IEEE802.3at, Class4)",
                "Max. 24W (Heater off), Max. 65W (Heater on, 24V AC)"
            ],
            "MECHANICAL": [
                "IP66",
                "Yes"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-301HM3_Parapet Mount.jpg",
                "images\/accessory\/SBP-301HM3_Ceiling Mount.jpg",
                "images\/accessory\/SBP-301HM3_Wall Mount.jpg",
                "images\/accessory\/SBP-301HM3_Wall Mount(Curved neck).jpg"
            ]
        },
        "Info": "2018 Year, Wisenet Q Series, PTZ"
    },
    {
        "ModelName": "LND-6010R",
        "ImgUrl": "images\/network_camera\/LND-6010R.jpg",
        "Type": "Dome",
        "Year": "2018",
        "Series": "Wisenet L",
        "Discontinued": 0,
        "New": 1,
        "properties": {
            "VIDEO": [
                "1\/2.9\"",
                "Yes",
                "2M",
                "0.18 Lux (F2.0)",
                "0 Lux (IR LED On)",
                "No"
            ],
            "LENS": [
                "Fixed Iris",
                "Fixed Lens",
                "No",
                "3mm",
                "No",
                "F2.0",
                "H : 102\u02da \/ V : 54\u02da \/ D : 120\u02da",
                "0.5m (1.64ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "0\u00b0 ~ 350\u00b0",
                "No",
                "No",
                "0\u00b0 ~ 67\u00b0",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "Software",
                "Yes",
                "Yes",
                "Yes",
                "No",
                "No",
                "Yes",
                "No",
                "No",
                "No",
                "No"
            ],
            "NETWORK": [
                "2MP",
                "H.264,M-JPEG",
                "Yes",
                "3 Profiles",
                "No",
                "No",
                "No",
                "6",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-10\u00b0C ~ +55\u00b0C (+14\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "No"
            ],
            "ELECTRICAL": [
                "POE",
                "PoE (IEEE802.3af, Class3)",
                "6.5W"
            ],
            "MECHANICAL": [
                "Indoor",
                "No"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-122HM_Parapet Mount.jpg",
                "images\/accessory\/SBP-122HM_Ceiling Mount.jpg",
                "images\/accessory\/SBP-122HM_Wall Mount.jpg",
                "images\/accessory\/SBP-122HM_Wall Mount(Curved neck).jpg"
            ]
        },
        "Info": "2018 Year, Wisenet L Series, Dome"
    },
    {
        "ModelName": "LND-6020R",
        "ImgUrl": "images\/network_camera\/LND-6020R.jpg",
        "Type": "Dome",
        "Year": "2018",
        "Series": "Wisenet L",
        "Discontinued": 0,
        "New": 1,
        "properties": {
            "VIDEO": [
                "1\/2.9\"",
                "Yes",
                "2M",
                "0.18 Lux (F2.0)",
                "0 Lux (IR LED On)",
                "No"
            ],
            "LENS": [
                "Fixed Iris",
                "Fixed Lens",
                "No",
                "4mm",
                "No",
                "F2.0",
                "H : 80\u02da \/ V : 43\u02da \/ D : 94\u02da",
                "0.5m (1.64ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "0\u00b0 ~ 350\u00b0",
                "No",
                "No",
                "0\u00b0 ~ 67\u00b0",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "Software",
                "Yes",
                "Yes",
                "Yes",
                "No",
                "No",
                "Yes",
                "No",
                "No",
                "No",
                "No"
            ],
            "NETWORK": [
                "2MP",
                "H.264,M-JPEG",
                "Yes",
                "3 Profiles",
                "No",
                "No",
                "No",
                "6",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-10\u00b0C ~ +55\u00b0C (+14\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "No"
            ],
            "ELECTRICAL": [
                "POE",
                "PoE (IEEE802.3af, Class3)",
                "6.5W"
            ],
            "MECHANICAL": [
                "Indoor",
                "No"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-122HM_Parapet Mount.jpg",
                "images\/accessory\/SBP-122HM_Ceiling Mount.jpg",
                "images\/accessory\/SBP-122HM_Wall Mount.jpg",
                "images\/accessory\/SBP-122HM_Wall Mount(Curved neck).jpg"
            ]
        },
        "Info": "2018 Year, Wisenet L Series, Dome"
    },
    {
        "ModelName": "LND-6030R",
        "ImgUrl": "images\/network_camera\/LND-6030R.jpg",
        "Type": "Dome",
        "Year": "2018",
        "Series": "Wisenet L",
        "Discontinued": 0,
        "New": 1,
        "properties": {
            "VIDEO": [
                "1\/2.9\"",
                "Yes",
                "2M",
                "0.18 Lux (F2.0)",
                "0 Lux (IR LED On)",
                "No"
            ],
            "LENS": [
                "Fixed Iris",
                "Fixed Lens",
                "No",
                "6mm",
                "No",
                "F2.0",
                "H : 51\u02da \/ V : 29\u02da \/ D : 58\u02da",
                "0.5m (1.64ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "0\u00b0 ~ 350\u00b0",
                "No",
                "No",
                "0\u00b0 ~ 67\u00b0",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "Software",
                "Yes",
                "Yes",
                "Yes",
                "No",
                "No",
                "Yes",
                "No",
                "No",
                "No",
                "No"
            ],
            "NETWORK": [
                "2MP",
                "H.264,M-JPEG",
                "Yes",
                "3 Profiles",
                "No",
                "No",
                "No",
                "6",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-10\u00b0C ~ +55\u00b0C (+14\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "No"
            ],
            "ELECTRICAL": [
                "POE",
                "PoE (IEEE802.3af, Class3)",
                "6.5W"
            ],
            "MECHANICAL": [
                "Indoor",
                "No"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-122HM_Parapet Mount.jpg",
                "images\/accessory\/SBP-122HM_Ceiling Mount.jpg",
                "images\/accessory\/SBP-122HM_Wall Mount.jpg",
                "images\/accessory\/SBP-122HM_Wall Mount(Curved neck).jpg"
            ]
        },
        "Info": "2018 Year, Wisenet L Series, Dome"
    },
    {
        "ModelName": "LND-6070R",
        "ImgUrl": "images\/network_camera\/LND-6070R.jpg",
        "Type": "Dome",
        "Year": "2018",
        "Series": "Wisenet L",
        "Discontinued": 0,
        "New": 1,
        "properties": {
            "VIDEO": [
                "1\/2.9\"",
                "Yes",
                "2M",
                "0.095 Lux (F1.6)",
                "0 Lux (IR LED On)",
                "No"
            ],
            "LENS": [
                "DC Auto Iris",
                "Varifocal Lens",
                "Manual Focus",
                "3.2~10mm",
                "3.1x",
                "F1.6 ~ F2.9",
                "H : 101.6\u02da(Wide) ~ 31.3\u02da(Tele) \/ V : 54.1\u02da(Wide) ~ 17.8\u02da(Tele) \/ D : 120.6\u02da(Wide) ~ 36.0\u02da(Tele)",
                "0.5m (1.64ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "0\u00b0 ~ 350\u00b0",
                "No",
                "No",
                "0\u00b0 ~ 67\u00b0",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "Software",
                "Yes",
                "Yes",
                "Yes",
                "No",
                "No",
                "Yes",
                "No",
                "No",
                "No",
                "No"
            ],
            "NETWORK": [
                "2MP",
                "H.264,M-JPEG",
                "Yes",
                "3 Profiles",
                "No",
                "No",
                "No",
                "6",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-10\u00b0C ~ +55\u00b0C (+14\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "No"
            ],
            "ELECTRICAL": [
                "POE",
                "PoE (IEEE802.3af, Class3)",
                "6.5W"
            ],
            "MECHANICAL": [
                "Indoor",
                "No"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-122HM_Parapet Mount.jpg",
                "images\/accessory\/SBP-122HM_Ceiling Mount.jpg",
                "images\/accessory\/SBP-122HM_Wall Mount.jpg",
                "images\/accessory\/SBP-122HM_Wall Mount(Curved neck).jpg"
            ]
        },
        "Info": "2018 Year, Wisenet L Series, Dome"
    },
    {
        "ModelName": "LNV-6010R",
        "ImgUrl": "images\/network_camera\/LNV-6010R.jpg",
        "Type": "Dome",
        "Year": "2018",
        "Series": "Wisenet L",
        "Discontinued": 0,
        "New": 1,
        "properties": {
            "VIDEO": [
                "1\/2.9\"",
                "Yes",
                "2M",
                "0.18 Lux (F2.0)",
                "0 Lux (IR LED On)",
                "No"
            ],
            "LENS": [
                "Fixed Iris",
                "Fixed Lens",
                "No",
                "3mm",
                "No",
                "F2.0",
                "H : 102\u02da \/ V : 54\u02da \/ D : 120\u02da",
                "0.5m (1.64ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "0\u00b0 ~ 350\u00b0",
                "No",
                "No",
                "0\u00b0 ~ 67\u00b0",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "Software",
                "Yes",
                "Yes",
                "Yes",
                "No",
                "No",
                "Yes",
                "No",
                "No",
                "No",
                "No"
            ],
            "NETWORK": [
                "2MP",
                "H.264,M-JPEG",
                "Yes",
                "3 Profiles",
                "No",
                "No",
                "No",
                "6",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-30\u00b0C ~ +55\u00b0C (-22\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "IP66"
            ],
            "ELECTRICAL": [
                "POE",
                "PoE (IEEE802.3af, Class3)",
                "6.5W"
            ],
            "MECHANICAL": [
                "IP66",
                "Yes"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-122HM_Parapet Mount.jpg",
                "images\/accessory\/SBP-122HM_Ceiling Mount.jpg",
                "images\/accessory\/SBP-122HM_Wall Mount.jpg",
                "images\/accessory\/SBP-122HM_Wall Mount(Curved neck).jpg"
            ]
        },
        "Info": "2018 Year, Wisenet L Series, Dome"
    },
    {
        "ModelName": "LNV-6020R",
        "ImgUrl": "images\/network_camera\/LNV-6020R.jpg",
        "Type": "Dome",
        "Year": "2018",
        "Series": "Wisenet L",
        "Discontinued": 0,
        "New": 1,
        "properties": {
            "VIDEO": [
                "1\/2.9\"",
                "Yes",
                "2M",
                "0.18 Lux (F2.0)",
                "0 Lux (IR LED On)",
                "No"
            ],
            "LENS": [
                "Fixed Iris",
                "Fixed Lens",
                "No",
                "4mm",
                "No",
                "F2.0",
                "H : 80\u02da \/ V : 43\u02da \/ D : 94\u02da",
                "0.5m (1.64ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "0\u00b0 ~ 350\u00b0",
                "No",
                "No",
                "0\u00b0 ~ 67\u00b0",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "Software",
                "Yes",
                "Yes",
                "Yes",
                "No",
                "No",
                "Yes",
                "No",
                "No",
                "No",
                "No"
            ],
            "NETWORK": [
                "2MP",
                "H.264,M-JPEG",
                "Yes",
                "3 Profiles",
                "No",
                "No",
                "No",
                "6",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-30\u00b0C ~ +55\u00b0C (-22\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "IP66"
            ],
            "ELECTRICAL": [
                "POE",
                "PoE (IEEE802.3af, Class3)",
                "6.5W"
            ],
            "MECHANICAL": [
                "IP66",
                "Yes"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-122HM_Parapet Mount.jpg",
                "images\/accessory\/SBP-122HM_Ceiling Mount.jpg",
                "images\/accessory\/SBP-122HM_Wall Mount.jpg",
                "images\/accessory\/SBP-122HM_Wall Mount(Curved neck).jpg"
            ]
        },
        "Info": "2018 Year, Wisenet L Series, Dome"
    },
    {
        "ModelName": "LNV-6030R",
        "ImgUrl": "images\/network_camera\/LNV-6030R.jpg",
        "Type": "Dome",
        "Year": "2018",
        "Series": "Wisenet L",
        "Discontinued": 0,
        "New": 1,
        "properties": {
            "VIDEO": [
                "1\/2.9\"",
                "Yes",
                "2M",
                "0.18 Lux (F2.0)",
                "0 Lux (IR LED On)",
                "No"
            ],
            "LENS": [
                "Fixed Iris",
                "Fixed Lens",
                "No",
                "6mm",
                "No",
                "F2.0",
                "H : 51\u02da \/ V : 29\u02da \/ D : 58\u02da",
                "0.5m (1.64ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "0\u00b0 ~ 350\u00b0",
                "No",
                "No",
                "0\u00b0 ~ 67\u00b0",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "Software",
                "Yes",
                "Yes",
                "Yes",
                "No",
                "No",
                "Yes",
                "No",
                "No",
                "No",
                "No"
            ],
            "NETWORK": [
                "2MP",
                "H.264,M-JPEG",
                "Yes",
                "3 Profiles",
                "No",
                "No",
                "No",
                "6",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-30\u00b0C ~ +55\u00b0C (-22\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "IP66"
            ],
            "ELECTRICAL": [
                "POE",
                "PoE (IEEE802.3af, Class3)",
                "6.5W"
            ],
            "MECHANICAL": [
                "IP66",
                "Yes"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-122HM_Parapet Mount.jpg",
                "images\/accessory\/SBP-122HM_Ceiling Mount.jpg",
                "images\/accessory\/SBP-122HM_Wall Mount.jpg",
                "images\/accessory\/SBP-122HM_Wall Mount(Curved neck).jpg"
            ]
        },
        "Info": "2018 Year, Wisenet L Series, Dome"
    },
    {
        "ModelName": "LNV-6070R",
        "ImgUrl": "images\/network_camera\/LNV-6070R.jpg",
        "Type": "Dome",
        "Year": "2018",
        "Series": "Wisenet L",
        "Discontinued": 0,
        "New": 1,
        "properties": {
            "VIDEO": [
                "1\/2.9\"",
                "Yes",
                "2M",
                "0.095 Lux (F1.6)",
                "0 Lux (IR LED On)",
                "No"
            ],
            "LENS": [
                "DC Auto Iris",
                "Varifocal Lens",
                "Manual Focus",
                "3.2~10mm",
                "3.1x",
                "F1.6 ~ F2.9",
                "H : 101.6\u02da(Wide) ~ 31.3\u02da(Tele) \/ V : 54.1\u02da(Wide) ~ 17.8\u02da(Tele) \/ D : 120.6\u02da(Wide) ~ 36.0\u02da(Tele)",
                "0.5m (1.64ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "0\u00b0 ~ 350\u00b0",
                "No",
                "No",
                "0\u00b0 ~ 67\u00b0",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "Software",
                "Yes",
                "Yes",
                "Yes",
                "No",
                "No",
                "Yes",
                "No",
                "No",
                "No",
                "No"
            ],
            "NETWORK": [
                "2MP",
                "H.264,M-JPEG",
                "Yes",
                "3 Profiles",
                "No",
                "No",
                "No",
                "6",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-30\u00b0C ~ +55\u00b0C (-22\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "IP66"
            ],
            "ELECTRICAL": [
                "POE",
                "PoE (IEEE802.3af, Class3)",
                "6.5W"
            ],
            "MECHANICAL": [
                "IP66",
                "Yes"
            ]
        },
        "accessory": {
            "TYPE": [
                "Parapet Mount",
                "Ceiling Mount",
                "Wall Mount",
                "Wall Mount(Curved neck)"
            ],
            "IMAGE": [
                "images\/accessory\/SBP-122HM_Parapet Mount.jpg",
                "images\/accessory\/SBP-122HM_Ceiling Mount.jpg",
                "images\/accessory\/SBP-122HM_Wall Mount.jpg",
                "images\/accessory\/SBP-122HM_Wall Mount(Curved neck).jpg"
            ]
        },
        "Info": "2018 Year, Wisenet L Series, Dome"
    },
    {
        "ModelName": "LNO-6010R",
        "ImgUrl": "images\/network_camera\/LNO-6010R.jpg",
        "Type": "Bullet",
        "Year": "2018",
        "Series": "Wisenet L",
        "Discontinued": 0,
        "New": 1,
        "properties": {
            "VIDEO": [
                "1\/2.9\"",
                "Yes",
                "2M",
                "0.18 Lux (F2.0)",
                "0 Lux (IR LED On)",
                "No"
            ],
            "LENS": [
                "Fixed Iris",
                "Fixed Lens",
                "No",
                "3mm",
                "No",
                "F2.0",
                "H : 102\u02da \/ V : 54\u02da \/ D : 120\u02da",
                "0.5m (1.64ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "No",
                "No",
                "No",
                "No",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "Software",
                "Yes",
                "Yes",
                "Yes",
                "No",
                "No",
                "Yes",
                "No",
                "No",
                "No",
                "No"
            ],
            "NETWORK": [
                "2MP",
                "H.264,M-JPEG",
                "Yes",
                "3 Profiles",
                "No",
                "No",
                "No",
                "6",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-30\u00b0C ~ +55\u00b0C (-22\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "IP66"
            ],
            "ELECTRICAL": [
                "POE",
                "PoE (IEEE802.3af, Class3)",
                "6.5W"
            ],
            "MECHANICAL": [
                "IP66",
                "Yes"
            ]
        },
        "accessory": {
            "TYPE": [],
            "IMAGE": []
        },
        "Info": "2018 Year, Wisenet L Series, Bullet"
    },
    {
        "ModelName": "LNO-6020R",
        "ImgUrl": "images\/network_camera\/LNO-6020R.jpg",
        "Type": "Bullet",
        "Year": "2018",
        "Series": "Wisenet L",
        "Discontinued": 0,
        "New": 1,
        "properties": {
            "VIDEO": [
                "1\/2.9\"",
                "Yes",
                "2M",
                "0.18 Lux (F2.0)",
                "0 Lux (IR LED On)",
                "No"
            ],
            "LENS": [
                "Fixed Iris",
                "Fixed Lens",
                "No",
                "4mm",
                "No",
                "F2.0",
                "H : 80\u02da \/ V : 43\u02da \/ D : 94\u02da",
                "0.5m (1.64ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "No",
                "No",
                "No",
                "No",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "Software",
                "Yes",
                "Yes",
                "Yes",
                "No",
                "No",
                "Yes",
                "No",
                "No",
                "No",
                "No"
            ],
            "NETWORK": [
                "2MP",
                "H.264,M-JPEG",
                "Yes",
                "3 Profiles",
                "No",
                "No",
                "No",
                "6",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-30\u00b0C ~ +55\u00b0C (-22\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "IP66"
            ],
            "ELECTRICAL": [
                "POE",
                "PoE (IEEE802.3af, Class3)",
                "6.5W"
            ],
            "MECHANICAL": [
                "IP66",
                "Yes"
            ]
        },
        "accessory": {
            "TYPE": [],
            "IMAGE": []
        },
        "Info": "2018 Year, Wisenet L Series, Bullet"
    },
    {
        "ModelName": "LNO-6030R",
        "ImgUrl": "images\/network_camera\/LNO-6030R.jpg",
        "Type": "Bullet",
        "Year": "2018",
        "Series": "Wisenet L",
        "Discontinued": 0,
        "New": 1,
        "properties": {
            "VIDEO": [
                "1\/2.9\"",
                "Yes",
                "2M",
                "0.18 Lux (F2.0)",
                "0 Lux (IR LED On)",
                "No"
            ],
            "LENS": [
                "Fixed Iris",
                "Fixed Lens",
                "No",
                "6mm",
                "No",
                "F2.0",
                "H : 51\u02da \/ V : 29\u02da \/ D : 58\u02da",
                "0.5m (1.64ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "No",
                "No",
                "No",
                "No",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "Software",
                "Yes",
                "Yes",
                "Yes",
                "No",
                "No",
                "Yes",
                "No",
                "No",
                "No",
                "No"
            ],
            "NETWORK": [
                "2MP",
                "H.264,M-JPEG",
                "Yes",
                "3 Profiles",
                "No",
                "No",
                "No",
                "6",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-30\u00b0C ~ +55\u00b0C (-22\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "IP66"
            ],
            "ELECTRICAL": [
                "POE",
                "PoE (IEEE802.3af, Class3)",
                "6.5W"
            ],
            "MECHANICAL": [
                "IP66",
                "Yes"
            ]
        },
        "accessory": {
            "TYPE": [],
            "IMAGE": []
        },
        "Info": "2018 Year, Wisenet L Series, Bullet"
    },
    {
        "ModelName": "LNO-6070R",
        "ImgUrl": "images\/network_camera\/LNO-6070R.jpg",
        "Type": "Bullet",
        "Year": "2018",
        "Series": "Wisenet L",
        "Discontinued": 0,
        "New": 1,
        "properties": {
            "VIDEO": [
                "1\/2.9\"",
                "Yes",
                "2M",
                "0.095 Lux (F1.6)",
                "0 Lux (IR LED On)",
                "No"
            ],
            "LENS": [
                "DC Auto Iris",
                "Varifocal Lens",
                "Manual Focus",
                "3.2~10mm",
                "3.1x",
                "F1.6 ~ F2.9",
                "H : 101.6\u02da(Wide) ~ 31.3\u02da(Tele) \/ V : 54.1\u02da(Wide) ~ 17.8\u02da(Tele) \/ D : 120.6\u02da(Wide) ~ 36.0\u02da(Tele)",
                "0.5m (1.64ft)"
            ],
            "PAN \/ TILT \/ ROTATE": [
                "No",
                "No",
                "No",
                "No",
                "No",
                "No",
                "No"
            ],
            "OPERATIONAL": [
                "No",
                "Software",
                "Yes",
                "Yes",
                "Yes",
                "No",
                "No",
                "Yes",
                "No",
                "No",
                "No",
                "No"
            ],
            "NETWORK": [
                "2MP",
                "H.264,M-JPEG",
                "Yes",
                "3 Profiles",
                "No",
                "No",
                "No",
                "6",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes",
                "Yes"
            ],
            "ENVIRONMENTAL": [
                "-30\u00b0C ~ +55\u00b0C (-22\u00b0F ~ +131\u00b0F)",
                "Less than 90% RH",
                "IP66"
            ],
            "ELECTRICAL": [
                "POE",
                "PoE (IEEE802.3af, Class3)",
                "6.5W"
            ],
            "MECHANICAL": [
                "IP66",
                "Yes"
            ]
        },
        "accessory": {
            "TYPE": [],
            "IMAGE": []
        },
        "Info": "2018 Year, Wisenet L Series, Bullet"
    }
];